<?php
/*
 * Clase para trabajar con MySQL
 * 		Ventajas que proporciona
 * 			Devuelve el contenido completo de una consulta.
 * 			Establece la codificación inicial al establecer la conexión.
 */
class cMySQL {
	/*Propiedades de la clase*/
	private  $_host;
	private $_bbdd;
	private $_user;
	private $_password;
	private $_conexion;
	private $_resultado;
	private $_query;
	private $_aDatos;
	
	/* métodos y funciones de la clase*/
	//constructor
	function __construct() {
		$this->_bbdd = "db529723371";
		$this->_host = "db529723371.db.1and1.com";
		$this->_user = "dbo529723371";
		$this->_password = "merlin85";
		$this->_aDatos = array();//añadido en la versión 0.2 
	}
	
	//Cambia los parámetros de conexión
	public function setConfiguracion ($host,$bbdd,$user,$pass)
	{
		$this->_bbdd = $bbdd;
		$this->_host = $host;
		$this->_user = $user;
		$this->_password = $pass;
	}
	
	//Conecta con la base de datos. Recibe por parámetro la codificacion a utilizar.
	public function conectar($codificacion=null)
	{
		$this->_conexion = mysql_connect($this->_host,$this->_user,$this->_password);
		if ( $this->_conexion == false )
			return false;
		else
		{
			//seleccionamos la base de datos 
			if (mysql_select_db($this->_bbdd) == false)
				return false;
				
			if (isset($codificacion))
			{
				if ( $this->ejecutarSQL("set character set $codificacion") == false)
					return false;
				
				return true;
			}
		}
	}
	
	//Almacena la instrucción SQL a ejecutar
	public function query($query)
	{
		$this->_query = $query;
	}
	
	//Ejecuta la SQL especificada con anterioridad o por parámetro. Da prioridad a esta última.
	public function ejecutarSQL($query=null)
	{
		$this->_resultado = false;
		if ($query == null)
			$this->_resultado = mysql_query($this->_query) or mysql_error();
		else
			$this->_resultado = mysql_query($query) or mysql_error();
		if ($this->_resultado == true)
			return true;
		else
			return $this->_resultado;
	}
	
	//Devuelve un registro de la consulta
	public function getUnRegistro()
	{
		return mysql_fetch_array($this->_resultado,MYSQL_ASSOC);
	}
	
	//Devuelve todos los registros 
	public function getTodosRegistro()
	{		
		while ($aux = @mysql_fetch_array($this->_resultado,MYSQL_ASSOC))
			$datos[] = $aux;
		if ( empty($datos) )
			return false;
		else
		{
			$this->_resultado = false;
			return $datos;
		}
	}

	//Devuelve el número de registros-->Poner despues de ejecutarSQL.
	public function getNumRegistros()
	{		
		return @mysql_num_rows($this->_resultado);
	}
	
	//Devuelve un array con dos dimensiones, una con las opciones del select y otras con los valores
	public function getForSelect ($opcion,$valor)
	{
		if ($this->_resultado == false )
			return false;
		
		while ( $datos = mysql_fetch_assoc($this->_resultado) )
		{
			$auxResultado[$datos[$opcion]] = $datos[$valor];
		}
		if (isset( $auxResultado) )
			return $auxResultado;
		else
			return false;
	}
	
	//Devuelve el valor del campo especificado del primer registro. Y posiciona el iterador al comienzo
	public function getCampoN($campo=0)
	{
		$valor = mysql_result($this->_resultado,0,$campo);
		mysql_data_seek($this->_resultado,0);
		return $valor; 
	}

/*******************Nuevas funciones para la versión 0.2*****************/
	//Solo para sentencias que devuelva un campo por fila. Devuelve en un vector los elementos devuelto por la SQL.
	public function getTodosRegistrosUnVector()
	{
		$resultado = array();
		while ($aux = @mysql_fetch_array($this->_resultado,MYSQL_NUM))
			array_push($resultado,$aux[0]);
		if (count($resultado) == 0)
			return false;
		return $resultado;
	}
	
	//Elimina todos los vectores recibidos de formularios
	private function _resetearADatos()
	{
		unset($this->_aDatos);
		$this->_aDatos = array();
	}

	/*  Genera una cadena para ser utilizada en insert y updates. Los valores de tipo los elimina de la cadena
	    generada y los inserta en el atributo $aDatos
	*/
	private function _prepararArray(&$aDatos)
	{	
		$cadena = "";
		foreach ($aDatos as $clave => $valor) {
			if (is_array($valor))
				$this->_aDatos[$clave] = $valor;
			else
			 $cadena[]= "$clave='$valor'";
		}
		return implode(",", $cadena);
	}
	
	/*
	 * Devuelve una sql para relizar multiples insert
	 * Parámetros:
	 * 			tabla: nombre de la tabla a realizar los inserts
	 * 			$registro: valor del primer campo del insert
	 * 			$valores: array con los valores de la segunda columna.
	 */
	private function _prepararMultiInsert($tabla,$registro,$valores)
	{
		$sql = "insert into $tabla values ";

		$sql .= "($registro,{$valores[0]})";
		unset ($valores[0]);
		
		if (!is_array($valores))
			return $sql;	
		
		foreach ($valores as $valor)
			$sql .= ", ($registro,$valor)";
		
		return $sql;
	}
	
	/*
	 * Elimina pares (clave:valor) del array
	 * 	Parámetros:
	 * 		$vector: array de pares (clave,valor)
	 * 		$elementos: array con los valores a eliminar del vector.
	 */
	private function _eliminarDatosArray(&$vector,&$elementos)
	{
		if (empty($elementos))
			return true;
		if (!is_array($elementos))
			return true;
			
		foreach ($vector as $clave => $valor) {
			if (in_array($clave,$elementos))
			{
				$aux = "unset(\$vector->" . $clave . ");";
				eval($aux);
			}
		}			
	}
	
	/*
	 * Inserta en la tabla especificificada por parámetro los datos eliminando los campos del array aEliminar
	 * El parámetro $interRelacion recoge el campo y la tabla donde se debe realizar los inserts de una relación
	 * de muchos a muchos.
	 */
	public function insertarArray($aDatos,$tabla,$aEliminar,$interRelacion)
	{		
		$this->ejecutarSQL("start transaction");
		$this->_resetearADatos();
		$this->_eliminarDatosArray($aDatos,$aEliminar);
		$sqlDatos = $this->_prepararArray($aDatos);
		$query = "insert into $tabla set $sqlDatos";
		//transacción start
		
		if (!$this->ejecutarSQL($query))
		{
			$this->ejecutarSQL("ROLLBACK");		
			return false;
		}

		if (!$this->ejecutarSQL("SELECT LAST_INSERT_ID()"))
		{
			$this->ejecutarSQL("ROLLBACK");
			return false;
		}

		$insertID = $this->getCampoN(0);
		if (count($this->_aDatos) > 0) //  relación M a M
		{
			foreach ($this->_aDatos as $clave => $valor) {
				if (array_key_exists($clave,$interRelacion))
				{
					$sqlInsert = $this->_prepararMultiInsert($interRelacion[$clave]["c"],$insertID,$valor);
					if (!$this->ejecutarSQL($sqlInsert))
					{
						$this->ejecutarSQL("ROLLBACK");
						return false;
					}
				}
				else
				{
					$this->ejecutarSQL("ROLLBACK");
					return false;
				}
			}			
		}
		$this->ejecutarSQL("commit");
		return $insertID;
	}
	
	
	/* Esta función actualiza una tabla según los datos recibidos por parámetro.
	 * $aDatos: array de pares (clave, valor)
	 * $tabla: nombre de la tabla a actualizar.
	 * $aEliminar: array de elementos a eliminar
	 */
	public function actualizarArray($aDatos,$tabla,$aCondicion,$aEliminar,$interRelacion)
	{
		$this->ejecutarSQL("start transaction");
		$this->_resetearADatos();
		$this->_eliminarDatosArray($aDatos,$aEliminar);
		$sqlCondicion =  $this->_prepararArray($aCondicion);
		$sqlDatos =  $this->_prepararArray($aDatos);		
				
		$query = "update $tabla set $sqlDatos where $sqlCondicion";
		//Comienzo de la transación
		
		if (!$this->ejecutarSQL($query))
		{
			$this->ejecutarSQL("ROLLBACK");
			return false;
		} 

		if (isset($interRelacion))
		{
			foreach ($interRelacion as $clave => $valor) 
			{
				$qryDelete = "delete from {$valor["c"]} where {$tabla}_id = {$aCondicion['id']}";
				
				if (!$this->ejecutarSQL($qryDelete))
				{echo "1-";
					$this->ejecutarSQL("ROLLBACK");
					return false;
				}
				if (is_array($this->_aDatos[$clave]))
				{
					if(count($this->_aDatos[$clave]) > 0)
					{
						$sqlInsert = $this->_prepararMultiInsert($interRelacion[$clave]["c"],$aCondicion['id'],$this->_aDatos[$clave]);
						
						if (!$this->ejecutarSQL($sqlInsert))
						{
							$this->ejecutarSQL("ROLLBACK");
							return false;
						}
					}
				}
			}			
		}
		
		$this->ejecutarSQL("commit");
		return true;
	}
}
	
?>