<?php
/*		Módulo inicial de conexión
Se encarga de comprobar si el usuario está conectado. También registra al usuario en el sistema usando reg_comp.
Además de conectar y desconectar al usuario del sistema.
Se crean cuatro variables de sesión importantes:
	$_SESSION['username']=$res['username'];
	$_SESSION['correo']=$correo;
	$_SESSION['registrado']=true;
	$_SESSION['tipo']=$res['tipo'];
*/
session_start();
//Incluyo la clase de manejo de la base de datos.
include_once('../../clases/cMySQL.php');
include_once('../../clases/sCphp.php'); 
//Realiza el logout
if (isset($_GET['desco'])){
	$_SESSION = array();
	$correo="";
	session_destroy();
}
else{
	if ((isset($_POST['correo'])&&(isset($_POST['password'])))|(isset($_SESSION['username']))){
		//Si ya he realizado la conexión.
		if (isset($_SESSION['username'])){
			$user=$_SESSION['username'];
			$correo=$_SESSION['correo'];
			$sql= new cMySQL(); 
			$sql->conectar();
			$sql->query("SELECT * FROM users WHERE correo='$correo' AND username='$user'");
			$sql->ejecutarSQL();
			$res=$sql->getUnRegistro();
			$error='';
		}
		//Si estoy realizando la conexión por primera vez.
		else{
			$correo=$_POST['correo'];
			$password=md5($_POST['password']);
			$sql= new cMySQL(); 
			$sql->conectar();
			$sql->query("SELECT * FROM users WHERE correo='$correo' AND pass='$password'");
			$sql->ejecutarSQL();
			$res=$sql->getUnRegistro();
			if ($res['correo']=='') $error='error';
			//Si conseguimos conectar, creamos las variables de sesión.
			//Control de pase. Si conectamos creamos variables de sesión con el tipo de usuario (rol), el nombre, el correo y si es usuario registrado.
			else{
				$_SESSION['username']=$res['username'];
				$_SESSION['correo']=$correo;
				$_SESSION['registrado']=true;
				$_SESSION['tipo']=$res['tipo'];
				$error='';
			}
		}
	}
	else $correo='';
}
$registro="
<form id='formRegistro' action='modulos/acceso/reg_comp.php' role='form' style='width:250px;'>
	<div class='form-group'>
		<label for='correo'>Correo electrónico válido</label>
		<input class='form-control' type='email' placeholder='Correo' name='correo' id='correo' required>
	</div>
	<div class='form-group'>
		<label for='password'>Contraseña</label>
		<input class='form-control' type='password' placeholder='Contraseña' name='password' id='password' required>
	</div>
	<div class='form-group'>
		<label for='tipo'>Rol</label>
		<select class='form-control' name='tipo' id='tipo'>
			<option value='' selected='selected'>Roles</option>
			<optgroup label='Federación'>
			<option value='federacion'>Responsable de la federación</option>
			<option value='juez'>Juez</option><optgroup label='Club'>
			<option value='club'>Responsable del club</option>
			<option value='alumno'>Alumno</option>
			<optgroup label='Gestores'>
			<option value='gestor'>Gestor de papeles</option>
			<option value='clasificador'>Gestor de clasificaciones</option>
		</select>
	</div>
	<br><br>
	<button type='submit' class='btn btn-primary' id='idRegistro' data-loading-text='registrando...'>Registrarse</button>
	<button type='button' class='btn btn-default' id='boton'>Cerrar</button>
	<br><br><div id='reg_result'></div>
</form>
<script>
$(function(){
	$('#idRegistro')
	.click(function () {
		$('#reg_result').empty()
		var btn = $(this)
		btn.button('loading')
		setTimeout(function () {btn.button('reset')}, 3000)
	})
});
$('#boton').click(function(){
	$('#registro').popover('hide');
});
//Formulario específico de conexion.
$('#formRegistro').submit(function(event) {
	//Evita que el botón submit surja efecto
	event.preventDefault();
	//Recoge ciertos valores del formulario
	term1 = 'Invitado';
	term2 = $('#correo').val();
	term3 = $('#password').val();
	term4 = $('#tipo').val();
	url= $('#formRegistro').attr( 'action' );
	//Envía los datos mediante jquery y json
	var posting = $.post( url, { username: term1, correo: term2, password: term3, tipo: term4 } );
	//Devuelve los resultados en data.
	posting.done(function( data ) {
		if (data == -1)
			$( '#reg_result' ).empty().append( '<p class=\'text-danger\'>El correo ha sido registrado, pero no se ha podido enviar un correo de verificación a su cuenta.</span>' );
		if (data == 1)
			$( '#reg_result' ).empty().append( '<p class=\'text-danger\'>Correo ya registrado. Introduzca otra dirección de correo electrónico.</span>' );
		if (data == 2)
				$( '#reg_result' ).empty().append( '<p class=\'text-warning\'>Debe seleccionar un rol en el menú desplegable.</span>' );
		if (data == 0){
			$( '#reg_result' ).empty().append( '<p class=\'text-primary\'>Datos guardados correctamente.</span>' );
			//alert('Datos guardados correctamente. Para entrar en el sistema, introduzca correo electrónico y contraseña en el menú superior derecho.');
			//$('#registro').delay(3000).popover('hide');
		}
	  });
});	  
</script>
";
//Si no existe login por parte del usuario.
if ($correo==''){
echo "
<div class=\"navbar navbar-inverse navbar-static-top\" role=\"navigation\" style=\"margin:0 0 0 0;\">
	<div class=\"container-fluid\" style=\"margin:0 0 0 0;\">
		<div class=\"navbar-header\" style=\"margin-left:10px;\">
			<button type=\"button\" class=\"navbar-toggle\" data-toggle=\"collapse\" data-target=\"#bs-example-navbar-collapse-1\">
				<span class=\"sr-only\">Toggle navigation</span>
				<span class=\"icon-bar\"></span>
				<span class=\"icon-bar\"></span>
				<span class=\"icon-bar\"></span>
			</button>
			<a class=\"navbar-brand\" href=\"#\" onClick=\"cambiaMenu('inicio');actualizar('#centro','inicio.php');\">GESPAR</a>
		</div>
		<div class=\"collapse navbar-collapse navbar-responsive-collapse\">
			<ul class=\"nav navbar-nav navbar-left\">
				<li><a href=\"#\"onClick=\"cambiaMenu('clasificadores');\">Clasificaciones</a></li>
				<li><a href=\"#\"onClick=\"actualizar('#centro','incidencias.php');\">Incidencias</a></li>
			</ul>
			<form class=\"navbar-form navbar-right\" action=\"modulos/acceso/conexion.php\" id=\"conectar\" role=\"search\">
				<div class=\"form-group\">
					<input class=\"form-control\" type=\"email\" placeholder=\"Correo\" name=\"correo\" required style=\"margin:1px 0 0 0;width:150px;\">
				</div>
				<div class=\"form-group\">
					<input class=\"form-control\" type=\"password\" placeholder=\"Contraseña\" name=\"password\" required style=\"margin:1px 0 0 0;width:150px;\">
				</div>
				<button type=\"submit\" id=\"bconectar\" class=\"btn btn-success\" data-loading-text=\"conectando\">Conectar</button>
			</form>
			<ul class=\"nav navbar-nav navbar-right\">
				<li class=\"divider-vertical\"></li>
				<li><a id=\"registro\" href=\"#\" data-toggle=\"popover\" data-placement=\"bottom\" title data-original-title=\"<b>Formulario de registro</b>\" data-content=\"".$registro."\">Registro</a></li>
				<li class=\"divider-vertical\"></li>
			</ul>
		</div>
	</div>
</div>
<script>
	//Formulario específico de conexion.
	$('#conectar').submit(function(event) {
	  //Evita que el botón submit surja efecto
	  event.preventDefault();
	 
	  //Recoge el valor de las variables correo y password en el input
	  var form = $( this ),
		  term1 = form.find( 'input[name=\"correo\"]' ).val(),
		  term2 = form.find( 'input[name=\"password\"]' ).val(),
		  url = form.attr( 'action' );
	 
	  //Envía la información mediante un post a la url con las variables term1 y term2
	  var posting = $.post( url, { correo: term1, password: term2 } );
	 
	  //Devuelve el resultado en data (de la página) y actualiza el div conexion y el div centro
	  posting.done(function( data ) {
		$( '#conexion' ).empty().append( data );
		actualizar('#centro','inicio.php');
		cambiaMenu('inicio');
	  });
	});
	 $(function(){
		//Controla el botón en conexion de Conectar.
		$('#bconectar')
		.click(function () {
			var btn = $(this)
			btn.button('loading')
			setTimeout(function () {btn.button('reset')}, 3000)
		})
		//Funcionamiento del tooltip del div registro en conexion.
		$(\"#registro\").popover({html:true});
	});
</script>
";
}
else{
	//Si no se ha producido ningún error durante el login.
	if ($error==''){
		$sCphp= new sCphp();
		echo "
		<div class=\"navbar navbar-inverse navbar-static-top\" role=\"navigation\" style=\"margin:0 0 0 0;\">
			<div class=\"container-fluid\" style=\"margin:0 0 0 0;\">";
				$resultado=$sCphp->controlRegistro(array('club','federacion','alumno','juez','administrador','gestor','clasificador'),1);
				if ($resultado==1){
					$tipo=$sCphp->val('tipo');
					switch($tipo){
						case "alumno":
							$rol="ALUMNO";
							break;
						case "club":
							$rol="RESPONSABLE DEL CLUB";
							break;
						case "federacion":
							$rol="RESPONSABLE DE LA FEDERACIÓN";
							break;
						case "juez":
							$rol="JUEZ";
							break;
						case "administrador":
							$rol="ADMINISTRADOR";
							break;
						case "gestor":
							$rol="GESTOR DE DOCUMENTOS";
							break;
						case "clasificador":
							$rol="GESTOR DE CLASIFICACIONES";
							break;
					}
					echo "
					<div class=\"navbar-header\" style=\"margin-left:10px;\">
						<button type=\"button\" class=\"navbar-toggle\" data-toggle=\"collapse\" data-target=\"#bs-example-navbar-collapse-1\">
							<span class=\"sr-only\">Toggle navigation</span>
							<span class=\"icon-bar\"></span>
							<span class=\"icon-bar\"></span>
							<span class=\"icon-bar\"></span>
						</button>
						<a class=\"navbar-brand\" href=\"#\" onClick=\"cambiaMenu('inicio');actualizar('#centro','inicio.php');\">".$rol."</a>
					</div>";
				}
				echo "
				<div class=\"collapse navbar-collapse navbar-responsive-collapse\">
					<ul class=\"nav navbar-nav navbar-left\">";
						$resultado=$sCphp->controlRegistro('administrador',1);
						if ($resultado==1){
							echo "<li><a href=\"#\"onClick=\"cambiaMenu('admin');\">Administrar</a></li>";
						}
						$resultado=$sCphp->controlRegistro(array('club','federacion','alumno','juez'),1);
						if ($resultado==1){
							$rol=$sCphp->val('tipo');
							if ($rol=='club'||$rol=='alumno') $texto='Club';
							else $texto='Federación';
							echo "<li><a href=\"#\"onClick=\"cambiaMenu('organizacion');\">".$texto."</a></li>";
						}
						$resultado=$sCphp->controlRegistro(array('club','federacion'),4);
						if ($resultado==1){
							$rol=$sCphp->val('tipo');
							if ($rol=='club') $texto='Club';
							else $texto='Federación';
							echo "
							<li><a href=\"#\"onClick=\"cambiaMenu('plantillas');\">Plantillas</a></li>
							<li><a href=\"#\"onClick=\"cambiaMenu('campeonatos');\">Campeonatos</a></li>";
						}
						$resultado=$sCphp->controlRegistro(array('club','federacion','gestor'),4);
						if ($resultado==1){
							echo "
							<li><a href=\"#\"onClick=\"cambiaMenu('documentos');\">Documentos</a></li>";
						}
						echo "
						<li><a href=\"#\"onClick=\"cambiaMenu('clasificadores');\">Clasificaciones</a></li>";
						$username=$sCphp->val('name');
						echo "
						<li><a href=\"#\"onClick=\"actualizar('#centro','incidencias.php');\">Incidencias</a></li>
					</ul>
					<ul class=\"nav navbar-nav navbar-right\">
						<li class=\"dropdown\">
						  <a data-toggle=\"dropdown\" href=\"#\" style=\"color:white;\">";
						$sexo=$sCphp->val('sexo');
						if (($sexo=='masculino')||($sexo=='')) echo "Bienvenido ";
						else  echo "Bienvenida ";
						echo "".$username." <b class=\"caret\"></b></a>
						  <ul class=\"dropdown-menu\" role=\"menu\" style=\"text-align:left;\">
							<li role=\"presentation\"><a href=\"#myModal\" data-toggle=\"modal\"><span class=\"glyphicon glyphicon-pencil\"></span> Editar perfil</a></li>
							<li class=\"divider\"></li>
							<li role=\"presentation\"><a href=\"#\" onClick=\"cerrar_sesion('#conexion','modulos/acceso/conexion.php?desco=nexion');\"><span class=\"glyphicon glyphicon-off\"></span> Desconectar</a></li>
						  </ul>
						</li>
					</ul>
				</div>
			</div>
		</div>
		";
		$sql->query("SELECT * FROM users WHERE correo='$correo'");
		$sql->ejecutarSQL();
		$res=$sql->getUnRegistro();
		$idUser=$res['idUser'];
		$tipo_ext=$res['tipo_ext'];
		//Tratamos algunos campos de la base de datos de usuario para que se muestren correctamente.
		switch($res['tipo']){
			case "federacion":
				$tipo="Responsable de la federación";
				break;
			case "club":
				$tipo="Responsable del club";
				break;
			case "gestor":
				$tipo="Gestor de papeles";
				break;
			case "clasificador":
				$tipo="Gestor de clasificaciones";
				break;
			case "alumno":
				$tipo="Alumno";
				break;
			case "juez":
				$tipo="Juez";
				break;
			case "administrador":
				$tipo="Administrador";
				break;
			default: $tipo=$res['tipo'];
		}
		if ($res['licencia']==0) $licencia="Sin licencia";
		else $licencia=$res['licencia'];
		if ($res['organizacion']=='') $organizacion="No tiene";
		else $organizacion=$res['organizacion'];
		if (($res['tipo']=="federacion")||($res['tipo']=="juez")) $org="Federación";
		else $org="Club";
		echo "
		<div class=\"modal fade\" id=\"myModal\" tabindex=\"-1\" role=\"dialog\" aria-labelledby=\"myModalLabel\" aria-hidden=\"true\" style=\"text-align:left;\">
	      <div class=\"modal-dialog\">
			<div class=\"modal-content\">
			  <div class=\"modal-header\">
				<button type=\"button\" class=\"close\" data-dismiss=\"modal\" aria-hidden=\"true\" onClick=\"$('#conexion').load('modulos/acceso/conexion.php');\">&times;</button>
				<h3 class=\"text-center\">Editar perfil</h3>
			  </div>
			  <div class=\"modal-body\">
				<div class=\"offset1\">
					<form id=\"formModPerfil\" action=\"modulos/usuarios/mod_comp.php\" role=\"form\">
						<div class=\"form-group\">
							<label>Nombre</label>
							<input type=\"text\" class=\"form-control\" name=\"username\" value=\"".$res['username']."\" required>
						</div>
						<div class=\"form-group\">
							<label>Apellidos</label>
							<input class=\"form-control\" type=\"text\" name=\"apellidos\" value=\"".$res['apellidos']."\" required>
						</div>
						<div class=\"form-group\">
							<label>Correo electrónico</label>
							<input class=\"form-control\" type=\"email\" name=\"correo\" value=\"".$res['correo']."\" required>
							<input type = \"hidden\" name=\"correoPre\" value=\"".$res['correo']."\">
						</div>
						<div class=\"form-group\">
							<label>Rol</label>
							<input class=\"form-control\" type=\"text\" disabled=\"disabled\" value=\"".$tipo."\">
						</div>
						<div class=\"form-group\">
							<label>".$org."</label>
							<input class=\"form-control\" type=\"text\" disabled=\"disabled\" value=\"".$organizacion."\">
						</div>";
						if ($tipo=='Alumno'){
							$sql->ejecutarSQL("SELECT * FROM alumno WHERE id_user='$idUser'") or DIE("No");
							$numRegistros=$sql->getNumRegistros();
							if ($numRegistros>0){
								$resultadoAlumno=$sql->getUnRegistro();
								if ($resultadoAlumno['nacimiento']!=NULL) $fecha=$resultadoAlumno['nacimiento'];
								else $fecha=NULL;
								echo "
								<div class=\"form-group\">
									<label>Fecha de nacimiento</label>
									<input type=\"text\" class=\"form-control\" name=\"fecha\" id=\"inputFecha\" placeholder=\"".date('Y-m-d')."\" value=\"".$resultadoAlumno['nacimiento']."\" required>
								</div>
								<div class=\"form-group\">
									<label>Género</label>
									<select class=\"form-control\" name=\"sexo\" id=\"sexo\">";
										if ($resultadoAlumno['sexo']=='masculino') echo "<option value=\"masculino\" selected=\"selected\">Masculino</option>";
										else echo "<option value=\"masculino\">Masculino</option>";
										if ($resultadoAlumno['sexo']=='femenino') echo "<option value=\"femenino\" selected=\"selected\">Femenino</option>";
										else echo "<option value=\"femenino\">Femenino</option>";
										echo "
									</select>
								</div>";
							}
						}
						if ($tipo=='Juez'){
							echo "
							<div class=\"form-group\">
								<label>Tipo de juez</label>
								<select class=\"form-control\" name=\"tipo_ext\" id=\"tipo_ext\">";
									if ($tipo_ext=='juez') echo "<option value=\"juez\" selected=\"selected\">Juez regional</option>";
									else echo "<option value=\"juez\">Juez regional</option>";
									if ($tipo_ext=='juez2') echo "<option value=\"juez2\" selected=\"selected\">Juez nacional</option>";
									else echo "<option value=\"juez2\">Juez nacional</option>";
									if ($tipo_ext=='juez3') echo "<option value=\"juez3\" selected=\"selected\">Juez internacional</option>";
									else echo "<option value=\"juez3\">Juez internacional</option>";
									echo "
								</select>
							</div>";
						}
						echo "
						<div class=\"form-group\">
							<label>Licencia federativa</label>
							<input class=\"form-control\" type=\"text\" disabled=\"disabled\" value=\"".$licencia."\">
						</div>
						<br><br>
						<div id=\"mod_result\"></div>
						<br>
					</form>
				</div>
			  </div>
			  <div class=\"modal-footer\">
				<button type=\"button\" class=\"btn btn-default\" data-dismiss=\"modal\" onClick=\"$('#conexion').load('modulos/acceso/conexion.php');\">Cerrar</button>
				<button type=\"button\" class=\"btn btn-primary\" id=\"formularium\" data-loading-text=\"guardando...\">Guardar Cambios</button>
			  </div>
			</div>
		  </div>
		</div>
		<div style=\"float:right;margin-right:5px;margin-left:5px;\">
			<div style=\"margin-top:10px;color:white;\"></div>
		</div>
		<script>
			 $(function(){
				//Funcionamiento del tooltip del div registro en conexion.
				$(\"#registro\").tooltip();
			 });
			$('#formularium').click(function(){
				var btn = $(this)
				btn.button('loading')
				setTimeout(function () {btn.button('reset')}, 3000)
				//Se fuerza a hacer submit desde fuera del botón de submit.
				$('#formModPerfil').submit();
			});
			//Datepicker para seleccionar la fecha
			$(function() {
			  $( \"#inputFecha\" ).datepicker({
				  //Descomentar si se quiere poner botón
				  //showOn: \"button\",
				  //buttonImage: \"images/calendar.gif\",
				  //buttonImageOnly: true,
				  //Traducción al español y otras cosas
				  dayNamesMin: [\"Do\", \"Lu\", \"Ma\", \"Mi\", \"Ju\", \"Vi\", \"Sa\"],
				  dayNamesShort: [\"Dom\", \"Lun\", \"Mar\", \"Mie\", \"Jue\", \"Vie\", \"Sab\"],
				  dateFormat: \"yy-mm-dd\",
				  changeMonth: true, 
				  changeYear: true, 
				  yearRange: '-100:+0',
				  firstDay: 1,
				  monthNames: 
					[\"Enero\", \"Febrero\", \"Marzo\", \"Abril\", \"Mayo\", \"Junio\", \"Julio\",
					\"Agosto\", \"Septiembre\", \"Octubre\", \"Noviembre\", \"Diciembre\"],
				  monthNamesShort: 
					[\"Ene\", \"Feb\", \"Mar\", \"Abr\", \"May\", \"Jun\",
					\"Jul\", \"Ago\", \"Sep\", \"Oct\", \"Nov\", \"Dic\"]
			  });
			});
			//Formulario específico de registro. Cuando se hace submit.
			$('#formModPerfil').submit(function(event) {
				  //Evita que se ejecute el botón de submit
				  event.preventDefault();
				  //Recoge ciertos valores del formulario
				  var form = $( this ),
					  term1 = form.find( 'input[name=\"username\"]' ).val(),
					  term2 = form.find( 'input[name=\"correo\"]' ).val(),
					  term3 = form.find( 'input[name=\"apellidos\"]' ).val(),
					  term4 = form.find( 'input[name=\"correoPre\"]' ).val(),";
					  if ($tipo=='Alumno'){
						echo "term5 = form.find( 'input[name=\"fecha\"]' ).val(),
							term6 = form.find( 'select[id=\"sexo\"] :selected' ).val(),";
					  }
					  if ($tipo=='Juez'){
						echo "term5 = form.find( 'select[id=\"tipo_ext\"] :selected' ).val(),";
					  }
					  echo "
					  url = form.attr( 'action' );
				  //Envía los datos mediante jquery y json
				  var posting = $.post( url, { username: term1, correo: term2, apellidos: term3, correoPre: term4";
				  if ($tipo=='Alumno'){
					echo ", fecha: term5, sexo: term6";
				  }
				   if ($tipo=='Juez'){
					echo ", tipo_ext: term5";
				  }
				  echo "} );
				  
				  //Devuelve los resultados en data.
				  posting.done(function( data ) {
					if (data == -1) $( '#mod_result' ).empty().append( '<span class=\"label label-error\">Error. Usuario ha intentado modificar perfil sin estar registrado.</span>' );
					if (data == -2) $( '#mod_result' ).empty().append( '<span class=\"label label-error\">El usuario ha intentado modificar datos de otro usuario. No está permitido.</span>' );
					if (data == -3) $( '#mod_result' ).empty().append( '<span class=\"label label-error\">Error al pasar los datos desde el formulario.</span>' );
					if (data == 1){
						$( '#mod_result' ).empty().append( '<span class=\"label label-warning\">Correo ya registrado. Introduzca otra dirección de correo electrónico.</span>' );
					}
					else{
						if (data == 0){
							$( '#mod_result' ).empty().append( '<span class=\"label label-success\">Datos guardados correctamente.</span>' );
						}
						else{
							if (data == 2){
								alert('Correo cambiado. Conéctese de nuevo.');
								cerrar_sesion('#conexion','modulos/acceso/conexion.php?desco=nexion');
							}
						}
					}
				  });
			});
		</script>
		";
	}
	else{
		//En el caso de que se produzca error, mostrará un mensaje de usuario y contraseña inválidos.
		echo "
		<div class=\"navbar navbar-inverse navbar-static-top\" role=\"navigation\" style=\"margin:0 0 0 0;\">
			<div class=\"container-fluid\" style=\"margin:0 0 0 0;\">
				<div class=\"navbar-header\" style=\"margin-left:10px;\">
					<button type=\"button\" class=\"navbar-toggle\" data-toggle=\"collapse\" data-target=\"#bs-example-navbar-collapse-1\">
						<span class=\"sr-only\">Toggle navigation</span>
						<span class=\"icon-bar\"></span>
						<span class=\"icon-bar\"></span>
						<span class=\"icon-bar\"></span>
					</button>
					<a class=\"navbar-brand\" href=\"#\" onClick=\"cambiaMenu('inicio');actualizar('#centro','inicio.php');\">GESPAR</a>
				</div>
				<div class=\"collapse navbar-collapse navbar-responsive-collapse\">
					<ul class=\"nav navbar-nav navbar-left\">
						<li><a href=\"#\"onClick=\"cambiaMenu('clasificadores');\">Clasificaciones</a></li>
						<li><a href=\"#\"onClick=\"actualizar('#centro','incidencias.php');\">Incidencias</a></li>
					</ul>
					<form class=\"navbar-form navbar-right\" action=\"modulos/acceso/conexion.php\" id=\"conectar\">
						<span id=\"error-user\" class=\"label label-danger\" onClick=\"cerrar();\">Nombre de usuario o contraseña inválidos.</span>
						<input class=\"form-control\" type=\"email\" placeholder=\"Correo\" name=\"correo\" required style=\"margin:1px 0 0 0;width:150px;\">
						<input class=\"form-control\" type=\"password\" placeholder=\"Contraseña\" name=\"password\" required style=\"margin:1px 0 0 0;width:150px;\">
						<button type=\"submit\" id=\"bconectar\" class=\"btn btn-success\" data-loading-text=\"conectando\">Conectar</button>
					</form>
					<ul class=\"nav navbar-nav navbar-right\">
						<li><a id=\"registro\" href=\"#\" data-toggle=\"popover\" data-placement=\"bottom\" title data-original-title=\"<b>Formulario de registro</b>\" data-content=\"".$registro."\" data-container-fluid=\"body\">Registro</a></li>
					</ul>
				</div>
			</div>
		</div>
		
		<script>
			//Formulario específico de conexion.
			$('#conectar').submit(function(event) {
			  //Evita que el botón submit surja efecto
			  event.preventDefault();
			 
			  //Recoge el valor de las variables correo y password en el input
			  var form = $( this ),
				  term1 = form.find( 'input[name=\"correo\"]' ).val(),
				  term2 = form.find( 'input[name=\"password\"]' ).val(),
				  url = form.attr( 'action' );
			 
			  //Envía la información mediante un post a la url con las variables term1 y term2
			  var posting = $.post( url, { correo: term1, password: term2 } );
			 
			  //Devuelve el resultado en data (de la página) y actualiza el div conexion y el div centro
			  posting.done(function( data ) {
				$( '#conexion' ).empty().append( data );
				actualizar('#centro','inicio.php');
				$('#menu-iz-uno').load('menu.php?inicio');
			  });
			});
			 $(function(){
				//Controla el botón en conexion de Conectar.
				$('#bconectar')
				.click(function () {
					var btn = $(this)
					btn.button('loading')
					setTimeout(function () {btn.button('reset')}, 3000)
				})
				//Funcionamiento del tooltip del div registro en conexion.
				$(\"#registro\").popover({html:true});
			});
			function cerrar(){
				$(\"#error-user\").hide();
			}
		</script>
		";
	}
}
?>
