<?php
/*
-----------------------------------------------------------------------------------------------------------
							Archivo que gestiona las plantillas de los campeonatos
-----------------------------------------------------------------------------------------------------------							
			Operaciones que se pueden realizar:
			1) Crear plantilla desde cero.
			2) Crear plantilla desde otra ya creada.
			3) Modificar plantillas.
			4) Eliminar plantilla.
										CONDICIONES
			1) Solo pueden acceder responsables de la federación o del club, que estén registrados en el sistema y que pertenezcan a una federación/club.
			2) Solo pueden realizar operaciones aquellos responsables que estén activos en la federación/club (cuya solicitud no haya sido rechazada).
			3) La organización debe estar activa.
			4) No se puede borrar al creador de la organización.
			
*/
session_start();
include_once('../../../bbdd/general.php');
include_once('../../../clases/sCphp.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../../clases/cMySQL.php');
$sql= new cMySQL(); 
$sql->conectar();
$sCphp= new sCphp();
//Debe estar registrado en el sistema. Nivel de seguridad 1.
$sCphp= new sCphp(); 
//Debe ser un responsable de la federación o responsable del club. Nivel de seguridad 2.
//Función que comprueba si se está registrado y se es un responsable del club o de la federación. Además comprueba si está unido a una organización y está activa.
$resultado=$sCphp->controlRegistro(array('club','federacion'),4);
if ($resultado==1){
	$rol=$sCphp->val('tipo');
	$correo=$sCphp->val('correo');
	if ($rol=="club") $organization="Club";
	else $organization="Federación";
	$organizacion=$sCphp->val('org');
	$sql->query("SELECT pais, region FROM organizacion WHERE nombre='$organizacion'");
	$sql->ejecutarSQL();
	$resCreator=$sql->getUnRegistro();
	$creator=$sCphp->val('creador');
	$mundo=$resCreator['pais'];
	$pueblo=$resCreator['region'];
	$reggion=$sCphp->val('region');
	$paiis=$sCphp->val('pais');
	echo "<h2 style='text-align:center;'>Gestión de plantillas de campeonatos "; 
	//Primer caso: Crear plantilla
	if (isset($_GET['crear'])){
		echo "<script type=\"text/javascript\" src=\"modulos/campeonatos/plantilla/funcionesplantillas.js\"></script><small>Crear una plantilla</small></h2>
		<ul id=\"miTab\" class=\"nav nav-tabs\" style=\"margin-bottom:0px;\">
			<li class=\"active\">
				<a href=\"#zero\" data-toggle=\"tab\">Crear plantilla desde cero</a>
			</li>
			<li>
				<a href=\"#other\" data-toggle=\"tab\">Crear plantilla desde otra ya creada</a>
			</li>
		</ul>
		<div class=\"tab-content\" style=\"border-left: 1px solid #ddd;border-right: 1px solid #ddd;border-bottom: 1px solid #ddd;\">
			<br>
			<div class=\"tab-pane fade active in\" id=\"zero\" style=\"margin-left: 10px;margin-right:10px;margin-top:10px;\">
				<a name=\"inicioPage\"></a>
				<div class=\"well\" id=\"pagina\">
					<form class=\"form-horizontal\" id=\"pl-form\" action=\"modulos/campeonatos/plantilla/tratamientoDatos.php\">
					  <div id=\"pagina1\">
						  <div class=\"row\">
							  <div class=\"col-md-8\">
							  </div>
							  <div class=\"col-md-4\">
								
								<ul class=\"list-group\">
								  <li class=\"list-group-item\"><a href=\"#champions\">1. Tipos de campeonatos</a></li>
								  <li class=\"list-group-item\"><a href=\"#caths\">2. Categorías</a></li>
								  <li class=\"list-group-item\"><a href=\"#muds\">3. Modalidades</a></li>
								  <li class=\"list-group-item\"><a href=\"#pageination\">4. Paginación</a></li>
								</ul>
							  </div>
						  </div>
						  
						  <h2 class=\"text-center\">Paso 1 <small>Información básica</small></h2>
						  <legend>Información General</legend><p class=\"help-block\">Información general sobre la plantilla del campeonato.</p>
						  <div class=\"form-group\">
							<label for=\"inputNombre\" class=\"col-lg-2 control-label\">Nombre de la plantilla</label>
							<div class=\"col-lg-10\">
							  <input type=\"text\" class=\"form-control\" name=\"nombre_pl\" id=\"inputNombre\" placeholder=\"".date('d-m-Y')."\" required>
							</div>
						  </div>
						  <input type=\"hidden\" name=\"creador_organizacion\" value=\"".$creator."\">
						  <div class=\"form-group\">
							<label for=\"inputOrg\" class=\"col-lg-2 control-label\">".$organization."</label>
							<div class=\"col-lg-10\">
							   <p class=\"form-control-static\">".$organizacion."</p><input type=\"hidden\" name=\"organizacion\" value=\"".$organizacion."\">
							</div>
						  </div>
						  <div class=\"form-group\">
							<label for=\"inputPais\" class=\"col-lg-2 control-label\">País</label>
							<div class=\"col-lg-10\">
							  <p class=\"form-control-static\">".$paises[$paiis]."</p><input type=\"hidden\" name=\"pais\" value=\"".$paiis."\">
							</div>
						  </div>
						  <div class=\"form-group\">
							<label for=\"inputRegion\" class=\"col-lg-2 control-label\">Región</label>
							<div class=\"col-lg-10\">
							  <p class=\"form-control-static\">".$regiones[$paiis][$reggion]."</p><input type=\"hidden\" name=\"region\" value=\"".$reggion."\">
							</div>
						  </div>
						  
						   <a name=\"champions\"></a>
						   <legend>Tipos de campeonatos</legend><p class=\"help-block\">Especifica los distintos campeonatos, trofeos y pruebas.</p>
						   <div id=\"tipo_champ_del1\">
							  <div class=\"form-group\">
								<label for=\"inputChamp\" class=\"col-lg-2 control-label\">Nombre del evento </label>
								<div class=\"col-lg-10\">
								  <input type=\"text\" class=\"form-control\" id=\"inputChamp1\" name=\"champ\" placeholder=\"Prueba/Campeonato/Trofeo\" onblur=\"modify($(this).val(),'num_jueces','1');modify($(this).val(),'trofeos','1');modify($(this).val(),'campeonatos','1');\" required>
								  <input type=\"hidden\" name=\"id_tipoChamp\">
								  <label class=\"checkbox-inline\">
									<input type=\"checkbox\" id=\"inlineCheckbox1\" name=\"esOficial\"> Oficial
								  </label>
								  <input type=\"hidden\" name=\"finChamp\">
								</div>
							  </div>
							  <div class=\"form-group\">
								<div class=\"col-lg-offset-2 col-lg-10\">
									<button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"$('#tipo_champ_del1').empty().append('');$('#num_juez1').remove();$('#trofeoChamp1').remove();$('#elemento_tiempo_champ1').remove();$('#elemento_jueces_champ1').remove();\"><span class=\"glyphicon glyphicon-minus-sign\"></span> Eliminar </button>
								</div>
							  </div>
						  </div>
						  <div id=\"tipo_champ1\">
							  <div class=\"form-group\">
								<div class=\"col-lg-offset-2 col-lg-10\">
								  <button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\"  onClick=\"nuevo('#tipo_champ1','champ', '1');\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir tipo de campeonato </button>
								</div>
							  </div>
						  </div>
							
						  <a name=\"caths\"></a>
						  <legend>Categorías</legend><p class=\"help-block\">Especifica las categorías del campeonato.</p>
						  <div id=\"tipo_categoria_del1\">
							  <div class=\"form-group\">
								<label for=\"inputCategoria\" class=\"col-lg-2 control-label\">Nombre de la categoría</label>
								<div class=\"col-lg-10\">
								  <input type=\"text\" class=\"form-control\" id=\"inputCategoria1\" placeholder=\"Pre-Benjamín/Benjamín/Alevín/Infantil/Cadete/Juvenil/Junior/Senior\" onblur=\"modify($(this).val(),'tiempo_categorias','1');\" name=\"categoria\" required>
								  <input type=\"hidden\" name=\"id_cat\">
								</div>
							  </div>
							  <div class=\"form-group\">
								  <label for=\"inputEdad\" class=\"col-lg-2 control-label\">Desde: </label>
								  <div class=\"col-lg-5\">
									  <select class=\"form-control\" name=\"categoria_desde\">
										  <option>Menos de</option>
										  <option>los</option>
										  <option>Más de</option>
									  </select>
								  </div>
								  <div class=\"col-lg-5\">
									  <select class=\"form-control\" name=\"categoria_edad1\">
										  <option>7</option>
										  <option>8</option>
										  <option>9</option>
										  <option>10</option>
										  <option>11</option>
										  <option>12</option>
										  <option>13</option>
										  <option>14</option>
										  <option>15</option>
										  <option>16</option>
										  <option>17</option>
										  <option>18</option>
										  <option>19</option>
										  <option>20</option>
									  </select>
								  </div>
							  </div>
							  <div class=\"form-group\">
								  <label for=\"inputEdad2\" class=\"col-lg-2 control-label\">Hasta: </label>
								   <div class=\"col-lg-5\">
									  <select class=\"form-control\" name=\"categoria_hasta\">
										  <option>Menos de</option>
										  <option>los</option>
										  <option>Más de</option>
									  </select>
								  </div>
								  <div class=\"col-lg-5\">
									  <select class=\"form-control\" name=\"categoria_edad2\">
										  <option>7</option>
										  <option>8</option>
										  <option>9</option>
										  <option>10</option>
										  <option>11</option>
										  <option>12</option>
										  <option>13</option>
										  <option>14</option>
										  <option>15</option>
										  <option>16</option>
										  <option>17</option>
										  <option>18</option>
										  <option>19</option>
										  <option>20</option>
									  </select>
								  </div>
							  </div>
							  <div class=\"form-group\">
								<div class=\"col-lg-offset-2 col-lg-10\">
								 <button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"$('#tipo_categoria_del1').empty().append('');$('#elemento_tiempo1').remove();$('#select_cat option[value=1]').remove();$('#cat_tiempo1').remove();borrar_categorias('1');$('#elemento_jueces1').remove();$('#select_jueces_cat option[value=1]').remove();$('#cat_jueces1').remove();\"><span class=\"glyphicon glyphicon-minus-sign\"></span> Eliminar </button>
								</div>
							  </div>
						  </div>
						  <div id=\"tipo_categoria1\">
							  <div class=\"form-group\">
								<div class=\"col-lg-offset-2 col-lg-10\">
								  <button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"nuevo('#tipo_categoria1','categoria', '1');\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir tipo de categoría </button>
								</div>
							  </div>
						  </div>
						  
						  
						  <a name=\"muds\"></a>
						  <legend>Modalidades</legend><p class=\"help-block\">Especifica las modalidades para tus campeonatos, pruebas y trofeos.</p>
						  <div id=\"tipo_mod_del1\">
							  <div class=\"form-group\">
								<label for=\"inputMod1\" class=\"col-lg-2 control-label\">Nombre de la modalidad</label>
								<div class=\"col-lg-10\">
								  <input type=\"text\" class=\"form-control\" id=\"inputMod1\" placeholder=\"Libre/Figuras obligatorias/Parejas Danza/Parejas Artístico/...\" name=\"mod\" onblur=\"modify($(this).val(),'medallas','1');modify($(this).val(),'pruebas','1');modify($(this).val(),'trofeosMod','1');modify($(this).val(),'puntuaciones','1');modify($(this).val(),'pago','1');modify($(this).val(),'tiempo','1');\" required>
								  <input type=\"hidden\" name=\"id_mod\">
								</div>
							  </div>
							  <div class=\"form-group\">
								<div class=\"col-lg-offset-2 col-lg-10\">
								  <label class=\"radio-inline\">
									  <input type=\"radio\" id=\"inlineradio1\" value=\"ind\" name=\"mod_radio1\" onClick=\"onRadio('medal','ind','1');\" checked> Individual
									</label>
									<label class=\"radio-inline\">
									  <input type=\"radio\" id=\"inlineradio2\" value=\"par\" name=\"mod_radio1\" onClick=\"onRadio('medal','par','1');\"> Parejas
									</label>
									<label class=\"radio-inline\">
									  <input type=\"radio\" id=\"inlineradio3\" value=\"group\" name=\"mod_radio1\" onClick=\"onRadio('medal','group','1');\"> Grupo
									</label>
								</div>
							  </div>
							  <div class=\"form-group\">
								<div class=\"col-lg-offset-2 col-lg-10\">
								  <button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"$('#medalla1').remove();borrar_trofeosMod('1');$('#prueba1').remove();$('#pago_inscripcion1').remove();$('#select_mod option[value=1]').remove();$('#modalidad_tiempo1').remove();borrar_modalidades_tiempo('1');$('#select_mod_jueces option[value=1]').remove();$('#modalidad_jueces1').remove();$('#tipo_mod_del1').empty().append('');\"><span class=\"glyphicon glyphicon-minus-sign\"></span> Eliminar </button>
								</div>
							  </div>
							  
							 </div>
						  <div id=\"tipo_mod1\">
							  <div class=\"form-group\">
								<div class=\"col-lg-offset-2 col-lg-10\">
								  <button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"nuevo('#tipo_mod1','mod', '1');\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir modalidad </button>
								</div>
							  </div>
						  </div>
					  </div>
					  
					  <div id=\"pagina2\" style=\"display:none;\">
						  <div class=\"row\">
							  <div class=\"col-md-8\">
							  </div>
							  <div class=\"col-md-4\">
								
								<ul class=\"list-group\">
								  <li class=\"list-group-item\"><a href=\"#proubas\">1. Pruebas</a></li>
								  <li class=\"list-group-item\"><a href=\"#jouces\">2. Número de jueces</a></li>
								  <li class=\"list-group-item\"><a href=\"#pageination\">3. Paginación</a></li>
								</ul>
							  </div>
						  </div>
						  
						  <h2 class=\"text-center\">Paso 2 <small>Número de jueces y pruebas</small></h2>
						  <legend>Tipos de pruebas</legend><p class=\"help-block\">Especifica los tipos de pruebas de nivel según las modalidades.</p>
						  <div id=\"pruebas\"></div>
						  <br>
						  
						  <a name=\"jouces\"></a>
						  <legend>Número de jueces</legend><p class=\"help-block\">Especifica el número máximo y mínimo de jueces para cada tipo de campeonato.</p>
						  <div id=\"tipo_num_juez\"></div>
					  </div>
					  
					  <div id=\"pagina3\" style=\"display:none;\">
						<div class=\"row\">
						  <div class=\"col-md-8\">
						  </div>
						  <div class=\"col-md-4\">
							
							<ul class=\"list-group\">
							  <li class=\"list-group-item\"><a href=\"#medallones\">1. Medallas</a></li>
							  <li class=\"list-group-item\"><a href=\"#trofeus\">2. Trofeos</a></li>
							  <li class=\"list-group-item\"><a href=\"#payments\">3. Pagos</a></li>
							  <li class=\"list-group-item\"><a href=\"#points\">4. Calculadores</a></li>
							  <li class=\"list-group-item\"><a href=\"#pageination\">5. Paginación</a></li>
							</ul>
						  </div>
					    </div>
						
						<a name=\"medallones\"></a>
						<h2 class=\"text-center\">Paso 3 <small>Medallas, trofeos y pagos.</small></h2>
						<legend>Medallas</legend><p class=\"help-block\">Limita las medallas que recibe cada participante.</p>
						<div id=\"tipo_medalla\">
						</div>
						<br>
						
						<a name=\"trofeus\"></a>
						<legend>Trofeos</legend><p class=\"help-block\">Limita los trofeos que se reciben en el campeonato.</p>
						<div id=\"tipo_trofeo\">
						</div>
						<br>
						
						<a name=\"payments\"></a>
						<legend>Pagos</legend><p class=\"help-block\">Especifica los pagos por inscripción, para jueces, calculadores y el precio de las medallas.</p>
						<div id=\"tipo_pago\">
							<h4>Inscripciones</h4>
							<input type=\"hidden\" id=\"pago_inscripciones\" name=\"inicio_pago_inscripciones\">
							<div id=\"tipo_pago_inscripcion\"></div>
							<input type=\"hidden\" id=\"pago_inscripciones2\" name=\"fin_pago_inscripciones\">
							
							<h4>Jueces y calculadores</h4>
							<input type=\"hidden\" id=\"pago_jueces\" name=\"inicio_pago_jueces\">
							<div id=\"tipo_pago_juez_del1\">
							  <div class=\"panel panel-primary\">
								<div class=\"panel-heading\">Pago para jueces o calculadores <span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#tipo_pago_juez_del1').empty().append('');\" title=\"Borra este elemento\"></span><br></div>
									<div class=\"panel-body\">
									  <div class=\"form-group\">
										  <label for=\"inputPagoJuez1\" class=\"col-lg-2 control-label\">Tipo de juez </label>
										  <div class=\"col-lg-7\">
											<select class=\"form-control\" id=\"inputPagoJuez1\" name=\"nombre_pago_juez\">
											  <option value=\"juez\" selected>Juez regional</option>
											  <option value=\"juez2\" selected>Juez nacional</option>
											  <option value=\"juez3\" selected>Juez internacional</option>
											  <option value=\"clasificador\">Gestor de clasificaciones</option>
											  <option value=\"gestor\">Gestor de documentos</option>
											</select>
										  </div>
									  </div>
									  <div class=\"form-group\">
										  <label for=\"inputPagoHora\" class=\"col-lg-2 control-label\">Tarifa por hora</label>
										  <div class=\"col-lg-7\">
											<input type=\"text\" class=\"form-control\" id=\"inputPagoHora\" name=\"tarifa_pago_juez\" placeholder=\"Especifique cuántos euros gana en una hora...\" required>
										    <input type=\"hidden\" name=\"id_pago2\">
										  </div>
										  <div class=\"col-lg-1\">
											<p class=\"form-control-static\">€</p>
										  </div>
									  </div>
									  <div class=\"form-group\">
										  <label for=\"inputPagoKm\" class=\"col-lg-2 control-label\">Tarifa por distancia</label>
										  <div class=\"col-lg-7\">
											<input type=\"text\" class=\"form-control\" id=\"inputPagoKm\" name=\"tarifa_pago_km\" placeholder=\"Especifique cuántos euros se le paga por Kilómetro...\" required>
										  </div>
										  <div class=\"col-lg-1\">
											<p class=\"form-control-static\">€/Kms</p>
										  </div>
									  </div>

									  <div class=\"panel panel-info\">
										<div class=\"panel-heading\">Dieta</div>
											<div class=\"panel-body\">
												<div class=\"form-group\">
													<label for=\"inputPagoDieta\" class=\"col-lg-1 control-label\">Cantidad:</label>
													<div class=\"col-lg-3\">
														<input type=\"text\" class=\"form-control\" id=\"inputPagoDieta\" name=\"tarifa_pago_dieta\" placeholder=\"Especifique cantidad de la dieta en €uros...\" required>
													</div>
													<div class=\"col-lg-1\">
														<p class=\"form-control-static\">€</p>
													</div>
													<label for=\"inputPagoHorasDieta\" class=\"col-lg-1 control-label\">A partir de:</label>
													<div class=\"col-lg-3\">
														<input type=\"text\" class=\"form-control\" id=\"inputPagoHorasDieta\" name=\"tarifa_pago_hora_dieta\" placeholder=\"Especifique número de horas...\" required>
													</div>
													<div class=\"col-lg-1\">
														<p class=\"form-control-static\">horas.</p>
													</div>
												</div>
											</div>
									  </div>
									</div>
								</div>
							</div>
							<div id=\"tipo_pago_juez1\">
							  <div class=\"form-group\">
								<div class=\"col-lg-offset-2 col-lg-10\">
								  <button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\"  onClick=\"nuevo('#tipo_pago_juez1','pago_juez', '1');\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir pago para juez </button>
								</div>
							  </div>
							</div>
							<input type=\"hidden\" id=\"pago_jueces2\" name=\"fin_pago_jueces\">
							
							<h4>Medallas</h4>
							<input type=\"hidden\" id=\"pago_medallas\" name=\"inicio_pago_medallas\">
							<div id=\"tipo_pago_medalla_del1\">
							   <div class=\"panel panel-primary\">
									<div class=\"panel-heading\">Coste por medalla <span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#tipo_pago_medalla_del1').empty().append('');\" title=\"Borra este elemento\"></span><br></div>
									<div class=\"panel-body\">
										<div class=\"form-group\">
										  <label for=\"inputPagoMedalla1\" class=\"col-lg-2 control-label\">Tarifa por medalla</label>
										  <div class=\"col-lg-5\">
											<input type=\"text\" class=\"form-control\" id=\"inputPagoMedalla1\" name=\"tarifa_pago_medalla\" placeholder=\"Especifique el coste de una medalla...\" required>
										    <input type=\"hidden\" name=\"id_pago3\">
										  </div>
										  <div class=\"col-lg-5\">
											<p class=\"form-control-static\">€</p>
										  </div>
										</div>
									</div>
								</div>
							</div>
							<div id=\"tipo_pago_medalla1\">
							  <div class=\"form-group\">
								<div class=\"col-lg-offset-2 col-lg-10\">
								  <button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\"  onClick=\"nuevo('#tipo_pago_medalla1','pago_medalla', '1');\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir pago para medalla </button>
								</div>
							  </div>
							</div>
							<input type=\"hidden\" id=\"pago_medallas2\" name=\"fin_pago_medallas\">
						</div>
						
					    <a name=\"points\"></a>
					    <legend>Calculadores</legend><p class=\"help-block\">Especifica los elementos para realizar los documentos para los calculadores.</p>
					    <div id=\"puntuaciones\"></div>
						  
						<br>
					  </div>
					  
					  <div id=\"pagina4\" style=\"display:none;\">
					    <div class=\"row\">
						  <div class=\"col-md-8\">
						  </div>
						  <div class=\"col-md-4\">
							
							<ul class=\"list-group\">
							  <li class=\"list-group-item\"><a href=\"#times\">1. Tiempos</a></li>
							  <li class=\"list-group-item\"><a href=\"#jouzos\">2. Jueces</a></li>
							  <li class=\"list-group-item\"><a href=\"#pageination\">3. Paginación</a></li>
							</ul>
						  </div>
					    </div>
						  <h2 class=\"text-center\">Paso 4 <small>Tiempos y jueces</small></h2>
						  
						  <a name=\"times\"></a>
						  <legend>Tiempos</legend><p class=\"help-block\">Especifica los tiempos para el programa de los campeonatos.</p>
						  <div class=\"form-group\">
								<label class=\"col-lg-2 control-label\">Selecciona: </label>
								<div class=\"col-lg-8\">
								  <select class=\"form-control\" onchange=\"cargar_opcion(this.value);\">
									  <option value=\"default\">Selecciona una opción</option>
									  <option value=\"categorias\">Según categorías</option>
									  <option value=\"campeonatos\">Según tipos de campeonatos</option>
								  </select>
								</div> 
						  </div>
						  <div id=\"tipo_tiempo\"></div>
						  <br>
						  
						  <a name=\"jouzos\"></a>
						  <legend>Jueces</legend><p class=\"help-block\">Establece los documentos para los jueces. Se ha de especificar qué elementos contienen las tablas según el reglamento.</p>
						  <div class=\"form-group\">
								<label class=\"col-lg-2 control-label\">Selecciona: </label>
								<div class=\"col-lg-8\">
								  <select class=\"form-control\" onchange=\"cargar_opcion(this.value);\">
									  <option value=\"default_juez\">Selecciona una opción</option>
									  <option value=\"categorias_juez\">Según categorías</option>
									  <option value=\"campeonatos_juez\">Según tipos de campeonatos</option>
								  </select>
								</div> 
						  </div>
						  <div id=\"tipo_documento_juez\">
						  </div>
					  </div>
					  
					  <div id=\"pagina5\" style=\"display:none;\">
						<legend>Guardar plantilla</legend><p class=\"help-block\">Si ha terminado de configurar su plantilla, sólo falta guardarla.</p>
						<div class=\"well well-lg\">
							<div class=\"form-group\">
								<div class=\"col-lg-offset-2 col-lg-5\">
								  <button type=\"submit\" class=\"btn btn-primary pull-left\" disabled=\"disabled\" id=\"botonAutodestruccion\" data-loading-text=\"Guardando,tenga paciencia...\">Guardar plantilla</button>&nbsp;
								  <button type=\"button\" class=\"btn btn-default\" onClick=\"ver_plantilla();\" data-toggle=\"modal\" data-target=\"#myModal2\">Ver plantilla</button>
								</div>
								<div class=\"modal fade\" id=\"myModal2\" tabindex=\"-1\" role=\"dialog\" aria-labelledby=\"myModalLabel\" aria-hidden=\"true\" style=\"text-align:left;\">
								  <div class=\"modal-dialog\">
									<div class=\"modal-content\">
									  <div class=\"modal-header\" id=\"cabecera\">
									  </div>
									  <div class=\"modal-body\" id=\"cuerpoModal\">
									  </div>
									  <div class=\"modal-footer\">
										<button type=\"button\" class=\"btn btn-default\" data-dismiss=\"modal\">Cerrar</button>
									  </div>
									</div>
								  </div>
								</div>
							</div>
						</div>
					  </div>
					</form>
				</div>
				
				<div class=\"progress\" id=\"barra_progreso\">
				  <div class=\"progress-bar progress-bar-danger\" role=\"progressbar\" aria-valuenow=\"0\" aria-valuemin=\"0\" aria-valuemax=\"100\" style=\"width: 100%;\" >
					<span>0% Completado.</span>
				  </div>
				</div>
				<a name=\"pageination\"></a>
				<ul class=\"pagination\" id=\"paginacion\">
				  <li><a href=\"#inicioPage\"><span class=\"glyphicon glyphicon-home\"></span> Inicio</a></li>
				  <li class=\"active\"><a href=\"#\">1</a></li>
				  <li><a href=\"#\">2</a></li>
				  <li><a href=\"#\">3</a></li>
				  <li><a href=\"#\">4</a></li>
				  <li><a href=\"#\">5</a></li>
				</ul>
			</div>
			<div class=\"tab-pane fade\" id=\"other\" style=\"margin-left: 10px;margin-right:10px;\">";
			$sql->query("SELECT * FROM plantilla");
			$sql->ejecutarSQL();
			$numRegPl=$sql->getNumRegistros();
			$plantilla=$sql->getTodosRegistro();
			if ($numRegPl > 0){
				echo "<div class=\"well\">
						<table class='table table-condensed table-hover table-responsive' id=\"tabla_mod_gesplant\">
							<thead>
								<tr>
									<th>Nombre plantilla</th>
									<th>Organización</th>
									<th>País</th>
									<th>Región</th>
									<th>Fecha creación</th>
									<th>Última modificación</th>
								</tr>
							</thead>
							<tbody>";
				foreach ($plantilla as &$valor) {
						$tiempo=strtotime($valor['fecha_creacion']);
						$tiempo2=strtotime($valor['ult_mod']);
						echo "<tr style=\"cursor: pointer;\" onClick=\"seleccionar_plantilla('".$valor['nombre_pl']."','".$valor['creador']."','".$valor['id_plantilla']."','crear');\"><td>".$valor['nombre_pl']."</td>
							<td>".$valor['nombre_org']."</td>
							<td>".$paises[$valor['pais_pl']]."</td>
							<td>".$regiones[$valor['pais_pl']][$valor['region_pl']]."</td>
							<td>".date('d-m-Y H:i:s',$tiempo)."</td>
							<td>".date('d-m-Y H:i:s',$tiempo2)."</td></tr>";
				}
						echo "</tbody>
						</table>
					</div>";
			}
			//Si no ha creado ninguna, se le mostrará por pantalla
			else echo $gesplantModOff;
			echo "
			</div>
		</div>
		<!-- <button type=\"button\" class=\"btn btn-primary pull-left\" onClick=\"$('#result').empty();\">Borrar resultado</button> -->
		<!-- <div class=\"well\" id=\"result\"></div> -->";
	}
	//Segundo caso: Modificar plantilla
	if ((isset($_GET['mod']))||(isset($_GET['ver']))){
		if (((isset($_GET['mod']))&&($_GET['mod']==""))||(isset($_GET['ver']))){
			echo "<script type=\"text/javascript\" src=\"modulos/campeonatos/plantilla/funcionesplantillas.js\"></script><small>Modificar una plantilla</small></h2>";
			$sql->query("SELECT * FROM plantilla WHERE nombre_org='$organizacion'");
			$sql->ejecutarSQL();
			//Cogemos todas las plantillas que haya creado un club/federación.
			$numRegPl=$sql->getNumRegistros();
			$plantilla=$sql->getTodosRegistro();			
			if ($numRegPl > 0){
				echo "<div class=\"well\">
						<table class='table table-condensed table-hover table-responsive' id=\"tabla_mod_gesplant\">
							<thead>
								<tr>
									<th>Nombre plantilla</th>
									<th>".$organization."</th>
									<th>País</th>
									<th>Región</th>
									<th>Fecha creación</th>
									<th>Última modificación</th>
								</tr>
							</thead>
							<tbody>";
				foreach ($plantilla as &$valor) {
						$tiempo=strtotime($valor['fecha_creacion']);
						$tiempo2=strtotime($valor['ult_mod']);
						if (isset($_GET['ver'])) echo "<tr style=\"cursor: pointer;\" onClick=\"seleccionar_plantilla('".$valor['nombre_pl']."','".$creator."','".$valor['id_plantilla']."','ver');\"><td>".$valor['nombre_pl']."</td>";
						else echo "<tr style=\"cursor: pointer;\" onClick=\"seleccionar_plantilla('".$valor['nombre_pl']."','".$creator."','".$valor['id_plantilla']."','modificar');\"><td>".$valor['nombre_pl']."</td>";
							echo "
							<td>".$valor['nombre_org']."</td>
							<td>".$paises[$valor['pais_pl']]."</td>
							<td>".$regiones[$valor['pais_pl']][$valor['region_pl']]."</td>
							<td>".date('d-m-Y H:i:s',$tiempo)."</td>
							<td>".date('d-m-Y H:i:s',$tiempo2)."</td></tr>";
				}
						echo "</tbody>
						</table>
					</div>";
			}
			//Si no ha creado ninguna, se le mostrará por pantalla
			else echo $gesplantModOff;
		}
		else{
			$creador_plantilla_pl=$_GET['mod'];
			$identificador_plantilla_pl=$_GET['id'];
			$sql->query("SELECT * FROM plantilla WHERE creador='$creador_plantilla_pl' AND id_plantilla='$identificador_plantilla_pl'");
			$sql->ejecutarSQL();
			//Cogemos todas las plantillas que haya creado un club/federación.
			$numRegPl=$sql->getNumRegistros();
			$plantillaRes=$sql->getUnRegistro();
			$ver=0;
			if ($numRegPl > 0){
				//Variables temporales
				$iterador=1;
				$arrayTemp;
				echo "<script type=\"text/javascript\" src=\"modulos/campeonatos/plantilla/funcionesplantillas.js\">";
				if ($_GET['op']=="modificar"){ 
					echo "</script><small>Modificar una plantilla</small></h2>";
					$world=$paises[$plantillaRes['pais_pl']];
					$worlLand=$plantillaRes['pais_pl'];
					$land=$regiones[$plantillaRes['pais_pl']][$plantillaRes['region_pl']];
					$village=$plantillaRes['region_pl'];
				}
				else{
					if ($_GET['op']=="ver"){
						$ver=1;
						echo "</script><small>Ver una plantilla</small></h2>";
						$world=$paises[$plantillaRes['pais_pl']];
						$worlLand=$plantillaRes['pais_pl'];
						$land=$regiones[$plantillaRes['pais_pl']][$plantillaRes['region_pl']];
						$village=$plantillaRes['region_pl'];
					}
					else{							
						echo "</script><small>Crear una plantilla a partir de otra</small></h2>";
						$world=$paises[$mundo];
						$worlLand=$mundo;
						$land=$regiones[$mundo][$pueblo];
						$village=$pueblo;
					}
				}
				
				echo "
				<a name=\"inicioPage\"></a>
				<div class=\"well\" id=\"pagina\">
					<form class=\"form-horizontal\" id=\"pl-mod-form\" action=\"modulos/campeonatos/plantilla/tratamientoDatos.php\">
					  <div id=\"pagina1\"";if ($ver==1) echo " style=\"display:none;\""; echo ">";
						echo "
						  <div class=\"row\">
							  <div class=\"col-md-8\">
							  </div>
							  <div class=\"col-md-4\">
							    
								<ul class=\"list-group\">
								  <li class=\"list-group-item\"><a href=\"#champions\">1. Tipos de campeonatos</a></li>
								  <li class=\"list-group-item\"><a href=\"#caths\">2. Categorías</a></li>
								  <li class=\"list-group-item\"><a href=\"#muds\">3. Modalidades</a></li>
								  <li class=\"list-group-item\"><a href=\"#pageination\">4. Paginación</a></li>
								</ul>
							  </div>
						  </div>
						  
						  <h2 class=\"text-center\">Paso 1 <small>Información básica</small></h2>
						  <legend>Información General</legend><p class=\"help-block\">Información general sobre la plantilla del campeonato.</p>
						  <div class=\"form-group\">
							<label for=\"inputNombre\" class=\"col-lg-2 control-label\">Nombre de la plantilla</label>
							<div class=\"col-lg-10\">
							  <input type=\"text\" class=\"form-control\" name=\"nombre_pl\" id=\"inputNombre\" placeholder=\"".date('d-m-Y')."\" value=\"".$plantillaRes['nombre_pl']."\" required>
							</div>
						  </div>
						  <input type=\"hidden\" name=\"creador_organizacion\" value=\"".$creator."\">
						  <div class=\"form-group\">
							<label for=\"inputOrg\" class=\"col-lg-2 control-label\">".$organization."</label>
							<div class=\"col-lg-10\">
							   <p class=\"form-control-static\">".$organizacion."</p><input type=\"hidden\" name=\"organizacion\" value=\"".$organizacion."\">
							</div>
						  </div>
						  <div class=\"form-group\">
							<label for=\"inputPais\" class=\"col-lg-2 control-label\">País</label>
							<div class=\"col-lg-10\">
							  <p class=\"form-control-static\">".$world."</p><input type=\"hidden\" name=\"pais\" value=\"".$worlLand."\">
							</div>
						  </div>
						  <div class=\"form-group\">
							<label for=\"inputRegion\" class=\"col-lg-2 control-label\">Región</label>
							<div class=\"col-lg-10\">
							  <p class=\"form-control-static\">".$land."</p><input type=\"hidden\" name=\"region\" value=\"".$village."\">
							</div>
						  </div>";
						  
						  //Campeonatos
						  $sql->query("SELECT * FROM tipos_campeonato WHERE id_pl='$identificador_plantilla_pl'");
						  $sql->ejecutarSQL();
						  $numRegChamps=$sql->getNumRegistros();
						  $vectorChamps=array();
						  echo "
							  <a name=\"champions\"></a>
							  <legend>Tipos de campeonatos</legend><p class=\"help-block\">Especifica los distintos campeonatos, trofeos y pruebas.</p>";
						if ($numRegChamps>0){
							$champs=$sql->getTodosRegistro();
							foreach ($champs as &$campeonato) {
								echo "
								   <div id=\"tipo_champ_del".$iterador."\">
									  <div class=\"form-group\">
										<label for=\"inputChamp\" class=\"col-lg-2 control-label\">Nombre del evento </label>
										<div class=\"col-lg-10\">
										  <input type=\"text\" class=\"form-control\" id=\"inputChamp".$iterador."\" name=\"champ\" placeholder=\"Prueba/Campeonato/Trofeo\" onblur=\"modify($(this).val(),'num_jueces','".$iterador."');modify($(this).val(),'trofeos','".$iterador."');modify($(this).val(),'campeonatos','".$iterador."');\" value=\"".$campeonato['nombre']."\" required>
										  <input type=\"hidden\" name=\"id_tipoChamp\" value=\"".$campeonato['id_tipoChamp']."\">
										  <label class=\"checkbox-inline\">";
											if ($campeonato['oficial'] == true) echo "<input type=\"checkbox\" id=\"inlineCheckbox".$iterador."\" name=\"esOficial\" checked> Oficial";
											else echo "<input type=\"checkbox\" id=\"inlineCheckbox".$iterador."\" name=\"esOficial\"> Oficial";
											echo "
										  </label>
										  <input type=\"hidden\" name=\"finChamp\">
										</div>
									  </div>
									  <div class=\"form-group\">
										<div class=\"col-lg-offset-2 col-lg-10\">
											<button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"$('#tipo_champ_del".$iterador."').empty().append('');$('#num_juez".$iterador."').remove();$('#trofeoChamp".$iterador."').remove();$('#elemento_tiempo_champ".$iterador."').remove();$('#elemento_jueces_champ".$iterador."').remove();\"><span class=\"glyphicon glyphicon-minus-sign\"></span> Eliminar </button>
										</div>
									  </div>
								  </div>";
								  $vectorChamps[$campeonato['nombre']]=$iterador;
								  if ($iterador==count($champs)){
										echo "
									  <div id=\"tipo_champ".$iterador."\">
										  <div class=\"form-group\">
											<div class=\"col-lg-offset-2 col-lg-10\">
											  <button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\"  onClick=\"nuevo('#tipo_champ".$iterador."','champ', '".$iterador."');\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir tipo de campeonato </button>
											</div>
										  </div>
									  </div>";
								  }
								
								$iterador++;
							}
						}
						
						$iterador=1;
						
						//Categorías
						$vectorCats=array();
						$arrayTemp=array("Menos de", "los", "Más de");
						echo "
						<a name=\"caths\"></a>
						<legend>Categorías</legend><p class=\"help-block\">Especifica las categorías del campeonato.</p>";
						$sql->query("SELECT * FROM categorias WHERE id_pl='$identificador_plantilla_pl'");
						$sql->ejecutarSQL();
						$numReg=$sql->getNumRegistros();
						if ($numReg > 0){
							$cats=$sql->getTodosRegistro();
							foreach ($cats as &$categoria) {
								echo "
								  <div id=\"tipo_categoria_del".$iterador."\">
									  <div class=\"form-group\">
										<label for=\"inputCategoria\" class=\"col-lg-2 control-label\">Nombre de la categoría</label>
										<div class=\"col-lg-10\">
										  <input type=\"text\" class=\"form-control\" id=\"inputCategoria".$iterador."\" placeholder=\"Pre-Benjamín/Benjamín/Alevín/Infantil/Cadete/Juvenil/Junior/Senior\" onblur=\"modify($(this).val(),'tiempo_categorias','".$iterador."');\" name=\"categoria\" value=\"".$categoria['nombre']."\"required>
										  <input type=\"hidden\" name=\"id_cat\" value=\"".$categoria['id_cat']."\">
										</div>
									  </div>
									  <div class=\"form-group\">
										  <label for=\"inputEdad\" class=\"col-lg-2 control-label\">Desde: </label>
										  <div class=\"col-lg-5\">
											  <select class=\"form-control\" name=\"categoria_desde\">";
											  for ($i = 0; $i <= 2; $i++){
													if ($arrayTemp[$i]==$categoria['desde']) echo "<option selected>".$arrayTemp[$i]."</option>";
													else echo "<option>".$arrayTemp[$i]."</option>";
											  }
											  echo "
											  </select>
										  </div>
										  <div class=\"col-lg-5\">
											  <select class=\"form-control\" name=\"categoria_edad1\">";
											  for ($i = 7; $i <= 20; $i++){
													if ($categoria['minimo']==$i) echo "<option selected>".$i."</option>";
													else echo "<option>".$i."</option>";
											  }
												echo "  
											  </select>
										  </div>
									  </div>
									  <div class=\"form-group\">
										  <label for=\"inputEdad2\" class=\"col-lg-2 control-label\">Hasta: </label>
										   <div class=\"col-lg-5\">
											  <select class=\"form-control\" name=\"categoria_hasta\">";
											  for ($i = 0; $i <= 2; $i++){
													if ($arrayTemp[$i]==$categoria['hasta']) echo "<option selected>".$arrayTemp[$i]."</option>";
													else echo "<option>".$arrayTemp[$i]."</option>";
											  }
											  echo "
											  </select>
										  </div>
										  <div class=\"col-lg-5\">
											  <select class=\"form-control\" name=\"categoria_edad2\">";
											  for ($i = 7; $i <= 20; $i++){
													if ($categoria['maximo']==$i) echo "<option selected>".$i."</option>";
													else echo "<option>".$i."</option>";
											  }
												echo "  
											  </select>
										  </div>
									  </div>
									  <div class=\"form-group\">
										<div class=\"col-lg-offset-2 col-lg-10\">
										 <button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"$('#tipo_categoria_del".$iterador."').empty().append('');$('#elemento_tiempo".$iterador."').remove();$('#select_cat option[value=".$iterador."]').remove();$('#cat_tiempo".$iterador."').remove();borrar_categorias('".$iterador."');$('#elemento_jueces".$iterador."').remove();$('#select_jueces_cat option[value=".$iterador."]').remove();$('#cat_jueces".$iterador."').remove();\"><span class=\"glyphicon glyphicon-minus-sign\"></span> Eliminar </button>
										</div>
									  </div>
								  </div>";
								  $vectorCats[$categoria['nombre']]=$iterador;
								if ($iterador==count($cats)){
									echo "
								  <div id=\"tipo_categoria".$iterador."\">
									  <div class=\"form-group\">
										<div class=\"col-lg-offset-2 col-lg-10\">
										  <button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"nuevo('#tipo_categoria".$iterador."','categoria', '".$iterador."');\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir tipo de categoría </button>
										</div>
									  </div>
								  </div>";
								}
								$iterador++;
							}
						}
						$iterador=1;
						
						//Modalidades
						
						echo "
						<a name=\"muds\"></a>
						<legend>Modalidades</legend><p class=\"help-block\">Especifica las modalidades para tus campeonatos, pruebas y trofeos.</p>";
						//El vector de modalidades guarda el número de las modalidades que se necesitará más adelante.
						$vectorMods=array();
						$sql->query("SELECT * FROM modalidades WHERE id_pl='$identificador_plantilla_pl' ORDER BY id_mod");
						$sql->ejecutarSQL();
						$numReg=$sql->getNumRegistros();
						if ($numReg > 0){
							$mods=$sql->getTodosRegistro();
							foreach ($mods as &$modalidad) {
								$vectorMods[$modalidad['nombre']]=$iterador;
								if ($iterador=='1') $entero=$iterador;
								else $entero=$iterador*100;
								echo "
							  <div id=\"tipo_mod_del".$iterador."\">
								  <div class=\"form-group\">
									<label for=\"inputMod".$iterador."\" class=\"col-lg-2 control-label\">Nombre de la modalidad</label>
									<div class=\"col-lg-10\">
									  <input type=\"text\" class=\"form-control\" id=\"inputMod".$iterador."\" placeholder=\"Libre/Figuras obligatorias/Parejas Danza/Parejas Artístico/...\" name=\"mod\" onblur=\"modify($(this).val(),'medallas','".$iterador."');modify($(this).val(),'trofeosMod','".$iterador."');modify($(this).val(),'pruebas','".$iterador."');modify($(this).val(),'puntuaciones','".$iterador."');modify($(this).val(),'pago','".$iterador."');modify($(this).val(),'tiempo','".$iterador."');\" value=\"".$modalidad['nombre']."\"required>
									  <input type=\"hidden\" name=\"id_mod\" value=\"".$modalidad['id_mod']."\">
									</div>
								  </div>
								  <div class=\"form-group\">
									<div class=\"col-lg-offset-2 col-lg-10\">
									  <label class=\"radio-inline\">
										  <input type=\"radio\" id=\"inlineradio1\" value=\"ind\" name=\"mod_radio".$iterador."\" onClick=\"onRadio('medal','ind','".$iterador."');\" ";if ($modalidad['tipo']=="ind") echo "checked"; echo "> Individual
										</label>
										<label class=\"radio-inline\">
										  <input type=\"radio\" id=\"inlineradio2\" value=\"par\" name=\"mod_radio".$iterador."\" onClick=\"onRadio('medal','par','".$iterador."');\" ";if ($modalidad['tipo']=="par") echo "checked"; echo "> Parejas
										</label>
										<label class=\"radio-inline\">
										  <input type=\"radio\" id=\"inlineradio3\" value=\"group\" name=\"mod_radio".$iterador."\" onClick=\"onRadio('medal','group','".$iterador."');\" ";if ($modalidad['tipo']=="group") echo "checked"; echo "> Grupo
										</label>
									</div>
								  </div>
								  <div class=\"form-group\">
									<div class=\"col-lg-offset-2 col-lg-10\">
									  <button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"$('#medalla".$iterador."').remove();borrar_trofeosMod('".$iterador."');$('#prueba".$entero."').remove();$('#puntuacion".$entero."').remove();$('#pago_inscripcion".$iterador."').remove();$('#select_mod option[value=".$iterador."]').remove();$('#modalidad_tiempo".$iterador."').remove();borrar_modalidades_tiempo('".$iterador."');$('#select_mod_jueces option[value=".$iterador."]').remove();$('#modalidad_jueces".$iterador."').remove();$('#tipo_mod_del".$iterador."').empty().append('');\"><span class=\"glyphicon glyphicon-minus-sign\"></span> Eliminar </button>
									</div>
								  </div>
								 </div>";
								if ($iterador==count($mods)){
								 echo "
									  <div id=\"tipo_mod".$iterador."\">
										  <div class=\"form-group\">
											<div class=\"col-lg-offset-2 col-lg-10\">
											  <button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"nuevo('#tipo_mod".$iterador."','mod', '".$iterador."');\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir modalidad </button>
											</div>
										  </div>
									  </div>
								  </div>";
								}
								$iterador++;
							}
						}
						$iterador=1;
						
						echo "										
					  <div id=\"pagina2\" style=\"display:none;\">
						  <div class=\"row\">
							  <div class=\"col-md-8\">
							  </div>
							  <div class=\"col-md-4\">
								
								<ul class=\"list-group\">
								  <li class=\"list-group-item\"><a href=\"#proubas\">1. Pruebas</a></li>
								  <li class=\"list-group-item\"><a href=\"#jouces\">2. Número de jueces</a></li>
								  <li class=\"list-group-item\"><a href=\"#pageination\">3. Paginación</a></li>
								</ul>
							  </div>
						  </div>
						  <h2 class=\"text-center\">Paso 2 <small>Número de jueces y pruebas</small></h2>";
						  
						  //El vector de pruebas guarda el número de las pruebas que se necesitará más adelante.
						  $vectorPruebas=array();
						  //Pruebas
						  echo "
						  <a name=\"proubas\"></a>
						  <legend>Tipos de pruebas</legend><p class=\"help-block\">Especifica los tipos de pruebas de nivel según las modalidades.</p>
						  <div id=\"pruebas\">";
							$sql->query("SELECT * FROM pruebas WHERE id_pl='$identificador_plantilla_pl' ORDER BY id_mod,id_prueba");
							$sql->ejecutarSQL();
							$numReg=$sql->getNumRegistros();
							if ($numReg > 0){
								$proofs=$sql->getTodosRegistro();
								//Construimos el vector de pruebas tal y como estaba en la primera versión.
								$mod_actual="";
								$vectorBDPruebas=array();
								foreach ($proofs as &$prueba){
									$var_id_mod=$prueba['id_mod'];
									$sql->query("SELECT nombre FROM modalidades WHERE id_pl='$identificador_plantilla_pl' AND id_mod='$var_id_mod'");
									$sql->ejecutarSQL();
									$res=$sql->getUnRegistro();
									$var_nombre_mod=$res['nombre'];
									if ($iterador == 1){
										$vectorBDtemp=array($var_nombre_mod,$prueba['nombre'],$prueba['id_prueba']);
										$mod_actual=$var_nombre_mod;
									}
									//Modalidad distinta, vector nuevo
									if ($mod_actual!=$var_nombre_mod){
										$mod_actual=$var_nombre_mod;
										//Si ya teníamos un vector temporal antes de crear el nuevo, lo insertamos en el general.
										if (isset($vectorBDPruebas)){
											array_push($vectorBDPruebas,$vectorBDtemp);
											unset($vectorBDtemp);
										}
										$vectorBDtemp=array($var_nombre_mod,$prueba['nombre'],$prueba['id_prueba']);
									}
									else{
										if ($iterador > 1){
											array_push($vectorBDtemp,$prueba['nombre']);
											array_push($vectorBDtemp,$prueba['id_prueba']);
										}
									}
									if ($iterador==count($proofs)){
										array_push($vectorBDPruebas,$vectorBDtemp);
										unset($vectorBDtemp);
									}
									$iterador++;
								}
								$iterador=1;
								//Función auxiliar que se usa en gesplant, en la parte de modificar.
								function addPrueba($a,$b,$c,$tope,$vector, $modalidad){
									if ($a==1) $entero=$a;
									else $entero=$a*100;
									$entero2=$b + 1;
									$iPlus=$c + 2;
									$parrafo="#headPrueba".$entero;
									$input="#inputPrueba1".$entero2;
									global $vectorPruebas;
									$vectorPruebas[$vector[$c]][$modalidad]="1".$entero2;
									echo "<div id=\"tipo_prueba1".$b."\">
											<div id=\"tipo_prueba_del1".$entero2."\">
												<div class=\"panel panel-default\">
													<div class=\"panel-body\">
														<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#tipo_prueba_del1".$entero2."').empty().append('');$('#MedalPrueba1".$entero2."').remove();$('#PagoPrueba1".$entero2."').remove();$('#pruebaPuntuacion1".$entero2."').remove();$('#tiempo_mod_added1".$entero2."').remove();borrar_pruebas(1".$entero2.");$('#jueces_mod_added1".$entero2."').remove();\" title=\"Borra este elemento\"></span><br>
														<div class=\"form-group\">
															<label for=\"inputPrueba1".$entero2."\" class=\"col-lg-2 control-label\">Nombre de la prueba</label>
															<div class=\"col-lg-10\">
																<input type=\"text\" class=\"form-control\" id=\"inputPrueba1".$entero2."\" placeholder=\"Prueba D/C/B/A/Certficado/Nacional...\" name=\"prueba\" onblur=\"addPrueba($('".$input."').val(),'1".$entero2."','".$entero."',($('".$parrafo."').text()).substr(11));\" value=\"".$vector[$c]."\" required>
																<input type=\"hidden\" name=\"id_prueba\" value=\"".$vector[$c+1]."\">
															</div>
														</div>
													</div>
												</div>
											</div>
										
									";
									if ($iPlus < count($vector)){
										addPrueba($a,$entero2,$iPlus,count($vector),$vector, $modalidad);
									}
									else{
										echo "
											<div id=\"tipo_prueba1".$entero2."\">
												<div class=\"form-group\">
													<div class=\"col-lg-offset-2 col-lg-10\">
														<button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"nuevo2('#tipo_prueba1".$entero2."','prueba', '1".$entero2."',".$entero.");\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir tipo de prueba </button>
													</div>
												</div>
											</div>";
									}
									echo "</div>";
								}
								foreach ($vectorBDPruebas as &$prueba) {
									if ($iterador=='1') $entero=$iterador;
									else $entero=$iterador*100;
									$parrafo="#headPrueba".$entero;
									$input="#inputPrueba1".$entero;
									$vectorPruebas[$prueba[1]][$prueba[0]]="1".$entero;
									echo "<div id=\"prueba".$entero."\" class=\"panel panel-primary\">
											<div class=\"panel-heading\" id=\"headPrueba".$entero."\">Modalidad: ".$prueba[0]."</div>
												<div class=\"panel-body\">
													<div class=\"form-group\">
														<div class=\"col-lg-10\">
															<input type=\"hidden\" value=\"".$prueba[0]."\" name=\"prueba_first\" id=\"prueba".$entero."\"/>
														</div>
													</div>
													<div id=\"tipo_prueba_del1".$entero."\">
														<div class=\"panel panel-default\">
															<div class=\"panel-body\">
																<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#tipo_prueba_del1".$entero."').empty().append('');$('#MedalPrueba1".$entero."').remove();$('#PagoPrueba1".$entero."').remove();$('#pruebaPuntuacion1".$entero."').remove();$('#tiempo_mod_added1".$entero."').remove();borrar_pruebas(1".$entero.");$('#jueces_mod_added1".$entero."').remove();\" title=\"Borra este elemento\"></span><br>
																<div class=\"form-group\">
																	<label for=\"inputPrueba1\" class=\"col-lg-2 control-label\">Nombre de la prueba</label>
																	<div class=\"col-lg-10\">
																		<input type=\"text\" class=\"form-control\" id=\"inputPrueba1".$entero."\" placeholder=\"Prueba D/C/B/A/Certficado/Nacional...\" name=\"prueba\" onblur=\"addPrueba($('".$input."').val(),'1".$entero."','".$entero."',($('".$parrafo."').text()).substr(11));\" value=\"".$prueba[1]."\" required>
																		<input type=\"hidden\" name=\"id_prueba\" value=\"".$prueba[2]."\">
																	</div>
																</div>
															</div>
														</div>
													</div>
													";
									if (count($prueba)>3){
										$i= 3;
										if ($i < count($prueba)){
											addPrueba($iterador,$entero,$i,count($prueba),$prueba, $prueba[0]);
										}
										echo "<input type=\"hidden\" name=\"prueba_fin\">
											</div>
										</div>";
									}
									else{
												echo "
													<div id=\"tipo_prueba1".$entero."\">
														<div class=\"form-group\">
															<div class=\"col-lg-offset-2 col-lg-10\">
																<button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"nuevo2('#tipo_prueba1".$entero."','prueba', '1".$entero."',".$entero.");\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir tipo de prueba </button>
															</div>
														</div>
													</div>
													<input type=\"hidden\" name=\"prueba_fin\">
												</div>
											</div>";
									}
									$iterador++;
								}
							}
						  $iterador=1;
						  
						  echo "</div>
						  <br>";
						  
						  //Número de jueces
						  echo "
						  <a name=\"jouces\"></a>
						  <legend>Número de jueces</legend><p class=\"help-block\">Especifica el número máximo y mínimo de jueces para cada tipo de campeonato.</p>
						  <div id=\"tipo_num_juez\">";
							$sql->query("SELECT * FROM num_jueces WHERE id_pl='$identificador_plantilla_pl' ORDER BY id_tipoChamp");
							$sql->ejecutarSQL();
							$numReg=$sql->getNumRegistros();
							if ($numReg > 0){
								$num_jueces=$sql->getTodosRegistro();
								foreach ($num_jueces as &$num_juez) {
									$var_id_tipoChamp=$num_juez['id_tipoChamp'];
									$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$var_id_tipoChamp'");
									$sql->ejecutarSQL();
									$res=$sql->getUnRegistro();
									$var_nombre_tipoChamp=$res['nombre'];
									echo "<div id=\"num_juez".$iterador."\" class=\"panel panel-primary\">
											<div class=\"panel-heading\" id=\"headNumJuez".$iterador."\">Tipo de campeonato: ".$var_nombre_tipoChamp."</div>
												<div class=\"panel-body\">
													<div class=\"form-group\">
														<div class=\"col-lg-10\">
															<input type=\"hidden\" value=\"".$var_nombre_tipoChamp."\" name=\"num_juez\" id=\"num_juez".$iterador."\"/>
														</div>
													</div>
													<div class=\"form-group\">
														<label for=\"inputNum_Jueces1\" class=\"col-lg-2 control-label\">Número mínimo de jueces: </label>
														<div class=\"col-lg-10\">
															<input type=\"text\" class=\"form-control\" id=\"inputNum_Jueces1\" placeholder=\"Especifique un número...\" name=\"num_juez_min\"  value=\"".$num_juez['minimo']."\" required>
															<input type=\"hidden\" name=\"id_numJuez\" value=\"".$num_juez['id_numJuez']."\">
														</div>
													</div>
													<div class=\"form-group\">
														<label for=\"inputNum_Jueces2\" class=\"col-lg-2 control-label\">Número máximo de jueces: </label>
														<div class=\"col-lg-10\">
															<input type=\"text\" class=\"form-control\" id=\"inputNum_Jueces2\" placeholder=\"Especifique un número...\" name=\"num_juez_max\" value=\"".$num_juez['maximo']."\" required>
														</div>
													</div>
												</div>
											</div>";
									$iterador++;
								}
							}
							$iterador=1;
							echo "</div>
					  </div>
					  
					  <div id=\"pagina3\" style=\"display:none;\">
					    <div class=\"row\">
						  <div class=\"col-md-8\">
						  </div>
						  <div class=\"col-md-4\">
							
							<ul class=\"list-group\">
							  <li class=\"list-group-item\"><a href=\"#medallones\">1. Medallas</a></li>
							  <li class=\"list-group-item\"><a href=\"#trofeus\">2. Trofeos</a></li>
							  <li class=\"list-group-item\"><a href=\"#payments\">3. Pagos</a></li>
							  <li class=\"list-group-item\"><a href=\"#points\">4. Calculadores</a></li>
							  <li class=\"list-group-item\"><a href=\"#pageination\">5. Paginación</a></li>
							</ul>
						  </div>
					    </div>
						
						<h2 class=\"text-center\">Paso 3 <small>Medallas, trofeos y pagos.</small></h2>";
						
						//Medallas
						$mod=1;
						$temp=0;
						$tempMedal=array(0,0,0);
						$genero;
						echo "
						<a name=\"medallones\"></a>
						<legend>Medallas</legend><p class=\"help-block\">Limita las medallas que recibe cada participante.</p><div id=\"tipo_medalla\">";
							$sql->query("SELECT * FROM inventario WHERE id_pl='$identificador_plantilla_pl' ORDER BY id_prueba,sexo DESC");
							$sql->ejecutarSQL();
							$numReg=$sql->getNumRegistros();
							if ($numReg > 0){
								$medals=$sql->getTodosRegistro();
								//Ordeno el vector
								$vectorBDMedals=array();
								foreach ($medals as &$medalla){
									$var_id_prueba=$medalla['id_prueba'];
									$sql->query("SELECT nombre FROM pruebas WHERE id_pl='$identificador_plantilla_pl' AND id_prueba='$var_id_prueba'");
									$sql->ejecutarSQL();
									$res=$sql->getUnRegistro();
									$var_nombre_prueba=$res['nombre'];
									$sql->query("SELECT id_mod FROM pruebas WHERE id_pl='$identificador_plantilla_pl' AND id_prueba='$var_id_prueba'");
									$sql->ejecutarSQL();
									$res=$sql->getUnRegistro();
									$var_id_mod=$res['id_mod'];
									$sql->query("SELECT nombre FROM modalidades WHERE id_pl='$identificador_plantilla_pl' AND id_mod='$var_id_mod'");
									$sql->ejecutarSQL();
									$res=$sql->getUnRegistro();
									$var_nombre_mod=$res['nombre'];
									$vectorBDtemp=array($var_nombre_mod,$medalla['sexo'],$var_nombre_prueba,$medalla['id_inv']);
									if ($medalla['bronce']==1)
										$vectorBDtemp[]="bronce";
									if ($medalla['plata']==1)
										$vectorBDtemp[]="plata";
									if ($medalla['oro']==1)
										$vectorBDtemp[]="oro";
									array_push($vectorBDMedals,$vectorBDtemp);
									unset($vectorBDtemp);
								}
								$medals=$vectorBDMedals;
								foreach ($medals as &$medalla) {
									$tempMedal=array(0,0,0);
									$numTotal=count($medals);
									if ($mod=='1') $entero=$mod;
									else $entero=$mod*100;
									//Si es el primer elemento.
									if (($temp == 0)||(($temp > 0)&&($medals[$temp-1][0]!=$medals[$temp][0]))){
										echo "<div id=\"medalla".$mod."\" class=\"panel panel-primary\">
												<div class=\"panel-heading\" id=\"headMedal".$entero."\">Modalidad: ".$medalla[0]."</div>
												<div class=\"panel-body\" id=\"MedalBody".$entero."\">";
										$mod++;
									}
									//Comprobamos si ya existía una prueba antes
									//Si no existía una antes, creamos la prueba
									if ((($temp > 0) &&($medals[$temp-1][2]!=$medals[$temp][2]))||($temp==0)){
										echo "<div class=\"panel panel-default\" id=\"MedalPrueba".$vectorPruebas[$medalla[2]][$medalla[0]]."\">
												<div class=\"panel-heading\" id=\"headMedalPrueba".$vectorPruebas[$medalla[2]][$medalla[0]]."\">Prueba: ".$medalla[2]."</div>
												<div class=\"panel-body\">";
									}
									//Si nos encontramos con un grupo o una pareja
									if ($medalla[1]=="otro"){
										echo "<div class=\"form-group\">
												<div class=\"col-lg-10\">
													<input type=\"hidden\" value=\"".$medalla[0]."\" name=\"medalla_first\" id=\"medalla1".$vectorPruebas[$medalla[2]][$medalla[0]]."\"/>
													<input type=\"hidden\" value=\"".$medalla[2]."\" name=\"medalla_prueba\" id=\"medalla2".$vectorPruebas[$medalla[2]][$medalla[0]]."\"/>
													<input type=\"hidden\" name=\"id_inv\" value=\"".$medalla[3]."\">
													<div id=\"conMedallas".$vectorPruebas[$medalla[2]][$medalla[0]]."\" class=\"checkbox-inline\">";
														for ($j=4;$j<count($medalla);$j++){
															if ($medalla[$j]=="bronce") $tempMedal[0]=1;
															if ($medalla[$j]=="plata") $tempMedal[1]=1;
															if ($medalla[$j]=="oro") $tempMedal[2]=1;
														}
														if ($tempMedal[0]==1) echo "<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox1\" name=\"bronce\" checked> Bronce</label>";
														else echo "<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox1\" name=\"bronce\"> Bronce</label>";
														if ($tempMedal[1]==1) echo "<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox2\" name=\"plata\" checked> Plata</label>";
														else echo "<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox2\" name=\"plata\"> Plata</label>";
														if ($tempMedal[2]==1) echo "<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox3\" name=\"oro\" checked> Oro</label>";
														else echo "<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox3\" name=\"oro\"> Oro</label>";
														echo "
													</div>
												</div>
											</div>";
									}
									//Si nos encontramos con un femenino.
									if ($medalla[1]=="femenino"){
										echo "<div class=\"form-group\">
											<div class=\"col-lg-10\">
												<p class=\"form-control-static\" id=\"medalla1".$vectorPruebas[$medalla[2]][$medalla[0]]."\">Femenino</p>
												<input type=\"hidden\" value=\"".$medalla[0]."\" name=\"medalla_fem\" id=\"medalla1".$vectorPruebas[$medalla[2]][$medalla[0]]."\"/>
												<input type=\"hidden\" value=\"".$medalla[2]."\" name=\"medalla_prueba\" id=\"medalla2".$vectorPruebas[$medalla[2]][$medalla[0]]."\"/>
												<input type=\"hidden\" name=\"id_inv\" value=\"".$medalla[3]."\">
												<div id=\"conMedallas1".$vectorPruebas[$medalla[2]][$medalla[0]]."\" class=\"checkbox-inline\">";
														for ($j=4;$j<count($medalla);$j++){
															if ($medalla[$j]=="bronce") $tempMedal[0]=1;
															if ($medalla[$j]=="plata") $tempMedal[1]=1;
															if ($medalla[$j]=="oro") $tempMedal[2]=1;
														}
														if ($tempMedal[0]==1) echo "<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox1\" name=\"bronce\" checked> Bronce</label>";
														else echo "<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox1\" name=\"bronce\"> Bronce</label>";
														if ($tempMedal[1]==1) echo "<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox2\" name=\"plata\" checked> Plata</label>";
														else echo "<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox2\" name=\"plata\"> Plata</label>";
														if ($tempMedal[2]==1) echo "<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox3\" name=\"oro\" checked> Oro</label>";
														else echo "<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox3\" name=\"oro\"> Oro</label>";
														echo"
												</div>
											</div>
										</div>";
										//Tenemos que comprobar que el elemento siguiente no es distinto de la prueba, o hemos llegado al final del vector general.
										if ((($temp+1 < $numTotal)&&($medals[$temp+1][2]!=$medals[$temp][2]))||($temp+1==$numTotal)){
											//Si es así, añadimos un masculino vacío.
											echo "<div class=\"form-group\">
												<div class=\"col-lg-10\">
													<p class=\"form-control-static\" id=\"medalla2".$vectorPruebas[$medalla[2]][$medalla[0]]."\">Masculino</p>
													<input type=\"hidden\" value=\"".$medalla[0]."\" name=\"medalla_masc\" id=\"medalla3".$vectorPruebas[$medalla[2]][$medalla[0]]."\"/>
													<input type=\"hidden\" value=\"".$medalla[2]."\" name=\"medalla_prueba\" id=\"medalla4".$vectorPruebas[$medalla[2]][$medalla[0]]."\"/>
													<input type=\"hidden\" name=\"id_inv\" value=\"".$medalla[3]."\">
													<div id=\"conMedallas2".$vectorPruebas[$medalla[2]][$medalla[0]]."\" class=\"checkbox-inline\">
														<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox1\" name=\"bronce\"> Bronce</label>
														<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox2\" name=\"plata\"> Plata</label>
														<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox3\" name=\"oro\"> Oro</label>
													</div>
												</div>
											</div>";
										}
									}
									//Si nos encontramos con un masculino.
									if ($medalla[1]=="masculino"){
										//Primero comprobamos que el elemento anterior sea un femenino, o que este no sea el primer elemento.
										if (($temp == 0)||(($temp > 0)&&($medals[$temp-1][2]!=$medals[$temp][2]))){
											//Si es el primer elemento, o el elemento anterior no tiene un femenino, añadimos un femenino vacío.
											echo "<div class=\"form-group\">
												<div class=\"col-lg-10\">
													<p class=\"form-control-static\" id=\"medalla1".$vectorPruebas[$medalla[2]][$medalla[0]]."\">Femenino</p>
													<input type=\"hidden\" value=\"".$medalla[0]."\" name=\"medalla_fem\" id=\"medalla1".$vectorPruebas[$medalla[2]][$medalla[0]]."\"/>
													<input type=\"hidden\" value=\"".$medalla[2]."\" name=\"medalla_prueba\" id=\"medalla2".$vectorPruebas[$medalla[2]][$medalla[0]]."\"/>
													<input type=\"hidden\" name=\"id_inv\" value=\"".$medalla[3]."\">
													<div id=\"conMedallas1".$vectorPruebas[$medalla[2]][$medalla[0]]."\" class=\"checkbox-inline\">
														<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox1\" name=\"bronce\"> Bronce</label>
														<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox2\" name=\"plata\"> Plata</label>
														<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox3\" name=\"oro\"> Oro</label>
													</div>
												</div>
											</div>";
										}
										echo "<div class=\"form-group\">
												<div class=\"col-lg-10\">
													<p class=\"form-control-static\" id=\"medalla2".$vectorPruebas[$medalla[2]][$medalla[0]]."\">Masculino</p>
													<input type=\"hidden\" value=\"".$medalla[0]."\" name=\"medalla_masc\" id=\"medalla3".$vectorPruebas[$medalla[2]][$medalla[0]]."\"/>
													<input type=\"hidden\" value=\"".$medalla[2]."\" name=\"medalla_prueba\" id=\"medalla4".$vectorPruebas[$medalla[2]][$medalla[0]]."\"/>
													<input type=\"hidden\" name=\"id_inv\" value=\"".$medalla[3]."\">
													<div id=\"conMedallas2".$vectorPruebas[$medalla[2]][$medalla[0]]."\" class=\"checkbox-inline\">";
														for ($j=4;$j<count($medalla);$j++){
															if ($medalla[$j]=="bronce") $tempMedal[0]=1;
															if ($medalla[$j]=="plata") $tempMedal[1]=1;
															if ($medalla[$j]=="oro") $tempMedal[2]=1;
														}
														if ($tempMedal[0]==1) echo "<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox1\" name=\"bronce\" checked> Bronce</label>";
														else echo "<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox1\" name=\"bronce\"> Bronce</label>";
														if ($tempMedal[1]==1) echo "<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox2\" name=\"plata\" checked> Plata</label>";
														else echo "<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox2\" name=\"plata\"> Plata</label>";
														if ($tempMedal[2]==1) echo "<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox3\" name=\"oro\" checked> Oro</label>";
														else echo "<label class=\"checkbox-inline\"><input type=\"checkbox\" id=\"inlinecheckbox3\" name=\"oro\"> Oro</label>";
														echo "
													</div>
												</div>
											</div>";
									}
									//Tenemos que finalizar el vector cuando la prueba siguiente no es la misma o estamos al final del vector general.
									if ((($temp+1 < $numTotal)&&($medals[$temp+1][2]!=$medals[$temp][2]))||($temp+1==$numTotal)){
												echo "<input type=\"hidden\" value=\"fin\" name=\"medalla_last\"/>
												</div>
											</div>";
									}
									//Si tenemos más elementos, y el siguiente no se repite la modalidad.
									//Si no tenemos más elementos.
									if ((($temp+1 < $numTotal)&&($medals[$temp+1][0]!=$medals[$temp][0]))||($temp+1 == $numTotal)){
										echo "</div>
										</div>";
									}
									$temp++;
									$iterador++;
								}
							}
							$iterador=1;
						echo "</div>
						<br>";
						//Trofeos
						$sql->query("SELECT * FROM trofeos WHERE id_pl='$identificador_plantilla_pl' ORDER BY id_tipoChamp,id_trofeo");
							$sql->ejecutarSQL();
							$numReg=$sql->getNumRegistros();
							if ($numReg > 0){
								$trofeos=$sql->getTodosRegistro();
							}
						echo "
						<a name=\"trofeus\"></a>
						<legend>Trofeos</legend><p class=\"help-block\">Limita los trofeos que se reciben en el campeonato.</p>
						<div id=\"tipo_trofeo\">";
						$id_tipoChamp="";
						$iteradorChamp=1;
						$sql->query("SELECT * FROM modalidades WHERE id_pl='$identificador_plantilla_pl' ORDER BY id_mod");
						$sql->ejecutarSQL();
						$numReg=$sql->getNumRegistros();
						$mods=$sql->getTodosRegistro();
						$cerrar=0;
						foreach ($trofeos as &$trofeo){
							$finalizado=false;
							$var_id_tipoChamp=$trofeo['id_tipoChamp'];
							$sql->ejecutarSQL("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$var_id_tipoChamp' AND id_pl='$identificador_plantilla_pl'");
							$res=$sql->getUnRegistro();
							$var_nombre_tipoChamp=$res['nombre'];
							if ($iteradorChamp>1) $entero=$iteradorChamp*100;
							else $entero=$iteradorChamp;
							//Tenemos un nuevo campeonato
							if ($id_tipoChamp!=$trofeo['id_tipoChamp']){
								//Si ya teníamos campeonatos antes, tenemos que cerrar lo que escribimos previamente
								if ($iteradorChamp>1){
									$finalizado=true;
												echo "<div class=\"form-group\">
													<div class=\"col-lg-offset-2 col-lg-10\">
													  <button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"nuevo('#tipo_trofeo".$num."','trofeo','".$num."');\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir trofeo </button>
													</div>
												</div>";
											   for ($i=0;$i<$cerrar;$i++) echo "</div>";
											   $cerrar=0;
											   echo "
											</div>
										</div>
									</div>
									<input type=\"hidden\" name=\"fintrofeoChamp\"/>
								</div>";//Trofeo champ
								}
								$num=$entero;
								echo "<div id=\"trofeoChamp".$iteradorChamp."\">
										<div class=\"panel panel-primary\">
											<div class=\"panel-heading\" id=\"headTrofeoChamp".$iteradorChamp."\">Campeonato: ".$var_nombre_tipoChamp."</div>
											<input type=\"hidden\" value=\"".$var_nombre_tipoChamp."\" name=\"trofeoChamp\" id=\"trofeo_campeonato".$iteradorChamp."\"/>
											<div class=\"panel-body\">
												<div id=\"tipo_trofeo".$num."\">";
												$num++;
												echo "
													<div id=\"tipo_trofeo_del".$num."\">
														<div class=\"panel panel-success\">
															<div class=\"panel-heading\">Trofeo <span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#tipo_trofeo_del".$num."').empty().append('');\" title=\"Borra este elemento\"></span></div>
															<div class=\"panel-body\">
																<br>
																<div class=\"form-group\">
																	<div class=\"col-lg-offset-2 col-lg-10\">
																		<div class=\"checkbox\">
																			<label>
																				<input type=\"checkbox\" id=\"combinada".$num."\" onClick=\"$('#mod2Trofeo".$num."').toggle();$('#mod2Trofeo".$num." select option:selected').attr('selected',false);$('#mod2Trofeo".$num." select option[value=default_trofeo]').attr('selected',true);\""; if ($trofeo['mod2']!=NULL) echo " checked"; echo"> Combinada
																			</label>
																		</div>
																	</div>
																</div>
																<div class=\"form-group\">
																	<label for=\"inputPrueba".$num."\" class=\"col-lg-2 control-label\">Alumnos</label>
																	<div class=\"col-lg-10\">
																	  <input type=\"text\" class=\"form-control\" id=\"inputAlumTrofeo".$num."\" placeholder=\"1/2/3/4...\" name=\"alumnos_trofeo\" value=\"".$trofeo['num']."\" required>
																	  <span class=\"help-block\">Número mínimo de alumnos necesarios para que se genere el trofeo.</span>
																	  <input type=\"hidden\" name=\"id_trofeo\" value=\"".$trofeo['id_trofeo']."\">
																	</div>
																</div>
																<div class=\"form-group\">
																	<label for=\"input1ModTrofeo".$num."\" class=\"col-lg-2 control-label\">Modalidad</label>
																	<div id=\"select1Trofeo".$num."\" class=\"col-lg-10\">
																		<select id=\"select-trofeo1\" class=\"form-control\" name=\"selectTrofeo1\">
																			<option value=\"default_trofeo\">Selecciona una opción</option>";

																	foreach ($mods as &$modalidad) {
																	
																		$numMod=$vectorMods[$modalidad['nombre']];
																		$var_id_mod=$modalidad['id_mod'];
																		$sql->ejecutarSQL("SELECT nombre FROM modalidades WHERE id_mod='$var_id_mod' AND id_pl='$identificador_plantilla_pl'");
																		$res=$sql->getUnRegistro();
																		$var_nombre_mod=$res['nombre'];
																		echo "<option id=\"".$numMod."\" value=\"".$var_nombre_mod."\""; if ($var_id_mod==$trofeo['mod1']) echo " selected"; echo ">".$var_nombre_mod."</option>";
																	}
																	echo "</select>
																	</div>
																</div>";
																if ($trofeo['mod2']!=NULL){
																echo "
																<div id=\"mod2Trofeo".$num."\" class=\"form-group\">
																	<label for=\"input2ModTrofeo".$num."\" class=\"col-lg-2 control-label\">Modalidad 2</label>
																	<div id=\"select2Trofeo".$num."\" class=\"col-lg-10\">
																		<select id=\"select-trofeo2\" class=\"form-control\" name=\"selectTrofeo2\">
																			<option value=\"default_trofeo\">Selecciona una opción</option>";
																	foreach ($mods as &$modalidad) {
																		$numMod=$vectorMods[$modalidad['nombre']];
																		$var_id_mod=$modalidad['id_mod'];
																		$sql->ejecutarSQL("SELECT nombre FROM modalidades WHERE id_mod='$var_id_mod' AND id_pl='$identificador_plantilla_pl'");
																		$res=$sql->getUnRegistro();
																		$var_nombre_mod=$res['nombre'];
																		echo "<option id=\"".$numMod."\" value=\"".$var_nombre_mod."\""; if ($var_id_mod==$trofeo['mod2']) echo " selected"; echo ">".$var_nombre_mod."</option>";
																	}
																	echo "</select>
																	</div>
																</div>";
																}
																else{
																	echo "
																	<div id=\"mod2Trofeo".$num."\" class=\"form-group\" style=\"display:none;\">
																		<label for=\"input2ModTrofeo".$num."\" class=\"col-lg-2 control-label\">Modalidad 2</label>
																		<div id=\"select2Trofeo".$num."\" class=\"col-lg-10\">
																			<button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:green\" onClick=\"generar_mods('tipo_trofeo_del".$num." div#select2Trofeo".$num."','2');\"><span class=\"glyphicon glyphicon-play\"></span> Generar modalidades </button>
																		</div>
																	</div>";
																}
																echo "
															</div>
														</div>
														<input type=\"hidden\" name=\"finTrofeoMod\">
													</div>
													<div id=\"tipo_trofeo".$num."\">
											";
											$cerrar++;
								$iteradorChamp++;
							}
							else{
								$num++;
								echo "
								<div id=\"tipo_trofeo_del".$num."\">
									<div class=\"panel panel-success\">
										<div class=\"panel-heading\">Trofeo <span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#tipo_trofeo_del".$num."').empty().append('');\" title=\"Borra este elemento\"></span></div>
										<div class=\"panel-body\">
											<br>
											<div class=\"form-group\">
												<div class=\"col-lg-offset-2 col-lg-10\">
													<div class=\"checkbox\">
														<label>
															<input type=\"checkbox\" id=\"combinada".$num."\" onClick=\"$('#mod2Trofeo".$num."').toggle();$('#mod2Trofeo".$num." select option:selected').attr('selected',false);$('#mod2Trofeo".$num." select option[value=default_trofeo]').attr('selected',true);\""; if ($trofeo['mod2']!=NULL) echo " checked"; echo"> Combinada
														</label>
													</div>
												</div>
											</div>
											<div class=\"form-group\">
												<label for=\"inputPrueba".$num."\" class=\"col-lg-2 control-label\">Alumnos</label>
												<div class=\"col-lg-10\">
												  <input type=\"text\" class=\"form-control\" id=\"inputAlumTrofeo".$num."\" placeholder=\"1/2/3/4...\" name=\"alumnos_trofeo\" value=\"".$trofeo['num']."\" required>
												  <span class=\"help-block\">Número mínimo de alumnos necesarios para que se genere el trofeo.</span>
												  <input type=\"hidden\" name=\"id_trofeo\" value=\"".$trofeo['id_trofeo']."\">
												</div>
											</div>
											<div class=\"form-group\">
												<label for=\"input1ModTrofeo".$num."\" class=\"col-lg-2 control-label\">Modalidad</label>
												<div id=\"select1Trofeo".$num."\" class=\"col-lg-10\">
													<select id=\"select-trofeo1\" class=\"form-control\" name=\"selectTrofeo1\">
														<option value=\"default_trofeo\">Selecciona una opción</option>";
												foreach ($mods as &$modalidad) {
													$numMod=$vectorMods[$modalidad['nombre']];
													$var_id_mod=$modalidad['id_mod'];
													$sql->ejecutarSQL("SELECT nombre FROM modalidades WHERE id_mod='$var_id_mod' AND id_pl='$identificador_plantilla_pl'");
													$res=$sql->getUnRegistro();
													$var_nombre_mod=$res['nombre'];
													echo "<option id=\"".$numMod."\" value=\"".$var_nombre_mod."\""; if ($var_id_mod==$trofeo['mod1']) echo " selected"; echo ">".$var_nombre_mod."</option>";
												}
												echo "</select>
												</div>
											</div>";
											if ($trofeo['mod2']!=NULL){
											echo "
											<div id=\"mod2Trofeo".$num."\" class=\"form-group\">
												<label for=\"input2ModTrofeo".$num."\" class=\"col-lg-2 control-label\">Modalidad 2</label>
												<div id=\"select2Trofeo".$num."\" class=\"col-lg-10\">
													<select id=\"select-trofeo2\" class=\"form-control\" name=\"selectTrofeo2\">
														<option value=\"default_trofeo\">Selecciona una opción</option>";
												foreach ($mods as &$modalidad) {
													$numMod=$vectorMods[$modalidad['nombre']];
													$var_id_mod=$modalidad['id_mod'];
													$sql->ejecutarSQL("SELECT nombre FROM modalidades WHERE id_mod='$var_id_mod' AND id_pl='$identificador_plantilla_pl'");
													$res=$sql->getUnRegistro();
													$var_nombre_mod=$res['nombre'];
													echo "<option id=\"".$numMod."\" value=\"".$var_nombre_mod."\""; if ($var_id_mod==$trofeo['mod2']) echo " selected"; echo ">".$var_nombre_mod."</option>";
												}
												echo "</select>
												</div>
											</div>";
											}
											else{
												echo "
												<div id=\"mod2Trofeo".$num."\" class=\"form-group\" style=\"display:none;\">
													<label for=\"input2ModTrofeo".$num."\" class=\"col-lg-2 control-label\">Modalidad 2</label>
													<div id=\"select2Trofeo".$num."\" class=\"col-lg-10\">
														<button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:green\" onClick=\"generar_mods('tipo_trofeo_del".$num." div#select2Trofeo".$num."','2');\"><span class=\"glyphicon glyphicon-play\"></span> Generar modalidades </button>
													</div>
												</div>";
											}
											echo "
										</div>
									</div>
									<input type=\"hidden\" name=\"finTrofeoMod\">
								</div>
								<div id=\"tipo_trofeo".$num."\">";
								$cerrar++;
							}
							$id_tipoChamp=$trofeo['id_tipoChamp'];
							$iterador++;
						}
								echo "<div class=\"form-group\">
										<div class=\"col-lg-offset-2 col-lg-10\">
										  <button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"nuevo('#tipo_trofeo".$num."','trofeo','".$num."');\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir trofeo </button>
										</div>
								   </div>";
								   for ($i=0;$i<$cerrar;$i++) echo "</div>";
								   $cerrar=0;
								   echo "
								   </div>
								</div>
							</div>
							<input type=\"hidden\" name=\"fintrofeoChamp\"/>
						</div>";
						$iterador=1;
						echo "
						</div>
						<br>";
						
						//Pagos
						echo "<a name=\"payments\"></a>
						<legend>Pagos</legend><p class=\"help-block\">Especifica los pagos por inscripción, para jueces, calculadores y el precio de las medallas.</p>
						<div id=\"tipo_pago\">";
						$sql->query("SELECT * FROM pagos_inscripciones WHERE id_pl='$identificador_plantilla_pl' ORDER BY id_prueba");
						$sql->ejecutarSQL();
						$numReg=$sql->getNumRegistros();
						if ($numReg > 0){
							$pagos=$sql->getTodosRegistro();
							//Ordeno el vector
							//Tabla de pagos inscripciones
							$vectorBDPagos=array();
							$vectorBDtemp=array("inscripciones");
							foreach ($pagos as &$pago){
								$var_id_prueba=$pago['id_prueba'];
								$sql->query("SELECT id_mod,nombre FROM pruebas WHERE id_pl='$identificador_plantilla_pl' AND id_prueba='$var_id_prueba'");
								$sql->ejecutarSQL();
								$res=$sql->getUnRegistro();
								$var_nombre_prueba=$res['nombre'];
								$var_id_mod=$res['id_mod'];
								$sql->query("SELECT nombre FROM modalidades WHERE id_pl='$identificador_plantilla_pl' AND id_mod='$var_id_mod'");
								$sql->ejecutarSQL();
								$res=$sql->getUnRegistro();
								$var_nombre_mod=$res['nombre'];
								$vectorBDtemp[]=$var_nombre_mod;
								$vectorBDtemp[]=$var_nombre_prueba;
								$vectorBDtemp[]=$pago['id_pago1'];
								$vectorBDtemp[]=$pago['cantidad'];
							}
							$vectorBDPagos[]=$vectorBDtemp;
							unset($vectorBDtemp);
							//Tabla de pagos de jueces
							$sql->ejecutarSQL("SELECT * FROM pagos_gestores WHERE id_pl='$identificador_plantilla_pl' ORDER BY id_pago2");
							$pagos=$sql->getTodosRegistro();
							$vectorBDtemp=array("jueces");
							foreach ($pagos as &$pago){
								$vectorBDtemp[]=$pago['tipo'];
								$vectorBDtemp[]=$pago['tarifa'];
								$vectorBDtemp[]=$pago['id_pago2'];
								$vectorBDtemp[]=$pago['distancia'];
								$vectorBDtemp[]=$pago['dieta'];
								$vectorBDtemp[]=$pago['horas'];
							}
							$vectorBDPagos[]=$vectorBDtemp;
							unset($vectorBDtemp);
							//Tabla de pagos de medallas
							$sql->ejecutarSQL("SELECT * FROM pagos_medallas WHERE id_pl='$identificador_plantilla_pl' ORDER BY id_pago3");
							$pagos=$sql->getTodosRegistro();
							$vectorBDtemp=array("medallas");
							foreach ($pagos as &$pago){
								$vectorBDtemp[]=$pago['cantidad'];
								$vectorBDtemp[]=$pago['id_pago3'];
							}
							$vectorBDPagos[]=$vectorBDtemp;
							unset($vectorBDtemp);
							$pagos=$vectorBDPagos;
							$inscripciones=false;
							$pagosJueces=false;
							$pagosMedallas=false;
							$modAnt="";
							$modAct="";
							$pruebaAct="";
							$pagoJuez=1;
							$pagoTemp=1;
					
							foreach ($pagos as &$pago) {
								for ($i=0;$i<count($pago);$i++){
									//Primer elemento
									if ($i==0){
										if ($pago[$i]=="inscripciones"){
											echo "<h4>Inscripciones</h4>
											<input type=\"hidden\" id=\"pago_inscripciones\" name=\"inicio_pago_inscripciones\">
											<div id=\"tipo_pago_inscripcion\">";
											$inscripciones=true;
										}
										if ($pago[$i]=="jueces"){
											echo "<h4>Jueces y calculadores</h4>
											<input type=\"hidden\" id=\"pago_jueces\" name=\"inicio_pago_jueces\">";
											$pagosJueces=true;
										}
										if ($pago[$i]=="medallas"){
											echo "<h4>Medallas</h4>
											<input type=\"hidden\" id=\"pago_medallas\" name=\"inicio_pago_medallas\">";
											$pagosMedallas=true;
										}
									}
									//Resto de elementos
									if (($i > 0)&&($i < count($pago))){
										if ($inscripciones){
											//Modalidad
											if (array_key_exists($pago[$i],$vectorMods)){
												//Modalidad actual
												$modAct=$pago[$i];
												//Si la modalidad actual es distinta de la anterior
												if ($modAct!=$modAnt){
													//Si no estamos con el primer elemento
													if ($modAnt!=""){
														$pruebaAct="";
														echo "</div>
															<input type=\"hidden\" value=\"fin\" name=\"pago_last\"/>
														</div>
													</div>
												</div>";
													}
													if ($vectorMods[$pago[$i]]==1) $entero=1;
													else $entero=$vectorMods[$pago[$i]]*100;
													echo "<div id=\"pago_inscripcion".$vectorMods[$pago[$i]]."\" class=\"panel panel-primary\">
															<div class=\"panel-heading\" id=\"headPago".$entero."\">Modalidad: ".$pago[$i]."</div>
															<div class=\"panel-body\" id=\"PagoBody".$entero."\">";
													$modAnt=$modAct;
												}
											}
											//Prueba
											if ((array_key_exists($pago[$i],$vectorPruebas))&&(array_key_exists($modAct,$vectorPruebas[$pago[$i]]))){
												//Si es el primer elemento de la modalidad
												if ($pruebaAct!=""){
													echo "</div>
															<input type=\"hidden\" value=\"fin\" name=\"pago_last\"/>
														</div>";
													$pruebaAct="";
												}
												echo "<div class=\"panel panel-default\" id=\"PagoPrueba".$vectorPruebas[$pago[$i]][$modAct]."\">
															<div class=\"panel-heading\" id=\"headPagoPrueba".$vectorPruebas[$pago[$i]][$modAct]."\">Prueba: ".$pago[$i]."</div>
															<div class=\"panel-body\">";
												$pruebaAct=$pago[$i];
											}
											//Valor de la prueba
											if ((!(array_key_exists($pago[$i],$vectorMods)))&&(!((array_key_exists($pago[$i],$vectorPruebas))&&(array_key_exists($modAct,$vectorPruebas[$pago[$i]]))))&&($i%2==0)){
												echo "<div class=\"form-group\">
														<div class=\"col-lg-10\">
															<input type=\"hidden\" value=\"".$modAct."\" name=\"pago_first\" id=\"pago1".$vectorPruebas[$pruebaAct][$modAct]."\"/>
															<input type=\"hidden\" value=\"".$pruebaAct."\" name=\"pago_prueba\" id=\"pago2".$vectorPruebas[$pruebaAct][$modAct]."\"/>
															<input type=\"hidden\" name=\"id_pago1\" value=\"".$pago[$i-1]."\">
															<label for=\"inputPago\" class=\"col-lg-2 control-label\">Cantidad</label>
															<div class=\"col-lg-9\">
																<input type=\"text\" class=\"form-control\" id=\"inputPago\" placeholder=\"Especifique una cantidad...\" name=\"pago\" value=\"".$pago[$i]."\" required>
															</div>
															<div class=\"col-lg-1\">
																<p class=\"form-control-static\">€</p>
															</div>
														</div>
													</div>";
											}
										}
										if ($pagosJueces){
											if ($i==$pagoJuez){
												$pagoJuez=$pagoJuez+6;
												echo "<div id=\"tipo_pago_juez_del".$pagoTemp."\">
												  <div class=\"panel panel-primary\">
													<div class=\"panel-heading\">Pago para jueces o calculadores <span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#tipo_pago_juez_del".$pagoTemp."').empty().append('');\" title=\"Borra este elemento\"></span><br></div>
														<div class=\"panel-body\">
														  <div class=\"form-group\">
															  <label for=\"inputPagoJuez".$pagoTemp."\" class=\"col-lg-2 control-label\">Tipo de juez </label>
															  <div class=\"col-lg-7\">
																<select class=\"form-control\" id=\"inputPagoJuez".$pagoTemp."\" name=\"nombre_pago_juez\">
																  <option value=\"juez\" ";if ($pago[$i]=='juez') echo "selected"; echo" >Juez regional</option>
																  <option value=\"juez2\" ";if ($pago[$i]=='juez2') echo "selected"; echo" >Juez nacional</option>
																  <option value=\"juez3\" ";if ($pago[$i]=='juez3') echo "selected"; echo" >Juez internacional</option>
																  <option value=\"clasificador\" ";if ($pago[$i]=='clasificador') echo "selected"; echo" >Gestor de clasificaciones</option>
																  <option value=\"gestor\" ";if ($pago[$i]=='gestor') echo "selected"; echo" >Gestor de documentos</option>
																</select>
															  </div>
														  </div>
														  <div class=\"form-group\">
															  <label for=\"inputPagoHora\" class=\"col-lg-2 control-label\">Tarifa por hora</label>
															  <div class=\"col-lg-7\">
																<input type=\"text\" class=\"form-control\" id=\"inputPagoHora\" name=\"tarifa_pago_juez\" placeholder=\"Especifique cuántos euros gana en una hora...\" value=\"".$pago[$i+1]."\" required>
															    <input type=\"hidden\" name=\"id_pago2\" value=\"".$pago[$i+2]."\">
															  </div>
															  <div class=\"col-lg-1\">
																<p class=\"form-control-static\">€</p>
															  </div>
														  </div>
														  <div class=\"form-group\">
															  <label for=\"inputPagoKm\" class=\"col-lg-2 control-label\">Tarifa por distancia</label>
															  <div class=\"col-lg-7\">
																<input type=\"text\" class=\"form-control\" id=\"inputPagoKm\" name=\"tarifa_pago_km\" placeholder=\"Especifique cuántos euros se le paga por Kilómetro...\" value=\"".$pago[$i+3]."\" required>
															  </div>
															  <div class=\"col-lg-1\">
																<p class=\"form-control-static\">€/Kms</p>
															  </div>
														  </div>

														  <div class=\"panel panel-info\">
															<div class=\"panel-heading\">Dieta</div>
																<div class=\"panel-body\">
																	<div class=\"form-group\">
																		<label for=\"inputPagoDieta\" class=\"col-lg-1 control-label\">Cantidad:</label>
																		<div class=\"col-lg-3\">
																			<input type=\"text\" class=\"form-control\" id=\"inputPagoDieta\" name=\"tarifa_pago_dieta\" placeholder=\"Especifique cantidad de la dieta en €uros...\" value=\"".$pago[$i+4]."\" required>
																		</div>
																		<div class=\"col-lg-1\">
																			<p class=\"form-control-static\">€</p>
																		</div>
																		<label for=\"inputPagoHorasDieta\" class=\"col-lg-1 control-label\">A partir de:</label>
																		<div class=\"col-lg-3\">
																			<input type=\"text\" class=\"form-control\" id=\"inputPagoHorasDieta\" name=\"tarifa_pago_hora_dieta\" placeholder=\"Especifique número de horas...\" value=\"".$pago[$i+5]."\" required>
																		</div>
																		<div class=\"col-lg-1\">
																			<p class=\"form-control-static\">horas.</p>
																		</div>
																	</div>
																</div>
														  </div>
														</div>
													</div>
												</div>";
												$pagoTemp++;
											}
										}
										if (($pagosMedallas)&&($i%2!=0)){
											echo "<div id=\"tipo_pago_medalla_del".$i."\">
												   <div class=\"panel panel-primary\">
														<div class=\"panel-heading\">Coste por medalla <span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#tipo_pago_medalla_del".$i."').empty().append('');\" title=\"Borra este elemento\"></span><br></div>
														<div class=\"panel-body\">
															<div class=\"form-group\">
												 
															  <label for=\"inputPagoMedalla".$i."\" class=\"col-lg-2 control-label\">Tarifa por medalla</label>
															  <div class=\"col-lg-5\">
																<input type=\"text\" class=\"form-control\" id=\"inputPagoMedalla".$i."\" name=\"tarifa_pago_medalla\" placeholder=\"Especifique el coste de una medalla...\" value=\"".$pago[$i]."\" required>
															    <input type=\"hidden\" name=\"id_pago3\" value=\"".$pago[$i+1]."\">
															  </div>
															  <div class=\"col-lg-5\">
																<p class=\"form-control-static\">€</p>
															  </div>
															</div>
														</div>
													</div>
												</div>";
										}
									}
									//Último elemento
									if (($i+1)==count($pago)){
										if ($inscripciones){
											echo "</div>
															<input type=\"hidden\" value=\"fin\" name=\"pago_last\"/>
														</div>
														</div></div></div>
											<input type=\"hidden\" id=\"pago_inscripciones2\" name=\"fin_pago_inscripciones\">";
											$inscripciones=false;
										}
										if ($pagosJueces){
											echo "<div id=\"tipo_pago_juez".$pagoTemp."\">
												  <div class=\"form-group\">
													<div class=\"col-lg-offset-2 col-lg-10\">
													  <button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\"  onClick=\"nuevo('#tipo_pago_juez".$pagoTemp."','pago_juez', '".$pagoTemp."');\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir pago para juez </button>
													</div>
												  </div>
												</div>
												<input type=\"hidden\" id=\"pago_jueces2\" name=\"fin_pago_jueces\">";
											$pagosJueces=false;
										}
										if ($pagosMedallas){
											echo "<div id=\"tipo_pago_medalla".$i."\">
													  <div class=\"form-group\">
														<div class=\"col-lg-offset-2 col-lg-10\">
														  <button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\"  onClick=\"nuevo('#tipo_pago_medalla".$i."','pago_medalla', '".$i."');\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir pago para medalla </button>
														</div>
													  </div>
												</div>
												<input type=\"hidden\" id=\"pago_medallas2\" name=\"fin_pago_medallas\">											
											</div>";
											$pagosMedallas=false;
										}
									}
								}
								if ($iterador=='1') $entero=$iterador;
								else $entero=$iterador*100;
								$iterador++;
							}
						}
						$iterador=1;
						
						//Puntuaciones
						echo "
						  <a name=\"points\"></a>
						  <legend>Calculadores</legend><p class=\"help-block\">Especifica los elementos para realizar los documentos para los calculadores.</p>
						  <div id=\"puntuaciones\">";
						$sql->query("SELECT * FROM calculadores WHERE id_pl='$identificador_plantilla_pl' ORDER BY id_mod,id_prueba,id_calc");
						$sql->ejecutarSQL();
						$numReg=$sql->getNumRegistros();
						if ($numReg > 0){
							$points=$sql->getTodosRegistro();
							//Ordeno el vector
							//Tabla de pagos inscripciones
							$vectorBDCalc=array();
							$id_mod_actual="";
							$id_prueba_actual="";
							foreach ($points as &$elemento){
								$var_id_mod=$elemento['id_mod'];
								$sql->query("SELECT nombre FROM modalidades WHERE id_pl='$identificador_plantilla_pl' AND id_mod='$var_id_mod'");
								$sql->ejecutarSQL();
								$res=$sql->getUnRegistro();
								$var_nombre_mod=$res['nombre'];
								$var_id_prueba=$elemento['id_prueba'];
								if ($var_id_prueba!=NULL){
									$sql->query("SELECT nombre FROM pruebas WHERE id_pl='$identificador_plantilla_pl' AND id_prueba='$var_id_prueba'");
									$sql->ejecutarSQL();
									$res=$sql->getUnRegistro();
									$var_nombre_prueba=$res['nombre'];
								}
								if ($elemento['tipo']=="pormods"){
									//Tengo una nueva modalidad, o es el primer elemento
									if ($id_mod_actual!=$elemento['id_mod']){
										if ($iterador > 1){
											if (isset($vectorBDpormod)){
												$vectorBDpormod[]=$vectorBDmod;
												unset($vectorBDmod);
												$vectorBDCalc[]=$vectorBDpormod;
												unset($vectorBDpormod);
											}
											if (isset($vectorBDprueba)){
												$vectorBDmod[]=$vectorBDprueba;
												unset($vectorBDprueba);
												$vectorBDporprueb[]=$vectorBDmod;
												unset($vectorBDmod);
												$vectorBDCalc[]=$vectorBDporprueb;
												unset($vectorBDporprueb);
											}
										}
										$vectorBDpormod=array($elemento['tipo']);
										$vectorBDmod=array($var_nombre_mod);
										$vectorBDmod[]=array($elemento['elemento'],$elemento['id_calc'],$elemento['tipo_elemento']);
									}
									else $vectorBDmod[]=array($elemento['elemento'],$elemento['id_calc'],$elemento['tipo_elemento']);
								}
								if ($elemento['tipo']=="porpruebas"){
									//Tengo una nueva modalidad, o es el primer elemento
									if ($id_mod_actual!=$elemento['id_mod']){
										if ($iterador > 1){
											if (isset($vectorBDpormod)){
												$vectorBDpormod[]=$vectorBDmod;
												unset($vectorBDmod);
												$vectorBDCalc[]=$vectorBDpormod;
												unset($vectorBDpormod);
											}
											if (isset($vectorBDprueba)){
												$vectorBDmod[]=$vectorBDprueba;
												unset($vectorBDprueba);
												$vectorBDporprueb[]=$vectorBDmod;
												unset($vectorBDmod);
												$vectorBDCalc[]=$vectorBDporprueb;
												unset($vectorBDporprueb);
											}
										}
										$vectorBDporprueb=array($elemento['tipo']);
										$vectorBDmod=array($var_nombre_mod);
										$vectorBDprueba=array($var_nombre_prueba);
										$vectorBDprueba[]=array($elemento['elemento'],$elemento['id_calc'],$elemento['tipo_elemento']);
										$iteradorPrueba=1;
									}
									else{
										if ($id_prueba_actual!=$elemento['id_prueba']){
											if ($iteradorPrueba > 1){
												if (isset($vectorBDprueba)){
													$vectorBDmod[]=$vectorBDprueba;
													unset($vectorBDprueba);
												}
											}
											$vectorBDprueba=array($var_nombre_prueba);
											$vectorBDprueba[]=array($elemento['elemento'],$elemento['id_calc'],$elemento['tipo_elemento']);
											$iteradorPrueba=1;
										}
										else{
											$vectorBDprueba[]=array($elemento['elemento'],$elemento['id_calc'],$elemento['tipo_elemento']);
											$iteradorPrueba++;
										}
									}
								}
								if ($iterador==count($points)){
									if (isset($vectorBDpormod)){
										$vectorBDpormod[]=$vectorBDmod;
										unset($vectorBDmod);
										$vectorBDCalc[]=$vectorBDpormod;
										unset($vectorBDpormod);
									}
									if (isset($vectorBDprueba)){
										$vectorBDmod[]=$vectorBDprueba;
										unset($vectorBDprueba);
										$vectorBDporprueb[]=$vectorBDmod;
										unset($vectorBDmod);
										$vectorBDCalc[]=$vectorBDporprueb;
										unset($vectorBDporprueb);
									}
								}
								$id_mod_actual=$elemento['id_mod'];
								$id_prueba_actual=$elemento['id_prueba'];
								$iterador++;
							}
							$iterador=1;
							$points=$vectorBDCalc;
							foreach ($points as &$prueba) {
								$numMod=$vectorMods[$prueba[1][0]];
								if ($numMod=='1') $entero=$numMod;
								else $entero=$numMod*100;
								$punt=$entero;
								//$vectorPruebas[$prueba[1][0]][$prueba[0]]="1".$entero;
								if ($prueba[0]=="pormods"){
									echo "<div id=\"puntuacion".$entero."\" class=\"panel panel-primary\">
											<div class=\"panel-heading\" id=\"headPuntuacion".$entero."\">Modalidad: ".$prueba[1][0]."</div>
											<div class=\"panel-body\">
												<input type=\"hidden\" value=\"pormods\" name=\"puntuacion_select\"/>
												<select class=\"form-control\" id=\"inputPuntuacionselect".$entero."\" name=\"select_puntuacion\" onchange=\"cargar_puntuaciones(this.value,'".$entero."','".$prueba[1][0]."');\">
													<option value=\"puntuacion_mod\" selected>Por modalidades</option>
													<option value=\"puntuacion_pruebas\">Por pruebas</option>
												</select>
												<div class=\"form-group\">
													<div class=\"col-lg-10\">
														<input type=\"hidden\" value=\"".$prueba[1][0]."\" name=\"puntuacion_first\" id=\"puntuacion".$entero."\"/>
													</div>
												</div>";
												for ($i=1;$i<count($prueba[1]);$i++){
													echo "<div id=\"tipo_puntuacion_del1".$entero."\">
														<div class=\"panel panel-default\">
															<div class=\"panel-body\">
																<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#tipo_puntuacion_del1".$entero."').empty().append('');\" title=\"Borra este elemento\"></span><br>
																<div class=\"form-group\">
																	<label for=\"inputPuntuacion1\" class=\"col-lg-2 control-label\">Elemento de puntuación</label>
																	<div class=\"col-lg-10\">
																		<input type=\"text\" class=\"form-control\" id=\"inputPuntuacion1".$entero."\" placeholder=\"A/B/Figura1/Figura2...\" name=\"puntuacion\" value=\"".$prueba[1][$i][0]."\" required>
																		<input type=\"hidden\" name=\"id_calc\" value=\"".$prueba[1][$i][1]."\">
																		<input type=\"hidden\" name=\"input_tipo_puntuacion\" value=\"".$prueba[1][$i][2]."\"/><br>
																		<select class=\"form-control\" id=\"tipo_puntuacion".$entero."\" name=\"tipo_puntuacion\" onchange=\"$('#puntuacion".$punt." div#tipo_puntuacion_del1".$entero." input[name=input_tipo_puntuacion]').val(this.value);\">
																			<option value=\"puntuacion\" ";if ($prueba[1][$i][2]=="puntuaciones") echo "selected";echo ">Puntuaciones</option>
																			<option value=\"puntuacionpre\" ";if ($prueba[1][$i][2]=="puntuacionpre") echo "selected";echo ">Puntuación predominante</option>
																			<option value=\"sumas\" ";if ($prueba[1][$i][2]=="sumas") echo "selected";echo ">Sumas puntuaciones</option>
																			<option value=\"victoria\" ";if ($prueba[1][$i][2]=="victoria") echo "selected";echo ">Victorias</option>
																			<option value=\"puesto\" ";if ($prueba[1][$i][2]=="puesto") echo "selected";echo ">Puesto</option>
																		</select>
																	</div>
																</div>
															</div>
														</div>
													</div>
													";
													$entero++;
												}
												$entero--;
												echo "<div id=\"tipo_puntuacion1".$entero."\">
													<div class=\"form-group\">
														<div class=\"col-lg-offset-2 col-lg-10\">
															<button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"nuevo2('#tipo_puntuacion1".$entero."','puntuacion', '1".$entero."',".$entero.");\">
															<span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir elemento de puntuación </button>
														</div>
												</div>
											</div>
										</div>
										<input type=\"hidden\" name=\"puntuacion_fin\">
									</div>";
								}
								if ($prueba[0]=="porpruebas"){
									$mod=$prueba[1][0];
									$numMod=$vectorMods[$mod];
									if ($numMod=='1') $entero=$numMod;
									else $entero=$numMod*100;
									$punt=$entero;
									echo "<div id=\"puntuacion".$entero."\" class=\"panel panel-primary\">
										<div class=\"panel-heading\" id=\"headPuntuacion".$entero."\">Modalidad: ".$prueba[1][0]."</div>
										<div class=\"panel-body\" id=\"bodyPuntuacion".$entero."\">
											<input type=\"hidden\" value=\"porpruebas\" name=\"puntuacion_select\"/>
											<select class=\"form-control\" id=\"inputPuntuacionselect".$entero."\" name=\"select_puntuacion\" onchange=\"cargar_puntuaciones(this.value,'".$entero."','".$mod."');\">
												<option value=\"puntuacion_mod\">Por modalidades</option>
												<option value=\"puntuacion_pruebas\" selected>Por pruebas</option>
											</select>
											<div class=\"form-group\">
												<div class=\"col-lg-10\">
													<input type=\"hidden\" value=\"".$mod."\" name=\"puntuacion_first\" id=\"puntuacion".$entero."\"/>
												</div>
											</div>";
									foreach ($prueba[1] as &$elemento){
										if (is_array($elemento)){
											$numPrueba=$vectorPruebas[$elemento[0]][$mod];
											echo "
											<div class=\"panel panel-info\" id=\"pruebaPuntuacion".$numPrueba."\">
												<div class=\"panel-heading\" id=\"headPruebaPuntuacion".$numPrueba."\">Prueba: ".$elemento[0]."</div>
												<div class=\"panel-body\" id=\"bodyPruebaPuntuacion".$numPrueba."\">
													<input type=\"hidden\" value=\"".$elemento[0]."\" name=\"puntuacion_prueba\" id=\"prueba_puntuacion".$numPrueba."\"/>";
													for ($i=1;$i<count($elemento);$i++){
													echo "
													<div id=\"tipo_puntuacion_del1".$entero."\">
														<div class=\"panel panel-default\">
															<div class=\"panel-body\">
																<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#bodyPruebaPuntuacion".$numPrueba." div#tipo_puntuacion_del1".$entero."').empty().append('');\" title=\"Borra este elemento\"></span><br>
																<div class=\"form-group\">
																	<label for=\"inputPuntuacion".$entero."\" class=\"col-lg-2 control-label\">Elemento de puntuación</label>
																	<div class=\"col-lg-10\">
																		<input type=\"text\" class=\"form-control\" id=\"inputPuntuacion".$entero."\" placeholder=\"A/B/Figura1/Figura2...\" name=\"puntuacion\" value=\"".$elemento[$i][0]."\" required>
																		<input type=\"hidden\" name=\"id_calc\" value=\"".$elemento[$i][1]."\">
																		<input type=\"hidden\" name=\"input_tipo_puntuacion\" value=\"".$elemento[$i][2]."\"/><br>
																		<select class=\"form-control\" id=\"tipo_puntuacion".$entero."\" name=\"tipo_puntuacion\" onchange=\"$('#puntuacion".$punt." div#bodyPruebaPuntuacion".$numPrueba." div#tipo_puntuacion_del1".$entero." input[name=input_tipo_puntuacion]').val(this.value);\">
																			<option value=\"puntuacion\" ";if ($elemento[$i][2]=="puntuaciones") echo "selected";echo ">Puntuaciones</option>
																			<option value=\"puntuacionpre\" ";if ($elemento[$i][2]=="puntuacionpre") echo "selected";echo ">Puntuación predominante</option>
																			<option value=\"sumas\" ";if ($elemento[$i][2]=="sumas") echo "selected";echo ">Sumas puntuaciones</option>
																			<option value=\"victoria\" ";if ($elemento[$i][2]=="victoria") echo "selected";echo ">Victorias</option>
																			<option value=\"puesto\" ";if ($elemento[$i][2]=="puesto") echo "selected";echo ">Puesto</option>
																		</select>
																	</div>
																</div>
															</div>
														</div>
													</div>";
														$entero++;
													}
													$entero--;
													echo "
													<div id=\"tipo_puntuacion1".$entero."\">
														<div class=\"form-group\">
															<div class=\"col-lg-offset-2 col-lg-10\">
																<button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"nuevo3('#bodyPruebaPuntuacion".$numPrueba." div#tipo_puntuacion1".$entero."','headPruebaPuntuacion',".$entero.",".$numPrueba.",".$punt.");\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir elemento de puntuación </button>
															</div>
														</div>
													</div>
												</div>
												<input type=\"hidden\" name=\"puntuacionPrueba_fin\">
											</div>";
										}
									}
									echo "
										</div>
										<input type=\"hidden\" name=\"puntuacion_fin\">
									</div>";
								}
							}
						}
						$iterador=1;
						  
						echo "</div>
						<br>
					  </div>
					  
					  <div id=\"pagina4\" style=\"display:none;\">
					    <div class=\"row\">
						  <div class=\"col-md-8\">
						  </div>
						  <div class=\"col-md-4\">
							
							<ul class=\"list-group\">
							  <li class=\"list-group-item\"><a href=\"#times\">1. Tiempos</a></li>
							  <li class=\"list-group-item\"><a href=\"#jouzos\">2. Jueces</a></li>
							  <li class=\"list-group-item\"><a href=\"#pageination\">3. Paginación</a></li>
							</ul>
						  </div>
					    </div>
						  <h2 class=\"text-center\">Paso 4 <small>Tiempos y jueces</small></h2>
						  
						  <a name=\"times\"></a>
						  <legend>Tiempos</legend><p class=\"help-block\">Especifica los tiempos para el programa de los campeonatos.</p>";
						  
						//Tiempos
						$sql->query("SELECT * FROM tiempos WHERE id_pl='$identificador_plantilla_pl' AND tipo='segun_campeonato' AND (tipo2!='boton_categoria' OR tipo2 is NULL) ORDER BY tipo,id_tipoChamp,id_mod,id_prueba,id_cat");
						$sql->ejecutarSQL();
						$vectorBDtiempos=array();
						$numReg=$sql->getNumRegistros();
						if ($numReg > 0){
							$tiempos=$sql->getTodosRegistro();
							//Ordeno el vector
							//Tabla de pagos inscripciones
							$id_champ_actual="";
							$id_mod_actual="";
							$id_prueba_actual="";
							foreach ($tiempos as &$elemento){
								$var_id_champ=$elemento['id_tipoChamp'];
								$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_pl='$identificador_plantilla_pl' AND id_tipoChamp='$var_id_champ'");
								$sql->ejecutarSQL();
								$res=$sql->getUnRegistro();
								$var_nombre_champ=$res['nombre'];
								$var_id_mod=$elemento['id_mod'];
								$sql->query("SELECT nombre FROM modalidades WHERE id_pl='$identificador_plantilla_pl' AND id_mod='$var_id_mod'");
								$sql->ejecutarSQL();
								$res=$sql->getUnRegistro();
								$var_nombre_mod=$res['nombre'];
								$var_id_prueba=$elemento['id_prueba'];
								$sql->query("SELECT nombre FROM pruebas WHERE id_pl='$identificador_plantilla_pl' AND id_mod='$var_id_mod' AND id_prueba='$var_id_prueba'");
								$sql->ejecutarSQL();
								$res=$sql->getUnRegistro();
								$var_nombre_prueba=$res['nombre'];
								if ($iterador==1) $vectorGeneral=array("segun_campeonato");
								//Si tenemos un nuevo campeonato
								if ($id_champ_actual!=$var_id_champ){
									//Si tenemos un nuevo campeonato, crearemos el campeonato y añadiremos el anterior al vector general
									if (isset($vectorArrayChamp)){
										$vectorArrayMod[]=$vectorArrayPrueba;
										unset($vectorArrayPrueba);
										$vectorArrayChamp[]=$vectorArrayMod;
										unset($vectorArrayMod);
										$vectorGeneral[]=$vectorArrayChamp;
										unset($vectorArrayChamp);
									}
									$vectorArrayChamp=array("campeonato",$var_nombre_champ);
									$id_mod_actual="";
									$id_prueba_actual="";
									//Si tenemos una nueva modalidad
									if ($id_mod_actual!=$var_id_mod){
										//Si tenemos una nueva modalidad, crearemos la modalidad y añadiremos la anterior al vector de campeonatos
										if (isset($vectorArrayMod)){
											$vectorArrayMod[]=$vectorArrayPrueba;
											unset($vectorArrayPrueba);
											$vectorArrayChamp[]=$vectorArrayMod;
											unset($vectorArrayMod);
										}
										$vectorArrayMod=array("modalidad",$var_nombre_mod);
										$id_prueba_actual="";
										//Si tenemos una nueva prueba
										if ($id_prueba_actual!=$var_id_prueba){
											//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
											if (isset($vectorArrayPrueba)){
												$vectorArrayMod[]=$vectorArrayPrueba;
												unset($vectorArrayPrueba);
											}
											$vectorArrayPrueba=array("prueba",$var_nombre_prueba);
										}
									}
									//Si estamos añadiendo una prueba a la modalidad
									else{
										//Si tenemos una nueva prueba
										if ($id_prueba_actual!=$var_id_prueba){
											//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
											if (isset($vectorArrayPrueba)){
												$vectorArrayMod[]=$vectorArrayPrueba;
												unset($vectorArrayPrueba);
											}
											$vectorArrayPrueba=array("prueba",$var_nombre_prueba);
										}
									}
								}
								//Si estamos añadiendo una modalidad al campeonato
								else{
									//Si tenemos una nueva modalidad
									if ($id_mod_actual!=$var_id_mod){
										//Si tenemos una nueva modalidad, crearemos la modalidad y añadiremos la anterior al vector de campeonatos
										if (isset($vectorArrayMod)){
											$vectorArrayMod[]=$vectorArrayPrueba;
											unset($vectorArrayPrueba);
											$vectorArrayChamp[]=$vectorArrayMod;
											unset($vectorArrayMod);
										}
										$vectorArrayMod=array("modalidad",$var_nombre_mod);
										$id_prueba_actual="";
										//Si tenemos una nueva prueba
										if ($id_prueba_actual!=$var_id_prueba){
											//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
											if (isset($vectorArrayPrueba)){
												$vectorArrayMod[]=$vectorArrayPrueba;
												unset($vectorArrayPrueba);
											}
											$vectorArrayPrueba=array("prueba",$var_nombre_prueba);
										}
									}
									//Si estamos añadiendo una prueba a la modalidad
									else{
										//Si tenemos una nueva prueba
										if ($id_prueba_actual!=$var_id_prueba){
											//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
											if (isset($vectorArrayPrueba)){
												$vectorArrayMod[]=$vectorArrayPrueba;
												unset($vectorArrayPrueba);
											}
											$vectorArrayPrueba=array("prueba",$var_nombre_prueba);
										}
									}
								}
								//Si tenemos categorías dentro de las pruebas
								if ($elemento['tipo2']=="prueba_categoria"){
									$var_id_cat=$elemento['id_cat'];
									$sql->query("SELECT nombre FROM categorias WHERE id_pl='$identificador_plantilla_pl' AND id_cat='$var_id_cat'");
									$sql->ejecutarSQL();
									$res=$sql->getUnRegistro();
									$var_nombre_cat=$res['nombre'];
									$id_time=$elemento['id_time'];
									$var_minutos=$elemento['minutos'];
									$var_segundos=$elemento['segundos'];
									$vectorArrayCat=array("prueba_categoria",$var_nombre_cat,$id_time,$var_minutos,$var_segundos);
									$vectorArrayPrueba[]=$vectorArrayCat;
									unset($vectorArrayCat);
									$id_cat_actual=$var_id_cat;
								}
								else{
									$id_time=$elemento['id_time'];
									$var_minutos=$elemento['minutos'];
									$var_segundos=$elemento['segundos'];
									$vectorArrayPrueba[]=$id_time;
									$vectorArrayPrueba[]=$var_minutos;
									$vectorArrayPrueba[]=$var_segundos;
								}
								$id_champ_actual=$var_id_champ;
								$id_mod_actual=$var_id_mod;
								$id_prueba_actual=$var_id_prueba;
								//En el caso de que hayamos llegado al final del vector, tenemos que finalizarlo
								if ($iterador == count($tiempos)){
									$vectorArrayMod[]=$vectorArrayPrueba;
									unset($vectorArrayPrueba);
									$vectorArrayChamp[]=$vectorArrayMod;
									unset($vectorArrayMod);
									$vectorGeneral[]=$vectorArrayChamp;
									unset($vectorArrayChamp);
								}
								$iterador++;
							}
						}
						//Botón categoría
						$sql->query("SELECT * FROM tiempos WHERE id_pl='$identificador_plantilla_pl' AND tipo='segun_campeonato' AND tipo2='boton_categoria' ORDER BY id_cat");
						$sql->ejecutarSQL();
						$numReg=$sql->getNumRegistros();
						if ($numReg > 0){
							$tiempos=$sql->getTodosRegistro();
							//Ordeno el vector
							//Tabla de pagos inscripciones
							foreach ($tiempos as &$elemento){
								if ($elemento['tipo2']=="boton_categoria"){
									$var_id_cat=$elemento['id_cat'];
									$sql->query("SELECT nombre FROM categorias WHERE id_pl='$identificador_plantilla_pl' AND id_cat='$var_id_cat'");
									$sql->ejecutarSQL();
									$res=$sql->getUnRegistro();
									$var_nombre_cat=$res['nombre'];
									$id_time=$elemento['id_time'];
									$var_minutos=$elemento['minutos'];
									$var_segundos=$elemento['segundos'];
									$vectorArrayTemp=array("boton_categoria",$var_nombre_cat,$id_time,$var_minutos,$var_segundos);
									$vectorGeneral[]=$vectorArrayTemp;
									unset($vectorArrayTemp);
								}
								$iterador++;
							}
						}
						if (isset($vectorGeneral)){
							$vectorBDtiempos[]=$vectorGeneral;
							unset($vectorGeneral);
						}
						$iterador=1;
						$sql->query("SELECT * FROM tiempos WHERE id_pl='$identificador_plantilla_pl' AND tipo='segun_categoria' ORDER BY tipo2,id_cat,id_mod,id_prueba");
						$sql->ejecutarSQL();
						$numReg=$sql->getNumRegistros();
						if ($numReg > 0){
							$tiempos=$sql->getTodosRegistro();
							//Ordeno el vector
							//Tabla de pagos inscripciones
							$id_cat_actual="";
							$id_mod_actual="";
							$id_prueba_actual="";
							foreach ($tiempos as &$elemento){
								$var_id_cat=$elemento['id_cat'];
								$sql->query("SELECT nombre FROM categorias WHERE id_pl='$identificador_plantilla_pl' AND id_cat='$var_id_cat'");
								$sql->ejecutarSQL();
								$res=$sql->getUnRegistro();
								$var_nombre_cat=$res['nombre'];
								$var_id_mod=$elemento['id_mod'];
								$sql->query("SELECT nombre FROM modalidades WHERE id_pl='$identificador_plantilla_pl' AND id_mod='$var_id_mod'");
								$sql->ejecutarSQL();
								$res=$sql->getUnRegistro();
								$var_nombre_mod=$res['nombre'];
								if ($iterador==1) $vectorGeneral=array("segun_categoria");
								//Si tenemos categorías dentro de las pruebas
								if ($elemento['tipo2']=="boton_modalidad"){
									if (isset($vectorArrayCat)){
										if (isset($vectorArrayMod)){
											$vectorArrayCat[]=$vectorArrayMod;
											unset($vectorArrayMod);
										}
										$vectorGeneral[]=$vectorArrayCat;
										unset($vectorArrayCat);
									}
									$var_id_prueba=$elemento['id_prueba'];
									$sql->query("SELECT nombre FROM pruebas WHERE id_pl='$identificador_plantilla_pl' AND id_mod='$var_id_mod' AND id_prueba='$var_id_prueba'");
									$sql->ejecutarSQL();
									$res=$sql->getUnRegistro();
									$var_nombre_prueba=$res['nombre'];
									//Si tenemos una nueva modalidad
									if ($id_mod_actual!=$var_id_mod){
										//Si tenemos una nueva modalidad, crearemos la modalidad
										if (isset($vectorArrayMod)){
											$vectorArrayMod[]=$vectorArrayPrueba;
											unset($vectorArrayPrueba);
											$vectorGeneral[]=$vectorArrayMod;
											unset($vectorArrayMod);
										}
										$vectorArrayMod=array("boton_modalidad",$var_nombre_mod);
										$id_prueba_actual="";
										//Si tenemos una nueva prueba
										if ($id_prueba_actual!=$var_id_prueba){
											//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
											if (isset($vectorArrayPrueba)){
												$vectorArrayMod[]=$vectorArrayPrueba;
												unset($vectorArrayPrueba);
											}
											$id_time=$elemento['id_time'];
											$var_minutos=$elemento['minutos'];
											$var_segundos=$elemento['segundos'];
											$vectorArrayPrueba=array("prueba",$var_nombre_prueba,$id_time,$var_minutos,$var_segundos);
											$vectorArrayMod[]=$vectorArrayPrueba;
											unset($vectorArrayPrueba);
										}
									}
									//Si estamos añadiendo una prueba a la modalidad
									else{
										//Si tenemos una nueva prueba
										if ($id_prueba_actual!=$var_id_prueba){
											//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
											if (isset($vectorArrayPrueba)){
												$vectorArrayMod[]=$vectorArrayPrueba;
												unset($vectorArrayPrueba);
											}
											$id_time=$elemento['id_time'];
											$var_minutos=$elemento['minutos'];
											$var_segundos=$elemento['segundos'];
											$vectorArrayPrueba=array("prueba",$var_nombre_prueba,$id_time,$var_minutos,$var_segundos);
											$vectorArrayMod[]=$vectorArrayPrueba;
											unset($vectorArrayPrueba);
										}
									}
									$id_prueba_actual=$var_id_prueba;
									//En el caso de que hayamos llegado al final del vector, tenemos que finalizarlo
									if ($iterador == count($tiempos)){
										if (isset($vectorArrayPrueba)){
											$vectorArrayMod[]=$vectorArrayPrueba;
											unset($vectorArrayPrueba);
										}
										$vectorGeneral[]=$vectorArrayMod;
										unset($vectorArrayMod);
									}
								}
								else{
									//Si tenemos una nueva categoría
									if ($id_cat_actual!=$var_id_cat){
										//Si tenemos una nueva categoría, crearemos la categoría y añadiremos el anterior al vector general
										if (isset($vectorArrayCat)){
											if (isset($vectorArrayMod)){
												$vectorArrayCat[]=$vectorArrayMod;
												unset($vectorArrayMod);
											}
											$vectorGeneral[]=$vectorArrayCat;
											unset($vectorArrayCat);
										}
										$vectorArrayCat=array("categoria",$var_nombre_cat);
										$id_mod_actual="";
										//Si tenemos una nueva modalidad
										if ($id_mod_actual!=$var_id_mod){
											//Si tenemos una nueva modalidad, crearemos la modalidad y añadiremos la anterior al vector de categorías
											$id_time=$elemento['id_time'];
											$var_minutos=$elemento['minutos'];
											$var_segundos=$elemento['segundos'];
											$vectorArrayMod=array("modalidad",$var_nombre_mod,$id_time,$var_minutos,$var_segundos);
											$vectorArrayCat[]=$vectorArrayMod;
											unset($vectorArrayMod);
										}
									}
									//Si estamos añadiendo una modalidad al campeonato
									else{
										//Si tenemos una nueva modalidad
										if ($id_mod_actual!=$var_id_mod){
											//Si tenemos una nueva modalidad, crearemos la modalidad y añadiremos la anterior al vector de categorías
											$id_time=$elemento['id_time'];
											$var_minutos=$elemento['minutos'];
											$var_segundos=$elemento['segundos'];
											$vectorArrayMod=array("modalidad",$var_nombre_mod,$id_time,$var_minutos,$var_segundos);
											$vectorArrayCat[]=$vectorArrayMod;
											unset($vectorArrayMod);
										}
									}
									$id_cat_actual=$var_id_cat;
									//En el caso de que hayamos llegado al final del vector, tenemos que finalizarlo
									if ($iterador == count($tiempos)){
										if (isset($vectorArrayMod)){
											$vectorArrayCat[]=$vectorArrayMod;
											unset($vectorArrayMod);
										}
										$vectorGeneral[]=$vectorArrayCat;
										unset($vectorArrayCat);
									}
								}
								$id_mod_actual=$var_id_mod;
								$iterador++;
							}
						}
						$iterador=1;
						if (isset($vectorGeneral)){
							$vectorBDtiempos[]=$vectorGeneral;
							unset($vectorGeneral);
						}
						$tiempos=$vectorBDtiempos;
						  echo"<div class=\"form-group\">
								<label class=\"col-lg-2 control-label\">Selecciona: </label>
								<div class=\"col-lg-8\">
								  <select class=\"form-control\" onchange=\"cargar_opcion(this.value);\">
									  <option value=\"default\">Selecciona una opción</option>
									  <option value=\"categorias\"";if ($tiempos[0][0]=="segun_categoria") echo " selected"; echo ">Según categorías</option>
									  <option value=\"campeonatos\"";if ($tiempos[0][0]=="segun_campeonato") echo  "selected"; echo ">Según tipos de campeonatos</option>
								  </select>
								</div> 
						  </div>
						  <div id=\"tipo_tiempo\">";
						  $boton_mod=0;
						  $boton_cat=0;
						  $tieneCategoria=0;
						  $principioCategoria=1;
						  foreach ($tiempos as &$tiempo) {
							//Tiempos segun categoria
							if (($iterador==1)&&($tiempo[$iterador-1]=="segun_categoria")){
								echo "<div id=\"tiempo_categorias\"><input type=\"hidden\" value=\"inicio_segun_categoria\" name=\"inicio_segun_categoria\"/>";
								if (is_array($tiempo[$iterador])){
									foreach ($tiempo as &$tipo_cat){
										//Inicio de una categoria
										if (is_array($tipo_cat)){
											if ($tipo_cat[0]=="categoria"){
												$num=$vectorCats[$tipo_cat[1]];
												if ($vectorCats[$tipo_cat[1]]==1) $entero=1;
												else $entero=$num*100;
												echo "<div id=\"elemento_tiempo".$num."\" class=\"panel panel-primary\">
														<div class=\"panel-heading\" id=\"headTiempo".$entero."\">Categoría: ".$tipo_cat[1]."</div>
														<input type=\"hidden\" value=\"".$tipo_cat[1]."\" name=\"tiempo_segun_categoria\" id=\"tiempo_segun_categoria".$entero."\"/>
														<div class=\"panel-body\" id=\"TiempoBody".$entero."\">";
												foreach ($tipo_cat as &$previo_mod){
													if (is_array($previo_mod)){
														$numMod=$vectorMods[$previo_mod[1]];
														if ($entero > 1) $numFinal=$entero + $numMod;
														else $numFinal=$numMod;
														echo "<div id=\"tiempo_mod".$numFinal."\">
																<div class=\"panel panel-info\">
																	<div class=\"panel-heading\" id=\"headModalTiempo".$numFinal."\">Modalidad: ".$previo_mod[1]."</div>
																	<input type=\"hidden\" value=\"".$previo_mod[1]."\" name=\"modalidad_segun_categoria\" id=\"modalidad_segun_categoria".$numFinal."\"/>
																	<div class=\"panel-body\">
																		<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#tiempo_mod".$numFinal."').remove();\" title=\"Borra este elemento\"></span>
																		<br>
																		<div class=\"form-group\">
																			<label for=\"inputTiempo1\" class=\"col-lg-1 control-label\">Tiempo</label>
																			<div class=\"col-lg-4\">
																				<input type=\"hidden\" name=\"id_time\" value=\"".$previo_mod[2]."\">
																				<input type=\"text\" class=\"form-control\" id=\"inputPagoTiempo1\" name=\"tiempo_minutos\" placeholder=\"Especifique los minutos...\" value=\"".$previo_mod[3]."\" required>
																			</div>
																			<div class=\"col-lg-1\">
																				<p class=\"form-control-static\"> minutos y </p>
																			</div>
																			<div class=\"col-lg-4\">
																				<input type=\"text\" class=\"form-control\" id=\"inputPagoTiempo2\" name=\"tiempo_segundos\" placeholder=\"Especifique los segundos...\" value=\"".$previo_mod[4]."\" required>
																			</div>
																			<div class=\"col-lg-1\">
																				<p class=\"form-control-static\"> segundos.</p>
																			</div>
																		</div>
																	</div>
																</div>
															</div>";
													}
												}
												//Fin de una categoria
												echo "</div><input type=\"hidden\" value=\"fin_cat_segun_categoria\" name=\"fin_cat_segun_categoria\"></div>";
											}
											if ($tipo_cat[0]=="boton_modalidad"){
												if ($boton_mod==0){
													echo "<div id=\"tiempo_modalidades_segun_categorias\">";
													$boton_mod=1;
												}
												$num=$vectorMods[$tipo_cat[1]];
												if ($vectorMods[$tipo_cat[1]]==1) $entero=1;
												else $entero=$num*100;
												echo "<div id=\"modalidad_tiempo".$num."\" class=\"panel panel-primary\">
														<div class=\"panel-heading\" id=\"headTiempoModalidad".$num."\">Modalidad: ".$tipo_cat[1]."<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#modalidad_tiempo".$num."').remove();\" title=\"Borra este elemento\"></span></div>
														<input type=\"hidden\" value=\"".$tipo_cat[1]."\" name=\"boton_modalidad_segun_categoria\" id=\"boton_modalidad_segun_categoria".$num."\"/>
														<div class=\"panel-body\" id=\"TiempoModalidadBody".$num."\">";
												foreach ($tipo_cat as &$button){
													if (is_array($button)){
														$numFinal=$vectorPruebas[$button[1]][$tipo_cat[1]];
														echo "<div id=\"tiempo_mod_added".$numFinal."\">
																<div class=\"panel panel-info\">
																	<div class=\"panel-heading\" id=\"headPruebaTiempoAdded".$numFinal."\">Prueba: ".$button[1]."</div>
																	<input type=\"hidden\" value=\"".$button[1]."\" name=\"prueba_segun_categoria\" id=\"prueba_segun_categoria".$numFinal."\"/>
																	<div class=\"panel-body\">
																		<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#tiempo_mod_added".$numFinal."').remove();\" title=\"Borra este elemento\"></span><br>
																		<div class=\"form-group\">
																			<label for=\"inputTiempo1\" class=\"col-lg-1 control-label\">Tiempo</label>
																			<div class=\"col-lg-4\">
																				<input type=\"hidden\" name=\"id_time\" value=\"".$button[2]."\">
																				<input type=\"text\" class=\"form-control\" id=\"inputPagoTiempo1\" name=\"tiempo_minutos\" placeholder=\"Especifique los minutos...\" value=\"".$button[3]."\" required>
																			</div>
																			<div class=\"col-lg-1\">
																				<p class=\"form-control-static\"> minutos y </p>
																			</div>
																			<div class=\"col-lg-4\">
																				<input type=\"text\" class=\"form-control\" id=\"inputPagoTiempo2\" name=\"tiempo_segundos\" placeholder=\"Especifique los segundos...\" value=\"".$button[4]."\" required>
																			</div>
																			<div class=\"col-lg-1\">
																				<p class=\"form-control-static\"> segundos.</p>
																			</div>
																		</div>
																	</div>
																</div>
															</div>";
													}
												}
												//Fin de un boton_modalidad
												echo "</div><input type=\"hidden\" value=\"fin_mod_segun_categoria\" name=\"fin_mod_segun_categoria\"/></div>";
											}
										}
									}
								}
								//Final del vector tiempo
								if ($boton_mod==0){
									echo "<div id=\"tiempo_modalidades_segun_categorias\">";
								}
								echo "<div class=\"form-group\" id=\"tiempo_add_del\">
										<div class=\"col-lg-offset-2 col-lg-10\" id=\"tiempo_add_mod\">
											<button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"add_mod_tiempo('add',0,0);\">
											<span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir modalidad </button>
										</div>
									</div>";
								echo "</div><input type=\"hidden\" value=\"fin_segun_categoria\" name=\"fin_segun_categoria\"/>";
							}
							if (($iterador==1)&&($tiempo[$iterador-1]=="segun_campeonato")){
								echo "<div id=\"tiempo_campeonatos\"><input type=\"hidden\" value=\"inicio_segun_campeonato\" name=\"inicio_segun_campeonato\"/>";
								if (is_array($tiempo[$iterador])){
									foreach ($tiempo as &$tipo_champ){
										//Inicio de un campeonato
										if (is_array($tipo_champ)){
											if ($tipo_champ[0]=="campeonato"){
												$num=$vectorChamps[$tipo_champ[1]];
												if ($vectorChamps[$tipo_champ[1]]==1) $entero=1;
												else $entero=$num*100;
												echo "<div id=\"elemento_tiempo_champ".$num."\" class=\"panel panel-primary\">
														<div class=\"panel-heading\" id=\"headTiempoChamp".$num."\">Tipo de campeonato: ".$tipo_champ[1]."</div>
														<input type=\"hidden\" value=\"".$tipo_champ[1]."\" name=\"champ_segun_categoria\" id=\"champ_segun_categoria".$num."\"/>
														<div class=\"panel-body\" id=\"TiempoChampBody".$num."\">";
												foreach ($tipo_champ as &$mod_champ){
													if (is_array($mod_champ)){
														$numMod=$vectorMods[$mod_champ[1]];
														if ($entero > 1) $numFinal=$entero + $numMod;
														else $numFinal=$numMod;
														//Inicio de la modalidad
														echo "<div id=\"tiempo_mod_champ".$numFinal."\">
																<div class=\"panel panel-danger\">
																	<div class=\"panel-heading\" id=\"headModalTiempoChamp".$numFinal."\">Modalidad: ".$mod_champ[1]."</div>
																	<input type=\"hidden\" value=\"".$mod_champ[1]."\" name=\"modalidad_segun_champ\" id=\"modalidad_segun_champ".$numFinal."\"/>
																	<div class=\"panel-body\" id=\"TiempoChampModBody".$numFinal."\">
																		<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#tiempo_mod_champ".$numFinal."').remove();\" title=\"Borra este elemento\"></span><br>";
														foreach ($mod_champ as &$prueba_champ){
															if (is_array($prueba_champ)){
																$numFinal=$vectorPruebas[$prueba_champ[1]][$mod_champ[1]];
																if ($entero>1) $numBorrar=$entero+$numMod;
																else $numBorrar=$numMod;
																echo "<div id=\"tiempo_mod_prueba".$numFinal."\">
																		<div class=\"panel panel-info\">
																			<div class=\"panel-heading\" id=\"headPruebaTiempoPrueba".$numFinal."\">Prueba: ".$prueba_champ[1]."</div>
																			<input type=\"hidden\" value=\"".$prueba_champ[1]."\" name=\"prueba_segun_champ\" id=\"prueba_segun_champ".$numFinal."\"/>
																			<div class=\"panel-body\" id=\"TiempoChampPruebaBody".$numFinal."\">";
																for ($i=0;$i<count($prueba_champ);$i++) if (is_array($prueba_champ[$i])) $tieneCategoria=1;
																//Si contiene un array, estamos tratando una prueba con categorías dentro
																if (!$tieneCategoria){
																	echo "<button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red;\" onClick=\"separar('".$numFinal."','".$numBorrar."', 1);\" id=\"separar ".$numFinal."\">Por categorías</button><br>
																		<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#TiempoChampModBody".$numBorrar." div#tiempo_mod_prueba".$numFinal."').remove();\" title=\"Borra este elemento\"></span><br>
																		<div class=\"form-group\">
																			<label for=\"inputTiempoPrueba1\" class=\"col-lg-1 control-label\">Tiempo</label>
																			<div class=\"col-lg-4\">
																				<input type=\"hidden\" name=\"id_time\" value=\"".$prueba_champ[2]."\">
																				<input type=\"text\" class=\"form-control\" id=\"inputTiempoPrueba1\" name=\"tiempo_minutos\" placeholder=\"Especifique los minutos...\" value=\"".$prueba_champ[3]."\" required>
																			</div>
																			<div class=\"col-lg-1\">
																				<p class=\"form-control-static\"> minutos y </p>
																			</div>
																			<div class=\"col-lg-4\">
																				<input type=\"text\" class=\"form-control\" id=\"inputTiempoPrueba2\" name=\"tiempo_segundos\" placeholder=\"Especifique los segundos...\" value=\"".$prueba_champ[4]."\" required>
																			</div>
																			<div class=\"col-lg-1\">
																				<p class=\"form-control-static\"> segundos.</p>
																			</div>
																		</div>";
																}
																else{
																	//Principio de la categoría
																	if ($principioCategoria==1){
																		$principioCategoria==0;
																		echo "<button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red;\" onClick=\"separar('".$numFinal."','".$numBorrar."', 0);\" id=\"separar ".$numFinal."\">Quitar categorías</button>
																		<br>
																		<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#TiempoChampModBody".$numBorrar." div#tiempo_mod_prueba".$numFinal."').remove();\" title=\"Borra este elemento\"></span>
																		<br>";
																	}
																	if (!is_array($prueba_champ[2])){
																		echo "<div class=\"panel panel-default\" id=\"TiempoPruebaCatBody".$numFinal."\">
																				<div class=\"panel-body\">
																					<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#TiempoChampModBody".$numBorrar." div#TiempoPruebaCatBody".$numFinal."').remove();\" title=\"Borra este elemento\"></span>
																					<div class=\"form-group\">
																						<label for=\"inputTiempoPrueba1\" class=\"col-lg-1 control-label\">Tiempo</label>
																						<div class=\"col-lg-4\">
																							<input type=\"hidden\" name=\"id_time\" value=\"".$prueba_champ[2]."\">
																							<input type=\"text\" class=\"form-control\" id=\"inputTiempoPrueba1\" name=\"tiempo_minutos\" placeholder=\"Especifique los minutos...\" value=\"".$prueba_champ[3]."\" required>
																						</div>
																						<div class=\"col-lg-1\">
																							<p class=\"form-control-static\"> minutos y </p>
																						</div>
																						<div class=\"col-lg-4\">
																							<input type=\"text\" class=\"form-control\" id=\"inputTiempoPrueba2\" name=\"tiempo_segundos\" placeholder=\"Especifique los segundos...\" value=\"".$prueba_champ[4]."\" required>
																						</div>
																						<div class=\"col-lg-1\">
																							<p class=\"form-control-static\"> segundos.</p>
																						</div>
																					</div>
																				</div>
																			</div>";
																	}
																	for ($i=0;$i<count($prueba_champ);$i++){
																		if (is_array($prueba_champ[$i])){
																			if ($entero>1) $numTemp=$entero+$numMod;
																			else $numTemp=$numMod;
																			$numCat=$vectorCats[$prueba_champ[$i][1]];
																			$strPrueba="#TiempoChampModBody".$numTemp." div#TiempoChampPruebaBody".$numFinal;
																			echo "<div id=\"cat_tiempo_single".$numCat."\" class=\"panel panel-primary\">
																					<div class=\"panel-heading\" id=\"headTiempoCatSingle".$numCat."\">Categoria: ".$prueba_champ[$i][1]."</div>
																					<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('".$strPrueba." div#cat_tiempo_single".$numCat."').remove();\" title=\"Borra este elemento\"></span>
																					<br>
																					<input type=\"hidden\" value=\"".$prueba_champ[$i][1]."\" name=\"boton_categoria_single_segun_campeonato\" id=\"boton_categoria_single_segun_campeonato".$numCat."\"/>
																					<div class=\"panel-body\" id=\"TiempoCatSingleBody".$numCat."\">
																						<div class=\"form-group\">
																							<label for=\"inputTiempo1\" class=\"col-lg-1 control-label\">Tiempo</label>
																							<div class=\"col-lg-4\">
																								<input type=\"hidden\" name=\"id_time\" value=\"".$prueba_champ[$i][2]."\">
																								<input type=\"text\" class=\"form-control\" id=\"inputPagoTiempo1\" name=\"tiempo_minutos\" placeholder=\"Especifique los minutos...\" value=\"".$prueba_champ[$i][3]."\" required>
																							</div>
																							<div class=\"col-lg-1\">
																								<p class=\"form-control-static\"> minutos y </p>
																							</div>
																							<div class=\"col-lg-4\">
																								<input type=\"text\" class=\"form-control\" id=\"inputPagoTiempo2\" name=\"tiempo_segundos\" placeholder=\"Especifique los segundos...\" value=\"".$prueba_champ[$i][4]."\" required>
																							</div>
																							<div class=\"col-lg-1\">
																								<p class=\"form-control-static\"> segundos.</p>
																							</div>
																						</div>
																					</div>
																				</div>";
																			//Final de la categoría
																			if ($i+1==count($prueba_champ)){
																				echo "
																				<div class=\"form-group\" id=\"tiempo_add_cat_del_single\">
																					<div class=\"col-lg-offset-2 col-lg-10\" id=\"tiempo_add_cat_single\">
																						<button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"add_mod_tiempo('add_cat_single','".$numMod."','".$numFinal."');\">
																						<span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir categoría </button>
																					</div>
																				</div>";
																			}
																		}
																	}
																	$principioCategoria==1;
																}
																echo "</div></div></div><input type=\"hidden\" value=\"fin_prueba_segun_campeonato\" name=\"fin_prueba_segun_campeonato\"/>";
															}
															$tieneCategoria=0;
														}
														//Fin de la modalidad
														echo "</div></div></div><input type=\"hidden\" value=\"fin_mod_segun_campeonato\" name=\"fin_mod_segun_campeonato\"/>";
													}
													
												}
												//Fin de un campeonato
												echo "</div><input type=\"hidden\" value=\"fin_champ_segun_campeonato\" name=\"fin_champ_segun_campeonato\"/></div>";
											}
											if ($tipo_champ[0]=="boton_categoria"){
												if ($boton_cat==0){
													echo "<div id=\"tiempo_categorias_segun_campeonatos\">";
													$boton_cat=1;
												}
												$numCat=$vectorCats[$tipo_champ[1]];
												echo "<div id=\"cat_tiempo".$numCat."\" class=\"panel panel-primary\">
														<div class=\"panel-heading\" id=\"headTiempoCat".$numCat."\">Categoria: ".$tipo_champ[1]."</div>
															<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#cat_tiempo".$numCat."').remove();\" title=\"Borra este elemento\"></span>
															<br>
															<input type=\"hidden\" value=\"".$tipo_champ[1]."\" name=\"boton_categoria_segun_campeonato\" id=\"boton_categoria_segun_campeonato".$numCat."\"/>
															<div class=\"panel-body\" id=\"TiempoCatBody".$numCat."\">
																<div class=\"form-group\">
																	<label for=\"inputTiempo1\" class=\"col-lg-1 control-label\">Tiempo</label>
																	<div class=\"col-lg-4\">
																		<input type=\"hidden\" name=\"id_time\" value=\"".$tipo_champ[2]."\">
																		<input type=\"text\" class=\"form-control\" id=\"inputPagoTiempo1\" name=\"tiempo_minutos\" placeholder=\"Especifique los minutos...\" value=\"".$tipo_champ[3]."\" required>
																	</div>
																	<div class=\"col-lg-1\">
																		<p class=\"form-control-static\"> minutos y </p>
																	</div>
																	<div class=\"col-lg-4\">
																		<input type=\"text\" class=\"form-control\" id=\"inputPagoTiempo2\" name=\"tiempo_segundos\" placeholder=\"Especifique los segundos...\" value=\"".$tipo_champ[4]."\" required>
																	</div>
																	<div class=\"col-lg-1\">
																		<p class=\"form-control-static\"> segundos.</p>
																	</div>
																</div>";
												//Fin de un boton_modalidad
												echo "</div></div>";
											}
										}
									}
								}
								//Final del vector tiempo
								if ($boton_cat==0){
									echo "<div id=\"tiempo_categorias_segun_campeonatos\">";
								}
								echo "<div class=\"form-group\" id=\"tiempo_add_cat_del\">
										<div class=\"col-lg-offset-2 col-lg-10\" id=\"tiempo_add_cat\">
											<button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"add_mod_tiempo('add_cat',0,0);\">
											<span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir categoría </button>
										</div>
									</div>";
								echo "</div><input type=\"hidden\" value=\"fin_segun_campeonato\" name=\"fin_segun_campeonato\"/>";
							}
							$iterador++;
						  }
						  $iterador=1;
						  echo "
						  </div></div>
						  <br>
							
							";
						//Jueces
						$sql->query("SELECT * FROM jueces WHERE id_pl='$identificador_plantilla_pl' AND tipo='segun_campeonato' AND tipo2 is NULL ORDER BY id_tipoChamp,id_mod,id_prueba,id_jueces");
						$sql->ejecutarSQL();
						$vectorBDjueces=array();
						$numReg=$sql->getNumRegistros();
						if ($numReg > 0){
							$jueces=$sql->getTodosRegistro();
							//Ordeno el vector
							//Tabla de pagos inscripciones
							$id_champ_actual="";
							$id_mod_actual="";
							$id_prueba_actual="";
							foreach ($jueces as &$elemento){
								$var_id_champ=$elemento['id_tipoChamp'];
								$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_pl='$identificador_plantilla_pl' AND id_tipoChamp='$var_id_champ'");
								$sql->ejecutarSQL();
								$res=$sql->getUnRegistro();
								$var_nombre_champ=$res['nombre'];
								$var_id_mod=$elemento['id_mod'];
								$sql->query("SELECT nombre FROM modalidades WHERE id_pl='$identificador_plantilla_pl' AND id_mod='$var_id_mod'");
								$sql->ejecutarSQL();
								$res=$sql->getUnRegistro();
								$var_nombre_mod=$res['nombre'];
								$var_id_prueba=$elemento['id_prueba'];
								$sql->query("SELECT nombre FROM pruebas WHERE id_pl='$identificador_plantilla_pl' AND id_mod='$var_id_mod' AND id_prueba='$var_id_prueba'");
								$sql->ejecutarSQL();
								$res=$sql->getUnRegistro();
								$var_nombre_prueba=$res['nombre'];
								if ($iterador==1) $vectorGeneral=array("segun_campeonato");
								//Si tenemos un nuevo campeonato
								if ($id_champ_actual!=$var_id_champ){
									//Si tenemos un nuevo campeonato, crearemos el campeonato y añadiremos el anterior al vector general
									if (isset($vectorArrayChamp)){
										$vectorArrayMod[]=$vectorArrayPrueba;
										unset($vectorArrayPrueba);
										$vectorArrayChamp[]=$vectorArrayMod;
										unset($vectorArrayMod);
										$vectorGeneral[]=$vectorArrayChamp;
										unset($vectorArrayChamp);
									}
									$vectorArrayChamp=array("campeonato",$var_nombre_champ);
									$id_mod_actual="";
									$id_prueba_actual="";
									//Si tenemos una nueva modalidad
									if ($id_mod_actual!=$var_id_mod){
										//Si tenemos una nueva modalidad, crearemos la modalidad y añadiremos la anterior al vector de campeonatos
										if (isset($vectorArrayMod)){
											$vectorArrayMod[]=$vectorArrayPrueba;
											unset($vectorArrayPrueba);
											$vectorArrayChamp[]=$vectorArrayMod;
											unset($vectorArrayMod);
										}
										$vectorArrayMod=array("modalidad",$var_nombre_mod);
										$id_prueba_actual="";
										//Si tenemos una nueva prueba
										if ($id_prueba_actual!=$var_id_prueba){
											//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
											if (isset($vectorArrayPrueba)){
												$vectorArrayMod[]=$vectorArrayPrueba;
												unset($vectorArrayPrueba);
											}
											$vectorArrayPrueba=array("prueba",$var_nombre_prueba);
										}
									}
									//Si estamos añadiendo una prueba a la modalidad
									else{
										//Si tenemos una nueva prueba
										if ($id_prueba_actual!=$var_id_prueba){
											//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
											if (isset($vectorArrayPrueba)){
												$vectorArrayMod[]=$vectorArrayPrueba;
												unset($vectorArrayPrueba);
											}
											$vectorArrayPrueba=array("prueba",$var_nombre_prueba);
										}
									}
								}
								//Si estamos añadiendo una modalidad al campeonato
								else{
									//Si tenemos una nueva modalidad
									if ($id_mod_actual!=$var_id_mod){
										//Si tenemos una nueva modalidad, crearemos la modalidad y añadiremos la anterior al vector de campeonatos
										if (isset($vectorArrayMod)){
											$vectorArrayMod[]=$vectorArrayPrueba;
											unset($vectorArrayPrueba);
											$vectorArrayChamp[]=$vectorArrayMod;
											unset($vectorArrayMod);
										}
										$vectorArrayMod=array("modalidad",$var_nombre_mod);
										$id_prueba_actual="";
										//Si tenemos una nueva prueba
										if ($id_prueba_actual!=$var_id_prueba){
											//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
											if (isset($vectorArrayPrueba)){
												$vectorArrayMod[]=$vectorArrayPrueba;
												unset($vectorArrayPrueba);
											}
											$vectorArrayPrueba=array("prueba",$var_nombre_prueba);
										}
									}
									//Si estamos añadiendo una prueba a la modalidad
									else{
										//Si tenemos una nueva prueba
										if ($id_prueba_actual!=$var_id_prueba){
											//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
											if (isset($vectorArrayPrueba)){
												$vectorArrayMod[]=$vectorArrayPrueba;
												unset($vectorArrayPrueba);
											}
											$vectorArrayPrueba=array("prueba",$var_nombre_prueba);
										}
									}
								}
								$id_jueces=$elemento['id_jueces'];
								$var_elemento=$elemento['elemento'];
								$vectorArrayPrueba[]=$id_jueces;
								$vectorArrayPrueba[]=$var_elemento;
								$id_champ_actual=$var_id_champ;
								$id_mod_actual=$var_id_mod;
								$id_prueba_actual=$var_id_prueba;
								//En el caso de que hayamos llegado al final del vector, tenemos que finalizarlo
								if ($iterador == count($jueces)){
									$vectorArrayMod[]=$vectorArrayPrueba;
									unset($vectorArrayPrueba);
									$vectorArrayChamp[]=$vectorArrayMod;
									unset($vectorArrayMod);
									$vectorGeneral[]=$vectorArrayChamp;
									unset($vectorArrayChamp);
								}
								$iterador++;
							}
						}
						//Botón categoría
						$sql->query("SELECT * FROM jueces WHERE id_pl='$identificador_plantilla_pl' AND tipo='segun_campeonato' AND tipo2='boton_categoria' ORDER BY id_cat,id_jueces");
						$sql->ejecutarSQL();
						$numReg=$sql->getNumRegistros();
						if ($numReg > 0){
							$jueces=$sql->getTodosRegistro();
							//Ordeno el vector
							//Tabla de pagos inscripciones
							$id_cat_actual="";
							foreach ($jueces as &$elemento){
								$var_id_cat=$elemento['id_cat'];
								$sql->query("SELECT nombre FROM categorias WHERE id_pl='$identificador_plantilla_pl' AND id_cat='$var_id_cat'");
								$sql->ejecutarSQL();
								$res=$sql->getUnRegistro();
								$var_nombre_cat=$res['nombre'];
								//Si tenemos una nueva categoría
								if ($id_cat_actual!=$var_nombre_cat){
									//Si tenemos una nueva categoría, crearemos la categoría y añadiremos la anterior al vector de campeonatos
									if (isset($vectorArrayMod)){
										$vectorGeneral[]=$vectorArrayTemp;
										unset($vectorArrayTemp);
									}
									$vectorArrayTemp=array("boton_categoria",$var_nombre_cat);
								}
								//Si estamos añadiendo un elemento a la categoría
								else{
									$id_jueces=$elemento['id_jueces'];
									$var_elemento=$elemento['elemento'];
									$vectorArrayTemp[]=$id_jueces;
									$vectorArrayTemp[]=$var_elemento;
								}
								//En el caso de que hayamos llegado al final del vector, tenemos que finalizarlo
								if ($iterador == count($jueces)){
									$vectorGeneral[]=$vectorArrayTemp;
									unset($vectorArrayTemp);
								}
								$iterador++;
							}
						}
						if (isset($vectorGeneral)){
							$vectorBDjueces[]=$vectorGeneral;
							unset($vectorGeneral);
						}
						$iterador=1;
						//segun_categoria
						$sql->query("SELECT * FROM jueces WHERE id_pl='$identificador_plantilla_pl' AND tipo='segun_categoria' ORDER BY tipo2,id_cat,id_mod,id_prueba,id_jueces");
						$sql->ejecutarSQL();
						$numReg=$sql->getNumRegistros();
						if ($numReg > 0){
							$jueces=$sql->getTodosRegistro();
							//Ordeno el vector
							//Tabla de pagos inscripciones
							$id_cat_actual="";
							$id_mod_actual="";
							$id_prueba_actual="";
							foreach ($jueces as &$elemento){
								$var_id_cat=$elemento['id_cat'];
								$sql->query("SELECT nombre FROM categorias WHERE id_pl='$identificador_plantilla_pl' AND id_cat='$var_id_cat'");
								$sql->ejecutarSQL();
								$res=$sql->getUnRegistro();
								$var_nombre_cat=$res['nombre'];
								$var_id_mod=$elemento['id_mod'];
								$sql->query("SELECT nombre FROM modalidades WHERE id_pl='$identificador_plantilla_pl' AND id_mod='$var_id_mod'");
								$sql->ejecutarSQL();
								$res=$sql->getUnRegistro();
								$var_nombre_mod=$res['nombre'];
								if ($iterador==1) $vectorGeneral=array("segun_categoria");
								//Si tenemos categorías dentro de las pruebas
								if ($elemento['tipo2']=="boton_modalidad"){
									if (isset($vectorArrayCat)){
										$vectorArrayCat[]=$vectorArrayMod;
										unset($vectorArrayMod);
										$vectorGeneral[]=$vectorArrayCat;
										unset($vectorArrayCat);
									}
									$var_id_prueba=$elemento['id_prueba'];
									$sql->query("SELECT nombre FROM pruebas WHERE id_pl='$identificador_plantilla_pl' AND id_mod='$var_id_mod' AND id_prueba='$var_id_prueba'");
									$sql->ejecutarSQL();
									$res=$sql->getUnRegistro();
									$var_nombre_prueba=$res['nombre'];
									//Si tenemos una nueva modalidad
									if ($id_mod_actual!=$var_id_mod){
										//Si tenemos una nueva modalidad, crearemos la modalidad
										if (isset($vectorArrayMod)){
											$vectorArrayMod[]=$vectorArrayPrueba;
											unset($vectorArrayPrueba);
											$vectorGeneral[]=$vectorArrayMod;
											unset($vectorArrayMod);
										}
										$vectorArrayMod=array("boton_modalidad",$var_nombre_mod);
										$id_prueba_actual="";
										//Si tenemos una nueva prueba
										if ($id_prueba_actual!=$var_id_prueba){
											//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
											if (isset($vectorArrayPrueba)){
												$vectorArrayMod[]=$vectorArrayPrueba;
												unset($vectorArrayPrueba);
											}
											$id_jueces=$elemento['id_jueces'];
											$var_elemento=$elemento['elemento'];
											$vectorArrayPrueba=array("prueba",$var_nombre_prueba,$id_jueces,$var_elemento);
										}
										else{
											$id_jueces=$elemento['id_jueces'];
											$var_elemento=$elemento['elemento'];
											$vectorArrayPrueba[]=$id_jueces;
											$vectorArrayPrueba[]=$var_elemento;
										}
									}
									//Si estamos añadiendo una prueba a la modalidad
									else{
										//Si tenemos una nueva prueba
										if ($id_prueba_actual!=$var_id_prueba){
											//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
											if (isset($vectorArrayPrueba)){
												$vectorArrayMod[]=$vectorArrayPrueba;
												unset($vectorArrayPrueba);
											}
											$id_jueces=$elemento['id_jueces'];
											$var_elemento=$elemento['elemento'];
											$vectorArrayPrueba=array("prueba",$var_nombre_prueba,$id_jueces,$var_elemento);
										}
										else{
											$id_jueces=$elemento['id_jueces'];
											$var_elemento=$elemento['elemento'];
											$vectorArrayPrueba[]=$id_jueces;
											$vectorArrayPrueba[]=$var_elemento;
										}
									}
									$id_prueba_actual=$var_id_prueba;
									//En el caso de que hayamos llegado al final del vector, tenemos que finalizarlo
									if ($iterador == count($jueces)){
										$vectorArrayMod[]=$vectorArrayPrueba;
										unset($vectorArrayPrueba);
										$vectorGeneral[]=$vectorArrayMod;
										unset($vectorArrayMod);
									}
								}
								else{
									//Si tenemos una nueva categoría
									if ($id_cat_actual!=$var_id_cat){
										//Si tenemos una nueva categoría, crearemos la categoría y añadiremos el anterior al vector general
										if (isset($vectorArrayCat)){
											if (isset($vectorArrayMod)){
												$vectorArrayCat[]=$vectorArrayMod;
												unset($vectorArrayMod);
											}
											$vectorGeneral[]=$vectorArrayCat;
											unset($vectorArrayCat);
										}
										$vectorArrayCat=array("categoria",$var_nombre_cat);
										$id_mod_actual="";
										//Si tenemos una nueva modalidad
										if ($id_mod_actual!=$var_id_mod){
											if (isset($vectorArrayMod)){
												$vectorArrayCat[]=$vectorArrayMod;
												unset($vectorArrayMod);
											}
											//Si tenemos una nueva modalidad, crearemos la modalidad y añadiremos la anterior al vector de categorías
											$id_jueces=$elemento['id_jueces'];
											$var_elemento=$elemento['elemento'];
											$vectorArrayMod=array("modalidad",$var_nombre_mod,$id_jueces,$var_elemento);
										}
									}
									//Si estamos añadiendo una categoría ya existente
									else{
										//Si tenemos una nueva modalidad
										if ($id_mod_actual!=$var_id_mod){
											if (isset($vectorArrayMod)){
												$vectorArrayCat[]=$vectorArrayMod;
												unset($vectorArrayMod);
											}
											//Si tenemos una nueva modalidad, crearemos la modalidad y añadiremos la anterior al vector de categorías
											$id_jueces=$elemento['id_jueces'];
											$var_elemento=$elemento['elemento'];
											$vectorArrayMod=array("modalidad",$var_nombre_mod,$id_jueces,$var_elemento);
										}
										else{
											$id_jueces=$elemento['id_jueces'];
											$var_elemento=$elemento['elemento'];
											$vectorArrayMod[]=$id_jueces;
											$vectorArrayMod[]=$var_elemento;
										}
									}
									$id_cat_actual=$var_id_cat;
									//En el caso de que hayamos llegado al final del vector, tenemos que finalizarlo
									if ($iterador == count($jueces)){
										if (isset($vectorArrayMod)){
											$vectorArrayCat[]=$vectorArrayMod;
											unset($vectorArrayMod);
										}
										$vectorGeneral[]=$vectorArrayCat;
										unset($vectorArrayCat);
									}
								}
								$id_mod_actual=$var_id_mod;
								$iterador++;
							}
						}
						$iterador=1;
						if (isset($vectorGeneral)){
							$vectorBDjueces[]=$vectorGeneral;
							unset($vectorGeneral);
						}
						$jueces=$vectorBDjueces;
							echo "
						  <a name=\"jouzos\"></a>
						  <legend>Jueces</legend><p class=\"help-block\">Establece los documentos para los jueces. Se ha de especificar qué elementos contienen las tablas según el reglamento.</p>
						  <div class=\"form-group\">
								<label class=\"col-lg-2 control-label\">Selecciona: </label>
								<div class=\"col-lg-8\">
								  <select class=\"form-control\" onchange=\"cargar_opcion(this.value);\">
									  <option value=\"default_juez\">Selecciona una opción</option>
									  <option value=\"categorias_juez\"";if ($jueces[0][0]=="segun_categoria") echo " selected"; echo ">Según categorías</option>
									  <option value=\"campeonatos_juez\"";if ($jueces[0][0]=="segun_campeonato") echo " selected"; echo ">Según tipos de campeonatos</option>
								  </select>
								</div> 
						  </div>
						  <div id=\"tipo_documento_juez\">";
							  $boton_modChamp=0;
							  $boton_catChamp=0;
							  foreach ($jueces as &$juez) {
								//Jueces segun categoria
								if (($iterador==1)&&($juez[$iterador-1]=="segun_categoria")){
									echo "<div id=\"jueces_categorias\"><input type=\"hidden\" value=\"inicio_documento_juez_segun_categoria\" name=\"inicio_documento_juez_segun_categoria\"/>";
									if (is_array($juez[$iterador])){
										foreach ($juez as &$tipo_cat){
											//Inicio de una categoria
											if (is_array($tipo_cat)){
												if ($tipo_cat[0]=="categoria"){
													$num=$vectorCats[$tipo_cat[1]];
													if ($vectorCats[$tipo_cat[1]]==1) $entero=1;
													else $entero=$num*100;
													echo "<div id=\"elemento_jueces".$num."\" class=\"panel panel-primary\">
															<div class=\"panel-heading\" id=\"headJueces".$entero."\">Categoría: ".$tipo_cat[1]."</div>
																<input type=\"hidden\" value=\"".$tipo_cat[1]."\" name=\"jueces_segun_categoria\" id=\"jueces_segun_categoria".$entero."\"/>
																<div class=\"panel-body\" id=\"JuecesBody".$entero."\">";
													foreach ($tipo_cat as &$previo_mod){
														if (is_array($previo_mod)){
															$numMod=$vectorMods[$previo_mod[1]];
															if ($entero > 1) $numFinal=$entero + $numMod;
															else $numFinal=$numMod;
															echo "<div id=\"jueces_mod".$numFinal."\">
																	<div class=\"panel panel-info\">
																		<div class=\"panel-heading\" id=\"headModalJueces".$numFinal."\">Modalidad: ".$previo_mod[1]."</div>
																			<input type=\"hidden\" value=\"".$previo_mod[1]."\" name=\"modalidad_jueces_segun_categoria\" id=\"modalidad_jueces_segun_categoria".$numFinal."\"/>
																			<div class=\"panel-body\" id=\"JuecesBodyMod".$numFinal."\">
																				<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#jueces_mod".$numFinal."').remove();\" title=\"Borra este elemento\"></span>
																				<br>";
																				for ($i=2,$j=1;$i<count($previo_mod);$j++){
																					echo "<div class=\"panel panel-default\" id=\"elemento".$j."\">
																							<div class=\"panel-body\">
																								<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#jueces_mod".$numFinal." div#elemento".$j."').remove();\" title=\"Borra este elemento\"></span>
																								<br>
																								<div class=\"form-group\">
																									<label for=\"inputJueces".$j."\" class=\"col-lg-1 control-label\">Elemento</label>
																									<div class=\"col-lg-9\">
																										<input type=\"hidden\" name=\"id_jueces\" value=\"".$previo_mod[$i]."\">
																										<input type=\"text\" class=\"form-control\" id=\"inputJueces".$j."\" name=\"elemento_jueces\" placeholder=\"Especifique un elemento para la tabla...\" value=\"".$previo_mod[$i+1]."\" required>
																									</div>
																								</div>
																							</div>
																						</div>";
																					if ($i+2==count($previo_mod)) $contador=$j;
																					$i=$i+2;
																				}
																				echo "
																				<div class=\"form-group\" id=\"boton_elemento".$contador."\">
																					<div class=\"col-lg-offset-2 col-lg-10\">
																						<button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"add_elemento(".$contador.",0,".$num.",".$numFinal.",0, 'categoria_segun_categoria');\">
																						<span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir elemento </button>
																					</div>
																				</div>
																			</div>
																			<input type=\"hidden\" value=\"fin_modalidad_jueces_segun_categoria\" name=\"fin_modalidad_jueces_segun_categoria\"/>
																		</div>
																	</div>";
														}
													}
													//Fin de una categoria
													echo "</div><input type=\"hidden\" value=\"fin_jueces_segun_categoria\" name=\"fin_jueces_segun_categoria\"></div>";
												}
												if ($tipo_cat[0]=="boton_modalidad"){
													if ($boton_modChamp==0){
														echo "<div id=\"jueces_modalidades_segun_categorias\">";
														$boton_modChamp=1;
													}
													$num=$vectorMods[$tipo_cat[1]];
													if ($vectorMods[$tipo_cat[1]]==1) $entero=1;
													else $entero=$num*100;
													echo "<div id=\"modalidad_jueces".$num."\" class=\"panel panel-primary\">
															<div class=\"panel-heading\" id=\"headJuecesModalidad".$num."\">Modalidad: ".$tipo_cat[1]."<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#modalidad_jueces".$num."').remove();\" title=\"Borra este elemento\"></span></div>
															<input type=\"hidden\" value=\"".$tipo_cat[1]."\" name=\"boton_jueces_modalidad_segun_categoria\" id=\"boton_jueces_modalidad_segun_categoria".$num."\"/>
															<div class=\"panel-body\" id=\"JuecesModalidadBody".$num."\">";
													foreach ($tipo_cat as &$button){
														if (is_array($button)){
															$numFinal=$vectorPruebas[$button[1]][$tipo_cat[1]];
															echo "<div id=\"jueces_mod_added".$numFinal."\">
																	<div class=\"panel panel-info\">
																		<div class=\"panel-heading\" id=\"headPruebaJuecesAdded".$numFinal."\">Prueba: ".$button[1]."</div>
																		<input type=\"hidden\" value=\"".$button[1]."\" name=\"prueba_jueces_segun_categoria\" id=\"prueba_jueces_segun_categoria".$numFinal."\"/>
																		<div class=\"panel-body\" id=\"JuecesPruebaModBody".$numFinal."\">
																			<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#jueces_mod_added".$numFinal."').remove();\" title=\"Borra este elemento\"></span>
																			<br>";
																			for ($i=2;$i<count($button);){
																				echo "<div class=\"panel panel-default\" id=\"elemento".$i."\">
																						<div class=\"panel-body\">
																							<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#jueces_mod_added".$numFinal." div#elemento".$i."').remove();\" title=\"Borra este elemento\"></span>
																							<br>
																							<div class=\"form-group\">
																								<label for=\"inputJueces".$i."\" class=\"col-lg-1 control-label\">Elemento</label>
																								<div class=\"col-lg-9\">
																									<input type=\"hidden\" name=\"id_jueces\" value=\"".$button[$i]."\">
																									<input type=\"text\" class=\"form-control\" id=\"inputJueces".$i."\" name=\"elemento_jueces\" placeholder=\"Especifique un elemento para la tabla...\" value=\"".$button[$i+1]."\" required>
																								</div>
																							</div>
																						</div>
																					</div>";
																				if ($i+2==count($button)) $contador=$i;
																				$i=$i+2;
																			}
																			echo "
																			<div class=\"form-group\" id=\"boton_elemento".$contador."\">
																				<div class=\"col-lg-offset-2 col-lg-10\">
																					<button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"add_elemento(".$contador.",0,0,".$num.",".$numFinal.", 'modalidad_segun_categoria');\">
																					<span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir elemento </button>
																				</div>
																			</div>
																		</div>
																		<input type=\"hidden\" value=\"fin_prueba_jueces_segun_categoria\" name=\"fin_prueba_jueces_segun_categoria\"/>
																	</div>
																</div>";
														}
													}
													//Fin de un boton_modalidad
													echo "</div><input type=\"hidden\" value=\"fin_mod_segun_categoria\" name=\"fin_mod_segun_categoria\"/></div>";
												}
											}
										}
									}
									//Final del vector jueces
									if ($boton_modChamp==0){
										echo "<div id=\"jueces_modalidades_segun_categorias\">";
									}
									echo "<div class=\"form-group\" id=\"jueces_add_del\">
											<div class=\"col-lg-offset-2 col-lg-10\" id=\"jueces_add_mod\">
												<button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"add_mod_tiempo('add_jueces',0,0);\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir modalidad </button>
											</div>
										</div>";
									echo "</div><input type=\"hidden\" value=\"fin_documento_juez_segun_categoria\" name=\"fin_documento_juez_segun_categoria\"/>";
								}
								if (($iterador==1)&&($juez[$iterador-1]=="segun_campeonato")){
									echo "<div id=\"jueces_campeonatos\"><input type=\"hidden\" value=\"inicio_jueces_segun_campeonato\" name=\"inicio_jueces_segun_campeonato\"/>";
									if (is_array($juez[$iterador])){
										foreach ($juez as &$tipo_champ){
											//Inicio de un campeonato
											if (is_array($tipo_champ)){
												if ($tipo_champ[0]=="campeonato"){
													$num=$vectorChamps[$tipo_champ[1]];
													if ($vectorChamps[$tipo_champ[1]]==1) $entero=1;
													else $entero=$num*100;
														echo "<div id=\"elemento_jueces_champ".$num."\" class=\"panel panel-primary\">
																	<div class=\"panel-heading\" id=\"headJuecesChamp".$num."\">Tipo de campeonato: ".$tipo_champ[1]."</div>
																		<input type=\"hidden\" value=\"".$tipo_champ[1]."\" name=\"champ_jueces_segun_categoria\" id=\"champ_jueces_segun_categoria".$num."\"/>
																		<div class=\"panel-body\" id=\"JuecesChampBody".$num."\">";
													foreach ($tipo_champ as &$mod_champ){
														if (is_array($mod_champ)){
															$numMod=$vectorMods[$mod_champ[1]];
															if ($entero > 1) $numFinal=$entero + $numMod;
															else $numFinal=$numMod;
															$numModalidad=$numFinal;
															//Inicio de la modalidad
															echo "<div id=\"jueces_mod_champ".$numFinal."\">
																	<div class=\"panel panel-danger\">
																		<div class=\"panel-heading\" id=\"headModalJuecesChamp".$numFinal."\">Modalidad: ".$mod_champ[1]."</div>
																			<input type=\"hidden\" value=\"".$mod_champ[1]."\" name=\"modalidad_jueces_segun_champ\" id=\"modalidad_jueces_segun_champ".$numFinal."\"/>
																			<div class=\"panel-body\" id=\"JuecesChampModBody".$numFinal."\">
																				<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#jueces_mod_champ".$numFinal."').remove();\" title=\"Borra este elemento\"></span>
																				<br>";
															foreach ($mod_champ as &$prueba_champ){
																if (is_array($prueba_champ)){
																	$numFinal=$vectorPruebas[$prueba_champ[1]][$mod_champ[1]];
																	if ($entero>1) $numBorrar=$entero+$numMod;
																	else $numBorrar=$numMod;
																	//Inicio de la prueba
																	echo "<div id=\"jueces_mod_prueba".$numFinal."\">
																			<div class=\"panel panel-info\">
																				<div class=\"panel-heading\" id=\"headPruebaJuecesPrueba".$numFinal."\">Prueba: ".$prueba_champ[1]."</div>
																				<input type=\"hidden\" value=\"".$prueba_champ[1]."\" name=\"prueba_jueces_segun_champ\" id=\"prueba_jueces_segun_champ".$numFinal."\"/>
																				<div class=\"panel-body\" id=\"JuecesChampPruebaBody".$numFinal."\">
																					<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#JuecesChampModBody".$numBorrar." div#jueces_mod_prueba".$numFinal."').remove();\" title=\"Borra este elemento\"></span>
																					<br>";
																	for ($i=2,$j=1;$i<count($prueba_champ);){
																		echo "<div class=\"panel panel-default\" id=\"elemento".$j."\">
																				<div class=\"panel-body\">
																					<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#JuecesChampModBody".$numBorrar." div#jueces_mod_prueba".$numFinal." div#elemento".$j."').remove();\" title=\"Borra este elemento\"></span>
																					<br>
																					<div class=\"form-group\">
																						<label for=\"inputJueces".$j."\" class=\"col-lg-1 control-label\">Elemento</label>
																						<div class=\"col-lg-9\">
																							<input type=\"hidden\" name=\"id_jueces\" value=\"".$prueba_champ[$i]."\">
																							<input type=\"text\" class=\"form-control\" id=\"inputJueces1\" name=\"elemento_jueces\" placeholder=\"Especifique un elemento para la tabla...\" value=\"".$prueba_champ[$i+1]."\" required>
																						</div>
																					</div>
																				</div>
																			</div>";
																		//Botón de añadir elemento en la prueba
																		if ($i+2==count($prueba_champ)){
																			echo "<div class=\"form-group\" id=\"boton_elemento".$j."\">
																					<div class=\"col-lg-offset-2 col-lg-10\">
																						<button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"add_elemento(".$j.",".$num.",0,".$numModalidad.",".$numFinal.",'prueba_segun_champ');\">
																						<span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir elemento </button>
																					</div>
																				</div>";
																		}
																		$j++;
																		$i=$i+2;
																	}
																	//Fin de la prueba
																	echo "</div></div></div><input type=\"hidden\" value=\"fin_prueba_jueces_segun_campeonato\" name=\"fin_prueba_jueces_segun_campeonato\"/>";
																}
															}
															//Fin de la modalidad
															echo "</div></div></div><input type=\"hidden\" value=\"fin_mod_jueces_segun_campeonato\" name=\"fin_mod_jueces_segun_campeonato\"/>";
														}
														
													}
													//Fin de un campeonato
													echo "</div><input type=\"hidden\" value=\"fin_champ_jueces_segun_campeonato\" name=\"fin_champ_jueces_segun_campeonato\"/></div>";
												}
												if ($tipo_champ[0]=="boton_categoria"){
													if ($boton_catChamp==0){
														echo "<div id=\"jueces_categorias_segun_campeonatos\">";
														$boton_catChamp=1;
													}
													$numCat=$vectorCats[$tipo_champ[1]];
													echo "<div id=\"cat_jueces".$numCat."\" class=\"panel panel-primary\">
															<div class=\"panel-heading\" id=\"headJuecesCat".$numCat."\">Categoria: ".$tipo_champ[1]."</div>
																<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#cat_jueces".$numCat."').remove();\" title=\"Borra este elemento\"></span>
																<br>
																<input type=\"hidden\" value=\"".$tipo_champ[1]."\" name=\"boton_categoria_jueces_segun_campeonato\" id=\"boton_categoria_jueces_segun_campeonato".$numCat."\"/>
																<div class=\"panel-body\" id=\"JuecesCatBody".$numCat."\">";
																for ($i=2,$j=1;$i<count($tipo_champ);){
																	echo "
																	<div class=\"panel panel-default\" id=\"elemento".$j."\">
																		<div class=\"panel-body\">
																			<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#cat_jueces".$numCat." div#elemento".$j."').remove();\" title=\"Borra este elemento\"></span>
																			<br>
																			<div class=\"form-group\">
																				<label for=\"inputJueces".$j."\" class=\"col-lg-1 control-label\">Elemento</label>
																				<div class=\"col-lg-9\">
																					<input type=\"hidden\" name=\"id_jueces\" value=\"".$tipo_champ[$i]."\">
																					<input type=\"text\" class=\"form-control\" id=\"inputJueces".$j."\" name=\"elemento_jueces\" placeholder=\"Especifique un elemento para la tabla...\" value=\"".$tipo_champ[$i+1]."\" required>
																				</div>
																			</div>
																		</div>
																	</div>";
																	//Botón de añadir elemento en la prueba
																	if ($i+2==count($tipo_champ)){
																		echo "<div class=\"form-group\" id=\"boton_elemento".$j."\">
																			<div class=\"col-lg-offset-2 col-lg-10\">
																				<button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"add_elemento(".$j.",0,".$numCat.",0,0, 'categoria_segun_champ');\">
																				<span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir elemento </button>
																			</div>
																		</div>";
																	}
																	$j++;
																	$i=$i+2;
																}
													//Fin de un boton_cat
													echo "</div></div>";
												}
											}
										}
									}
									//Final del vector tiempo
									if ($boton_catChamp==0){
										echo "<div id=\"jueces_categorias_segun_campeonatos\">";
									}
									echo "<div class=\"form-group\" id=\"jueces_add_cat_del\">
											<div class=\"col-lg-offset-2 col-lg-10\" id=\"jueces_add_cat\">
												<button type=\"button\" class=\"btn btn-default btn-xs\" style=\"color:red\" onClick=\"add_mod_tiempo('add_jueces_cat',0,0);\">
												<span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir categoría </button>
											</div>
										</div>";
									echo "</div><input type=\"hidden\" value=\"fin_jueces_segun_campeonato\" name=\"fin_jueces_segun_campeonato\"/>";
								}
								$iterador++;
							  }
							  $iterador=1;
							  echo "</div></div></div>
						 
					  
					  <div id=\"pagina5\" ";if ($ver==1) echo ">"; else echo "style=\"display:none;\">";
						if ($ver==1) echo "";else echo "<legend>Guardar plantilla</legend><p class=\"help-block\">Si ha terminado de configurar su plantilla, sólo falta guardarla.</p>";
						echo "<div class=\"well well-lg\">
							<div class=\"form-group\">
								<div class=\"col-lg-offset-2 col-lg-10\">";
								  if ($ver==1) echo "";else echo "<button type=\"submit\" class=\"btn btn-primary pull-left\" disabled=\"disabled\" id=\"botonAutodestruccion\" data-loading-text=\"Guardando,tenga paciencia...\">Guardar plantilla</button>&nbsp;";
								  echo "<button type=\"button\" class=\"btn btn-default\" onClick=\"ver_plantilla();\" data-toggle=\"modal\" data-target=\"#myModal2\">Ver plantilla</button>&nbsp;";
								  if ($ver==1) echo "<button type=\"button\" class=\"btn btn-primary\" onClick=\"actualizar('#centro','modulos/campeonatos/gestion/gestchamp.php?crear');\">Volver</button>";
								echo "</div>
								<div class=\"modal fade\" id=\"myModal2\" tabindex=\"-1\" role=\"dialog\" aria-labelledby=\"myModalLabel\" aria-hidden=\"true\" style=\"text-align:left;\">
								  <div class=\"modal-dialog\">
									<div class=\"modal-content\">
									  <div class=\"modal-header\" id=\"cabecera\">
									  </div>
									  <div class=\"modal-body\" id=\"cuerpoModal\">
									  </div>
									  <div class=\"modal-footer\">
										<button type=\"button\" class=\"btn btn-default\" data-dismiss=\"modal\">Cerrar</button>
									  </div>
									</div>
								  </div>
								</div>
							</div>
						</div>
					  </div>
					   </form>
					  </div>
					
				</div>";
				
				if ($ver==1) echo "";else echo "<div class=\"progress\" id=\"barra_progreso\">
				  <div class=\"progress-bar\" role=\"progressbar\" aria-valuenow=\"100\" aria-valuemin=\"0\" aria-valuemax=\"100\" style=\"width: 100%;\" >
					<span>100% Completado.</span>
				  </div>
				</div>
				
				<a name=\"pageination\"></a>
				<ul class=\"pagination\" id=\"paginacion\">
				  <li><a href=\"#inicioPage\"><span class=\"glyphicon glyphicon-home\"></span> Inicio</a></li>
				  <li class=\"active\"><a href=\"#\">1</a></li>
				  <li><a href=\"#\">2</a></li>
				  <li><a href=\"#\">3</a></li>
				  <li><a href=\"#\">4</a></li>
				  <li><a href=\"#\">5</a></li>
				</ul>";
				echo "
			</div>";
						
				echo "		  
					  </div>
					</form>
				</div>
				<script>
				$('#pl-mod-form').submit(function(event) {
				  //Evita que se ejecute el botón de submit
				  event.preventDefault();
				  actualizarBarra('#barra_progreso');
				  //Serializamos el formulario
				  arr= $(this).serializeArray();
				  data = JSON.stringify(arr);
				  //Recoge ciertos valores del formulario
				  var form = $( this ),
					  //Primer término será el nombre de la organización
					  term1 = form.find( 'input[name=\"organizacion\"]' ).val(),
					  //Segundo término será el país
					  term2 = form.find( 'input[name=\"pais\"]' ).val(),
					  //Tercero será la región
					  term3 = form.find( 'input[name=\"region\"]' ).val(),
					  //Cuarto será el creador
					  term4 = form.find( 'input[name=\"creador_organizacion\"]' ).val(),
					  //Quinto será el nombre de la plantilla
					  term5 = form.find( 'input[name=\"nombre_pl\"]' ).val(),
					  url = form.attr( 'action' );";
				  if ($_GET['op']=="modificar"){
					  echo "var term6= ".$identificador_plantilla_pl.";
					  var term7='mod';";
				  }
				  echo "
				  //Envía los datos mediante jquery y json
				  var posting = $.post( url, { org: term1, pais: term2, region: term3, creador: term4, nombre_pl: term5, datos: data";
				  if ($_GET['op']=="modificar") echo ", id : term6, state : term7";
				  echo " } );
				  //Devuelve los resultados en data.
				  posting.done(function( data ) {
						$('#botonAutodestruccion').button('reset');
						if (data == 1) alert('Existe un error en las categorías: Debe especificar una edad mayor para el campo Hasta. No puede ser menor o igual que la del campo Desde.');
						if (data == 2) alert('Existe un error en las categorías: Debe especificar una edad mayor para el campo Hasta. No puede ser menor que la del campo Desde.');
						if (data == -1) alert('Debe añadir un tipo de campeonato, como mínimo.');
						if (data == -2) alert('Debe añadir un tipo de prueba, como mínimo.');
						if (data == -3) alert('Debe añadir un tipo de categoría, como mínimo.');
						if (data == -4) alert('Debe añadir una modalidad, como mínimo.');
						if (data == -5) alert('Debe rellenar el número de jueces para cada campeonato.');
						if (data == -6) alert('Existe un error con respecto a las medallas. Revise el formulario.');
						if (data == -7) alert('Los pagos son incorrectos.');
						if (data == -8) alert('Los tiempos son incorrectos.');
						if (data == -10) alert('El nombre de la plantilla ya está siendo usado.');
						if (data == -11) alert('Faltan los trofeos.');
						if (data == -12) alert('Debe añadir una modalidad válida en los trofeos. Revíselos.');
						if (data == 0){
							alert('Datos guardados correctamente.');
							actualizar('#centro','modulos/campeonatos/plantilla/gestplant.php?mod');
						}
				  });
				});
				</script>";
			}
			else echo $gesplantModPl;
		}
	}
	//Tercer caso: Eliminar plantilla
	if (isset($_GET['sup'])){
		if ($_GET['sup']==""){
			echo "<script type=\"text/javascript\" src=\"modulos/campeonatos/plantilla/funcionesplantillas.js\"></script><small>Eliminar una plantilla</small></h2>";
			$sql->query("SELECT * FROM plantilla WHERE nombre_org='$organizacion'");
			$sql->ejecutarSQL();
			//Cogemos todas las plantillas que haya creado un club/federación.
			$numRegPl=$sql->getNumRegistros();
			$plantilla=$sql->getTodosRegistro();			
			if ($numRegPl > 0){
				echo "<div class=\"well\">
						<table class='table table-condensed table-hover table-responsive' id=\"tabla_mod_gesplant\">
							<thead>
								<tr>
									<th>Nombre plantilla</th>
									<th>".$organization."</th>
									<th>País</th>
									<th>Región</th>
									<th>Fecha creación</th>
									<th>Última modificación</th>
								</tr>
							</thead>
							<tbody>";
				foreach ($plantilla as &$valor) {
						$tiempo=strtotime($valor['fecha_creacion']);
						$tiempo2=strtotime($valor['ult_mod']);
						echo "<tr style=\"cursor: pointer;\" onClick=\"seleccionar_plantilla('".$valor['nombre_pl']."','".$creator."','".$valor['id_plantilla']."','eliminar');\"><td>".$valor['nombre_pl']."</td>
							<td>".$valor['nombre_org']."</td>
							<td>".$paises[$valor['pais_pl']]."</td>
							<td>".$regiones[$valor['pais_pl']][$valor['region_pl']]."</td>
							<td>".date('d-m-Y H:i:s',$tiempo)."</td>
							<td>".date('d-m-Y H:i:s',$tiempo2)."</td></tr>";
				}
						echo "</tbody>
						</table>
					</div>";
			}
			//Si no ha creado ninguna, se le mostrará por pantalla
			else echo $gesplantModOff;
		}
		else{
			$creadorABorrar=$_GET['sup'];
			$idABorrar=$_GET['id'];
			$sql->ejecutarSQL("DELETE FROM plantilla WHERE creador='$creadorABorrar' AND id_plantilla='$idABorrar'");
			echo "<br><div class=\"alert alert-success\" style=\"text-align:center;\">Plantilla eliminada.</div>";
		}
	}
}
else echo $resultado;
?>
