<?php
/*
-----------------------------------------------------------------------------------------------------------
							GESTIONAR CLASIFICACIONES
-----------------------------------------------------------------------------------------------------------							
			Operaciones que se pueden realizar:
			1) Modificar las clasificaciones.
										CONDICIONES
			1) Un gestor de clasificaciones modifica la clasificación. Es el único que puede hacerlo.
			
*/
session_start();
include_once('../../bbdd/general.php');
include_once('../../clases/sCphp.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../clases/cMySQL.php');
$sql= new cMySQL(); 
$sql->conectar();
//Debe estar registrado en el sistema. Nivel de seguridad 1.
$sCphp= new sCphp(); 
//Debe ser un gestor de clasificaciones asignado al evento. Nivel de seguridad 2.
//Función que comprueba si se está registrado y se es un gestor.
$resultado=$sCphp->controlRegistro('clasificador',1);
if ($resultado==1){
	if ((isset($_GET['crear']))&&($_GET['crear']=='')){
		$correo=$sCphp->val('correo');
		$rol=$sCphp->val('tipo');
		//Si es un gestor de clasificaciones, lo haremos de la siguiente forma.
		if ($sCphp->esRol("clasificador")){
			$sql->ejecutarSQL("SELECT * FROM asignaciones LEFT JOIN campeonato ON (campeonato.id_campeonato=asignaciones.identificadorCampeonato) LEFT JOIN plantilla ON (campeonato.identificadorPlantilla=plantilla.id_plantilla) LEFT JOIN organizacion ON (campeonato.creadorChamp=organizacion.creador) WHERE asignaciones.correoGestor='$correo'") or DIE("No");
			$numRegistrosJOIN=$sql->getNumRegistros();
			if ($numRegistrosJOIN > 0){
				$registroJOIN=$sql->getTodosRegistro();
				echo "<h2 style='text-align:center;'>Gestión de clasificaciones ";
				echo "<script type=\"text/javascript\" src=\"js/tablas.js\"></script></h2><br><p>Seleccione el evento en el que va a trabajar:</p>";
				echo "<div class=\"well\">
				<table class='table table-condensed table-hover table-responsive' id=\"tablas\">
					<thead>
						<tr>
							<th>Nombre campeonato</th>
							<th>Tipo</th>
							<th>Plantilla utilizada</th>
							<th title=\"Organización que te ha asignado para que realices las clasificaciones\">Organización</th>
							<th>Fecha celebración</th>
							<th>País</th>
							<th>Región</th>
						</tr>
					</thead>
					<tbody>";
				foreach ($registroJOIN as &$resultado){
					$creator=$resultado['correoCreador'];
					$id_champ=$resultado['identificadorCampeonato'];
					$tiempo=strtotime($resultado['fecha']);
					$id_tipoChamp=$resultado['tipo_evento'];
					$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
					$sql->ejecutarSQL();
					$resulTipoEvento=$sql->getUnRegistro();
					$tipo_evento=$resulTipoEvento['nombre'];
					//Selecciono el nombre de la organización que ha asignado al gestor de documentos para que realice las inscripciones.
					$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE creador='$creator'");
					$org_name=$sql->getCampoN();
					echo "<tr style=\"cursor: pointer;\"><td>".$resultado['nombreChamp']."<input type=\"hidden\" id=\"nombreChamp\" value=\"".$resultado['nombreChamp']."\"><input type=\"hidden\" id=\"id_champ\" value=\"".$resultado['id_campeonato']."\"></td>
					<td>".$tipo_evento."</td>
					<td>".$resultado['nombre_pl']."<input type=\"hidden\" id=\"id_pl\" value=\"".$resultado['identificadorPlantilla']."\"></td>
					<td>".$org_name."</td>
					<td>".date('d-m-Y',$tiempo)."</td>
					<td>".$paises[$resultado['pais']]."</td>
					<td>".$regiones[$resultado['pais']][$resultado['region']]."</td>
					<input type=\"hidden\" id=\"correOrg\" value=\"".$creator."\">
					</tr>";	
				}
				echo "</tbody>
					</table>
				</div>";
				echo "<div class=\"alert alert-warning\"><span class=\"glyphicon glyphicon-warning-sign\"></span> El campo <b>Organización</b> es el club que te ha asignado para que realices las clasificaciones. Para seleccionar las clasificaciones de un campeonato determinado, debes seleccionarlo desde aquí.</div>";
				echo "<script>
				$('#tablas tr:not(:first)').click(function(){
					var correOrg = $(this).find(\"input[id=correOrg]\").val();
					var nombre_champ = $(this).find(\"input[id=nombreChamp]\").val();
					var id_champ = $(this).find(\"input[id=id_champ]\").val();
					var id_pl = $(this).find(\"input[id=id_pl]\").val();
					var pl='modulos/clasificaciones/gestClasificaciones.php?crear=' + id_champ + '&id=' + id_pl + '&correo=' + correOrg;
					var texto='¿Deseas acceder a los documentos para generar las clasificaciones: ' + nombre_champ + '?';
					if (confirm(texto)) actualizar('#centro', pl);
				});
				</script>";
			}
			else echo $gestor1noChamps;
		}
	}
	//Ya hemos seleccionado el campeonato en el que vamos a trabajar
	if (((isset($_GET['crear']))&&($_GET['crear']!=''))){
		$id_champ=$_GET['crear'];
		$id_pl=$_GET['id'];
		echo "<h2 style='text-align:center;'>Gestión de clasificaciones ";
		echo "<script type=\"text/javascript\" src=\"js/documentos.js\"></script></h2><br>";
		//Se generan automáticamente la lista de inscritos.
		$sql->query("SELECT DISTINCT * FROM inscripcion WHERE id_champ='$id_champ' AND visible='1'");
		$sql->ejecutarSQL();
		$numRegistro=$sql->getNumRegistros();
		if ($numRegistro > 0){
			$inscripciones=$sql->getTodosRegistro();
			$correo=$sCphp->val('correo');
			if (isset($_GET['correo'])) $creador=$_GET['correo'];
			else $creador=$sCphp->val('creador');
			//Antes debemos averigüar si es un responsable del club o un gestor
			if ($sCphp->esRol("club")) $organizacion=$sCphp->val('org');
			else{
				$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE creador='$creador'");
				$numRegistrosJOIN=$sql->getNumRegistros();
				if ($numRegistrosJOIN > 0){
					$organizacion=$sql->getCampoN();
				}
			}
			//Hago esta consulta porque no tengo de qué tipo son las modalidades (individual, parejas).
			$sql->query("SELECT * FROM campeonato WHERE id_campeonato='$id_champ'");
			$sql->ejecutarSQL();
			$resulChamp=$sql->getUnRegistro();
			$sql->query("SELECT DISTINCT * FROM modalidades_campeonato LEFT JOIN modalidades ON (modalidades_campeonato.id_mod=modalidades.id_mod) WHERE id_champ='$id_champ'");
			$sql->ejecutarSQL();
			$mods=$sql->getTodosRegistro();
			$sql->query("SELECT DISTINCT * FROM pruebas_campeonato LEFT JOIN pruebas ON (pruebas_campeonato.id_prueba=pruebas.id_prueba) WHERE id_champ='$id_champ'");
			$sql->ejecutarSQL();
			$proofs=$sql->getTodosRegistro();
			//Seleccionamos las categorías de la plantilla para poder establecer el rango de edades y ver en qué categoría está el/la patinadora.
			$sql->query("SELECT * FROM categorias_campeonato LEFT JOIN categorias ON (categorias_campeonato.id_cat=categorias.id_cat) WHERE id_champ='$id_champ'") or mysql_error();
			$sql->ejecutarSQL();
			$cats=$sql->getTodosRegistro();
			$id_tipoChamp=$resulChamp['tipo_evento'];
			$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
			$sql->ejecutarSQL();
			$resulTipoEvento=$sql->getUnRegistro();
			$tipo_evento=$resulTipoEvento['nombre'];
			$numeroJueces=$resulChamp['num_jueces'];
			//Necesito una tabla categorizando a los alumnos por: 1 - Modalidad, 2 - Prueba, 3 - Categoría en donde la tabla estará diferenciada por la misma de arriba (Numeración, Licencia, etc...).
			$numeracion=1;
			$alumnos=array();
			$insertados_alumnos=array();
			$numeracion=1;
			foreach ($inscripciones as &$alumno){
				$id_user=$alumno['id_user'];
				$id_relacion=$alumno['id_relacion'];
				//Selecciono Licencia, Nombre (nombre y apellidos), Género, Año.
				$sql->ejecutarSQL("SELECT users.idUser,users.licencia,users.username,users.apellidos,alumno.sexo,alumno.nacimiento FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE users.idUser='$id_user'") or mysql_error();
				$resultadoAlumno=$sql->getUnRegistro();
				//Tipo lo busco en el vector $mods. Debo saber si es individual o es pareja
				foreach ($mods as &$modalidad){
					if ($modalidad['id_mod_champ']==$alumno['modalidad']) $tipo=$modalidad['tipo'];
				}
				//Si es pareja, añadimos en la misma ocurrencia del vector a los dos alumnos.
				if ($tipo=="par"){
					//Si no lo hemos insertado ya, lo insertamos en el vector. Buscamos que esté ya insertado.
					$insertado=false;
					$i=0;
					//Buscamos en el vector de alumnos relacionados si el identificador del usuario se encuentra ya insertado
					if (array_key_exists($id_user,$insertados_alumnos)){
						if (array_key_exists($id_relacion,$insertados_alumnos)){
							$insertado=true;
							$clave=$i;
						}
					}
					//Si no lo hemos insertado, insertamos en el vector general los datos del alumno inscrito y el alumno de su relación.
					if (!$insertado){
						//Numeración
						$alumno['numeracion']=$numeracion;
						//Licencia
						$alumno['licencia']=$resultadoAlumno['licencia'];
						//Nombre
						$alumno['nombre']=$resultadoAlumno['username'];
						//Apellidos
						$alumno['apellidos']=$resultadoAlumno['apellidos'];
						//Año
						$date = strtotime($resultadoAlumno['nacimiento']);
						$alumno['year']=date("Y", $date);
						//Categoría ya la tengo en alumno
						//Género
						$alumno['sexo']=$resultadoAlumno['sexo'];
						//Tipo lo busco en el vector $mods
						foreach ($mods as &$modalidad){
							if ($modalidad['id_mod_champ']==$alumno['modalidad']) $alumno['tipo']=$modalidad['tipo'];
						}
						//Modalidad y modalidad ya las tengo, pero las modifico para cuadrarlas con la tabla
						$mod=$alumno['modalidad'];
						$alumno[$mod]=$alumno['prueba'];
						//Club hay que buscar el nombre en la bd
						$id_org=$alumno['id_org'];
						$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE idOrg='$id_org'");
						$alumno['org']=$sql->getCampoN();
						//Busco a su relacionado para insertarlo también
						$clave=0;
						$i=0;
						foreach ($inscripciones as &$alumno_relacion){
							if ($alumno_relacion['id_user']==$alumno['id_relacion']) $clave=$i;
							$i++;
						}
						$id_user2=$inscripciones[$clave]['id_user'];
						$id_ins2=$inscripciones[$clave]['id_ins'];
						//Selecciono Licencia, Nombre (nombre y apellidos), Género, Año.
						$sql->ejecutarSQL("SELECT users.idUser,users.licencia,users.username,users.apellidos,alumno.sexo,alumno.nacimiento FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE users.idUser='$id_user2'") or mysql_error();
						$resultadoAlumno2=$sql->getUnRegistro();
						$alumno['id_user2']=$id_user2;
						$alumno['licencia2']=$resultadoAlumno2['licencia'];
						//Nombre
						$alumno['nombre2']=$resultadoAlumno2['username'];
						//Apellidos
						$alumno['apellidos2']=$resultadoAlumno2['apellidos'];
						//Año
						$date2 = strtotime($resultadoAlumno2['nacimiento']);
						$alumno['year2']=date("Y", $date);
						//Categoría ya la tengo en alumno
						//Género
						$alumno['sexo2']=$resultadoAlumno2['sexo'];
						$alumnos[]=$alumno;
						$numeracion++;
						$insertados_alumnos[$alumno['id_user']]=$alumno['id_user'];
						$insertados_alumnos[$alumno['id_user2']]=$alumno['id_user2'];
					}
				}
				if ($tipo=="ind"){
					$i=0;
					//Numeración
					$alumno['numeracion']=$numeracion;
					//Licencia
					$alumno['licencia']=$resultadoAlumno['licencia'];
					//Nombre
					$alumno['nombre']=$resultadoAlumno['username'];
					//Apellidos
					$alumno['apellidos']=$resultadoAlumno['apellidos'];
					//Año
					$date = strtotime($resultadoAlumno['nacimiento']);
					$alumno['year']=date("Y", $date);
					//Categoría ya la tengo en alumno
					//Género
					$alumno['sexo']=$resultadoAlumno['sexo'];
					//Tipo lo busco en el vector $mods
					foreach ($mods as &$modalidad){
						if ($modalidad['id_mod_champ']==$alumno['modalidad']) $alumno['tipo']=$modalidad['tipo'];
					}
					//Modalidad y modalidad ya las tengo, pero las modifico para cuadrarlas con la tabla
					$mod=$alumno['modalidad'];
					$alumno[$mod]=$alumno['prueba'];
					//Club hay que buscar el nombre en la bd
					$id_org=$alumno['id_org'];
					$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE idOrg='$id_org'");
					$alumno['org']=$sql->getCampoN();
					$alumnos[]=$alumno;
					$numeracion++;
				}
			}
			$contador=0;
			$string0="Categorías: ";
			foreach ($cats as &$cat){
				$string0.=$cat['nombre'];
				if (($contador+1)==count($cats)) $string0.=".";
				else $string0.=", ";
				$contador++;
			}
			$contador=0;
			$string="Modalidades: ";
			foreach ($proofs as &$prueba){
				$var_id_mod=$prueba['id_mod'];
				$sql->query("SELECT nombre FROM modalidades WHERE id_mod='$var_id_mod' AND id_pl='$id_pl'");
				$sql->ejecutarSQL();
				$resultado=$sql->getUnRegistro();
				$var_nombre_mod=$resultado['nombre'];
				$string.=$var_nombre_mod." ";
				$string.=$prueba['nombre'];
				if (($contador+1)==count($proofs)) $string.=".";
				else $string.=", ";
				$contador++;
			}
			$fecha_inicio=$resulChamp['fecha'];
			$fecha_fin=$resulChamp['fecha_fin'];
			echo "<div class=\"jumbotron\">
				<h1>".$resulChamp['nombreChamp']."</h1>
				<div class=\"row\">
					<div class=\"col-md-6\">
						<p>Lugar celebración: ".$resulChamp['lugar']."</p>
						<p>Fecha Inicio: ".$fecha_inicio."</p>
						<p>Fecha Fin: ".$fecha_fin."</p>
						<p>Clasificaciones generadas por: ".$organizacion."</p>
					</div>
					<div class=\"col-md-6\">
						<p>".$string0."</p>
						<p>".$string."</p>
					</div>
				</div>
			</div>
			<ul id=\"miTab\" class=\"nav nav-tabs\" style=\"margin-bottom:0px;\">
				<li class=\"active\">
					<a href=\"#sumas\" data-toggle=\"tab\">Sumas y puntuaciones</a>
				</li>
				<li>
					<a href=\"#white\" data-toggle=\"tab\">White</a>
				</li>
			</ul>
			<div class=\"tab-content\" style=\"border-left: 1px solid #ddd;border-right: 1px solid #ddd;border-bottom: 1px solid #ddd;\">
				<div class=\"tab-pane fade active in\" id=\"sumas\" style=\"margin-left: 10px;margin-right:10px;\">
					<form id=\"clas-form\" action=\"modulos/clasificaciones/clasfbd.php\">
				<br>";
			$alumnos_ordenados=array();
			//Ordeno a los alumnos según su campo orden de la base de datos. Si todos están a -1 ó 0, el orden no importa. Función copiada de Internet.
			$position = array();
			$newRow = array();
			$inverse=false;
			foreach ($alumnos as $key => $row) {
					$position[$key]  = $row['orden'];
					$newRow[$key] = $row;
			}
			if ($inverse) {
				arsort($position);
			}
			else {
				asort($position);
			}
			$alumnos_ordenados = array();
			foreach ($position as $key => $pos) {     
				$alumnos_ordenados[] = $newRow[$key];
			}
			$alumnos=$alumnos_ordenados;
			$iterador=1;
			$sql->query("SELECT * FROM calculadores WHERE id_pl='$id_pl' ORDER BY id_mod,id_prueba,tipo_elemento,id_calc");
			$sql->ejecutarSQL();
			$numReg=$sql->getNumRegistros();
			if ($numReg > 0){
				$points=$sql->getTodosRegistro();
				//Ordeno el vector
				//Tabla de pagos inscripciones
				$vectorBDCalc=array();
				$id_mod_actual="";
				$id_prueba_actual="";
				foreach ($points as &$elemento){
					$var_id_mod=$elemento['id_mod'];
					$sql->query("SELECT nombre FROM modalidades WHERE id_pl='$id_pl' AND id_mod='$var_id_mod'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$var_nombre_mod=$res['nombre'];
					$var_id_prueba=$elemento['id_prueba'];
					if ($var_id_prueba!=NULL){
						$sql->query("SELECT nombre FROM pruebas WHERE id_pl='$id_pl' AND id_prueba='$var_id_prueba'");
						$sql->ejecutarSQL();
						$res=$sql->getUnRegistro();
						$var_nombre_prueba=$res['nombre'];
					}
					if ($elemento['tipo']=="pormods"){
						//Tengo una nueva modalidad, o es el primer elemento
						if ($id_mod_actual!=$elemento['id_mod']){
							if ($iterador > 1){
								if (isset($vectorBDpormod)){
									$vectorBDpormod[]=$vectorBDmod;
									unset($vectorBDmod);
									$vectorBDCalc[]=$vectorBDpormod;
									unset($vectorBDpormod);
								}
								if (isset($vectorBDprueba)){
									$vectorBDmod[]=$vectorBDprueba;
									unset($vectorBDprueba);
									$vectorBDporprueb[]=$vectorBDmod;
									unset($vectorBDmod);
									$vectorBDCalc[]=$vectorBDporprueb;
									unset($vectorBDporprueb);
								}
							}
							$vectorBDpormod=array($elemento['tipo']);
							$vectorBDmod=array($var_nombre_mod);
							$vectorBDmod[]=array($elemento['elemento'],$elemento['tipo_elemento'],$elemento['id_calc']);
						}
						else $vectorBDmod[]=array($elemento['elemento'],$elemento['tipo_elemento'],$elemento['id_calc']);
					}
					if ($elemento['tipo']=="porpruebas"){
						//Tengo una nueva modalidad, o es el primer elemento
						if ($id_mod_actual!=$elemento['id_mod']){
							if ($iterador > 1){
								if (isset($vectorBDpormod)){
									$vectorBDpormod[]=$vectorBDmod;
									unset($vectorBDmod);
									$vectorBDCalc[]=$vectorBDpormod;
									unset($vectorBDpormod);
								}
								if (isset($vectorBDprueba)){
									$vectorBDmod[]=$vectorBDprueba;
									unset($vectorBDprueba);
									$vectorBDporprueb[]=$vectorBDmod;
									unset($vectorBDmod);
									$vectorBDCalc[]=$vectorBDporprueb;
									unset($vectorBDporprueb);
								}
							}
							$vectorBDporprueb=array($elemento['tipo']);
							$vectorBDmod=array($var_nombre_mod);
							$vectorBDprueba=array($var_nombre_prueba);
							$vectorBDprueba[]=array($elemento['elemento'],$elemento['tipo_elemento'],$elemento['id_calc']);
							$iteradorPrueba=1;
						}
						else{
							if ($id_prueba_actual!=$elemento['id_prueba']){
								if ($iteradorPrueba > 1){
									if (isset($vectorBDprueba)){
										$vectorBDmod[]=$vectorBDprueba;
										unset($vectorBDprueba);
									}
								}
								$vectorBDprueba=array($var_nombre_prueba);
								$vectorBDprueba[]=array($elemento['elemento'],$elemento['tipo_elemento'],$elemento['id_calc']);
								$iteradorPrueba=1;
							}
							else{
								$vectorBDprueba[]=array($elemento['elemento'],$elemento['tipo_elemento'],$elemento['id_calc']);
								$iteradorPrueba++;
							}
						}
					}
					if ($iterador==count($points)){
						if (isset($vectorBDpormod)){
							$vectorBDpormod[]=$vectorBDmod;
							unset($vectorBDmod);
							$vectorBDCalc[]=$vectorBDpormod;
							unset($vectorBDpormod);
						}
						if (isset($vectorBDprueba)){
							$vectorBDmod[]=$vectorBDprueba;
							unset($vectorBDprueba);
							$vectorBDporprueb[]=$vectorBDmod;
							unset($vectorBDmod);
							$vectorBDCalc[]=$vectorBDporprueb;
							unset($vectorBDporprueb);
						}
					}
					$id_mod_actual=$elemento['id_mod'];
					$id_prueba_actual=$elemento['id_prueba'];
					$iterador++;
				}
				$tablaCalculadores=$vectorBDCalc;
			}
			$vectorTemp=array();
			$vectorClasificaciones=array();
			$vectorVictorias=array();
			$vectorPlazas=array();
			$campeonato=array();
			//Necesito una tabla por cada prueba de cada modalidad.
			$numeracionTabla=1;
			$numPuntuaciones=0;
			foreach ($mods as &$modalidad){
				$mod=$modalidad['id_mod_champ'];
				$tipo=$modalidad['tipo'];
				$nombreMod=$modalidad['nombre'];
				$var_id_mod=$modalidad['id_mod'];
				$piezas=explode(" ",$nombreMod);
				$string="";
				foreach ($piezas as &$pieza)
					$string=$string.$pieza;
				$existePrueba=false;
				$existeCategoria=false;
				$existeModalidad=false;
				$existe=false;
				//Comprobamos que haya algún alumno con esa modalidad
				foreach ($alumnos as &$alumno){
					if (array_key_exists($mod,$alumno)) $existeModalidad=true;
				}
				if ($existeModalidad){
					$modMayus = strtoupper($nombreMod);
					foreach ($proofs as &$prueba){
						if ($prueba['id_mod']==$var_id_mod) $proof=$prueba['id_prueba_champ'];
						else $proof="";
						$nombreProof=$prueba['nombre'];
						$var_id_proof=$prueba['id_prueba'];
						//Comprobamos que haya algún alumno con esa modalidad
						foreach ($alumnos as &$alumno){
							if (isset($alumno[$mod])&&($alumno[$mod]==$proof)) $existePrueba=true;
						}
						if ($existePrueba){
							$posTabla=3;
							$elementos=array();
							$proofMayus = strtoupper($nombreProof);
							echo "<div class=\"panel panel-primary\">
							<div class=\"panel-heading\" style=\"text-align:center;\">PRUEBA ".$proofMayus." - ".$modMayus."</div>
								<table class='table table-bordered table-responsive' id=\"tablaCalculadores".$numeracionTabla."\">";
								
							$numElementos=0;
							//Seleccionamos la modalidad y la prueba en el vector tablaCalculadores
							foreach ($tablaCalculadores as &$calc){
								if ($calc[0]=="porpruebas"){
									$modCalc=$calc[1][0];
									if ($modCalc==$nombreMod){
										foreach($calc[1] as &$prueba_elem){
											if (is_array($prueba_elem)){
												$pruebaCalc=$prueba_elem[0];
												if ($pruebaCalc==$nombreProof){
													foreach($prueba_elem as &$array_elem) 
														if (is_array($array_elem)) $elementos[]=$array_elem;
												}
											}
										}
									}
								}
								if ($calc[0]=="pormods"){
									$modCalc=$calc[1][0];
									if ($modCalc==$nombreMod)
										foreach($calc[1] as &$array_elem) 
											if (is_array($array_elem)) $elementos[]=$array_elem;
								}
							}
							$tmpElementos=array();
							//Ordenamos los elementos para que vaya primero las puntuaciones, despues la puntuación predominante, victorias y puesto
							foreach ($elementos as &$element){
								if ($element[1]=="puntuacion") $tmpElementos[]=$element;
							}
							foreach ($elementos as &$element){
								if ($element[1]=="puntuacionpre") $tmpElementos[]=$element;
							}
							foreach ($elementos as &$element){
								if ($element[1]=="sumas") $tmpElementos[]=$element;
							}
							foreach ($elementos as &$element){
								if ($element[1]=="victoria") $tmpElementos[]=$element;
							}
							foreach ($elementos as &$element){
								if ($element[1]=="puesto") $tmpElementos[]=$element;
							}
							$elementos=$tmpElementos;
							echo"
								<tr>
									<th ROWSPAN=2></th>
									<th ROWSPAN=2>Patinador</th>
									<th ROWSPAN=2>Club</th>";
									foreach ($elementos as &$elemento){
										if (($elemento[1]=="puntuacion")||($elemento[1]=="puntuacionpre")||($elemento[1]=="sumas")){
											echo "<th COLSPAN=".$numeroJueces." style=\"text-align:center\">".$elemento[0]."</th>";
											$numElementos=$numElementos+$numeroJueces;
										}
										else{
											echo "<th ROWSPAN=2>".$elemento[0]."</th>";
											$numElementos=$numElementos+1;
										}
									}
								echo "
								</tr>";
							echo "<tr>";
							foreach ($elementos as &$elemento){
								$numJuez=1;
								if (($elemento[1]=="puntuacion")||($elemento[1]=="puntuacionpre")||($elemento[1]=="sumas")){
									for ($i=0;$i<$numeroJueces;$i++){
										echo "<th>J".$numJuez."</th>";
										$numJuez++;
									}
								}
								if (($elemento[1]=="puntuacion")||($elemento[1]=="puntuacionpre"))
									$numPuntuaciones++;
							}
							echo "</tr>";
							$span=$numElementos+3;
							$numCategoria=1;
							foreach ($cats as &$scatergory){
								$id_cat=$scatergory['id_catChamp'];
								$nombreCat=$scatergory['nombre'];
								foreach ($alumnos as &$alumno){
									if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))) $existeCategoria=true;
								}
								if ($existeCategoria){
									$catMayus = strtoupper($nombreCat);
									$numeracion=1;
									echo "<tr class=\"active\"><th COLSPAN=".$span." style=\"text-align:left;\">".$catMayus."</th></tr>					
									<tbody>
									";
									
									foreach ($alumnos as &$alumno){
										$valorSuma=array();
										$j=1;
										if ($tipo=='ind'){
											if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))){
												$id_ins=$alumno['id_ins'];
												echo "<tr><td>".$numeracion."<input type=\"hidden\" name=\"id_ins\" value=\"".$id_ins."\"></td>
												<td>".$alumno['nombre']." ".$alumno['apellidos']."</td>
												<td>".$alumno['org']."</td>";
												foreach ($elementos as &$elemento){
													$numJuez=1;
													$id_calc=$elemento[2];
													if ($elemento[1]=="puntuacion"){
														for ($i=0;$i<$numeroJueces;$i++){
															$sql->ejecutarSQL("SELECT * FROM clasificaciones WHERE id_ins='$id_ins' AND id_calc='$id_calc' AND posicion='$i'");
															$res=$sql->getUnRegistro();
															if ($res['id_clas']!=""){
																$id_clas=$res['id_clas'];
																$valor=$res['calificacion'];
																$cantidad=$res['calificacion'];
															}
															else{
																$id_clas="";
																$valor="";
																$cantidad=0;
															}
															if (array_key_exists($i,$valorSuma)) $valorSuma[$i]=$valorSuma[$i]+$cantidad;
															else $valorSuma[$i]=$cantidad;
															echo "<td id=\"puntuacion".$j."juez".$numJuez."\"><input type=\"hidden\" name=\"id_clas\" value=\"".$id_clas."\"><input type=\"hidden\" name=\"id_calc\" value=\"".$id_calc."\"><input type=\"hidden\" name=\"posicion\" value=\"".$i."\"><input type=\"text\" class=\"form-control input-sm\" name=\"puntuacion\" value=\"".$valor."\" onblur=\"calcula($(this).val(),".$posTabla.",".$numeracionTabla.",".$numCategoria.",".$numeracion.",".$j.",".$numPuntuaciones.",".($i+1).",'".$nombreMod."','".$nombreProof."','".$nombreCat."','".$numeroJueces."','".$tipo."','defecto');\"></td>";
															$numJuez++;	
														}
														$j++;
													}
													if ($elemento[1]=="puntuacionpre"){
														$sumaPre=0;
														for ($i=0;$i<$numeroJueces;$i++){
															$sql->ejecutarSQL("SELECT * FROM clasificaciones WHERE id_ins='$id_ins' AND id_calc='$id_calc' AND posicion='$i'");
															$res=$sql->getUnRegistro();
															if ($res['id_clas']!=""){
																$id_clas=$res['id_clas'];
																$valor=$res['calificacion'];
																$cantidad=$res['calificacion'];
																$sumaPre=$sumaPre+$cantidad;
															}
															else{
																$id_clas="";
																$valor="";
																$cantidad=0;
															}
															if (array_key_exists($i,$valorSuma)) $valorSuma[$i]=$valorSuma[$i]+$cantidad;
															else $valorSuma[$i]=$cantidad;
															if (($i+1)==$numeroJueces){
																echo "<td id=\"puntuacion".$j."juez".$numJuez."\"><input type=\"hidden\" name=\"id_clas\" value=\"".$id_clas."\"><input type=\"hidden\" name=\"id_calc\" value=\"".$id_calc."\"><input type=\"hidden\" name=\"posicion\" value=\"".$i."\"><input type=\"text\" class=\"form-control input-sm\" name=\"puntuacion\" value=\"".$valor."\" onblur=\"calcula($(this).val(),".$posTabla.",".$numeracionTabla.",".$numCategoria.",".$numeracion.",".$j.",".$numPuntuaciones.",".($i+1).",'".$nombreMod."','".$nombreProof."','".$nombreCat."','".$numeroJueces."','".$tipo."','pre');\">";
															}
															else{
																echo "<td id=\"puntuacion".$j."juez".$numJuez."\"><input type=\"hidden\" name=\"id_clas\" value=\"".$id_clas."\"><input type=\"hidden\" name=\"id_calc\" value=\"".$id_calc."\"><input type=\"hidden\" name=\"posicion\" value=\"".$i."\"><input type=\"text\" class=\"form-control input-sm\" name=\"puntuacion\" value=\"".$valor."\" onblur=\"calcula($(this).val(),".$posTabla.",".$numeracionTabla.",".$numCategoria.",".$numeracion.",".$j.",".$numPuntuaciones.",".($i+1).",'".$nombreMod."','".$nombreProof."','".$nombreCat."','".$numeroJueces."','".$tipo."','pre');\"></td>";
															}
															$numJuez++;	
														}
														echo "<input type=\"hidden\" id=\"puntuacionb".$numeracion.$string.$nombreProof.$nombreCat."\" value=\"".$sumaPre."\"></td>";
														$j++;
													}
													if ($elemento[1]=="sumas"){
														for ($i=0;$i<$numeroJueces;$i++){
															$valorFinalSuma=$valorSuma[$i];
															if (array_key_exists($i,$valorSuma)) $valorFinalSuma=$valorSuma[$i];
															else $valorFinalSuma=0;
															echo "<td style=\"text-align:center;\" id=\"cat".$numCategoria."alum".$numeracion."numJuez".($i+1)."\">".$valorFinalSuma."</td>";
															if ($valorFinalSuma!=0){
																if (array_key_exists($nombreMod,$vectorClasificaciones)){
																	if (array_key_exists($nombreProof,$vectorClasificaciones[$nombreMod])){
																		if (array_key_exists($nombreCat,$vectorClasificaciones[$nombreMod][$nombreProof])){
																			if (array_key_exists($numeracion,$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat])){
																				$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat][$numeracion][$i]=$valorFinalSuma;
																			}
																			else{
																				$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat][$numeracion]=array();
																				$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat][$numeracion][$i]=$valorFinalSuma;
																			}
																		}
																		else{
																			$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat]=array();
																			$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat][$numeracion]=array();
																			$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat][$numeracion][$i]=$valorFinalSuma;
																		}
																	}
																	else{
																		$vectorClasificaciones[$nombreMod][$nombreProof]=array();
																		$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat]=array();
																		$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat][$numeracion]=array();
																		$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat][$numeracion][$i]=$valorFinalSuma;
																	}
																}
																else{
																	$vectorClasificaciones[$nombreMod]=array();
																	$vectorClasificaciones[$nombreMod][$nombreProof]=array();
																	$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat]=array();
																	$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat][$numeracion]=array();
																	$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat][$numeracion][$i]=$valorFinalSuma;
																}
															}
															$numJuez++;
														}
													}
													if ($elemento[1]=="victoria"){
														$sql->ejecutarSQL("SELECT victorias FROM inscripcion WHERE id_ins='$id_ins'");
														$res=$sql->getUnRegistro();
														$victoria=$res['victorias'];
														if ($victoria==NULL) $victoria="";
														echo "<td style=\"text-align:center\" id=\"victoria".$numeracion.$string.$nombreProof.$nombreCat."\"><input type=\"hidden\" name=\"victoria\" value=\"".$victoria."\">".$victoria."</td>";
														if ($victoria!=""){
															if (array_key_exists($nombreMod,$vectorVictorias)){
																if (array_key_exists($nombreProof,$vectorVictorias[$nombreMod])){
																	if (array_key_exists($nombreCat,$vectorVictorias[$nombreMod][$nombreProof])){
																		$vectorVictorias[$nombreMod][$nombreProof][$nombreCat][$numeracion]=$victoria;
																	}
																	else{
																		$vectorVictorias[$nombreMod][$nombreProof][$nombreCat]=array();
																		$vectorVictorias[$nombreMod][$nombreProof][$nombreCat][$numeracion]=$victoria;
																	}
																}
																else{
																	$vectorVictorias[$nombreMod][$nombreProof]=array();
																	$vectorVictorias[$nombreMod][$nombreProof][$nombreCat]=array();
																	$vectorVictorias[$nombreMod][$nombreProof][$nombreCat][$numeracion]=$victoria;
																}
															}
															else{
																$vectorVictorias[$nombreMod]=array();
																$vectorVictorias[$nombreMod][$nombreProof]=array();
																$vectorVictorias[$nombreMod][$nombreProof][$nombreCat]=array();
																$vectorVictorias[$nombreMod][$nombreProof][$nombreCat][$numeracion]=$victoria;
															}
														}
													}
													if ($elemento[1]=="puesto"){
														$sql->ejecutarSQL("SELECT plaza FROM inscripcion WHERE id_ins='$id_ins'");
														$res=$sql->getUnRegistro();
														$plaza=$res['plaza'];
														if ($plaza==NULL) $plaza="";
														echo "<td style=\"text-align:center\" id=\"plaza".$numeracion.$string.$nombreProof.$nombreCat."\"><input type=\"hidden\" name=\"plaza\" value=\"".$plaza."\">".$plaza."</td>";
														if ($plaza!=""){
															if (array_key_exists($nombreMod,$vectorPlazas)){
																if (array_key_exists($nombreProof,$vectorPlazas[$nombreMod])){
																	if (array_key_exists($nombreCat,$vectorPlazas[$nombreMod][$nombreProof])){
																		$vectorPlazas[$nombreMod][$nombreProof][$nombreCat][$numeracion]=$plaza;
																	}
																	else{
																		$vectorPlazas[$nombreMod][$nombreProof][$nombreCat]=array();
																		$vectorPlazas[$nombreMod][$nombreProof][$nombreCat][$numeracion]=$plaza;
																	}
																}
																else{
																	$vectorPlazas[$nombreMod][$nombreProof]=array();
																	$vectorPlazas[$nombreMod][$nombreProof][$nombreCat]=array();
																	$vectorPlazas[$nombreMod][$nombreProof][$nombreCat][$numeracion]=$plaza;
																}
															}
															else{
																$vectorPlazas[$nombreMod]=array();
																$vectorPlazas[$nombreMod][$nombreProof]=array();
																$vectorPlazas[$nombreMod][$nombreProof][$nombreCat]=array();
																$vectorPlazas[$nombreMod][$nombreProof][$nombreCat][$numeracion]=$plaza;
															}
														}
													}
												}
												echo "</tr>";
												$posTabla++;
												$numeracion++;
											}
										}
										if ($tipo=='par'){
											if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))){
												$id_ins=$alumno['id_ins'];
												echo "<tr><td ROWSPAN=2>".$numeracion."<input type=\"hidden\" name=\"id_ins\" value=\"".$id_ins."\"></td>
												<td>".$alumno['nombre']." ".$alumno['apellidos']."</td>
												<td>".$alumno['org']."</td>";
												foreach ($elementos as &$elemento){
													$numJuez=1;
													$id_calc=$elemento[2];
													if ($elemento[1]=="puntuacion"){
														for ($i=0;$i<$numeroJueces;$i++){
															$sql->ejecutarSQL("SELECT * FROM clasificaciones WHERE id_ins='$id_ins' AND id_calc='$id_calc' AND posicion='$i'");
															$res=$sql->getUnRegistro();
															if ($res['id_clas']!=""){
																$id_clas=$res['id_clas'];
																$valor=$res['calificacion'];
																$cantidad=$res['calificacion'];
															}
															else{
																$id_clas="";
																$valor="";
																$cantidad=0;
															}
															if (array_key_exists($i,$valorSuma)) $valorSuma[$i]=$valorSuma[$i]+$cantidad;
															else $valorSuma[$i]=$cantidad;
															echo "<td ROWSPAN=2 id=\"puntuacion".$j."juez".$numJuez."\"><input type=\"hidden\" name=\"id_clas\" value=\"".$id_clas."\"><input type=\"hidden\" name=\"id_calc\" value=\"".$id_calc."\"><input type=\"hidden\" name=\"posicion\" value=\"".$i."\"><input type=\"text\" class=\"form-control input-sm\" name=\"puntuacion\" value=\"".$valor."\" onblur=\"calcula($(this).val(),".$posTabla.",".$numeracionTabla.",".$numCategoria.",".$numeracion.",".$j.",".$numPuntuaciones.",".($i+1).",'".$nombreMod."','".$nombreProof."','".$nombreCat."','".$numeroJueces."','".$tipo."','defecto');\"></td>";
															$numJuez++;
														}
														$j++;
													}
													if ($elemento[1]=="puntuacionpre"){
														$sumaPre=0;
														for ($i=0;$i<$numeroJueces;$i++){
															$sql->ejecutarSQL("SELECT * FROM clasificaciones WHERE id_ins='$id_ins' AND id_calc='$id_calc' AND posicion='$i'");
															$res=$sql->getUnRegistro();
															if ($res['id_clas']!=""){
																$id_clas=$res['id_clas'];
																$valor=$res['calificacion'];
																$cantidad=$res['calificacion'];
																$sumaPre=$sumaPre+$cantidad;
															}
															else{
																$id_clas="";
																$valor="";
																$cantidad=0;
															}
															if (array_key_exists($i,$valorSuma)) $valorSuma[$i]=$valorSuma[$i]+$cantidad;
															else $valorSuma[$i]=$cantidad;
															if (($i+1)==$numeroJueces){
																echo "<td ROWSPAN=2 id=\"puntuacion".$j."juez".$numJuez."\"><input type=\"hidden\" name=\"id_clas\" value=\"".$id_clas."\"><input type=\"hidden\" name=\"id_calc\" value=\"".$id_calc."\"><input type=\"hidden\" name=\"posicion\" value=\"".$i."\"><input type=\"text\" class=\"form-control input-sm\" name=\"puntuacion\" value=\"".$valor."\" onblur=\"calcula($(this).val(),".$posTabla.",".$numeracionTabla.",".$numCategoria.",".$numeracion.",".$j.",".$numPuntuaciones.",".($i+1).",'".$nombreMod."','".$nombreProof."','".$nombreCat."','".$numeroJueces."','".$tipo."','pre');\">";
															}
															else{
																echo "<td ROWSPAN=2 id=\"puntuacion".$j."juez".$numJuez."\"><input type=\"hidden\" name=\"id_clas\" value=\"".$id_clas."\"><input type=\"hidden\" name=\"id_calc\" value=\"".$id_calc."\"><input type=\"hidden\" name=\"posicion\" value=\"".$i."\"><input type=\"text\" class=\"form-control input-sm\" name=\"puntuacion\" value=\"".$valor."\" onblur=\"calcula($(this).val(),".$posTabla.",".$numeracionTabla.",".$numCategoria.",".$numeracion.",".$j.",".$numPuntuaciones.",".($i+1).",'".$nombreMod."','".$nombreProof."','".$nombreCat."','".$numeroJueces."','".$tipo."','pre');\"></td>";
															}
															$numJuez++;
														}
														echo "<input type=\"hidden\" id=\"puntuacionb".$numeracion.$string.$nombreProof.$nombreCat."\" value=\"".$sumaPre."\"></td>";
														$j++;
													}
													if ($elemento[1]=="sumas"){
														for ($i=0;$i<$numeroJueces;$i++){
															if (array_key_exists($i,$valorSuma)) $valorFinalSuma=$valorSuma[$i];
															else $valorFinalSuma=0;
															echo "<td ROWSPAN=2 id=\"cat".$numCategoria."alum".$numeracion."numJuez".($i+1)."\">".$valorFinalSuma."</td>";
															if ($valorFinalSuma!=0){
																if (array_key_exists($nombreMod,$vectorClasificaciones)){
																	if (array_key_exists($nombreProof,$vectorClasificaciones[$nombreMod])){
																		if (array_key_exists($nombreCat,$vectorClasificaciones[$nombreMod][$nombreProof])){
																			if (array_key_exists($numeracion,$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat])){
																				$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat][$numeracion][$i]=$valorFinalSuma;
																			}
																			else{
																				$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat][$numeracion]=array();
																				$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat][$numeracion][$i]=$valorFinalSuma;
																			}
																		}
																		else{
																			$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat]=array();
																			$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat][$numeracion]=array();
																			$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat][$numeracion][$i]=$valorFinalSuma;
																		}
																	}
																	else{
																		$vectorClasificaciones[$nombreMod][$nombreProof]=array();
																		$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat]=array();
																		$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat][$numeracion]=array();
																		$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat][$numeracion][$i]=$valorFinalSuma;
																	}
																}
																else{
																	$vectorClasificaciones[$nombreMod]=array();
																	$vectorClasificaciones[$nombreMod][$nombreProof]=array();
																	$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat]=array();
																	$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat][$numeracion]=array();
																	$vectorClasificaciones[$nombreMod][$nombreProof][$nombreCat][$numeracion][$i]=$valorFinalSuma;
																}
															}
															$numJuez++;
														}
													}
													if ($elemento[1]=="victoria"){
														$sql->ejecutarSQL("SELECT victorias FROM inscripcion WHERE id_ins='$id_ins'");
														$res=$sql->getUnRegistro();
														$victoria=$res['victorias'];
														if ($victoria==NULL) $victoria="";
														echo "<td ROWSPAN=2 style=\"text-align:center\" id=\"victoria".$numeracion.$string.$nombreProof.$nombreCat."\"><input type=\"hidden\" name=\"victoria\" value=\"".$victoria."\">".$victoria."</td>";
														if ($victoria!=""){
															if (array_key_exists($nombreMod,$vectorVictorias)){
																if (array_key_exists($nombreProof,$vectorVictorias[$nombreMod])){
																	if (array_key_exists($nombreCat,$vectorVictorias[$nombreMod][$nombreProof])){
																		$vectorVictorias[$nombreMod][$nombreProof][$nombreCat][$numeracion]=$victoria;
																	}
																	else{
																		$vectorVictorias[$nombreMod][$nombreProof][$nombreCat]=array();
																		$vectorVictorias[$nombreMod][$nombreProof][$nombreCat][$numeracion]=$victoria;
																	}
																}
																else{
																	$vectorVictorias[$nombreMod][$nombreProof]=array();
																	$vectorVictorias[$nombreMod][$nombreProof][$nombreCat]=array();
																	$vectorVictorias[$nombreMod][$nombreProof][$nombreCat][$numeracion]=$victoria;
																}
															}
															else{
																$vectorVictorias[$nombreMod]=array();
																$vectorVictorias[$nombreMod][$nombreProof]=array();
																$vectorVictorias[$nombreMod][$nombreProof][$nombreCat]=array();
																$vectorVictorias[$nombreMod][$nombreProof][$nombreCat][$numeracion]=$victoria;
															}
														}
													}
													if ($elemento[1]=="puesto"){
														$sql->ejecutarSQL("SELECT plaza FROM inscripcion WHERE id_ins='$id_ins'");
														$res=$sql->getUnRegistro();
														$plaza=$res['plaza'];
														if ($plaza==NULL) $plaza="";
														echo "<td ROWSPAN=2 style=\"text-align:center\" id=\"plaza".$numeracion.$string.$nombreProof.$nombreCat."\"><input type=\"hidden\" name=\"plaza\" value=\"".$plaza."\">".$plaza."</td>";
														if ($plaza!=""){
															if (array_key_exists($nombreMod,$vectorPlazas)){
																if (array_key_exists($nombreProof,$vectorPlazas[$nombreMod])){
																	if (array_key_exists($nombreCat,$vectorPlazas[$nombreMod][$nombreProof])){
																		$vectorPlazas[$nombreMod][$nombreProof][$nombreCat][$numeracion]=$plaza;
																	}
																	else{
																		$vectorPlazas[$nombreMod][$nombreProof][$nombreCat]=array();
																		$vectorPlazas[$nombreMod][$nombreProof][$nombreCat][$numeracion]=$plaza;
																	}
																}
																else{
																	$vectorPlazas[$nombreMod][$nombreProof]=array();
																	$vectorPlazas[$nombreMod][$nombreProof][$nombreCat]=array();
																	$vectorPlazas[$nombreMod][$nombreProof][$nombreCat][$numeracion]=$plaza;
																}
															}
															else{
																$vectorPlazas[$nombreMod]=array();
																$vectorPlazas[$nombreMod][$nombreProof]=array();
																$vectorPlazas[$nombreMod][$nombreProof][$nombreCat]=array();
																$vectorPlazas[$nombreMod][$nombreProof][$nombreCat][$numeracion]=$plaza;
															}
														}
													}
												}
													echo "
												<tr>
												<td>".$alumno['nombre2']." ".$alumno['apellidos2']."</td>
												<td>".$alumno['org']."</td>
												</tr>";
												$posTabla=$posTabla+2;
												$numeracion++;
											}
										}
									}
									$posTabla++;
									$numCategoria++;
								}
								$existeCategoria=false;
							}
								echo "
								</tbody>
							  </table>
							</div>";
							$numeracionTabla++;
							$elementos="";
						}
						$numPuntuaciones=0;
						$existePrueba=false;
					}
				}
				$existeModalidad=false;
			}
			//Antes de imprimir los WHITE por pantalla, necesito calcularlos en el caso de que esté "cargando" las clasificaciones de la base de datos
			$vectorWhite=array();
			foreach ($vectorClasificaciones as $modVectorWhite=>$vectorTemporalis1){
				foreach ($vectorTemporalis1 as $proofVectorWhite=>$vectorTemporalis2){
					foreach ($vectorTemporalis2 as $catVectorWhite=>$vectorTemporalis3){
						foreach ($vectorTemporalis3 as $contador1=>$contadorA){
							foreach ($vectorTemporalis3 as $contador2=>$contadorB){
								if ($contador1!=$contador2){
									$victorias1=0;
									$victorias2=0;
									for ($i=0;$i<$numeroJueces;$i++){
										$vec1=0;
										$vec2=0;
										if (array_key_exists($i,$contadorA)) $vec1=$contadorA[$i];
										if (array_key_exists($i,$contadorB)) $vec2=$contadorB[$i];
										if ($vec1>$vec2)
											$victorias1++;
										if ($vec1<$vec2)
											$victorias2++;
									}
									//Calculo quien gana de ambos alumnos, según el número de victorias
									//Gana el primero
									if ($victorias1>$victorias2){
										$vectorWhite[$modVectorWhite][$proofVectorWhite][$catVectorWhite][$contador1][$contador2]=$numeroJueces;
									}
									//Gana el segundo
									if ($victorias1<$victorias2){
										$vectorWhite[$modVectorWhite][$proofVectorWhite][$catVectorWhite][$contador1][$contador2]=0;
									}
									//Empatan
									if ($victorias1==$victorias2){
										$vectorWhite[$modVectorWhite][$proofVectorWhite][$catVectorWhite][$contador1][$contador2]=$numeroJueces/2;
									}
								}
							}
						}
					}
				}
			}
			//WHITE: Necesito una tabla por cada categoría, de cada prueba de cada modalidad. Construimmos la matriz white.
			echo "</form>
			</div>";
			echo "<div class=\"tab-pane fade\" id=\"white\" style=\"margin-left: 10px;margin-right:10px;\">
				<br><p class=\"help-block\">Resumen de los WHITE. Se calculan automáticamente.</p>";
			$white=array();
			foreach ($mods as &$modalidad){
				$mod=$modalidad['id_mod_champ'];
				$tipo=$modalidad['tipo'];
				$nombreMod=$modalidad['nombre'];
				$var_id_mod=$modalidad['id_mod'];
				$existePrueba=false;
				$existeCategoria=false;
				$existeModalidad=false;
				$existe=false;
				//Comprobamos que haya algún alumno con esa modalidad
				foreach ($alumnos as &$alumno){
					if (array_key_exists($mod,$alumno)) $existeModalidad=true;
				}
				if ($existeModalidad){
					$modMayus = strtoupper($nombreMod);
					foreach ($proofs as &$prueba){
						if ($prueba['id_mod']==$var_id_mod) $proof=$prueba['id_prueba_champ'];
						else $proof="";
						$nombreProof=$prueba['nombre'];
						$var_id_proof=$prueba['id_prueba'];
						//Comprobamos que haya algún alumno con esa modalidad
						foreach ($alumnos as &$alumno){
							if (isset($alumno[$mod])&&($alumno[$mod]==$proof)) $existePrueba=true;
						}
						if ($existePrueba){
							$elementos=array();
							$proofMayus = strtoupper($nombreProof);
							foreach ($cats as &$scatergory){
								$id_cat=$scatergory['id_catChamp'];
								$nombreCat=$scatergory['nombre'];
								foreach ($alumnos as &$alumno){
									if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))) $existeCategoria=true;
								}
								if ($existeCategoria){
									foreach ($alumnos as &$alumno){
										if ($tipo=='ind'){
											if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))){
												$white[$nombreMod][$nombreProof][$nombreCat][]=$alumno['tipo'];
												$white[$nombreMod][$nombreProof][$nombreCat][]=$alumno['nombre']." ".$alumno['apellidos'];
											}
										}
										if ($tipo=='par'){
											if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))){
												$white[$nombreMod][$nombreProof][$nombreCat][]=$alumno['tipo'];
												$white[$nombreMod][$nombreProof][$nombreCat][]=$alumno['nombre']." ".$alumno['apellidos'];
												$white[$nombreMod][$nombreProof][$nombreCat][]=$alumno['nombre2']." ".$alumno['apellidos2'];
											}
										}
									}
								}
								$existeCategoria=false;
							}
						}
						$existePrueba=false;
					}
				}
				$existeModalidad=false;
			}
			
			//Si queremos que aparezcan todos los WHITE, hay que comentar esta parte (ahora está descomentada). De esta forma aparecerán los WHITE para 1 patinador, aunque no tenga que aparecer.
			//Voy a filtrar los WHITE para los alumnos que no tengan competencia con los demás, es decir, cuando un alumno es único en su categoría.
			$vectorTempWhite=array();
			foreach ($white as $modWHITE=>$array1){
				foreach ($array1 as $proofWHITE=>$array2){
					foreach ($array2 as $catWHITE=>$alumnoWhite){
						if (count($alumnoWhite)>3){
							for ($i=0;$i<count($alumnoWhite);$i++)
								$vectorTempWhite[$modWHITE][$proofWHITE][$catWHITE][]=$alumnoWhite[$i];
						}
					}
				}
			}
			$white=$vectorTempWhite;
			
			$numeracionTabla=1;
			$catActual="";
			foreach ($white as $modWHITE=>$array1){
				$modMayusWhite = strtoupper($modWHITE);
				$piezas=explode(" ",$modWHITE);
				$string="";
				foreach ($piezas as &$pieza)
					$string=$string.$pieza;
				foreach ($array1 as $proofWHITE=>$array2){
					$proofMayusWhite = strtoupper($proofWHITE);
					foreach ($array2 as $catWHITE=>$alumnoWhite){
						$catMayusWhite=strtoupper($catWHITE);
						if ($catActual!=$catWHITE){
							if ($numeracionTabla>1){
								echo "	</table>
									</div>";
							}
							$tipoWhite="";
							echo "<div class=\"panel panel-primary\" id=\"".$string.$proofWHITE.$catWHITE."\">
								<div class=\"panel-heading\" style=\"text-align:center;\">".$modMayusWhite."</div>
									<table class='table table-bordered table-responsive' id=\"tablaWhite\">
									<tr>
										<th ROWSPAN=2 COLSPAN=".$numeroJueces." class=\"active\" style=\"text-align:center;\">Suma de puntuaciones</th>
										<th COLSPAN=2 class=\"info\"> PRUEBA ".$proofMayusWhite."</th>";
										$tipoWhite="";
										for ($k=0;$k<count($alumnoWhite);$k++){
											if (($alumnoWhite[$k]=='ind')||($alumnoWhite[$k]=='par')||($alumnoWhite[$k]=='group'))
												$tipoWhite=$alumnoWhite[$k];
											//Si es individual
											if ($tipoWhite=='ind'){
												echo "<th ROWSPAN=2></th>";
												$k=$k+1;
											}
											//Si es pareja
											if ($tipoWhite=='par'){
												echo "<th ROWSPAN=2></th>";
												$k=$k+2;
											}
											$tipoWhite="";
										}
										echo "<th ROWSPAN=2 style=\"text-align:center;\">Victorias</th>
										<th ROWSPAN=2 style=\"text-align:center;\">Plaza</th>
									</tr>
									<tr>
										<th COLSPAN=2 style=\"color:blue;\">".$catMayusWhite."</th>
									</tr>
									<tr>";
										for ($i=1;$i<=$numeroJueces;$i++)
											echo "<th class=\"active\">".$i."</th>";
										//Sexo (masculino, femenino)
										echo "<th COLSPAN=2></th>";
										$i=1;
										$tipoWhite="";
										for ($k=0;$k<count($alumnoWhite);$k++){
											if (($alumnoWhite[$k]=='ind')||($alumnoWhite[$k]=='par')||($alumnoWhite[$k]=='group'))
												$tipoWhite=$alumnoWhite[$k];
											//Si es individual
											if ($tipoWhite=='ind'){
												echo "<th>".$i."</th>";
												$i++;
												$k=$k+1;
											}
											//Si es pareja
											if ($tipoWhite=='par'){
												echo "<th>".$i."</th>";
												$i++;
												$k=$k+2;
											}
											$tipoWhite="";
										}
										echo "<td></td><td></td>";
										echo"
									</tr>
									";
									$numAlum=1;
									$tipoWhite="";
									//WHITE
									for ($k=0;$k<count($alumnoWhite);$k++){
										if (($alumnoWhite[$k]=='ind')||($alumnoWhite[$k]=='par')||($alumnoWhite[$k]=='group'))
											$tipoWhite=$alumnoWhite[$k];
										//Si es individual
										if ($tipoWhite=='ind'){
											echo "<tr>";
											for ($i=1,$b;$i<=$numeroJueces;$i++){
												$valorWhiteAlumno=0;
												if (array_key_exists($modWHITE,$vectorClasificaciones))
													if (array_key_exists($proofWHITE,$vectorClasificaciones[$modWHITE]))
														if (array_key_exists($catWHITE,$vectorClasificaciones[$modWHITE][$proofWHITE]))
															if (array_key_exists($numAlum,$vectorClasificaciones[$modWHITE][$proofWHITE][$catWHITE]))
																if (array_key_exists(($i-1),$vectorClasificaciones[$modWHITE][$proofWHITE][$catWHITE][$numAlum])) $valorWhiteAlumno=$vectorClasificaciones[$modWHITE][$proofWHITE][$catWHITE][$numAlum][($i-1)];
												echo "<td id=\"".$numAlum.$string.$proofWHITE.$catWHITE.$i."\">".$valorWhiteAlumno."</td>";
											}
											echo "<td>".$alumnoWhite[$k+1]."</td>
											<th>".$numAlum."</th>";
											//Vectores WHITE
											for ($i=1;$i<=count($alumnoWhite)/2;$i++){
												if ($i==$numAlum) echo "<td class=\"active\"></td>";
												else{
													$resWhite="";
													if (array_key_exists($modWHITE,$vectorWhite))
														if (array_key_exists($proofWHITE,$vectorWhite[$modWHITE]))
															if (array_key_exists($catWHITE,$vectorWhite[$modWHITE][$proofWHITE]))
																if (array_key_exists($numAlum,$vectorWhite[$modWHITE][$proofWHITE][$catWHITE]))
																	if (array_key_exists($i,$vectorWhite[$modWHITE][$proofWHITE][$catWHITE][$numAlum])) $resWhite=$vectorWhite[$modWHITE][$proofWHITE][$catWHITE][$numAlum][$i];
													echo "<td>".$resWhite."</td>";
												}
											}
											//Victorias y plaza del alumno
											$victoriaWhite="";
											if (array_key_exists($modWHITE,$vectorVictorias))
												if (array_key_exists($proofWHITE,$vectorVictorias[$modWHITE]))
													if (array_key_exists($catWHITE,$vectorVictorias[$modWHITE][$proofWHITE]))
														if (array_key_exists($numAlum,$vectorVictorias[$modWHITE][$proofWHITE][$catWHITE]))
															$victoriaWhite=$vectorVictorias[$modWHITE][$proofWHITE][$catWHITE][$numAlum];
											echo "<td style=\"text-align:center\">".$victoriaWhite."</td>";
											$plazaWhite="";
											if (array_key_exists($modWHITE,$vectorPlazas))
												if (array_key_exists($proofWHITE,$vectorPlazas[$modWHITE]))
													if (array_key_exists($catWHITE,$vectorPlazas[$modWHITE][$proofWHITE]))
														if (array_key_exists($numAlum,$vectorPlazas[$modWHITE][$proofWHITE][$catWHITE]))
															$plazaWhite=$vectorPlazas[$modWHITE][$proofWHITE][$catWHITE][$numAlum];
											echo "<td style=\"text-align:center\">".$plazaWhite."</td>";
											echo "
											</tr>";
											$k=$k+1;
										}
										//Si es pareja
										if ($tipoWhite=='par'){
											echo "<tr>";
											for ($i=1;$i<=$numeroJueces;$i++){
												$valorWhiteAlumno=0;
												if (array_key_exists($modWHITE,$vectorClasificaciones))
													if (array_key_exists($proofWHITE,$vectorClasificaciones[$modWHITE]))
														if (array_key_exists($catWHITE,$vectorClasificaciones[$modWHITE][$proofWHITE]))
															if (array_key_exists($numAlum,$vectorClasificaciones[$modWHITE][$proofWHITE][$catWHITE]))
																if (array_key_exists(($i-1),$vectorClasificaciones[$modWHITE][$proofWHITE][$catWHITE][$numAlum])) $valorWhiteAlumno=$vectorClasificaciones[$modWHITE][$proofWHITE][$catWHITE][$numAlum][($i-1)];
												echo "<td ROWSPAN=2 id=\"".$numAlum.$string.$proofWHITE.$catWHITE.$i."\">".$valorWhiteAlumno."</td>";
											}
											echo "<td>".$alumnoWhite[$k+1]."</td>
											<th ROWSPAN=2>".$numAlum."</th>";
											for ($i=1;$i<=count($alumnoWhite)/3;$i++){
												if ($i==$numAlum) echo "<td class=\"active\" ROWSPAN=2></td>";
												else{
													$resWhite="";
													if (array_key_exists($modWHITE,$vectorWhite))
														if (array_key_exists($proofWHITE,$vectorWhite[$modWHITE]))
															if (array_key_exists($catWHITE,$vectorWhite[$modWHITE][$proofWHITE]))
																if (array_key_exists($numAlum,$vectorWhite[$modWHITE][$proofWHITE][$catWHITE]))
																	if (array_key_exists($i,$vectorWhite[$modWHITE][$proofWHITE][$catWHITE][$numAlum])) $resWhite=$vectorWhite[$modWHITE][$proofWHITE][$catWHITE][$numAlum][$i];
													echo "<td ROWSPAN=2>".$resWhite."</td>";
												}
											}
											//Victorias y plaza del alumno
											$victoriaWhite="";
											if (array_key_exists($modWHITE,$vectorVictorias))
												if (array_key_exists($proofWHITE,$vectorVictorias[$modWHITE]))
													if (array_key_exists($catWHITE,$vectorVictorias[$modWHITE][$proofWHITE]))
														if (array_key_exists($numAlum,$vectorVictorias[$modWHITE][$proofWHITE][$catWHITE]))
															$victoriaWhite=$vectorVictorias[$modWHITE][$proofWHITE][$catWHITE][$numAlum];
											echo "<td ROWSPAN=2 style=\"text-align:center\">".$victoriaWhite."</td>";
											$plazaWhite="";
											if (array_key_exists($modWHITE,$vectorPlazas))
												if (array_key_exists($proofWHITE,$vectorPlazas[$modWHITE]))
													if (array_key_exists($catWHITE,$vectorPlazas[$modWHITE][$proofWHITE]))
														if (array_key_exists($numAlum,$vectorPlazas[$modWHITE][$proofWHITE][$catWHITE]))
															$plazaWhite=$vectorPlazas[$modWHITE][$proofWHITE][$catWHITE][$numAlum];
											echo "<td ROWSPAN=2 style=\"text-align:center\">".$plazaWhite."</td>";
											echo "
											</tr>
											<tr>
												<td>".$alumnoWhite[$k+2]."</td>
											</tr>";
											$k=$k+2;
										}
										$tipoWhite="";
										$numAlum++;
									}
									$numeracionTabla++;
									
						}
					}
				}
			}
			echo "</table>
				</div>
				</div>
			</div>
			<br>
			<button type=\"button\" class=\"btn btn-success pull-left\"  onClick=\"guardarCambios();\">Guardar cambios</button>
			<script>
			function calcula(val,posTabla,numTabla,numCategoria,numAlumno,posPuntuaciones,numPuntuaciones,numJuez,nombreMod,nombreProof,nombreCat,numeroJueces,tipo,tipoPunt){
				/*val es el valor de la puntuación
				posTabla indica en qué fila de la tabla estamos
				numTabla hace reseña a la tabla que estamos tratando
				numCategoria es el número de la categoría de la tabla
				numAlumno es el alumno de la tabla
				posPuntuaciones es la posición de la puntuación en la tabla
				numPuntuaciones es el número total de puntuaciones
				numJuez es el número de juez de la puntuación
				numeroJueces es necesario para funciones posteriores (calcular el white)
				tipo indica si es pareja o individual (necesario para posteriores funciones)
				tipoPunt indica si es puntuación normal o es predominante, lo que habría que añadir las sumas de las puntuaciones colindantes*/
				var div='#tablaCalculadores' + numTabla;
				var valor=parseFloat(val);
				var fila=posTabla;
				posicion=div + ' tr:eq(' + fila + ')';
				if (val!=''){
					var idpuntuacion,valorPuntuacion,posicion,tmp;
					valorPuntuacion=0;
					//Sumamos todas las posiciones de esa puntuación, respecto a los jueces
					var suma=0;
					for (i=1;i<=numPuntuaciones;i++){
						if (i!=posPuntuaciones){
							tmp=posicion + ' td[id=puntuacion' + i + 'juez' + numJuez + ']';
							valorPuntuacion=$(tmp).find('input[name=puntuacion]').val();
							if (valorPuntuacion!=''){
								realvalorPuntuacion=parseFloat(valorPuntuacion);
								suma+=realvalorPuntuacion;
							}
						}
					}
					suma+=valor;
					var valorFinal=suma.toFixed(1);
					
					var diFinal=div + ' td[id=cat' + numCategoria + 'alum' + numAlumno + 'numJuez' + numJuez + ']';
					$(diFinal).empty().append(valorFinal);
					
					var string=nombreMod.split(' ');
					var ristra='';
					for (i=0;i<string.length;i++)
						ristra+=string[i];
					//Tenemos una puntuación predominante
					if (tipoPunt=='pre'){
						var suma2=0;
						//Calculamos el valor de la suma de las puntuaciones de B para ese alumno
						for (i=1;i<=numeroJueces;i++){
							if (i!=numJuez){
								tmp=posicion + ' td[id=puntuacion' + posPuntuaciones + 'juez' + i + ']';
								valorPuntuacion=$(tmp).find('input').val();
								if (valorPuntuacion!=''){
									realvalorPuntuacion=parseFloat(valorPuntuacion);
									suma2+=realvalorPuntuacion;
								}
							}
						}
						
						suma2+=valor;
						var valorB=suma2.toFixed(1);
						var divPre=div + ' input[id=puntuacionb' + numAlumno + ristra + nombreProof + nombreCat + ']';
						$(divPre).val(valorB);
					}
					white(valorFinal,ristra,nombreProof,nombreCat,numAlumno,numJuez,numeroJueces,tipo,numCategoria,numAlumno,numTabla);
				}
			}
			function white(valorFinal,nombreMod,nombreProof,nombreCat,numAlumno,numJuez,numeroJueces,tipo,numCategoria,numAlumno,posTabla){
				var div='#' + numAlumno + nombreMod + nombreProof + nombreCat + numJuez;
				$(div).empty().append(valorFinal);
				calculoWhite(nombreMod,nombreProof,nombreCat,numeroJueces,tipo,numCategoria,numAlumno,posTabla);
			}
			function calculoWhite(nombreMod,nombreProof,nombreCat,numeroJueces,tipo,numCategoria,numAlumno,posTabla){
				var div='#' + nombreMod + nombreProof + nombreCat;
				var tabla=div + ' table[id=tablaWhite]';
				var tmp=tabla + ' >tbody >tr';
				var filasTabla=$(tmp).length;
				var posicion,victorias1,victorias2;
				var texto='';
				var white=new Array();
				var vec1=0;
				var vec2=0;
				var punt1 = 0;
				var punt2 = 0;
				if (tipo=='ind'){
					//Si tenemos competencia entre 2 ó más alumnos en una tabla White, hacemos el vector de comparaciones.
					if (filasTabla>4){
						var vector=new Array();
						for (fila=3;fila<filasTabla;fila++){
							//Necesitamos declararlo para que se cargue el vector temporal
							var vectorTmp= new Array();
							for (columna=0;columna<numeroJueces;columna++){
								posicion=tabla + ' tr:eq(' + fila + ') td:eq(' + columna + ')';
								vectorTmp[columna]=$(posicion).text();
							}
							vector.push(vectorTmp);
						}
						//Hago un todos contra todos y creo la matriz
						//Inicialización de la matriz
						for (i=0;i<vector.length;i++){
							white[i]=new Array();
						}
						//Cálculo del todos contra todos en el white
						for (i=0;i<vector.length;i++){
							for (j=0;j<vector.length;j++){
								if (i!=j){
									victorias1=0;
									victorias2=0;
									vec1=0;
									vec2=0;
									for (k=0;k<numeroJueces;k++){
										vec1=parseFloat(vector[i][k]);
										vec2=parseFloat(vector[j][k]);
										if (vec1>vec2)
											victorias1+=1;
										if (vec1<vec2)
											victorias2+=1;
									}
									//Calculo quien gana de ambos alumnos, según el número de victorias
									//Gana el primero
									if (victorias1>victorias2){
										white[i][j]=numeroJueces;
									}
									//Gana el segundo
									if (victorias1<victorias2){
										white[i][j]=0;
									}
									//Empatan
									if (victorias1==victorias2){
										white[i][j]=numeroJueces/2;
									}
								}
							}
						}
						//Imprimimos en la tabla del WHITE correspondiente, el 'todos contra todos' resultante.
						var colJueces=parseInt(numeroJueces)+1;
						var numPatinadores=3;
						var fila2,columna2 = 0;
						for (i=0;i<white.length;i++){
							for (j=0;j<white.length;j++){
								if (i!=j){
									fila2=numPatinadores+i;
									columna2=colJueces+j;
									posicion=tabla + ' tr:eq(' + fila2 + ') td:eq(' + columna2 + ')';
									$(posicion).empty().append(white[i][j]);
								}
							}
						}
						
						
					}
					//Cálculo de las victorias
					var victorias= new Array();
					if (white.length>0){
						for (i=0;i<white.length;i++){
							victorias[i]=0;
							for (j=0;j<white.length;j++){
								if (i!=j) victorias[i]+=parseInt(white[i][j]);
							}
						}
					}
					else victorias[0]=numeroJueces;
					//Imprimimos las victorias en la tabla WHITE corresondiente
					numPatinadores=filasTabla-3;
					columna3=parseInt(numeroJueces)+1+numPatinadores;
					var fila3= 0;
					for (i=0;i<victorias.length;i++){
						fila3=3+i;
						posicion=tabla + ' tr:eq(' + fila3 + ') td:eq(' + columna3 + ')';
						$(posicion).empty().append(victorias[i]);
					}
					//Imprimimos en la tabla de sumas y puntuaciones las victorias de los patinadores
					for (i=0;i<victorias.length;i++){
						var numalumno=i+1;
						posicion='#tablaCalculadores' + posTabla + ' td[id=victoria' + numalumno + nombreMod + nombreProof + nombreCat + ']';
						texto=victorias[i] + '<input type=\"hidden\" name=\"victoria\" value=\"' + victorias[i] + '\">';
						$(posicion).empty().append(texto);
					}
					//Sacamos el número de plazas
					var plazas=new Array();
					var plaza;
					for (i=0;i<victorias.length;i++){
						plaza=1;
						for (j=0;j<victorias.length;j++){
							if (i!=j)
								if (victorias[i]<victorias[j]) plaza++;
						}
						plazas[i]=plaza;
					}
					//Desempates nombreMod,nombreProof,nombreCat,numeroJueces,tipo,numCategoria,numAlumno,posTabla
					//Puntuación B (estilo): 1er desempate
					for (i=0;i<plazas.length;i++){
						for (j=0;j<plazas.length;j++){
							if ((i!=j)&&(plazas[i]==plazas[j])){
								punt1=0;
								punt2=0;
								posicion='#tablaCalculadores' + posTabla + ' input[id=puntuacionb' + (i+1) + nombreMod + nombreProof + nombreCat + ']';
								if ($(posicion).val()!='') punt1=parseFloat($(posicion).val());
								posicion='#tablaCalculadores' + posTabla + ' input[id=puntuacionb' + (j+1) + nombreMod + nombreProof + nombreCat + ']';
								if ($(posicion).val()!='') punt2=parseFloat($(posicion).val());
								if (punt1>punt2)
									plazas[j]=plazas[j]+=1;
								if (punt1<punt2)
									plazas[i]=plazas[i]+=1;
							}
						}
					}
					//Puntuación global: 2º desempate y 1º cuando no hay puntuación predominante
					for (i=0;i<plazas.length;i++){
						for (j=0;j<plazas.length;j++){
							if ((i!=j)&&(plazas[i]==plazas[j])){
								punt1=0;
								punt2=0;
								for (l=0;l<vector[i].length;l++)
									punt1+=parseFloat(vector[i][l]);
								for (m=0;m<vector[j].length;m++)
									punt2+=parseFloat(vector[j][m])
								if (punt1>punt2)
									plazas[j]=plazas[j]+=1;
								if (punt1<punt2)
									plazas[i]=plazas[i]+=1;
							}
						}
					}
					//Imprimimos las plazas en la tabla WHITE corresondiente
					numPatinadores=filasTabla-3;
					columna3=parseInt(numeroJueces)+2+numPatinadores;
					var fila3= 0;
					for (i=0;i<plazas.length;i++){
						fila3=3+i;
						posicion=tabla + ' tr:eq(' + fila3 + ') td:eq(' + columna3 + ')';
						$(posicion).empty().append(plazas[i]);
					}
					//Imprimimos en la tabla de sumas y puntuaciones las plazas de los patinadores
					for (i=0;i<plazas.length;i++){
						var numalumno=i+1;
						posicion='#tablaCalculadores' + posTabla + ' td[id=plaza' + numalumno + nombreMod + nombreProof + nombreCat + ']';
						texto=plazas[i] + '<input type=\"hidden\" name=\"plaza\" value=\"' + plazas[i] + '\">';
						$(posicion).empty().append(texto);
					}
					//$('#res').empty().append(texto);
				}
				//Si es pareja, lo haremos de forma distinta
				if (tipo=='par'){
					//Si tenemos competencia entre 2 ó más alumnos en una tabla White, hacemos el vector de comparaciones.
					if (filasTabla>5){
						var vector=new Array();
						for (fila=3;fila<filasTabla;){
							//Necesitamos declararlo para que se cargue el vector temporal
							var vectorTmp= new Array();
							for (columna=0;columna<numeroJueces;columna++){
								posicion=tabla + ' tr:eq(' + fila + ') td:eq(' + columna + ')';
								vectorTmp[columna]=$(posicion).text();
							}
							vector.push(vectorTmp);
							fila+=2;
						}
						//Hago un todos contra todos y creo la matriz
						//Inicialización de la matriz
						for (i=0;i<vector.length;i++){
							white[i]=new Array();
						}
						//Cálculo del todos contra todos en el white
						for (i=0;i<vector.length;i++){
							for (j=0;j<vector.length;j++){
								if (i!=j){
									victorias1=0;
									victorias2=0;
									vec1=0;
									vec2=0;
									for (k=0;k<numeroJueces;k++){
										vec1=parseFloat(vector[i][k]);
										vec2=parseFloat(vector[j][k]);
										if (vec1>vec2)
											victorias1+=1;
										if (vec1<vec2)
											victorias2+=1;
									}
									//Calculo quien gana de ambos alumnos, según el número de victorias
									//Gana el primero
									if (victorias1>victorias2){
										white[i][j]=numeroJueces;
									}
									//Gana el segundo
									if (victorias1<victorias2){
										white[i][j]=0;
									}
									//Empatan
									if (victorias1==victorias2){
										white[i][j]=numeroJueces/2;
									}
								}
							}
						}
						//Imprimimos en la tabla del WHITE correspondiente, el 'todos contra todos' resultante.
						var colJueces=parseInt(numeroJueces)+1;
						var numPatinadores=3;
						var fila2,columna2 = 0;
						for (i=0;i<white.length;i++){
							for (j=0;j<white.length;j++){
								if (i!=j){
									fila2=numPatinadores+(i*2)
									columna2=colJueces+j;
									posicion=tabla + ' tr:eq(' + fila2 + ') td:eq(' + columna2 + ')';
									$(posicion).empty().append(white[i][j]);
								}
							}
						}
					}
					//Cálculo de las victorias
					var victorias= new Array();
					texto+='<p>Vector victorias</p>';
					if (white.length>0){
						for (i=0;i<white.length;i++){
							victorias[i]=0;
							for (j=0;j<white.length;j++){
								if (i!=j) victorias[i]+=parseInt(white[i][j]);
							}
						}
					}
					else victorias[0]=numeroJueces;
					//Imprimimos las victorias en la tabla WHITE corresondiente
					numPatinadores=(filasTabla-3)/2;
					columna3=parseInt(numeroJueces)+1+numPatinadores;
					var fila3= 0;
					for (i=0;i<victorias.length;i++){
						fila3=3+(i*2);
						posicion=tabla + ' tr:eq(' + fila3 + ') td:eq(' + columna3 + ')';
						$(posicion).empty().append(victorias[i]);
					}
					//Imprimimos en la tabla de sumas y puntuaciones las victorias de los patinadores
					for (i=0;i<victorias.length;i++){
						var numalumno=i+1;
						posicion='#tablaCalculadores' + posTabla + ' td[id=victoria' + numalumno + nombreMod + nombreProof + nombreCat + ']';
						texto=victorias[i] + '<input type=\"hidden\" name=\"victoria\" value=\"' + victorias[i] + '\">';
						$(posicion).empty().append(texto);
					}
					//Sacamos el número de plazas
					var plazas=new Array();
					var plaza;
					for (i=0;i<victorias.length;i++){
						plaza=1;
						for (j=0;j<victorias.length;j++){
							if (i!=j)
								if (victorias[i]<victorias[j]) plaza++;
						}
						plazas[i]=plaza;
					}
					//Desempates
					//Desempates nombreMod,nombreProof,nombreCat,numeroJueces,tipo,numCategoria,numAlumno,posTabla
					//Puntuación B (estilo): 1er desempate
					for (i=0;i<plazas.length;i++){
						for (j=0;j<plazas.length;j++){
							if ((i!=j)&&(plazas[i]==plazas[j])){
								punt1=0;
								punt2=0;
								posicion='#tablaCalculadores' + posTabla + ' input[id=puntuacionb' + (i+1) + nombreMod + nombreProof + nombreCat + ']';
								if ($(posicion).val()!='') punt1=parseFloat($(posicion).val());
								posicion='#tablaCalculadores' + posTabla + ' input[id=puntuacionb' + (j+1) + nombreMod + nombreProof + nombreCat + ']';
								if ($(posicion).val()!='') punt2=parseFloat($(posicion).val());
								if (punt1>punt2)
									plazas[j]=plazas[j]+=1;
								if (punt1<punt2)
									plazas[i]=plazas[i]+=1;
							}
						}
					}
					//Puntuación global: 2º desempate y 1º cuando no hay puntuación predominante
					for (i=0;i<plazas.length;i++){
						for (j=0;j<plazas.length;j++){
							if ((i!=j)&&(plazas[i]==plazas[j])){
								punt1=0;
								punt2=0;
								for (l=0;l<vector[i].length;l++)
									punt1+=parseFloat(vector[i][l]);
								for (m=0;m<vector[j].length;m++)
									punt2+=parseFloat(vector[j][m])
								if (punt1>punt2)
									plazas[j]=plazas[j]+=1;
								if (punt1<punt2)
									plazas[i]=plazas[i]+=1;
							}
						}
					}
					//Imprimimos las plazas en la tabla WHITE corresondiente
					numPatinadores=(filasTabla-3)/2;
					columna3=parseInt(numeroJueces)+2+numPatinadores;
					var fila3= 0;
					for (i=0;i<plazas.length;i++){
						fila3=3+(i*2);
						posicion=tabla + ' tr:eq(' + fila3 + ') td:eq(' + columna3 + ')';
						$(posicion).empty().append(plazas[i]);
					}
					//Imprimimos en la tabla de sumas y puntuaciones las plazas de los patinadores
					for (i=0;i<plazas.length;i++){
						var numalumno=i+1;
						posicion='#tablaCalculadores' + posTabla + ' td[id=plaza' + numalumno + nombreMod + nombreProof + nombreCat + ']';
						texto=plazas[i] + '<input type=\"hidden\" name=\"plaza\" value=\"' + plazas[i] + '\">';
						$(posicion).empty().append(texto);
					}
					//$('#res').empty().append(texto);
				}
			}
			
			function guardarCambios(){
				$('#clas-form').submit();
			}
			
			$('#clas-form').submit(function(event) {
			  //Evita que se ejecute el botón de submit
			  event.preventDefault();
			  //Serializamos el formulario
			  arr= $(this).serializeArray();
			  data = JSON.stringify(arr);
			  //Recoge ciertos valores del formulario
			  //Identificador del campeonato
			  term1 = ".$id_champ.";
			  var form = $( this ),
				  url = form.attr( 'action' );
			  //Envía los datos mediante jquery y json
			  var posting = $.post( url, { id: term1, datos: data} );
			  //Devuelve los resultados en data.
			  posting.done(function( data ) {
					if (data == 0){
						alert('Datos guardados correctamente.');
						actualizar('#centro','modulos/clasificaciones/gestClasificaciones.php?crear');
					}
					if (data != 0){
						if (data == 1) alert('No hay clasificaciones para guardar. Debe rellenar la hoja.');
						else alert(data);
					}
			  });
			});
			</script>";
		}
		else echo $noInscripcion;
	}
}
else echo $resultado;
?>
