<?php
/*
-----------------------------------------------------------------------------------------------------------
							Módulo de comunicados
-----------------------------------------------------------------------------------------------------------							
			Operaciones que se pueden realizar:
			1) Responsable de la federación: Envía un comunicado a los usuarios seleccionados.
			2) Responsable del club: Envía un comunicado a sus alumnos.
			
*/
session_start();
include_once('../../clases/sCphp.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../clases/cMySQL.php');
$sql= new cMySQL(); 
$sql->conectar();
//Debe estar registrado en el sistema. Nivel de seguridad 1.
$sCphp= new sCphp(); 
//Debe ser un responsable de la federación. Nivel de seguridad 2.
//Función que comprueba si se está registrado y se es un responsable de la federación.
$resultado=$sCphp->controlRegistro(array('club','federacion','alumno','juez'),4);
if ($resultado==1){
	$correo=$sCphp->val('correo');
	$rol=$sCphp->val('tipo');
	$organizacion=$sCphp->val('org');
	$creador=$sCphp->val('creador');
	if ($sCphp->esRol(array('club','federacion'))) $presentacion="Gestión de comunicados";
	else $presentacion="Comunicados";
	echo "<h2 style='text-align:center;'>".$presentacion."</h2><br>
	<ul id=\"miTab\" class=\"nav nav-tabs\" style=\"margin-bottom:0px;\">
		<li class=\"active\">
			<a href=\"#recibidos\" data-toggle=\"tab\">Recibidos</a>
		</li>";
		if ($sCphp->esRol(array("club","federacion"))){
			echo "
			<li>
				<a href=\"#enviar\" data-toggle=\"tab\">Enviar comunicado</a>
			</li>
			<li>
				<a href=\"#enviados\" data-toggle=\"tab\">Enviados</a>
			</li>";
		}
		echo "
	</ul>
	<div class=\"tab-content\" style=\"border-left: 1px solid #ddd;border-right: 1px solid #ddd;border-bottom: 1px solid #ddd;\">
		<div class=\"tab-pane fade active in\" id=\"recibidos\" style=\"margin-left: 10px;margin-right:10px;\">
		<br>";
		//Recibidos (responsable del club, alumno)
		if ($sCphp->esRol(array('club','alumno'))){
			if ($sCphp->esRol('club')){
				//((tipo='all' OR tipo='club') AND from='$creador') --> Muéstrame los mensajes que vayan dirigidos a mi club (todos o solo los responsables) desde mi club.
				$sql->query("SELECT * FROM comunicados WHERE ((tipo='all' OR tipo='club') AND `from`='$creador') OR ((tipo='allotro' OR tipo='clubotro' OR tipo='fedeclubotro') AND to2='$creador') ORDER by fecha_envio DESC");
				$sql->ejecutarSQL() or DIE(mysql_error());
				$numReg=$sql->getNumRegistros();
				if ($numReg > 0){
					$resVector=$sql->getTodosRegistro();
					$sql->query("SELECT afiliadoA FROM organizacion WHERE creador='$creador'");
					$sql->ejecutarSQL() or DIE(mysql_error());
					$resal=$sql->getUnRegistro();
					$nombreOrg=$resal['afiliadoA'];
					$sql->query("SELECT creador FROM organizacion WHERE nombre='$nombreOrg'");
					$sql->ejecutarSQL() or DIE(mysql_error());
					$resal=$sql->getUnRegistro();
					$correoAfiliado=$resal['creador'];
					//Mensajes enviados a los clubes afiliados. Comprueba si eres un club afiliado.
					$sql->query("SELECT * FROM comunicados WHERE `from`='$correoAfiliado' AND tipo='fedeclub' ORDER by fecha_envio DESC");
					$sql->ejecutarSQL() or DIE(mysql_error());
					$numReg=$sql->getNumRegistros();
					if ($numReg > 0){
						$resVector2=$sql->getTodosRegistro();
						$resVector=array_merge((array)$resVector,(array)$resVector2);
						$position = array();
						$newRow = array();
						$inverse=true;
						foreach ($resVector as $key => $row) {
								$position[$key]  = $row['fecha_envio'];
								$newRow[$key] = $row;
						}
						if ($inverse) {
							arsort($position);
						}
						else {
							asort($position);
						}
						$resVector0 = array();
						foreach ($position as $key => $pos) {     
							$resVector0[] = $newRow[$key];
						}
						$resVector=$resVector0;
					}
					echo "<div class=\"well\">";
					foreach ($resVector as &$mensaje){
						$id_user=$mensaje['escritor'];
						if ($id_user!=NULL){
							$sql->query("SELECT username,apellidos FROM users WHERE idUser='$id_user'");
							$sql->ejecutarSQL();
							$resIdUser=$sql->getUnRegistro();
						}
						if ($mensaje['importancia']==0) echo "<div class=\"panel panel-danger\">";
						if ($mensaje['importancia']==1) echo "<div class=\"panel panel-info\">";
						if ($mensaje['importancia']==2) echo "<div class=\"panel panel-warning\">";
						if ($mensaje['importancia']==3) echo "<div class=\"panel panel-primary\">";
						echo "
								<div class=\"panel-heading\">
									<h3 class=\"panel-title\">".$mensaje['asunto']."</h3>
								</div>
								<div class=\"panel-body\">
									<p>".$mensaje['mensaje']."</p>
								</div>
								<div class=\"panel-footer\">";
									if ($resIdUser!="") echo "<p class=\"text-right\"><font size=\"1\">Escrito por <font color=\"red\">".$resIdUser['username']." ".$resIdUser['apellidos']."</font></font></p>";
									echo "
									<p class=\"text-right\"><font size=\"1\">".$mensaje['fecha_envio']."</font></p>
								</div>
							</div>";
					}
					echo "</div>";
				}
				else echo "<div class=\"alert alert-info\">Todavía no ha recibido ningún comunicado.</div>";
			}
			if ($sCphp->esRol('alumno')){
				//((tipo='all' OR tipo='club') AND from='$creador') --> Muéstrame los mensajes que vayan dirigidos a mi club (todos o solo los responsables) desde mi club.
				$sql->query("SELECT * FROM comunicados WHERE ((tipo='all' OR tipo='alumnos') AND `from`='$creador') OR ((tipo='allotro' OR tipo='alumnosotro' OR tipo='fedeclubotro') AND to2='$creador') ORDER by fecha_envio DESC");
				$sql->ejecutarSQL() or DIE(mysql_error());
				$numReg=$sql->getNumRegistros();
				if ($numReg > 0){
					$resVector=$sql->getTodosRegistro();
					$sql->query("SELECT afiliadoA FROM organizacion WHERE creador='$creador'");
					$sql->ejecutarSQL() or DIE(mysql_error());
					$resal=$sql->getUnRegistro();
					$nombreOrg=$resal['afiliadoA'];
					$sql->query("SELECT creador FROM organizacion WHERE nombre='$nombreOrg'");
					$sql->ejecutarSQL() or DIE(mysql_error());
					$resal=$sql->getUnRegistro();
					$correoAfiliado=$resal['creador'];
					//Mensajes enviados a los clubes afiliados. Comprueba si eres un club afiliado.
					$sql->query("SELECT * FROM comunicados WHERE `from`='$correoAfiliado' AND tipo='fedeclub' ORDER by fecha_envio DESC");
					$sql->ejecutarSQL() or DIE(mysql_error());
					$numReg=$sql->getNumRegistros();
					if ($numReg > 0){
						$resVector2=$sql->getTodosRegistro();
						$resVector=array_merge((array)$resVector,(array)$resVector2);
						$position = array();
						$newRow = array();
						$inverse=true;
						foreach ($resVector as $key => $row) {
								$position[$key]  = $row['fecha_envio'];
								$newRow[$key] = $row;
						}
						if ($inverse) {
							arsort($position);
						}
						else {
							asort($position);
						}
						$resVector0 = array();
						foreach ($position as $key => $pos) {     
							$resVector0[] = $newRow[$key];
						}
						$resVector=$resVector0;
					}
					echo "<div class=\"well\">";
					foreach ($resVector as &$mensaje){
						$id_user=$mensaje['escritor'];
						if ($id_user!=NULL){
							$sql->query("SELECT username,apellidos FROM users WHERE idUser='$id_user'");
							$sql->ejecutarSQL();
							$resIdUser=$sql->getUnRegistro();
						}
						if ($mensaje['importancia']==0) echo "<div class=\"panel panel-danger\">";
						if ($mensaje['importancia']==1) echo "<div class=\"panel panel-info\">";
						if ($mensaje['importancia']==2) echo "<div class=\"panel panel-warning\">";
						if ($mensaje['importancia']==3) echo "<div class=\"panel panel-primary\">";
						echo "
								<div class=\"panel-heading\">
									<h3 class=\"panel-title\">".$mensaje['asunto']."</h3>
								</div>
								<div class=\"panel-body\">
									<p>".$mensaje['mensaje']."</p>
								</div>
								<div class=\"panel-footer\">";
									if ($resIdUser!="") echo "<p class=\"text-right\"><font size=\"1\">Escrito por <font color=\"red\">".$resIdUser['username']." ".$resIdUser['apellidos']."</font></font></p>";
									echo "
									<p class=\"text-right\"><font size=\"1\">".$mensaje['fecha_envio']."</font></p>
								</div>
							</div>";
					}
					echo "</div>";
				}
				else echo "<div class=\"alert alert-info\">Todavía no ha recibido ningún comunicado.</div>";
			}
		}
		//Recibidos (responsable de la federación, juez)
		if ($sCphp->esRol(array('federacion','juez'))){
			if ($sCphp->esRol('federacion')){
				//Se verán los mensajes enviados a mi federación, y cuando se incluya la federación al enviar a otras federaciones.
				$sql->query("SELECT * FROM comunicados WHERE (tipo='federacion' AND `from`='$creador') OR (tipo='federacionotro' AND to2='$creador') ORDER by fecha_envio DESC");
				$sql->ejecutarSQL() or DIE(mysql_error());
				$numReg=$sql->getNumRegistros();
				if ($numReg > 0){
					$resVector=$sql->getTodosRegistro();
					$sql->query("SELECT afiliadoA FROM organizacion WHERE creador='$creador'");
					$sql->ejecutarSQL() or DIE(mysql_error());
					$resal=$sql->getUnRegistro();
					$nombreOrg=$resal['afiliadoA'];
					$sql->query("SELECT creador FROM organizacion WHERE nombre='$nombreOrg'");
					$sql->ejecutarSQL() or DIE(mysql_error());
					$resal=$sql->getUnRegistro();
					$correoAfiliado=$resal['creador'];
					//Mensajes enviados a los clubes afiliados. Comprueba si eres un club afiliado.
					$sql->query("SELECT * FROM comunicados WHERE `from`='$correoAfiliado' AND tipo='federacionafil' ORDER by fecha_envio DESC");
					$sql->ejecutarSQL() or DIE(mysql_error());
					$numReg=$sql->getNumRegistros();
					if ($numReg > 0){
						$resVector2=$sql->getTodosRegistro();
						$resVector=array_merge((array)$resVector,(array)$resVector2);
						$position = array();
						$newRow = array();
						$inverse=true;
						foreach ($resVector as $key => $row) {
								$position[$key]  = $row['fecha_envio'];
								$newRow[$key] = $row;
						}
						if ($inverse) {
							arsort($position);
						}
						else {
							asort($position);
						}
						$resVector0 = array();
						foreach ($position as $key => $pos) {     
							$resVector0[] = $newRow[$key];
						}
						$resVector=$resVector0;
					}
					echo "<div class=\"well\">";
					foreach ($resVector as &$mensaje){
						$id_user=$mensaje['escritor'];
						if ($id_user!=NULL){
							$sql->query("SELECT username,apellidos FROM users WHERE idUser='$id_user'");
							$sql->ejecutarSQL();
							$resIdUser=$sql->getUnRegistro();
						}
						if ($mensaje['importancia']==0) echo "<div class=\"panel panel-danger\">";
						if ($mensaje['importancia']==1) echo "<div class=\"panel panel-info\">";
						if ($mensaje['importancia']==2) echo "<div class=\"panel panel-warning\">";
						if ($mensaje['importancia']==3) echo "<div class=\"panel panel-primary\">";
						echo "
								<div class=\"panel-heading\">
									<h3 class=\"panel-title\">".$mensaje['asunto']."</h3>
								</div>
								<div class=\"panel-body\">
									<p>".$mensaje['mensaje']."</p>
								</div>
								<div class=\"panel-footer\">";
									if ($resIdUser!="") echo "<p class=\"text-right\"><font size=\"1\">Escrito por <font color=\"red\">".$resIdUser['username']." ".$resIdUser['apellidos']."</font></font></p>";
									echo "
									<p class=\"text-right\"><font size=\"1\">".$mensaje['fecha_envio']."</font></p>
								</div>
							</div>";
					}
					echo "</div>";
				}
				else echo "<div class=\"alert alert-info\">Todavía no ha recibido ningún comunicado.</div>";
			}
			if ($sCphp->esRol('juez')){
				//Mostrará los mensajes que vayan dirigidos a mi federación (todos o solo los responsables) desde mi federación, y aquellos dirigidos a mi federación cuando es seleccionada por otro responsable de la federación.
				$sql->query("SELECT * FROM comunicados WHERE ((tipo='federacion' OR tipo='juez') AND `from`='$creador') OR (tipo='federacionotro' AND to2='$creador') ORDER by fecha_envio DESC");
				$sql->ejecutarSQL() or DIE(mysql_error());
				$numReg=$sql->getNumRegistros();
				if ($numReg > 0){
					$resVector=$sql->getTodosRegistro();
					$sql->query("SELECT afiliadoA FROM organizacion WHERE creador='$creador'");
					$sql->ejecutarSQL() or DIE(mysql_error());
					$resal=$sql->getUnRegistro();
					$nombreOrg=$resal['afiliadoA'];
					$sql->query("SELECT creador FROM organizacion WHERE nombre='$nombreOrg'");
					$sql->ejecutarSQL() or DIE(mysql_error());
					$resal=$sql->getUnRegistro();
					$correoAfiliado=$resal['creador'];
					//Mensajes enviados a los clubes afiliados. Comprueba si eres un club afiliado.
					$sql->query("SELECT * FROM comunicados WHERE `from`='$correoAfiliado' AND tipo='fedeclub' ORDER by fecha_envio DESC");
					$sql->ejecutarSQL() or DIE(mysql_error());
					$numReg=$sql->getNumRegistros();
					if ($numReg > 0){
						$resVector2=$sql->getTodosRegistro();
						$resVector=array_merge((array)$resVector,(array)$resVector2);
						$position = array();
						$newRow = array();
						$inverse=true;
						foreach ($resVector as $key => $row) {
								$position[$key]  = $row['fecha_envio'];
								$newRow[$key] = $row;
						}
						if ($inverse) {
							arsort($position);
						}
						else {
							asort($position);
						}
						$resVector0 = array();
						foreach ($position as $key => $pos) {     
							$resVector0[] = $newRow[$key];
						}
						$resVector=$resVector0;
					}
					echo "<div class=\"well\">";
					foreach ($resVector as &$mensaje){
						$id_user=$mensaje['escritor'];
						if ($id_user!=NULL){
							$sql->query("SELECT username,apellidos FROM users WHERE idUser='$id_user'");
							$sql->ejecutarSQL();
							$resIdUser=$sql->getUnRegistro();
						}
						if ($mensaje['importancia']==0) echo "<div class=\"panel panel-danger\">";
						if ($mensaje['importancia']==1) echo "<div class=\"panel panel-info\">";
						if ($mensaje['importancia']==2) echo "<div class=\"panel panel-warning\">";
						if ($mensaje['importancia']==3) echo "<div class=\"panel panel-primary\">";
						echo "
								<div class=\"panel-heading\">
									<h3 class=\"panel-title\">".$mensaje['asunto']."</h3>
								</div>
								<div class=\"panel-body\">
									<p>".$mensaje['mensaje']."</p>
								</div>
								<div class=\"panel-footer\">";
									if ($resIdUser!="") echo "<p class=\"text-right\"><font size=\"1\">Escrito por <font color=\"red\">".$resIdUser['username']." ".$resIdUser['apellidos']."</font></font></p>";
									echo "
									<p class=\"text-right\"><font size=\"1\">".$mensaje['fecha_envio']."</font></p>
								</div>
							</div>";
					}
					echo "</div>";
				}
				else echo "<div class=\"alert alert-info\">Todavía no ha recibido ningún comunicado.</div>";
			}
		}
		echo "
		</div>";
		//Enviar comunicados
		if ($sCphp->esRol(array("club","federacion"))){
			$from=$creador;
			$sql->query("SELECT idUser FROM users WHERE correo='$correo'");
			$sql->ejecutarSQL();
			$res=$sql->getUnRegistro();
			$id_user=$res['idUser'];
			echo "
			<div class=\"tab-pane fade\" id=\"enviar\" style=\"margin-left: 10px;margin-right:10px;\">
				<br>
				<div class=\"well\">
					<form class=\"form-horizontal\" id=\"comunicado-form\" action=\"modulos/comunicados/enviar.php\">
						<div class=\"form-group\">
							<label for=\"inputAsunto\" class=\"col-lg-1 control-label\">A</label>
							<div class=\"col-lg-11\">
							  <select class=\"form-control\" name=\"to\" id=\"to\" required>
								<option value=\"default\" selected>Selecciona una opción</option>";
								if ($sCphp->esRol("club")){
									$sql->query("SELECT region, pais FROM organizacion WHERE creador='$creador'");
									$sql->ejecutarSQL();
									$resultado=$sql->getUnRegistro();
									$pais=$resultado['pais'];
									$region=$resultado['region'];
									$sql->query("SELECT * FROM organizacion WHERE pais='$pais' AND region='$region' AND tipo='club'");
									$sql->ejecutarSQL();
									$numReg=$sql->getNumRegistros();
									echo "
									<optgroup label=\"Mi club\">
										<option value=\"all\">Todo el club</option>
										<option value=\"club\">Responsables del club</option>
										<option value=\"alumnos\">Alumnos del club</option>
									</optgroup>
									<optgroup label=\"Otro club\">
										<option value=\"allotro\">Todo el club</option>
										<option value=\"clubotro\">Responsables del club</option>
										<option value=\"alumnosotro\">Alumnos del club</option>
									</optgroup>";
								}
								if ($sCphp->esRol("federacion")){
									echo"
									<optgroup label=\"Club\">
										<option value=\"fedeclub\">Clubes afiliados</option>
										<option value=\"fedeclubotro\">Otros clubes</option>
									</optgroup>
									<optgroup label=\"Federación\">
										<option value=\"federacion\">Mi federación</option>
										<option value=\"federacionafil\">Federaciones afiliadas</option>
										<option value=\"federacionotro\">Otras federaciones</option>
									</optgroup>
									<optgroup label=\"Juez\">
										<option value=\"juez\">Jueces</option>
									</optgroup>
									";
								}
								echo "
							  </select>
							</div>
							<br>
							<div class=\"col-lg-offset-1 col-lg-11\" style=\"display:none;\" id=\"to2\">
								<span class=\"help-block\">Selecciona los destinatarios:</span>
								<select multiple class=\"form-control\" name=\"to2\" size=\"7\">";
								if ($sCphp->esRol("club")){
									if ($numReg>0){
										$resVector=$sql->getTodosRegistro();
										foreach ($resVector as &$org){
											echo "<option value=\"".$org['creador']."\">".$org['nombre']."</option>";
										}
									}
								}
								echo "
								</select>
							</div>
						</div>
						<div class=\"form-group\">
							<label for=\"inputAsunto\" class=\"col-lg-1 control-label\">Tipo</label>
							<div class=\"col-lg-11\">
								<select class=\"form-control\" name=\"importancia\" required>
									<option value=\"default\" selected>Selecciona una opción</option>
									<option value=\"0\">Importante</option>
									<option value=\"1\">Información</option>
									<option value=\"2\">Aviso</option>
									<option value=\"3\">Nuevo</option>
								</select>
							</div>
						</div>
						<div class=\"form-group\">
							<label for=\"inputAsunto\" class=\"col-lg-1 control-label\">Asunto</label>
							<div class=\"col-lg-11\">
							  <input type=\"text\" class=\"form-control\" name=\"asunto\" placeholder=\"".date('d-m-Y')."\" required>
							</div>
						</div>
						<div class=\"form-group\">
							<label for=\"inputTextarea\" class=\"col-lg-1 control-label\">Comunicado</label>
							<div class=\"col-lg-11\">
							  <textarea class=\"form-control\" rows=\"5\" name=\"mensaje\" required></textarea>
							</div>
						</div>
						<div class=\"form-group\">
							<div class=\"col-lg-offset-1 col-lg-11\">
								<button type=\"submit\" class=\"btn btn-default\">Enviar comunicado</button>
							</div>
						</div>
					</form>
					<script>
					$('#comunicado-form').submit(function(event) {
					  //Evita que se ejecute el botón de submit
					  event.preventDefault();
					  //Serializamos el formulario
					  arr= $(this).serializeArray();
					  //Recoge ciertos valores del formulario
					  var form = $( this ),
						  term3 = form.find( 'select[name=to]' ).val(),
						  term4 = form.find( 'input[name=asunto]' ).val(),
						  term5 = form.find( 'textarea[name=mensaje]' ).val(),
						  term6 = form.find( 'select[name=to2]' ).val(),
						  term7 = form.find( 'select[name=importancia]' ).val(),
						  url = form.attr( 'action' );
					  var term1=".$id_user.";
					  var term2='".$from."';
					  //Envía los datos mediante jquery y json
					  var posting = $.post( url, { id_user: term1, from: term2, to: term3, asunto: term4, mensaje: term5, to2: term6, imp: term7} );
					  //Devuelve los resultados en data.
					  posting.done(function( data ) {
							if (data == 0){
								alert('El comunicado ha sido enviado.');
								actualizar('#centro','modulos/comunicados/comunicados.php');
							}
							if (data == 1) alert('Seleccione un valor correcto del select.');
							if (data == 2) alert('Revise los datos, es posible que le falte algo por rellenar.');
							if (data == -1) alert('Seleccione un valor correcto del select de importancia.');
					  });
					});
					$('select[id=to]').change(function(){";
						if ($sCphp->esRol("club")){
							echo "
							var valor=$(this).val();
							if ((valor=='allotro')||(valor=='clubotro')||(valor=='alumnosotro')){
								$('#to2').show();
							}
							else
								$('#to2').hide();";
						}
						if ($sCphp->esRol("federacion")){
							echo "var club= new Array();
							var federacion= new Array();
							var juez= new Array();";
							//Otros clubes
							$sql->query("SELECT * FROM organizacion WHERE tipo='club'");
							$sql->ejecutarSQL();
							$numReg=$sql->getNumRegistros();
							if ($numReg > 0){
								$resVector=$sql->getTodosRegistro();
								$i=0;
								foreach ($resVector as &$vector){
									echo "var arrayTemp".$i."=new Array('".$vector['creador']."','".$vector['nombre']."');";
									echo "club[".$i."]=arrayTemp".$i.";";
									$i++;
								}
							}
							//Otras federaciones
							$sql->query("SELECT * FROM organizacion WHERE tipo='federacion'");
							$sql->ejecutarSQL();
							$numReg=$sql->getNumRegistros();
							if ($numReg > 0){
								$resVector=$sql->getTodosRegistro();
								$i=0;
								foreach ($resVector as &$vector){
									echo "var arrayTemp".$i."=new Array('".$vector['creador']."','".$vector['nombre']."');";
									echo "federacion[".$i."]=arrayTemp".$i.";";
									$i++;
								}
							}
							echo "
							var texto='';
							var valor=$(this).val();
							if ((valor=='fedeclub')||(valor=='federacion')||(valor=='federacionafil')||(valor=='juez')||(valor=='default')){
								$('#to2').hide();
								$('select[name=to2]').empty().append('');
							}
							else{
								if (valor=='fedeclubotro'){
									for (i=0;i<club.length;i++){
										texto+='<option value=\"' + club[i][0] + '\">' + club[i][1] + '</option>';
									}
									$('select[name=to2]').empty().append(texto);
									$('#to2').show();
								}
								if (valor=='federacionotro'){
									for (i=0;i<federacion.length;i++){
										texto+='<option value=\"' + federacion[i][0] + '\">' + federacion[i][1] + '</option>';
									}
									$('select[name=to2]').empty().append(texto);
									$('#to2').show();
								}
							}
							";
						}
						echo "
					});
					</script>
				</div>
			</div>
			<div class=\"tab-pane fade\" id=\"enviados\" style=\"margin-left: 10px;margin-right:10px;\">
			<br>";
			//Enviados
			if ($sCphp->esRol(array("federacion","club"))){
				$sql->query("SELECT idUser FROM users WHERE correo='$correo'");
				$sql->ejecutarSQL();
				$resIdUser=$sql->getUnRegistro();
				$id_user=$resIdUser['idUser'];
				$sql->query("SELECT * FROM comunicados WHERE `from`='$creador' ORDER by fecha_envio DESC");
				$sql->ejecutarSQL();
				$numReg=$sql->getNumRegistros();
				if ($numReg > 0){
					$resVector=$sql->getTodosRegistro();
					$mensajes=array();
					foreach ($resVector as &$mensaje){
						$i=0;
						$encontrado=false;
						foreach ($mensajes as &$mensaje2){
							if (($mensaje2['from']==$mensaje['from'])&&($mensaje2['escritor']==$mensaje['escritor'])&&($mensaje2['asunto']==$mensaje['asunto'])&&($mensaje2['mensaje']==$mensaje['mensaje'])&&($mensaje2['tipo']==$mensaje['tipo'])){
								$encontrado=true;
								$id_com="id_com".$i;
								$mensaje2[$id_com]=$mensaje['id_com'];
								$i++;
							}
						}
						if (!$encontrado)
							$mensajes[]=$mensaje;
					}
					
					echo "<div class=\"well\">";
					foreach ($mensajes as &$mensaje){
						$id_user=$mensaje['escritor'];
						if ($id_user!=NULL){
							$sql->query("SELECT username,apellidos FROM users WHERE idUser='$id_user'");
							$sql->ejecutarSQL();
							$resIdUser=$sql->getUnRegistro();
						}
						if ($mensaje['importancia']==0) echo "<div class=\"panel panel-danger\">";
						if ($mensaje['importancia']==1) echo "<div class=\"panel panel-info\">";
						if ($mensaje['importancia']==2) echo "<div class=\"panel panel-warning\">";
						if ($mensaje['importancia']==3) echo "<div class=\"panel panel-primary\">";
						echo "
								<div class=\"panel-heading\">
									<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"borrarComunicado('".$mensaje['id_com']."');\" title=\"Borra este mensaje\"></span>
									<br>
									<h3 class=\"panel-title\">".$mensaje['asunto']."</h3>
								</div>
								<div class=\"panel-body\">
									<p>".$mensaje['mensaje']."</p>
								</div>
								<div class=\"panel-footer\">";
									if ($resIdUser!="") echo "<p class=\"text-right\"><font size=\"1\">Escrito por <font color=\"red\">".$resIdUser['username']." ".$resIdUser['apellidos']."</font></font></p>";
									echo "
									<p class=\"text-right\"><font size=\"1\">".$mensaje['fecha_envio']."</font></p>
								</div>
							</div>";
					}
					echo "</div>
					<script>
					function borrarComunicado(id_com){
						var pl='modulos/comunicados/enviar.php?id_com=' + id_com;
						var texto='¿Deseas borrar el mensaje?';
						if (confirm(texto)){
							var posting = $.post( pl, { id_com: id_com} );
							//Devuelve los resultados en data.
							posting.done(function( data ) {
								if (data == 0){
									alert('El mensaje ha sido eliminado.');
									actualizar('#centro','modulos/comunicados/comunicados.php')
								}
								else alert('Se ha producido algún error');
							});
						}
					}
					</script>";
				}
				else echo "<div class=\"alert alert-info\">Todavía no ha enviado ningún comunicado.</div>";
			}
			echo "
			</div>";
		}
	echo "
	</div>";
}
else echo $resultado;
?>
