<?php
/*
-----------------------------------------------------------------------------------------------------------
							DOCUMENTOS PARA CALCULADORES
-----------------------------------------------------------------------------------------------------------							
			Operaciones que se pueden realizar:
			1) Generar los documentos para los calculadores de este campeonato basándose en las inscripciones y en los elementos de la plantilla.
										CONDICIONES
			1) Un responsable del club y un responsable de la federación puede realizar estas acciones.
			2) Un gestor de papeles asignado a este evento, podrá realizar estas acciones.
			
*/
session_start();
include_once('../../../bbdd/general.php');
include_once('../../../clases/sCphp.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../../clases/cMySQL.php');
$sql= new cMySQL(); 
$sql->conectar();
//Debe estar registrado en el sistema. Nivel de seguridad 1.
$sCphp= new sCphp(); 
//Debe ser un responsable del club o un gestor de papeles asignado al evento. Nivel de seguridad 2.
//Función que comprueba si se está registrado y se es un responsable del club, o un gestor.
$resultado=$sCphp->controlRegistro(array('club','gestor','federacion'),4);
if ($resultado==1){
	if ((isset($_GET['crear']))&&($_GET['crear']=='')){
		$correo=$sCphp->val('correo');
		$rol=$sCphp->val('tipo');
		//Si es un responsable del club, lo haremos de la siguiente forma.
		if (($sCphp->esRol("club"))||($sCphp->esRol("federacion"))){
			$organizacion=$sCphp->val('org');
			//Guardamos al creador de la organización
			$creator=$sCphp->val('creador');
			$mundo=$sCphp->val('pais');
			$pueblo=$sCphp->val('region');
			echo "<h2 style='text-align:center;'>Gestión de documentos ";
			//Selecciono solo los campeonatos que yo he creado
			$sql->ejecutarSQL("SELECT * FROM campeonato LEFT JOIN organizacion ON (campeonato.creadorChamp=organizacion.creador) LEFT JOIN plantilla ON (campeonato.identificadorPlantilla=plantilla.id_plantilla) WHERE campeonato.creadorChamp='$creator'");
			$numRegistrosJOIN0=$sql->getNumRegistros();
			$registroJOIN0=$sql->getTodosRegistro();
			echo "<script type=\"text/javascript\" src=\"js/tablas.js\"></script><small>Calculadores</small></h2>";
			echo "<br><p>Seleccione el evento en el que va a trabajar:</p>";
			if ($numRegistrosJOIN0 > 0){
				echo "<div><div class=\"well\">
				<table class='table table-condensed table-hover table-responsive' id=\"tablas\">
					<thead>
						<tr>
							<th>Nombre campeonato</th>
							<th>Tipo</th>
							<th>Plantilla utilizada</th>
							<th>Organización</th>
							<th>Fecha celebración</th>
							<th>País</th>
							<th>Región</th>
						</tr>
					</thead>
					<tbody>";
				foreach ($registroJOIN0 as &$resultado){
					$id_tipoChamp=$resultado['tipo_evento'];
					$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
					$sql->ejecutarSQL();
					$resulTipoEvento=$sql->getUnRegistro();
					$tipo_evento=$resulTipoEvento['nombre'];
					$tiempo=strtotime($resultado['fecha']);
					echo "<tr style=\"cursor: pointer;\"><td>".$resultado['nombreChamp']."<input type=\"hidden\" id=\"nombreChamp\" value=\"".$resultado['nombreChamp']."\"><input type=\"hidden\" id=\"id_champ\" value=\"".$resultado['id_campeonato']."\"></td>
					<td>".$tipo_evento."</td>
					<td>".$resultado['nombre_pl']."<input type=\"hidden\" id=\"id_pl\" value=\"".$resultado['identificadorPlantilla']."\"></td>
					<td>".$resultado['nombre']."</td>
					<td>".date('d-m-Y',$tiempo)."</td>
					<td>".$paises[$resultado['pais']]."</td>
					<td>".$regiones[$resultado['pais']][$resultado['region']]."</td>
					</tr>";	
				}
				echo "</tbody>
					</table></div></div>";
			}
			echo "<script>
				$('#tablas tr:not(:first)').click(function(){
					var correOrg = '".$creator."';
					var nombre_champ = $(this).find(\"input[id=nombreChamp]\").val();
					var id_champ = $(this).find(\"input[id=id_champ]\").val();
					var id_pl = $(this).find(\"input[id=id_pl]\").val();
					var pl='modulos/documentos/calculadores/calculadores.php?crear=' + id_champ + '&id=' + id_pl + '&correo=' + correOrg;
					var texto='¿Deseas generar los documentos para los calculadores para el evento: ' + nombre_champ + '?';
					if (confirm(texto)) actualizar('#centro', pl);
				});
				</script>";
		}
		//Si es un gestor de papeles, lo haremos de la siguiente forma.
		if ($sCphp->esRol("gestor")){
			$sql->ejecutarSQL("SELECT * FROM asignaciones LEFT JOIN campeonato ON (campeonato.id_campeonato=asignaciones.identificadorCampeonato) LEFT JOIN plantilla ON (campeonato.identificadorPlantilla=plantilla.id_plantilla) LEFT JOIN organizacion ON (campeonato.creadorChamp=organizacion.creador) WHERE asignaciones.correoGestor='$correo' AND (asignaciones.accion='todo' OR asignaciones.accion='resto')") or DIE("No");
			$numRegistrosJOIN=$sql->getNumRegistros();
			if ($numRegistrosJOIN > 0){
				$registroJOIN=$sql->getTodosRegistro();
				echo "<h2 style='text-align:center;'>Gestión de documentos ";
				echo "<script type=\"text/javascript\" src=\"js/tablas.js\"></script><small>Calculadores</small></h2><br><p>Seleccione el evento en el que va a trabajar:</p>";
				echo "<div class=\"well\">
				<table class='table table-condensed table-hover table-responsive' id=\"tablas\">
					<thead>
						<tr>
							<th>Nombre campeonato</th>
							<th>Tipo</th>
							<th>Plantilla utilizada</th>
							<th title=\"Organización que te ha asignado para que realices el listado\">Organización</th>
							<th>Fecha celebración</th>
							<th>País</th>
							<th>Región</th>
						</tr>
					</thead>
					<tbody>";
				foreach ($registroJOIN as &$resultado){
					$id_tipoChamp=$resultado['tipo_evento'];
					$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
					$sql->ejecutarSQL();
					$resulTipoEvento=$sql->getUnRegistro();
					$tipo_evento=$resulTipoEvento['nombre'];
					$creator=$resultado['correoCreador'];
					$id_champ=$resultado['identificadorCampeonato'];
					$tiempo=strtotime($resultado['fecha']);
					//Selecciono el nombre de la organización que ha asignado al gestor de documentos para que realice las inscripciones.
					$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE creador='$creator'");
					$org_name=$sql->getCampoN();
					echo "<tr style=\"cursor: pointer;\"><td>".$resultado['nombreChamp']."<input type=\"hidden\" id=\"nombreChamp\" value=\"".$resultado['nombreChamp']."\"><input type=\"hidden\" id=\"id_champ\" value=\"".$resultado['id_campeonato']."\"></td>
					<td>".$tipo_evento."</td>
					<td>".$resultado['nombre_pl']."<input type=\"hidden\" id=\"id_pl\" value=\"".$resultado['identificadorPlantilla']."\"></td>
					<td>".$org_name."</td>
					<td>".date('d-m-Y',$tiempo)."</td>
					<td>".$paises[$resultado['pais']]."</td>
					<td>".$regiones[$resultado['pais']][$resultado['region']]."</td>
					<input type=\"hidden\" id=\"correOrg\" value=\"".$creator."\">
					</tr>";	
				}
				echo "</tbody>
					</table>
				</div>";
				echo "<div class=\"alert alert-warning\"><span class=\"glyphicon glyphicon-warning-sign\"></span> El campo <b>Organización</b> es el club que te ha asignado para que realices las inscripciones. Para seleccionar las inscripciones de un club determinado, debes seleccionarlo desde aquí.</div>";
				echo "<script>
				$('#tablas tr:not(:first)').click(function(){
					var correOrg = $(this).find(\"input[id=correOrg]\").val();
					var nombre_champ = $(this).find(\"input[id=nombreChamp]\").val();
					var id_champ = $(this).find(\"input[id=id_champ]\").val();
					var id_pl = $(this).find(\"input[id=id_pl]\").val();
					var pl='modulos/documentos/calculadores/calculadores.php?crear=' + id_champ + '&id=' + id_pl + '&correo=' + correOrg;
					var texto='¿Deseas generar los documentos para los calculadores para el evento: ' + nombre_champ + '?';
					if (confirm(texto)) actualizar('#centro', pl);
				});
				</script>";
			}
			else echo $gestor1noChamps;
		}
	}
	//Ya hemos seleccionado el campeonato en el que vamos a trabajar
	if (((isset($_GET['crear']))&&($_GET['crear']!=''))){
		$id_champ=$_GET['crear'];
		$id_pl=$_GET['id'];
		echo "<h2 style='text-align:center;'>Gestión de documentos ";
		echo "<script type=\"text/javascript\" src=\"js/documentos.js\"></script><small>Documentos para los calculadores</small></h2><br>";
		//Se generan automáticamente la lista de inscritos.
		$sql->query("SELECT DISTINCT * FROM inscripcion WHERE id_champ='$id_champ' AND visible='1'");
		$sql->ejecutarSQL();
		$numRegistro=$sql->getNumRegistros();
		if ($numRegistro > 0){
			$inscripciones=$sql->getTodosRegistro();
			$correo=$sCphp->val('correo');
			if (isset($_GET['correo'])) $creador=$_GET['correo'];
			else $creador=$sCphp->val('creador');
			//Antes debemos averigüar si es un responsable del club o un gestor
			if ($sCphp->esRol("club")) $organizacion=$sCphp->val('org');
			else{
				$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE creador='$creador'");
				$numRegistrosJOIN=$sql->getNumRegistros();
				if ($numRegistrosJOIN > 0){
					$organizacion=$sql->getCampoN();
				}
			}
			//Hago esta consulta porque no tengo de qué tipo son las modalidades (individual, parejas).
			$sql->query("SELECT * FROM campeonato WHERE id_campeonato='$id_champ'");
			$sql->ejecutarSQL();
			$resulChamp=$sql->getUnRegistro();
			$sql->query("SELECT DISTINCT * FROM modalidades_campeonato LEFT JOIN modalidades ON (modalidades_campeonato.id_mod=modalidades.id_mod) WHERE id_champ='$id_champ'");
			$sql->ejecutarSQL();
			$mods=$sql->getTodosRegistro();
			$sql->query("SELECT DISTINCT * FROM pruebas_campeonato LEFT JOIN pruebas ON (pruebas_campeonato.id_prueba=pruebas.id_prueba) WHERE id_champ='$id_champ'");
			$sql->ejecutarSQL();
			$proofs=$sql->getTodosRegistro();
			//Seleccionamos las categorías de la plantilla para poder establecer el rango de edades y ver en qué categoría está el/la patinadora.
			$sql->query("SELECT * FROM categorias_campeonato LEFT JOIN categorias ON (categorias_campeonato.id_cat=categorias.id_cat) WHERE id_champ='$id_champ'") or mysql_error();
			$sql->ejecutarSQL();
			$cats=$sql->getTodosRegistro();
			$id_tipoChamp=$resulChamp['tipo_evento'];
			$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
			$sql->ejecutarSQL();
			$resulTipoEvento=$sql->getUnRegistro();
			$tipo_evento=$resulTipoEvento['nombre'];
			$numeroJueces=$resulChamp['num_jueces'];
			//Necesito una tabla categorizando a los alumnos por: 1 - Modalidad, 2 - Prueba, 3 - Categoría en donde la tabla estará diferenciada por la misma de arriba (Numeración, Licencia, etc...).
			$numeracion=1;
			$alumnos=array();
			$insertados_alumnos=array();
			$numeracion=1;
			foreach ($inscripciones as &$alumno){
				$id_user=$alumno['id_user'];
				$id_relacion=$alumno['id_relacion'];
				//Selecciono Licencia, Nombre (nombre y apellidos), Género, Año.
				$sql->ejecutarSQL("SELECT users.idUser,users.licencia,users.username,users.apellidos,alumno.sexo,alumno.nacimiento FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE users.idUser='$id_user'") or mysql_error();
				$resultadoAlumno=$sql->getUnRegistro();
				//Tipo lo busco en el vector $mods. Debo saber si es individual o es pareja
				foreach ($mods as &$modalidad){
					if ($modalidad['id_mod_champ']==$alumno['modalidad']) $tipo=$modalidad['tipo'];
				}
				//Si es pareja, añadimos en la misma ocurrencia del vector a los dos alumnos.
				if ($tipo=="par"){
					//Si no lo hemos insertado ya, lo insertamos en el vector. Buscamos que esté ya insertado.
					$insertado=false;
					$i=0;
					//Buscamos en el vector de alumnos relacionados si el identificador del usuario se encuentra ya insertado
					if (array_key_exists($id_user,$insertados_alumnos)){
						if (array_key_exists($id_relacion,$insertados_alumnos)){
							$insertado=true;
							$clave=$i;
						}
					}
					//Si no lo hemos insertado, insertamos en el vector general los datos del alumno inscrito y el alumno de su relación.
					if (!$insertado){
						//Numeración
						$alumno['numeracion']=$numeracion;
						//Licencia
						$alumno['licencia']=$resultadoAlumno['licencia'];
						//Nombre
						$alumno['nombre']=$resultadoAlumno['username'];
						//Apellidos
						$alumno['apellidos']=$resultadoAlumno['apellidos'];
						//Año
						$date = strtotime($resultadoAlumno['nacimiento']);
						$alumno['year']=date("Y", $date);
						//Categoría ya la tengo en alumno
						//Género
						$alumno['sexo']=$resultadoAlumno['sexo'];
						//Tipo lo busco en el vector $mods
						foreach ($mods as &$modalidad){
							if ($modalidad['id_mod_champ']==$alumno['modalidad']) $alumno['tipo']=$modalidad['tipo'];
						}
						//Modalidad y modalidad ya las tengo, pero las modifico para cuadrarlas con la tabla
						$mod=$alumno['modalidad'];
						$alumno[$mod]=$alumno['prueba'];
						//Club hay que buscar el nombre en la bd
						$id_org=$alumno['id_org'];
						$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE idOrg='$id_org'");
						$alumno['org']=$sql->getCampoN();
						//Busco a su relacionado para insertarlo también
						$clave=0;
						$i=0;
						foreach ($inscripciones as &$alumno_relacion){
							if ($alumno_relacion['id_user']==$alumno['id_relacion']) $clave=$i;
							$i++;
						}
						$id_user2=$inscripciones[$clave]['id_user'];
						$id_ins2=$inscripciones[$clave]['id_ins'];
						//Selecciono Licencia, Nombre (nombre y apellidos), Género, Año.
						$sql->ejecutarSQL("SELECT users.idUser,users.licencia,users.username,users.apellidos,alumno.sexo,alumno.nacimiento FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE users.idUser='$id_user2'") or mysql_error();
						$resultadoAlumno2=$sql->getUnRegistro();
						$alumno['id_user2']=$id_user2;
						$alumno['licencia2']=$resultadoAlumno2['licencia'];
						//Nombre
						$alumno['nombre2']=$resultadoAlumno2['username'];
						//Apellidos
						$alumno['apellidos2']=$resultadoAlumno2['apellidos'];
						//Año
						$date2 = strtotime($resultadoAlumno2['nacimiento']);
						$alumno['year2']=date("Y", $date);
						//Categoría ya la tengo en alumno
						//Género
						$alumno['sexo2']=$resultadoAlumno2['sexo'];
						$alumnos[]=$alumno;
						$numeracion++;
						$insertados_alumnos[$alumno['id_user']]=$alumno['id_user'];
						$insertados_alumnos[$alumno['id_user2']]=$alumno['id_user2'];
					}
				}
				if ($tipo=="ind"){
					$i=0;
					//Numeración
					$alumno['numeracion']=$numeracion;
					//Licencia
					$alumno['licencia']=$resultadoAlumno['licencia'];
					//Nombre
					$alumno['nombre']=$resultadoAlumno['username'];
					//Apellidos
					$alumno['apellidos']=$resultadoAlumno['apellidos'];
					//Año
					$date = strtotime($resultadoAlumno['nacimiento']);
					$alumno['year']=date("Y", $date);
					//Categoría ya la tengo en alumno
					//Género
					$alumno['sexo']=$resultadoAlumno['sexo'];
					//Tipo lo busco en el vector $mods
					foreach ($mods as &$modalidad){
						if ($modalidad['id_mod_champ']==$alumno['modalidad']) $alumno['tipo']=$modalidad['tipo'];
					}
					//Modalidad y modalidad ya las tengo, pero las modifico para cuadrarlas con la tabla
					$mod=$alumno['modalidad'];
					$alumno[$mod]=$alumno['prueba'];
					//Club hay que buscar el nombre en la bd
					$id_org=$alumno['id_org'];
					$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE idOrg='$id_org'");
					$alumno['org']=$sql->getCampoN();
					$alumnos[]=$alumno;
					$numeracion++;
				}
			}
			$contador=0;
			$string0="Categorías: ";
			foreach ($cats as &$cat){
				$string0.=$cat['nombre'];
				if (($contador+1)==count($cats)) $string0.=".";
				else $string0.=", ";
				$contador++;
			}
			$contador=0;
			$string="Modalidades: ";
			foreach ($proofs as &$prueba){
				$var_id_mod=$prueba['id_mod'];
				$sql->query("SELECT nombre FROM modalidades WHERE id_mod='$var_id_mod' AND id_pl='$id_pl'");
				$sql->ejecutarSQL();
				$resultado=$sql->getUnRegistro();
				$var_nombre_mod=$resultado['nombre'];
				$string.=$var_nombre_mod." ";
				$string.=$prueba['nombre'];
				if (($contador+1)==count($proofs)) $string.=".";
				else $string.=", ";
				$contador++;
			}
			$fecha_inicio=$resulChamp['fecha'];
			$fecha_fin=$resulChamp['fecha_fin'];
			echo "<div class=\"jumbotron\">
				<h1>".$resulChamp['nombreChamp']."</h1>
				<div class=\"row\">
					<div class=\"col-md-6\">
						<p>Lugar celebración: ".$resulChamp['lugar']."</p>
						<p>Fecha Inicio: ".$fecha_inicio."</p>
						<p>Fecha Fin: ".$fecha_fin."</p>
						<p>Calculadores generados por: ".$organizacion."</p>
					</div>
					<div class=\"col-md-6\">
						<p>".$string0."</p>
						<p>".$string."</p>
					</div>
				</div>
			</div>";
			$alumnos_ordenados=array();
			//Ordeno a los alumnos según su campo orden de la base de datos. Si todos están a -1 ó 0, el orden no importa. Función copiada de Internet.
			$position = array();
			$newRow = array();
			$inverse=false;
			foreach ($alumnos as $key => $row) {
					$position[$key]  = $row['orden'];
					$newRow[$key] = $row;
			}
			if ($inverse) {
				arsort($position);
			}
			else {
				asort($position);
			}
			$alumnos_ordenados = array();
			foreach ($position as $key => $pos) {     
				$alumnos_ordenados[] = $newRow[$key];
			}
			$alumnos=$alumnos_ordenados;
			$iterador=1;
			$sql->query("SELECT * FROM calculadores WHERE id_pl='$id_pl' ORDER BY id_mod,id_prueba,tipo_elemento,id_calc");
			$sql->ejecutarSQL();
			$numReg=$sql->getNumRegistros();
			if ($numReg > 0){
				$points=$sql->getTodosRegistro();
				//Ordeno el vector
				//Tabla de pagos inscripciones
				$vectorBDCalc=array();
				$id_mod_actual="";
				$id_prueba_actual="";
				foreach ($points as &$elemento){
					$var_id_mod=$elemento['id_mod'];
					$sql->query("SELECT nombre FROM modalidades WHERE id_pl='$id_pl' AND id_mod='$var_id_mod'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$var_nombre_mod=$res['nombre'];
					$var_id_prueba=$elemento['id_prueba'];
					if ($var_id_prueba!=NULL){
						$sql->query("SELECT nombre FROM pruebas WHERE id_pl='$id_pl' AND id_prueba='$var_id_prueba'");
						$sql->ejecutarSQL();
						$res=$sql->getUnRegistro();
						$var_nombre_prueba=$res['nombre'];
					}
					if ($elemento['tipo']=="pormods"){
						//Tengo una nueva modalidad, o es el primer elemento
						if ($id_mod_actual!=$elemento['id_mod']){
							if ($iterador > 1){
								if (isset($vectorBDpormod)){
									$vectorBDpormod[]=$vectorBDmod;
									unset($vectorBDmod);
									$vectorBDCalc[]=$vectorBDpormod;
									unset($vectorBDpormod);
								}
								if (isset($vectorBDprueba)){
									$vectorBDmod[]=$vectorBDprueba;
									unset($vectorBDprueba);
									$vectorBDporprueb[]=$vectorBDmod;
									unset($vectorBDmod);
									$vectorBDCalc[]=$vectorBDporprueb;
									unset($vectorBDporprueb);
								}
							}
							$vectorBDpormod=array($elemento['tipo']);
							$vectorBDmod=array($var_nombre_mod);
							$vectorBDmod[]=array($elemento['elemento'],$elemento['tipo_elemento']);
						}
						else $vectorBDmod[]=array($elemento['elemento'],$elemento['tipo_elemento']);
					}
					if ($elemento['tipo']=="porpruebas"){
						//Tengo una nueva modalidad, o es el primer elemento
						if ($id_mod_actual!=$elemento['id_mod']){
							if ($iterador > 1){
								if (isset($vectorBDpormod)){
									$vectorBDpormod[]=$vectorBDmod;
									unset($vectorBDmod);
									$vectorBDCalc[]=$vectorBDpormod;
									unset($vectorBDpormod);
								}
								if (isset($vectorBDprueba)){
									$vectorBDmod[]=$vectorBDprueba;
									unset($vectorBDprueba);
									$vectorBDporprueb[]=$vectorBDmod;
									unset($vectorBDmod);
									$vectorBDCalc[]=$vectorBDporprueb;
									unset($vectorBDporprueb);
								}
							}
							$vectorBDporprueb=array($elemento['tipo']);
							$vectorBDmod=array($var_nombre_mod);
							$vectorBDprueba=array($var_nombre_prueba);
							$vectorBDprueba[]=array($elemento['elemento'],$elemento['tipo_elemento']);
							$iteradorPrueba=1;
						}
						else{
							if ($id_prueba_actual!=$elemento['id_prueba']){
								if ($iteradorPrueba > 1){
									if (isset($vectorBDprueba)){
										$vectorBDmod[]=$vectorBDprueba;
										unset($vectorBDprueba);
									}
								}
								$vectorBDprueba=array($var_nombre_prueba);
								$vectorBDprueba[]=array($elemento['elemento'],$elemento['tipo_elemento']);
								$iteradorPrueba=1;
							}
							else{
								$vectorBDprueba[]=array($elemento['elemento'],$elemento['tipo_elemento']);
								$iteradorPrueba++;
							}
						}
					}
					if ($iterador==count($points)){
						if (isset($vectorBDpormod)){
							$vectorBDpormod[]=$vectorBDmod;
							unset($vectorBDmod);
							$vectorBDCalc[]=$vectorBDpormod;
							unset($vectorBDpormod);
						}
						if (isset($vectorBDprueba)){
							$vectorBDmod[]=$vectorBDprueba;
							unset($vectorBDprueba);
							$vectorBDporprueb[]=$vectorBDmod;
							unset($vectorBDmod);
							$vectorBDCalc[]=$vectorBDporprueb;
							unset($vectorBDporprueb);
						}
					}
					$id_mod_actual=$elemento['id_mod'];
					$id_prueba_actual=$elemento['id_prueba'];
					$iterador++;
				}
				$tablaCalculadores=$vectorBDCalc;
			}
			$vectorTemp=array();
			$campeonato=array();
			//Necesito una tabla por cada prueba de cada modalidad.
			echo "<legend>Sumas y puntuaciones</legend>";
			$numeracionTabla=1;
			foreach ($mods as &$modalidad){
				$mod=$modalidad['id_mod_champ'];
				$tipo=$modalidad['tipo'];
				$nombreMod=$modalidad['nombre'];
				$var_id_mod=$modalidad['id_mod'];
				$existePrueba=false;
				$existeCategoria=false;
				$existeModalidad=false;
				$existe=false;
				//Comprobamos que haya algún alumno con esa modalidad
				foreach ($alumnos as &$alumno){
					if (array_key_exists($mod,$alumno)) $existeModalidad=true;
				}
				if ($existeModalidad){
					$modMayus = strtoupper($nombreMod);
					foreach ($proofs as &$prueba){
						if ($prueba['id_mod']==$var_id_mod) $proof=$prueba['id_prueba_champ'];
						else $proof="";
						$nombreProof=$prueba['nombre'];
						$var_id_proof=$prueba['id_prueba'];
						//Comprobamos que haya algún alumno con esa modalidad
						foreach ($alumnos as &$alumno){
							if (isset($alumno[$mod])&&($alumno[$mod]==$proof)) $existePrueba=true;
						}
						if ($existePrueba){
							$elementos=array();
							$proofMayus = strtoupper($nombreProof);
							echo "<div class=\"panel panel-primary\">
							<div class=\"panel-heading\" style=\"text-align:center;\">PRUEBA ".$proofMayus." - ".$modMayus."</div>
								<table class='table table-bordered table-responsive' id=\"tablaCalculadores".$numeracionTabla."\">";
								
							$numElementos=0;
							//Seleccionamos la modalidad y la prueba en el vector tablaCalculadores
							foreach ($tablaCalculadores as &$calc){
								if ($calc[0]=="porpruebas"){
									$modCalc=$calc[1][0];
									if ($modCalc==$nombreMod){
										foreach($calc[1] as &$prueba_elem){
											if (is_array($prueba_elem)){
												$pruebaCalc=$prueba_elem[0];
												if ($pruebaCalc==$nombreProof){
													foreach($prueba_elem as &$array_elem) 
														if (is_array($array_elem)) $elementos[]=$array_elem;
												}
											}
										}
									}
								}
								if ($calc[0]=="pormods"){
									$modCalc=$calc[1][0];
									if ($modCalc==$nombreMod)
										foreach($calc[1] as &$array_elem) 
											if (is_array($array_elem)) $elementos[]=$array_elem;
								}
							}
							
							$tmpElementos=array();
							//Ordenamos los elementos para que vaya primero las puntuaciones, despues la puntuación predominante, victorias y puesto
							foreach ($elementos as &$element){
								if ($element[1]=="puntuacion") $tmpElementos[]=$element;
							}
							foreach ($elementos as &$element){
								if ($element[1]=="puntuacionpre") $tmpElementos[]=$element;
							}
							foreach ($elementos as &$element){
								if ($element[1]=="sumas") $tmpElementos[]=$element;
							}
							foreach ($elementos as &$element){
								if ($element[1]=="victoria") $tmpElementos[]=$element;
							}
							foreach ($elementos as &$element){
								if ($element[1]=="puesto") $tmpElementos[]=$element;
							}
							$elementos=$tmpElementos;
							echo"
								<tr>
									<th ROWSPAN=2></th>
									<th ROWSPAN=2>Patinador</th>
									<th ROWSPAN=2>Club</th>";
									
									foreach ($elementos as &$elemento){
										if (($elemento[1]=="puntuacion")||($elemento[1]=="puntuacionpre")||($elemento[1]=="sumas")){
											echo "<th COLSPAN=".$numeroJueces." style=\"text-align:center\">".$elemento[0]."</th>";
											$numElementos=$numElementos+$numeroJueces;
										}
										else{
											echo "<th ROWSPAN=2>".$elemento[0]."</th>";
											$numElementos=$numElementos+1;
										}
									}
								echo "
								</tr>";
							echo "<tr>";
							foreach ($elementos as &$elemento){
								$numJuez=1;
								if (($elemento[1]=="puntuacion")||($elemento[1]=="puntuacionpre")||($elemento[1]=="sumas")){
									for ($i=0;$i<$numeroJueces;$i++){
										echo "<th>J".$numJuez."</th>";
										$numJuez++;
									}
								}
							}
							echo "</tr>";
							$span=$numElementos+3;
							foreach ($cats as &$scatergory){
								$id_cat=$scatergory['id_catChamp'];
								$nombreCat=$scatergory['nombre'];
								foreach ($alumnos as &$alumno){
									if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))) $existeCategoria=true;
								}
								if ($existeCategoria){
									$catMayus = strtoupper($nombreCat);
									$numeracion=1;
									echo "<tr class=\"active\"><th COLSPAN=".$span." style=\"text-align:left;\">".$catMayus."</th></tr>					
									<tbody>
									";
									foreach ($alumnos as &$alumno){
										if ($tipo=='ind'){
											if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))){
												echo "<tr><td>".$numeracion."</td>
												<td>".$alumno['nombre']." ".$alumno['apellidos']."</td>
												<td>".$alumno['org']."</td>";
												for ($i=0;$i<$numElementos;$i++)
													echo "<td></td>";
												$numeracion++;
											}
										}
										if ($tipo=='par'){
											if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))){
												echo "<tr><td ROWSPAN=2>".$numeracion."</td>
												<td>".$alumno['nombre']." ".$alumno['apellidos']."</td>
												<td>".$alumno['org']."</td>";
												for ($i=0;$i<$numElementos;$i++)
													echo "<td ROWSPAN=2></td>";
													echo "
												<tr>
												<td>".$alumno['nombre2']." ".$alumno['apellidos2']."</td>
												<td>".$alumno['org']."</td>
												</tr>";
												$numeracion++;
											}
										}
									}
								}
								$existeCategoria=false;
							}
									echo "
									</tbody>
								  </table>
								</div>
							</div>";
							$numeracionTabla++;
							$elementos="";
						}
						$existePrueba=false;
					}
				}
				$existeModalidad=false;
			}
			//WHITE: Necesito una tabla por cada categoría, de cada prueba de cada modalidad. Construimmos la matriz white.
			echo "<legend>WHITE</legend><p class=\"help-block\">Resumen de los WHITE. Se calculan automáticamente.</p>";
			$white=array();
			foreach ($mods as &$modalidad){
				$mod=$modalidad['id_mod_champ'];
				$tipo=$modalidad['tipo'];
				$nombreMod=$modalidad['nombre'];
				$var_id_mod=$modalidad['id_mod'];
				$existePrueba=false;
				$existeCategoria=false;
				$existeModalidad=false;
				$existe=false;
				//Comprobamos que haya algún alumno con esa modalidad
				foreach ($alumnos as &$alumno){
					if (array_key_exists($mod,$alumno)) $existeModalidad=true;
				}
				if ($existeModalidad){
					$modMayus = strtoupper($nombreMod);
					foreach ($proofs as &$prueba){
						if ($prueba['id_mod']==$var_id_mod) $proof=$prueba['id_prueba_champ'];
						else $proof="";
						$nombreProof=$prueba['nombre'];
						$var_id_proof=$prueba['id_prueba'];
						//Comprobamos que haya algún alumno con esa modalidad
						foreach ($alumnos as &$alumno){
							if (isset($alumno[$mod])&&($alumno[$mod]==$proof)) $existePrueba=true;
						}
						if ($existePrueba){
							$elementos=array();
							$proofMayus = strtoupper($nombreProof);
							foreach ($cats as &$scatergory){
								$id_cat=$scatergory['id_catChamp'];
								$nombreCat=$scatergory['nombre'];
								foreach ($alumnos as &$alumno){
									if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))) $existeCategoria=true;
								}
								if ($existeCategoria){
									foreach ($alumnos as &$alumno){
										if ($tipo=='ind'){
											if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))){
												$white[$nombreMod][$nombreProof][$nombreCat][]=$alumno['tipo'];
												$white[$nombreMod][$nombreProof][$nombreCat][]=$alumno['nombre']." ".$alumno['apellidos'];
											}
										}
										if ($tipo=='par'){
											if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))){
												$white[$nombreMod][$nombreProof][$nombreCat][]=$alumno['tipo'];
												$white[$nombreMod][$nombreProof][$nombreCat][]=$alumno['nombre']." ".$alumno['apellidos'];
												$white[$nombreMod][$nombreProof][$nombreCat][]=$alumno['nombre2']." ".$alumno['apellidos2'];
											}
										}
									}
								}
								$existeCategoria=false;
							}
						}
						$existePrueba=false;
					}
				}
				$existeModalidad=false;
			}
			
			//Voy a filtrar los WHITE para los alumnos que no tengan competencia con los demás, es decir, cuando un alumno es único en su categoría.
			$vectorTempWhite=array();
			foreach ($white as $modWHITE=>$array1){
				foreach ($array1 as $proofWHITE=>$array2){
					foreach ($array2 as $catWHITE=>$alumnoWhite){
						if (count($alumnoWhite)>3){
							for ($i=0;$i<count($alumnoWhite);$i++)
								$vectorTempWhite[$modWHITE][$proofWHITE][$catWHITE][]=$alumnoWhite[$i];
						}
					}
				}
			}
			$white=$vectorTempWhite;
			$numeracionTabla=1;
			$catActual="";
			foreach ($white as $modWHITE=>$array1){
				$modMayusWhite = strtoupper($modWHITE);
				foreach ($array1 as $proofWHITE=>$array2){
					$proofMayusWhite = strtoupper($proofWHITE);
					foreach ($array2 as $catWHITE=>$alumnoWhite){
						$catMayusWhite=strtoupper($catWHITE);
						if ($catActual!=$catWHITE){
							if ($numeracionTabla>1){
								echo "	</table>
									</div>
								</div>";
							}
							$tipoWhite="";
							echo "<div class=\"panel panel-primary\">
								<div class=\"panel-heading\" style=\"text-align:center;\">".$modMayusWhite."</div>
									<table class='table table-bordered table-responsive' id=\"tablaWhite".$numeracionTabla."\">
									<tr>
										<th ROWSPAN=2 COLSPAN=".$numeroJueces." class=\"active\" style=\"text-align:center;\">Suma de puntuaciones</th>
										<th COLSPAN=2 class=\"info\"> PRUEBA ".$proofMayusWhite."</th>";
										$tipoWhite="";
										for ($k=0;$k<count($alumnoWhite);$k++){
											if (($alumnoWhite[$k]=='ind')||($alumnoWhite[$k]=='par')||($alumnoWhite[$k]=='group'))
												$tipoWhite=$alumnoWhite[$k];
											//Si es individual
											if ($tipoWhite=='ind'){
												echo "<th ROWSPAN=2></th>";
												$k=$k+1;
											}
											//Si es pareja
											if ($tipoWhite=='par'){
												echo "<th ROWSPAN=2></th>";
												$k=$k+2;
											}
											$tipoWhite="";
										}
										echo "<th ROWSPAN=2 style=\"text-align:center;\">Victorias</th>
										<th ROWSPAN=2 style=\"text-align:center;\">Plaza</th>
									</tr>
									<tr>
										<th COLSPAN=2 style=\"color:blue;\">".$catMayusWhite."</th>
									</tr>
									<tr>";
										for ($i=1;$i<=$numeroJueces;$i++)
											echo "<th class=\"active\">".$i."</th>";
										//Sexo (masculino, femenino)
										echo "<th COLSPAN=2></th>";
										$i=1;
										$tipoWhite="";
										for ($k=0;$k<count($alumnoWhite);$k++){
											if (($alumnoWhite[$k]=='ind')||($alumnoWhite[$k]=='par')||($alumnoWhite[$k]=='group'))
												$tipoWhite=$alumnoWhite[$k];
											//Si es individual
											if ($tipoWhite=='ind'){
												echo "<td>".$i."</td>";
												$i++;
												$k=$k+1;
											}
											//Si es pareja
											if ($tipoWhite=='par'){
												echo "<td>".$i."</td>";
												$i++;
												$k=$k+2;
											}
											$tipoWhite="";
										}
										echo "<td></td><td></td>";
										echo"
									</tr>
									";
									$numAlum=1;
									$tipoWhite="";
									
									for ($k=0;$k<count($alumnoWhite);$k++){
									//foreach ($alumnoWhite as $alumnoN){
										if (($alumnoWhite[$k]=='ind')||($alumnoWhite[$k]=='par')||($alumnoWhite[$k]=='group'))
											$tipoWhite=$alumnoWhite[$k];
										//Si es individual
										if ($tipoWhite=='ind'){
											echo "<tr>";
											for ($i=1;$i<=$numeroJueces;$i++)
												echo "<td>0</td>";
											echo "<td>".$alumnoWhite[$k+1]."</td>
											<td>".$numAlum."</td>";
											for ($i=1;$i<=count($alumnoWhite)/2;$i++){
												if ($i==$numAlum) echo "<td class=\"active\"></td>";
												else echo "<td></td>";
											}
											//Victorias y plaza del alumno
											echo "<td></td><td></td>
											</tr>";
											$k=$k+1;
										}
										//Si es pareja
										if ($tipoWhite=='par'){
											echo "<tr>";
											for ($i=1;$i<=$numeroJueces;$i++)
												echo "<td ROWSPAN=2>0</td>";
											echo "<td>".$alumnoWhite[$k+1]."</td>
											<td ROWSPAN=2>".$numAlum."</td>";
											for ($i=1;$i<=count($alumnoWhite)/3;$i++){
												if ($i==$numAlum) echo "<td class=\"active\" ROWSPAN=2></td>";
												else echo "<td ROWSPAN=2></td>";
											}
											//Victorias y plaza del alumno
											echo "<td ROWSPAN=2></td><td ROWSPAN=2></td>
											</tr>
											<tr>
												<td>".$alumnoWhite[$k+2]."</td>
											</tr>";
											$k=$k+2;
										}
										$tipoWhite="";
										$numAlum++;
									}
									$numeracionTabla++;
									
						}
					}
				}
			}
		}
		else echo $noInscripcion;
	}
}
else echo $resultado;
?>
