<?php
/*
-----------------------------------------------------------------------------------------------------------
							DÍPTICOS: ORDEN DE SALIDA
-----------------------------------------------------------------------------------------------------------							
			Operaciones que se pueden realizar:
			1) Generar los dípticos para este campeonato basándose en las inscripciones.
			2) Modificar la posición de salida de los participantes.
			3) Generar el programa.
										CONDICIONES
			1) Un responsable del club y un responsable de la federación puede realizar estas acciones.
			2) Un gestor de papeles asignado a este evento, podrá realizar estas acciones.
			
*/
session_start();
include_once('../../../bbdd/general.php');
include_once('../../../clases/sCphp.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../../clases/cMySQL.php');
$sql= new cMySQL(); 
$sql->conectar();
//Debe estar registrado en el sistema. Nivel de seguridad 1.
$sCphp= new sCphp(); 
//Debe ser un responsable del club o un gestor de papeles asignado al evento. Nivel de seguridad 2.
//Función que comprueba si se está registrado y se es un responsable del club, o un gestor.
$resultado=$sCphp->controlRegistro(array('club','gestor','federacion'),4);
if ($resultado==1){
	if ((isset($_GET['crear']))&&($_GET['crear']=='')){
		$correo=$sCphp->val('correo');
		$rol=$sCphp->val('tipo');
		//Si es un responsable del club, lo haremos de la siguiente forma.
		if (($sCphp->esRol("club"))||($sCphp->esRol("federacion"))){
			$organizacion=$sCphp->val('org');
			//Guardamos al creador de la organización
			$creator=$sCphp->val('creador');
			$mundo=$sCphp->val('pais');
			$pueblo=$sCphp->val('region');
			echo "<h2 style='text-align:center;'>Gestión de documentos ";
			//Selecciono solo los campeonatos que yo he creado
			$sql->ejecutarSQL("SELECT * FROM campeonato LEFT JOIN organizacion ON (campeonato.creadorChamp=organizacion.creador) LEFT JOIN plantilla ON (campeonato.identificadorPlantilla=plantilla.id_plantilla) WHERE campeonato.creadorChamp='$creator'") or DIE("No");
			$numRegistrosJOIN0=$sql->getNumRegistros();
			$registroJOIN0=$sql->getTodosRegistro();
			echo "<script type=\"text/javascript\" src=\"js/tablas.js\"></script><small>Dípticos</small></h2>";
			echo "<br><p>Seleccione el evento en el que va a trabajar:</p>";
			if ($numRegistrosJOIN0 > 0){
				echo "<div><div class=\"well\">
				<table class='table table-condensed table-hover table-responsive' id=\"tablas\">
					<thead>
						<tr>
							<th>Nombre campeonato</th>
							<th>Tipo</th>
							<th>Plantilla utilizada</th>
							<th>Organización</th>
							<th>Fecha celebración</th>
							<th>País</th>
							<th>Región</th>
						</tr>
					</thead>
					<tbody>";
				foreach ($registroJOIN0 as &$resultado){
					$id_tipoChamp=$resultado['tipo_evento'];
					$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
					$sql->ejecutarSQL();
					$resulTipoEvento=$sql->getUnRegistro();
					$tipo_evento=$resulTipoEvento['nombre'];
					$tiempo=strtotime($resultado['fecha']);
					echo "<tr style=\"cursor: pointer;\"><td>".$resultado['nombreChamp']."<input type=\"hidden\" id=\"nombreChamp\" value=\"".$resultado['nombreChamp']."\"><input type=\"hidden\" id=\"id_champ\" value=\"".$resultado['id_campeonato']."\"></td>
					<td>".$tipo_evento."</td>
					<td>".$resultado['nombre_pl']."<input type=\"hidden\" id=\"id_pl\" value=\"".$resultado['identificadorPlantilla']."\"></td>
					<td>".$resultado['nombre']."</td>
					<td>".date('d-m-Y',$tiempo)."</td>
					<td>".$paises[$resultado['pais']]."</td>
					<td>".$regiones[$resultado['pais']][$resultado['region']]."</td>
					</tr>";	
				}
				echo "</tbody>
					</table></div></div>";
			}
			echo "<script>
				$('#tablas tr:not(:first)').click(function(){
					var correOrg = '".$creator."';
					var nombre_champ = $(this).find(\"input[id=nombreChamp]\").val();
					var id_champ = $(this).find(\"input[id=id_champ]\").val();
					var id_pl = $(this).find(\"input[id=id_pl]\").val();
					var pl='modulos/documentos/dipticos/dipticos.php?crear=' + id_champ + '&id=' + id_pl + '&correo=' + correOrg;
					var texto='¿Deseas generar los dípticos en el evento: ' + nombre_champ + '?';
					if (confirm(texto)) actualizar('#centro', pl);
				});
				</script>";
		
		}
		//Si es un gestor de papeles, lo haremos de la siguiente forma.
		if ($sCphp->esRol("gestor")){
			$sql->ejecutarSQL("SELECT * FROM asignaciones LEFT JOIN campeonato ON (campeonato.id_campeonato=asignaciones.identificadorCampeonato) LEFT JOIN plantilla ON (campeonato.identificadorPlantilla=plantilla.id_plantilla) LEFT JOIN organizacion ON (campeonato.creadorChamp=organizacion.creador) WHERE asignaciones.correoGestor='$correo' AND (asignaciones.accion='todo' OR asignaciones.accion='resto')") or DIE("No");
			$numRegistrosJOIN=$sql->getNumRegistros();
			if ($numRegistrosJOIN > 0){
				$registroJOIN=$sql->getTodosRegistro();
				echo "<h2 style='text-align:center;'>Gestión de documentos ";
				echo "<script type=\"text/javascript\" src=\"js/tablas.js\"></script><small>Dípticos</small></h2><br><p>Seleccione el evento en el que va a trabajar:</p>";
				echo "<div class=\"well\">
				<table class='table table-condensed table-hover table-responsive' id=\"tablas\">
					<thead>
						<tr>
							<th>Nombre campeonato</th>
							<th>Tipo</th>
							<th>Plantilla utilizada</th>
							<th title=\"Organización que te ha asignado para que realices el listado\">Organización</th>
							<th>Fecha celebración</th>
							<th>País</th>
							<th>Región</th>
						</tr>
					</thead>
					<tbody>";
				foreach ($registroJOIN as &$resultado){
					$id_tipoChamp=$resultado['tipo_evento'];
					$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
					$sql->ejecutarSQL();
					$resulTipoEvento=$sql->getUnRegistro();
					$tipo_evento=$resulTipoEvento['nombre'];
					$creator=$resultado['correoCreador'];
					$id_champ=$resultado['identificadorCampeonato'];
					$tiempo=strtotime($resultado['fecha']);
					//Selecciono el nombre de la organización que ha asignado al gestor de documentos para que realice las inscripciones.
					$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE creador='$creator'");
					$org_name=$sql->getCampoN();
					echo "<tr style=\"cursor: pointer;\"><td>".$resultado['nombreChamp']."<input type=\"hidden\" id=\"nombreChamp\" value=\"".$resultado['nombreChamp']."\"><input type=\"hidden\" id=\"id_champ\" value=\"".$resultado['id_campeonato']."\"></td>
					<td>".$tipo_evento."</td>
					<td>".$resultado['nombre_pl']."<input type=\"hidden\" id=\"id_pl\" value=\"".$resultado['identificadorPlantilla']."\"></td>
					<td>".$org_name."</td>
					<td>".date('d-m-Y',$tiempo)."</td>
					<td>".$paises[$resultado['pais']]."</td>
					<td>".$regiones[$resultado['pais']][$resultado['region']]."</td>
					<input type=\"hidden\" id=\"correOrg\" value=\"".$creator."\">
					</tr>";	
				}
				echo "</tbody>
					</table>
				</div>";
				echo "<div class=\"alert alert-warning\"><span class=\"glyphicon glyphicon-warning-sign\"></span> El campo <b>Organización</b> es el club que te ha asignado para que realices las inscripciones. Para seleccionar las inscripciones de un club determinado, debes seleccionarlo desde aquí.</div>";
				echo "<script>
				$('#tablas tr:not(:first)').click(function(){
					var correOrg = $(this).find(\"input[id=correOrg]\").val();
					var nombre_champ = $(this).find(\"input[id=nombreChamp]\").val();
					var id_champ = $(this).find(\"input[id=id_champ]\").val();
					var id_pl = $(this).find(\"input[id=id_pl]\").val();
					var pl='modulos/documentos/dipticos/dipticos.php?crear=' + id_champ + '&id=' + id_pl + '&correo=' + correOrg;
					var texto='¿Deseas generar los dípticos en el evento: ' + nombre_champ + '?';
					if (confirm(texto)) actualizar('#centro', pl);
				});
				</script>";
			}
			else echo $gestor1noChamps;
		}
	}
	//Ya hemos seleccionado el campeonato en el que vamos a trabajar
	if (((isset($_GET['crear']))&&($_GET['crear']!=''))){
		$id_champ=$_GET['crear'];
		$id_pl=$_GET['id'];
		echo "<h2 style='text-align:center;'>Gestión de documentos ";
		echo "<script type=\"text/javascript\" src=\"js/documentos.js\"></script><small>Dípticos</small></h2><br>";
		//Se generan automáticamente la lista de inscritos.
		$sql->query("SELECT DISTINCT * FROM inscripcion WHERE id_champ='$id_champ' AND visible='1'");
		$sql->ejecutarSQL();
		$numRegistro=$sql->getNumRegistros();
		if ($numRegistro > 0){
			$inscripciones=$sql->getTodosRegistro();
			$correo=$sCphp->val('correo');
			if (isset($_GET['correo'])) $creador=$_GET['correo'];
			else $creador=$sCphp->val('creador');
			//Antes debemos averigüar si es un responsable del club o un gestor
			if ($sCphp->esRol("club")) $organizacion=$sCphp->val('org');
			else{
				$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE creador='$creador'");
				$numRegistrosJOIN=$sql->getNumRegistros();
				if ($numRegistrosJOIN > 0){
					$organizacion=$sql->getCampoN();
				}
			}
			//Hago esta consulta porque no tengo de qué tipo son las modalidades (individual, parejas).
			$sql->query("SELECT * FROM campeonato WHERE id_campeonato='$id_champ'");
			$sql->ejecutarSQL();
			$resulChamp=$sql->getUnRegistro();
			$sql->query("SELECT DISTINCT * FROM modalidades_campeonato LEFT JOIN modalidades ON (modalidades_campeonato.id_mod=modalidades.id_mod) WHERE id_champ='$id_champ'");
			$sql->ejecutarSQL();
			$mods=$sql->getTodosRegistro();
			$sql->query("SELECT DISTINCT * FROM pruebas_campeonato LEFT JOIN pruebas ON (pruebas_campeonato.id_prueba=pruebas.id_prueba) WHERE id_champ='$id_champ'");
			$sql->ejecutarSQL();
			$proofs=$sql->getTodosRegistro();
			//Seleccionamos las categorías de la plantilla para poder establecer el rango de edades y ver en qué categoría está el/la patinadora.
			$sql->query("SELECT * FROM categorias_campeonato LEFT JOIN categorias ON (categorias_campeonato.id_cat=categorias.id_cat) WHERE id_champ='$id_champ'") or mysql_error();
			$sql->ejecutarSQL();
			$numRegistroPl=$sql->getNumRegistros();
			$cats=$sql->getTodosRegistro();
			//Necesito una tabla categorizando a los alumnos por: 1 - Modalidad, 2 - Prueba, 3 - Categoría en donde la tabla estará diferenciada por la misma de arriba (Numeración, Licencia, etc...).
			$alumnos=array();
			$insertados_alumnos=array();
			$numeracion=1;
			$ordenados=false;
			foreach ($inscripciones as &$alumno){
				$id_user=$alumno['id_user'];
				$id_relacion=$alumno['id_relacion'];
				//Selecciono Licencia, Nombre (nombre y apellidos), Género, Año.
				$sql->ejecutarSQL("SELECT users.idUser,users.licencia,users.username,users.apellidos,alumno.sexo,alumno.nacimiento FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE users.idUser='$id_user'") or mysql_error();
				$resultadoAlumno=$sql->getUnRegistro();
				//Compruebo si ya han sido ordenados (son ordenados cuando se guardan en la base de datos). Será necesario para hacer sorteo, en el caso de que no hayan sido ordenados ya.
				//Se considera que han sido ordenados, cuando se guarda en la base de datos.
				if ($alumno['orden']>-1) $ordenados=true;
				//Tipo lo busco en el vector $mods. Debo saber si es individual o es pareja
				foreach ($mods as &$modalidad){
					if ($modalidad['id_mod_champ']==$alumno['modalidad']) $tipo=$modalidad['tipo'];
				}
				//Si es pareja, añadimos en la misma ocurrencia del vector a los dos alumnos.
				if ($tipo=="par"){
					//Si no lo hemos insertado ya, lo insertamos en el vector. Buscamos que esté ya insertado.
					$insertado=false;
					$i=0;
					//Buscamos en el vector de alumnos relacionados si el identificador del usuario se encuentra ya insertado
					if (array_key_exists($id_user,$insertados_alumnos)){
						if (array_key_exists($id_relacion,$insertados_alumnos)){
							$insertado=true;
							$clave=$i;
						}
					}
					//Si no lo hemos insertado, insertamos en el vector general los datos del alumno inscrito y el alumno de su relación.
					if (!$insertado){
						//Numeración
						$alumno['numeracion']=$numeracion;
						//Licencia
						$alumno['licencia']=$resultadoAlumno['licencia'];
						//Nombre
						$alumno['nombre']=$resultadoAlumno['username'];
						//Apellidos
						$alumno['apellidos']=$resultadoAlumno['apellidos'];
						//Año
						$date = strtotime($resultadoAlumno['nacimiento']);
						$alumno['year']=date("Y", $date);
						//Categoría ya la tengo en alumno
						//Género
						$alumno['sexo']=$resultadoAlumno['sexo'];
						//Tipo lo busco en el vector $mods
						foreach ($mods as &$modalidad){
							if ($modalidad['id_mod_champ']==$alumno['modalidad']) $alumno['tipo']=$modalidad['tipo'];
						}
						//Modalidad y modalidad ya las tengo, pero las modifico para cuadrarlas con la tabla
						$mod=$alumno['modalidad'];
						$alumno[$mod]=$alumno['prueba'];
						//Club hay que buscar el nombre en la bd
						$id_org=$alumno['id_org'];
						$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE idOrg='$id_org'");
						$alumno['org']=$sql->getCampoN();
						//Busco a su relacionado para insertarlo también
						$clave=0;
						$i=0;
						foreach ($inscripciones as &$alumno_relacion){
							if ($alumno_relacion['id_user']==$alumno['id_relacion']) $clave=$i;
							$i++;
						}
						$id_user2=$inscripciones[$clave]['id_user'];
						$id_ins2=$inscripciones[$clave]['id_ins'];
						//Selecciono Licencia, Nombre (nombre y apellidos), Género, Año.
						$sql->ejecutarSQL("SELECT users.idUser,users.licencia,users.username,users.apellidos,alumno.sexo,alumno.nacimiento FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE users.idUser='$id_user2'") or mysql_error();
						$resultadoAlumno2=$sql->getUnRegistro();
						$alumno['id_user2']=$id_user2;
						$alumno['licencia2']=$resultadoAlumno2['licencia'];
						//Nombre
						$alumno['nombre2']=$resultadoAlumno2['username'];
						//Apellidos
						$alumno['apellidos2']=$resultadoAlumno2['apellidos'];
						//Año
						$date2 = strtotime($resultadoAlumno2['nacimiento']);
						$alumno['year2']=date("Y", $date);
						//Categoría ya la tengo en alumno
						//Género
						$alumno['sexo2']=$resultadoAlumno2['sexo'];
						$alumnos[]=$alumno;
						$numeracion++;
						$insertados_alumnos[$alumno['id_user']]=$alumno['id_user'];
						$insertados_alumnos[$alumno['id_user2']]=$alumno['id_user2'];
					}
				}
				if ($tipo=="ind"){
					$i=0;
					//Numeración
					$alumno['numeracion']=$numeracion;
					//Licencia
					$alumno['licencia']=$resultadoAlumno['licencia'];
					//Nombre
					$alumno['nombre']=$resultadoAlumno['username'];
					//Apellidos
					$alumno['apellidos']=$resultadoAlumno['apellidos'];
					//Año
					$date = strtotime($resultadoAlumno['nacimiento']);
					$alumno['year']=date("Y", $date);
					//Categoría ya la tengo en alumno
					//Género
					$alumno['sexo']=$resultadoAlumno['sexo'];
					//Tipo lo busco en el vector $mods
					foreach ($mods as &$modalidad){
						if ($modalidad['id_mod_champ']==$alumno['modalidad']) $alumno['tipo']=$modalidad['tipo'];
					}
					//Modalidad y modalidad ya las tengo, pero las modifico para cuadrarlas con la tabla
					$mod=$alumno['modalidad'];
					$alumno[$mod]=$alumno['prueba'];
					//Club hay que buscar el nombre en la bd
					$id_org=$alumno['id_org'];
					$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE idOrg='$id_org'");
					$alumno['org']=$sql->getCampoN();
					$alumnos[]=$alumno;
					$numeracion++;
				}
			}
			$contador=0;
			$string0="Categorías: ";
			foreach ($cats as &$cat){
				$string0.=$cat['nombre'];
				if (($contador+1)==count($cats)) $string0.=".";
				else $string0.=", ";
				$contador++;
			}
			$contador=0;
			$string="Modalidades: ";
			foreach ($proofs as &$prueba){
				$var_id_mod=$prueba['id_mod'];
				$sql->query("SELECT nombre FROM modalidades WHERE id_mod='$var_id_mod' AND id_pl='$id_pl'");
				$sql->ejecutarSQL();
				$resultado=$sql->getUnRegistro();
				$var_nombre_mod=$resultado['nombre'];
				$string.=$var_nombre_mod." ";
				$string.=$prueba['nombre'];
				if (($contador+1)==count($proofs)) $string.=".";
				else $string.=", ";
				$contador++;
			}
			$fecha_inicio=$resulChamp['fecha'];
			$fecha_fin=$resulChamp['fecha_fin'];
			echo "<div class=\"jumbotron\">
				<h1>".$resulChamp['nombreChamp']."</h1>
				<div class=\"row\">
					<div class=\"col-md-6\">
						<p>Lugar celebración: ".$resulChamp['lugar']."</p>
						<p>Fecha Inicio: ".$fecha_inicio."</p>
						<p>Fecha Fin: ".$fecha_fin."</p>
						<p>Dípticos generados por: ".$organizacion."</p>
					</div>
					<div class=\"col-md-6\">
						<p>".$string0."</p>
						<p>".$string."</p>
					</div>
				</div>
			</div>";
			if ($ordenados){
				$alumnos_ordenados=array();
				//Ordeno a los alumnos según su campo orden de la base de datos. Si todos están a -1 ó 0, el orden no importa. Función copiada de Internet.
				$position = array();
				$newRow = array();
				$inverse=false;
				foreach ($alumnos as $key => $row) {
						$position[$key]  = $row['orden'];
						$newRow[$key] = $row;
				}
				if ($inverse) {
					arsort($position);
				}
				else {
					asort($position);
				}
				$alumnos_ordenados = array();
				foreach ($position as $key => $pos) {     
					$alumnos_ordenados[] = $newRow[$key];
				}
				$alumnos=$alumnos_ordenados;
			}
			//Los ordeno de forma aleatoria
			else
				shuffle($alumnos);
			//Necesito una tabla categorizando a los alumnos por: 1 - Modalidad, 2 - Prueba, 3 - Categoría en donde la tabla estará diferenciada por la misma de arriba (Numeración, Licencia, etc...).
			echo "<legend>Orden de salida</legend><p class=\"help-block\">Orden de salida de los participantes.</p>";
			$numeracionTabla=1;
			//Array con ([modalidad]=>([prueba]=>([categoria]))) necesario para generar el programa después.
			$getPrograma=array();
			foreach ($mods as &$modalidad){
				$mod=$modalidad['id_mod_champ'];
				$tipo=$modalidad['tipo'];
				$nombreMod=$modalidad['nombre'];
				$var_id_mod=$modalidad['id_mod'];
				$existePrueba=false;
				$existeCategoria=false;
				$existeModalidad=false;
				$existe=false;
				//Comprobamos que haya algún alumno con esa modalidad
				foreach ($alumnos as &$alumno){
					if (array_key_exists($mod,$alumno)) $existeModalidad=true;
				}
				if ($existeModalidad){
					$modMayus = strtoupper($nombreMod);
					echo "
				<form id=\"dipticos-form\" action=\"modulos/documentos/dipticos/gestDipticos.php\">
					<div class=\"panel panel-primary\">
					  <div class=\"panel-heading\" style=\"text-align:center;\">".$modMayus."</div>
					  <table class='table table-bordered table-responsive' id=\"tablaDipticos".$numeracionTabla."\">
						<thead>
							<tr class=\"active\">
								<th></th>
								<th>Patinador</th>
								<th>Club</th>
								<th COLSPAN=2>
							</tr>
						</thead>
						<tbody>";
						foreach ($proofs as &$prueba){
							if ($prueba['id_mod']==$var_id_mod) $proof=$prueba['id_prueba_champ'];
							else $proof="";
							$nombreProof=$prueba['nombre'];
							$var_id_proof=$prueba['id_prueba'];
							//Comprobamos que haya algún alumno con esa modalidad
							foreach ($alumnos as &$alumno){
								if (isset($alumno[$mod])&&($alumno[$mod]==$proof)) $existePrueba=true;
							}
							if ($existePrueba){
								$proofMayus = strtoupper($nombreProof);
								echo "<tr class=\"warning\"><th COLSPAN=5 style=\"text-align:center;\">".$proofMayus."</th></tr>";
								foreach ($cats as &$scatergory){
									$id_cat=$scatergory['id_catChamp'];
									$nombreCat=$scatergory['nombre'];
									foreach ($alumnos as &$alumno){
										if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))) $existeCategoria=true;
									}
									if ($existeCategoria){
										$catMayus = strtoupper($nombreCat);
										echo "<tr class=\"active\"><td COLSPAN=5 style=\"text-align:center;\">".$catMayus."</td></tr>";
										$numeracionTemp=1;
										//Necesito esto para poder visualizar bien las flechas que mueven a los alumnos.
										foreach ($alumnos as &$alumno){
											if ($tipo=='ind')
												if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof)))
													$numeracionTemp++;
											if ($tipo=='par')
												if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof)))
													$numeracionTemp++;
										}
										$numeracion=1;
										foreach ($alumnos as &$alumno){
											$orden=$alumno['orden'];
											if ($tipo=='ind'){
												if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))){
													echo "<tr><td>".$numeracion."<input type=\"hidden\" name=\"tipo\" value=\"individual\"><input type=\"hidden\" name=\"id_user\" value=\"".$alumno['id_user']."\"><input type=\"hidden\" name=\"mod\" value=\"".$mod."\"><input type=\"hidden\" name=\"prueba\" value=\"".$proof."\"><input type=\"hidden\" name=\"numeracion\" value=\"".$numeracion."\"></td>
													<td>".$alumno['nombre']." ".$alumno['apellidos']."</td>
													<td>".$alumno['org']."</td>
													<td>";if ($numeracion>1) echo "<span class=\"glyphicon glyphicon-arrow-up\" onClick=\"mover('tablaDipticos".$numeracionTabla."','arriba','individual',$(this).closest('tr').index());\" style=\"cursor: pointer;\"><input type=\"hidden\" name=\"up\" value=\"up\">"; else echo "<input type=\"hidden\" name=\"up\">"; echo "</span></td>
													<td>";if (($numeracion+1)<$numeracionTemp) echo "<span class=\"glyphicon glyphicon-arrow-down\" onClick=\"mover('tablaDipticos".$numeracionTabla."','abajo','individual',$(this).closest('tr').index());\" style=\"cursor: pointer;\"><input type=\"hidden\" name=\"down\" value=\"down\">"; else echo "<input type=\"hidden\" name=\"down\">"; echo "</span></td><input type=\"hidden\" name=\"fin\"></tr>";
													$numeracion++;
													$yaesta=false;
													if (array_key_exists($mod,$getPrograma)){
														if (array_key_exists($proof,$getPrograma[$mod])){
															foreach ($getPrograma[$mod][$proof] as $cutt){
																if ($cutt==$id_cat) $yaesta=true;
															}
															if (!$yaesta) $getPrograma[$mod][$proof][]=$id_cat;
														}
														else{
															$getPrograma[$mod][$proof]=array();
															$getPrograma[$mod][$proof][]=$id_cat;
														}
													}
													else{
														$getPrograma[$mod]=array();
														$getPrograma[$mod][$proof]=array();
														$getPrograma[$mod][$proof][]=$id_cat;
													}
												}
											}
											if ($tipo=='par'){
												if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))){
													echo "<tr><td ROWSPAN=2>".$numeracion."<input type=\"hidden\" name=\"tipo\" value=\"pareja\"><input type=\"hidden\" name=\"mod\" value=\"".$mod."\"><input type=\"hidden\" name=\"prueba\" value=\"".$proof."\"><input type=\"hidden\" name=\"id_user\" value=\"".$alumno['id_user']."\"><input type=\"hidden\" name=\"numeracion\" value=\"".$numeracion."\"></td>
													<td>".$alumno['nombre']." ".$alumno['apellidos']."</td>
													<td ROWSPAN=2>".$alumno['org']."</td>
													<td ROWSPAN=2>";if ($numeracion>1) echo "<span class=\"glyphicon glyphicon-arrow-up\" onClick=\"mover('tablaDipticos".$numeracionTabla."','arriba','pareja',$(this).closest('tr').index());\" style=\"cursor: pointer;\"><input type=\"hidden\" name=\"up\" value=\"up\">"; else echo "<input type=\"hidden\" name=\"up\">"; echo "</span></td>
													<td ROWSPAN=2>";if (($numeracion+1)<$numeracionTemp) echo "<span class=\"glyphicon glyphicon-arrow-down\" onClick=\"mover('tablaDipticos".$numeracionTabla."','abajo','pareja',$(this).closest('tr').index());\" style=\"cursor: pointer;\"><input type=\"hidden\" name=\"down\" value=\"down\">"; else echo "<input type=\"hidden\" name=\"down\">"; echo "</span></td></tr>";
													echo "<tr>
													<td>".$alumno['nombre2']." ".$alumno['apellidos2']."<input type=\"hidden\" name=\"id_user2\" value=\"".$alumno['id_user2']."\"><input type=\"hidden\" name=\"mod\" value=\"".$mod."\"><input type=\"hidden\" name=\"prueba\" value=\"".$proof."\"></td>
													<input type=\"hidden\" name=\"fin\">
													</tr>";
													$numeracion++;
													$yaesta=false;
													if (array_key_exists($mod,$getPrograma)){
														if (array_key_exists($proof,$getPrograma[$mod])){
															foreach ($getPrograma[$mod][$proof] as $cutt){
																if ($cutt==$id_cat) $yaesta=true;
															}
															if (!$yaesta) $getPrograma[$mod][$proof][]=$id_cat;
														}
														else{
															$getPrograma[$mod][$proof]=array();
															$getPrograma[$mod][$proof][]=$id_cat;
														}
													}
													else{
														$getPrograma[$mod]=array();
														$getPrograma[$mod][$proof]=array();
														$getPrograma[$mod][$proof][]=$id_cat;
													}
												}
											}
										}
									}
									$existeCategoria=false;
								}
							}
							$existePrueba=false;
						}
						//Comprobamos que exista 
						//Fin del panel de modalidad y de la tabla
						echo "
						</tbody>
					  </table>
					</div>";
				}
				$existeModalidad=false;
				$numeracionTabla++;
			}
			//Para definir la tabla del Programa, necesito definir los grupos.
			echo "<legend>Programa</legend><p class=\"help-block\">Define la tabla del programa.</p>
			<div class=\"container-fluid\">
					<table id=\"tablaDipticos\" class=\"table table-bordered table-responsive\">
						<thead>
							<tr>
								<th class=\"active\" COLSPAN=2>PROGRAMA</th>
							</tr>
						</thead>
						<tbody id=\"program\">";
							$sql->ejecutarSQL("SELECT * FROM programa WHERE id_champ='$id_champ' ORDER BY dia, hora_inicio, minutos_inicio, hora_fin, minutos_fin");
							$numRegPrograma=$sql->getNumRegistros();
							if ($numRegPrograma>0){
								$resulPrograma=$sql->getTodosRegistro();
								$diaActual="";
								$horaInicioActual="";
								$MinutosInicioActual="";
								$horaFinActual="";
								$MinutosFinActual="";
								$contador=0;
								foreach ($resulPrograma as &$programa){
									$var_id_mod_champ_program=$programa['modalidad'];
									$sql->query("SELECT nombre FROM modalidades LEFT JOIN modalidades_campeonato ON (modalidades_campeonato.id_mod=modalidades.id_mod) WHERE id_mod_champ='$var_id_mod_champ_program'");
									$sql->ejecutarSQL();
									$resultado=$sql->getUnRegistro();
									$modalid_program=$resultado['nombre'];
									$var_id_prueba_champ_program=$programa['prueba'];
									$sql->query("SELECT nombre FROM pruebas LEFT JOIN pruebas_campeonato ON (pruebas_campeonato.id_prueba=pruebas.id_prueba) WHERE id_prueba_champ='$var_id_prueba_champ_program'");
									$sql->ejecutarSQL();
									$resultado=$sql->getUnRegistro();
									$prueba_program=$resultado['nombre'];
									$var_id_catChamp_program=$programa['categoria'];
									$sql->query("SELECT nombre FROM categorias LEFT JOIN categorias_campeonato ON (categorias_campeonato.id_cat=categorias.id_cat) WHERE id_catChamp='$var_id_catChamp_program'");
									$sql->ejecutarSQL();
									$resultado=$sql->getUnRegistro();
									$categoria_program=$resultado['nombre'];
									if ($programa['hora_inicio']<10) $hora_inicio="0".$programa['hora_inicio'];
									else $hora_inicio=$programa['hora_inicio'];
									if ($programa['minutos_inicio']<10) $minutos_inicio="0".$programa['minutos_inicio'];
									else $minutos_inicio=$programa['minutos_inicio'];
									if ($programa['hora_fin']<10) $hora_fin="0".$programa['hora_fin'];
									else $hora_fin=$programa['hora_fin'];
									if ($programa['minutos_fin']<10) $minutos_fin="0".$programa['minutos_fin'];
									else $minutos_fin=$programa['minutos_fin'];
									//Si tenemos un nuevo día
									if ($diaActual!=$programa['dia']){
										$pieces1 = explode("-", $fecha_inicio);
										$pieces2 = explode("-", $fecha_fin);
										$Mes=$pieces1[1];
										$Year=$pieces2[0];
										if ($horaInicioActual!="") echo "</td><td onClick=\"borrar_registroDipticos($(this).closest('tr').index(),'-1');\"><span title=\"Eliminar\" class=\"glyphicon glyphicon-remove\"></span></td><input type=\"hidden\" name=\"finMinuten\"></tr>";
										echo "<tr id=\"".$programa['dia']."\"><input type=\"hidden\" name=\"fin2\"><td COLSPAN=2 class=\"info\">HORARIOS COMPETICIÓN ".$dias[date("w",mktime(0,0,0,$Mes,$programa['dia'],$Year))]." ".date("d",mktime(0,0,0,$Mes,$programa['dia'],$Year))."<input type=\"hidden\" name=\"dia\" value=\"".$programa['dia']."\"></td></tr>";
										$horaInicioActual="";
										$MinutosInicioActual="";
										$horaFinActual="";
										$MinutosFinActual="";
									}
									//Si tenemos una nueva hora
									if (($horaInicioActual==$programa['hora_inicio'])&&($MinutosInicioActual==$programa['minutos_inicio'])&&($horaFinActual==$programa['hora_fin'])&&($MinutosFinActual==$programa['minutos_fin'])){
										echo "".$programa['grupo']." <input type=\"hidden\" name=\"id_programa\" value=\"".$programa['id_programa']."\"><input type=\"hidden\" name=\"grupo\" value=\"".$programa['grupo']."\">( ".$modalid_program." ".$prueba_program."";
										if ($programa['categoria']=="todas") echo " )";
										else echo " ".$categoria_program." )";
										echo "<input type=\"hidden\" name=\"modprogram\" value=\"".$programa['modalidad']."\"><input type=\"hidden\" name=\"pruebaprogram\" value=\"".$programa['prueba']."\"><input type=\"hidden\" name=\"catprogram\" value=\"".$programa['categoria']."\"> ";
									}
									//Si no, seguimos con el mismo td
									else{
										if (($horaInicioActual!="")&&($diaActual==$programa['dia'])) echo "</td><td onClick=\"borrar_registroDipticos($(this).closest('tr').index(),'-1');\"><span title=\"Eliminar\" class=\"glyphicon glyphicon-remove\"></span></td><input type=\"hidden\" name=\"finMinuten\"></tr>";
										echo "<tr><td class=\"active\">".$hora_inicio.":".$minutos_inicio." - ".$hora_fin.":".$minutos_fin."</td><input type=\"hidden\" name=\"minutos1\" value=\"".$hora_inicio."\"><input type=\"hidden\" name=\"segundos1\" value=\"".$minutos_inicio."\"><input type=\"hidden\" name=\"minutos2\" value=\"".$hora_fin."\"><input type=\"hidden\" name=\"segundos2\" value=\"".$minutos_fin."\"></td>
										<td>".$programa['grupo']." <input type=\"hidden\" name=\"id_programa\" value=\"".$programa['id_programa']."\"><input type=\"hidden\" name=\"grupo\" value=\"".$programa['grupo']."\">( ".$modalid_program." ".$prueba_program."";
										if ($programa['categoria']=="todas") echo " )";
										else echo " ".$categoria_program." )";
										echo "<input type=\"hidden\" name=\"modprogram\" value=\"".$programa['modalidad']."\"><input type=\"hidden\" name=\"pruebaprogram\" value=\"".$programa['prueba']."\"><input type=\"hidden\" name=\"catprogram\" value=\"".$programa['categoria']."\"> ";
									}
									if ($diaActual!=$programa['dia']) $diaActual=$programa['dia'];
									$horaInicioActual=$hora_inicio;
									$MinutosInicioActual=$minutos_inicio;
									$horaFinActual=$hora_fin;
									$MinutosFinActual=$minutos_fin;
									//Para el último elemento
									if (($contador+1)==count($resulPrograma)) echo "</td><td onClick=\"borrar_registroDipticos($(this).closest('tr').index(),'-1');\"><span title=\"Eliminar\" class=\"glyphicon glyphicon-remove\"></span></td><input type=\"hidden\" name=\"finMinuten\"></tr>";
									$contador++;
								}
							}
						echo "
						</tbody>
					</table>
					
				</form>
			</div>
			<div class=\"well\">
					<div class=\"container-fluid\">
						<div class=\"panel panel-default\">
								<div class=\"panel-heading\">
									<h3 class=\"panel-title\" id=\"tituloPanel\">Añadir</h3>
								</div>
							<div class=\"panel-body\">
								<div class=\"form-group\">
									<span class=\"help-block\">Día de la competición</span>
									<select class=\"form-control\" id=\"select-day\">
										<option value=\"-1\" selected>Seleccione día</option>";
										$pieces1 = explode("-", $fecha_inicio);
										$pieces2 = explode("-", $fecha_fin);
										$PrimerDia=$pieces1[2];
										$Mes=$pieces1[1];
										$Year=$pieces2[0];
										$UltimoDia=$pieces2[2];
										for ($i=$PrimerDia;$i<=$UltimoDia;$i++){
											//Se define en general.php los días y meses en Español.
											$tuday=$dias[date("w",mktime(0,0,0,$Mes,$i,$Year))]." ".date("d",mktime(0,0,0,$Mes,$i,$Year))." de ".$meses[date('n',mktime(0,0,0,$Mes,$i,$Year))-1] ;
											echo "<option value=\"".$i."\">".$tuday."</option>";
										}
									  echo "
									</select>
								</div>
								<div id=\"definirHoraMod\" style=\"display:none;\">
									<div class=\"form-group\">
										<span class=\"help-block\">Hora inicio</span>
										<input type=\"text\" id=\"minutos_hora_inicio\" name=\"minutos_hora_inicio\">
										<input type=\"text\" id=\"segundos_hora_inicio\" name=\"segundos_hora_inicio\">
									</div>
									<div class=\"form-group\">
										<span class=\"help-block\">Hora fin</span>
										<input type=\"text\" id=\"minutos_hora_fin\" name=\"minutos_hora_fin\">
										<input type=\"text\" id=\"segundos_hora_fin\" name=\"segundos_hora_fin\">
									</div>
									<div class=\"form-group\" id=\"mods\">
									</div>
									<div class=\"form-group\">
										<button type=\"button\" class=\"btn btn-default\" id=\"addMod\">Añadir modalidad</button>
										<input type=\"hidden\" id=\"numMod\" value=\"1\">
									</div>
									<div class=\"form-group\">
										<button type=\"button\" class=\"btn btn-info\" id=\"addDipticos\">Añadir al programa</button>
									</div>
								</div>
							</div>
						</div>
					<div>
				</div>
			</div>
			<button type=\"button\" class=\"btn btn-success pull-left\" onClick=\"actualizarDipticos();\">Guardar dípticos</button>
				";
			echo "<script>
				function actualizarDipticos(){
					$('#dipticos-form').submit();
				}
				$(function() {
					$( \"#minutos_hora_inicio\" ).spinner({ max: 23, min: 0 });
					$( \"#segundos_hora_inicio\" ).spinner({ max: 59, min: 0 });
					$( \"#minutos_hora_fin\" ).spinner({ max: 23, min: 0 });
					$( \"#segundos_hora_fin\" ).spinner({ max: 59, min: 0 });
				});
				$('#addMod').click(function(){
					var numMod= $('#numMod').val();
					var texto='';
					texto+='<div class=\"panel panel-default\" id=\"mod' + numMod + '\"><div class=\"panel-heading\"><h3 class=\"panel-title\"><input type=\"text\" id=\"nombreGrupo' + numMod + '\" value=\"Grupo' + numMod + '\"><span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$(\'#mod' + numMod + ' \').remove();\" title=\"Borra este elemento\"></span></h3></div><div class=\"panel-body\"><div class=\"form-group\"><span class=\"help-block\">Modalidad</span><select class=\"form-control\" id=\"select-modDipticos' + numMod + '\" onChange=\"rellenoPruebas(' + numMod + ',this.value);\"><option value=\"-1\" selected>Seleccione modalidad</option>';
					texto+='";
					foreach ($getPrograma as $modalidad=>$a){
						$var_id_mod_champ=$modalidad;
						$sql->query("SELECT nombre FROM modalidades LEFT JOIN modalidades_campeonato ON (modalidades_campeonato.id_mod=modalidades.id_mod) WHERE id_mod_champ='$var_id_mod_champ'");
						$sql->ejecutarSQL();
						$resultado=$sql->getUnRegistro();
						$modalidadiña=$resultado['nombre'];
						echo "<option value=\"".$modalidad."\">".$modalidadiña."</option>";
					}
					echo "</select></div>';
					texto+='<div class=\"form-group\"><span class=\"help-block\">Prueba</span><select class=\"form-control\" id=\"select-proofDipticos' + numMod + '\" onChange=\"rellenoCategorias(' + numMod + ',this.value);\"><option value=\"-1\" selected>Debe seleccionar modalidad</option></select></div><div class=\"form-group\"><span class=\"help-block\">Categoría</span><select class=\"form-control\" id=\"select-cat' + numMod + '\"><option value=\"-1\" selected>Debe seleccionar prueba</option></select></div>';
					texto+='</div></div></div>';
					$('#mods').append(texto);
					numMod++;
					$('#numMod').val(numMod);
				});
				function rellenoPruebas(num,valor){
					if (valor!=-1){
						var pruebas= new Array();
						";
						$i=0;
						foreach ($getPrograma as $modalidad=>$prueba){
							
							echo "var arrayTemp".$i."=new Array('".$modalidad."'";
							foreach ($prueba as $prueba_mod=>$cat){
								$var_id_prueba_champ=$prueba_mod;
								$sql->query("SELECT nombre FROM pruebas LEFT JOIN pruebas_campeonato ON (pruebas_campeonato.id_prueba=pruebas.id_prueba) WHERE id_prueba_champ='$var_id_prueba_champ'");
								$sql->ejecutarSQL();
								$resultado=$sql->getUnRegistro();
								$pruebiña=$resultado['nombre'];
								echo ",'".$prueba_mod."','".$pruebiña."'";
							}
							echo ");";
							echo "pruebas[".$i."]=arrayTemp".$i.";";
							$i++;
						}
						echo "
						var prueba = new Array();
						var contadorPrueba=0;
						for (i=0;i<pruebas.length;i++){
							if (pruebas[i][0]==valor)
								prueba=pruebas[i];
						}
						var cuerpo='<option selected value=\"-1\">Seleccione prueba</option>';
						for (i=1;i<prueba.length;){
							cuerpo+='<option value=\"' + prueba[i] + '\">' + prueba[i+1] + '</option>';
							i+=2;
						}
						var proofDIp='#select-proofDipticos' + num;
						$( proofDIp ).empty().append(cuerpo);
					}
					else{
						var cuerpo='<option selected value=\"-1\">Seleccione prueba</option>';
						var proofDIp='#select-proofDipticos' + num;
						$( proofDIp ).empty().append(cuerpo);
					}
				}
				function rellenoCategorias(num,valor){
					var selectMod='#select-modDipticos' + num + ' option:selected';
					var modalidad=$(selectMod).val();
					if (valor!=-1){
						var categorias= new Array();
						";
						$i=0;
						foreach ($getPrograma as $modalidad=>$prueba){
							foreach ($prueba as $prueba_mod=>$cat){
								echo "var arrayTemp".$i."=new Array('".$modalidad."','".$prueba_mod."'";
								foreach ($cat as $categor){
									$var_id_catChamp=$categor;
									$sql->query("SELECT nombre FROM categorias LEFT JOIN categorias_campeonato ON (categorias_campeonato.id_cat=categorias.id_cat) WHERE id_catChamp='$var_id_catChamp'");
									$sql->ejecutarSQL();
									$resultado=$sql->getUnRegistro();
									$categoriña=$resultado['nombre'];
									echo ",'".$categor."','".$categoriña."'";
								}
								echo ");";
								echo "categorias[".$i."]=arrayTemp".$i.";";
								$i++;
							}
						}
						echo "
						
						var categoria = new Array();
						var contadorPrueba=0;
						for (i=0;i<categorias.length;i++){
							if ((categorias[i][0]==modalidad)&&(categorias[i][1]==valor))
								categoria=categorias[i];
						}
						var cuerpo='<option selected value=\"-1\">Seleccione categoría</option>';
						for (i=2;i<categoria.length;){
							cuerpo+='<option value=\"' + categoria[i] + '\">' + categoria[i+1] + '</option>';
							i+=2;
						}
						var proofDIp='#select-cat' + num;
						$( proofDIp ).empty().append(cuerpo);
						
					}
					else{
						var cuerpo='<option selected value=\"-1\">Seleccione categoría</option>';
						var proofDIp='#select-cat' + num;
						$( proofDIp ).empty().append(cuerpo);
					}
				}
				$('#dipticos-form').submit(function(event) {
				  //Evita que se ejecute el botón de submit
				  event.preventDefault();
				  //Calculamos el tamaño de la tabla del programa.
				  var tamProgram=0;
				  $('#tablaDipticos tr').each(function(){
					tamProgram++;
				  });
				  if (tamProgram==1){
					var string='El programa está vacío. ¿Desea continuar?';
					var borraUser=confirm(string);
				  }
				  if (borraUser||tamProgram>1){
					  $('#program').append('<input type=\"hidden\" name=\"fin2\">');
					  //Serializamos el formulario
					  arr= $(this).serializeArray();
					  data = JSON.stringify(arr);
					  //Recoge ciertos valores del formulario
					  //Identificador del campeonato
					  term1 = ".$id_champ.";
					  var form = $( this ),
						  url = form.attr( 'action' );
					  //Envía los datos mediante jquery y json
					  var posting = $.post( url, { id: term1, datos: data} );
					  //Devuelve los resultados en data.
					  posting.done(function( data ) {
							if (data == 0){
								alert('Datos guardados correctamente.');
								actualizar('#centro','modulos/documentos/dipticos/dipticos.php?crear');
							}
							if (data != 0){
								if (data == 1) alert('No hay inscripciones');
								else alert(data);
							}
					  });
				  }
				});
			</script>";
			
		}
		else echo $noInscripcion;
	}
}
else echo $resultado;
?>
