<?php
/*
-----------------------------------------------------------------------------------------------------------
							Modificar inscripciones
-----------------------------------------------------------------------------------------------------------							
			Operaciones que se pueden realizar:
			1) Modificar las inscripciones recibidas.
			2) Añadir nuevos alumnos a las inscripciones.
			3) Eliminar/rechazar alumnos de las inscripciones recibidas.
										CONDICIONES
			1) Un responsable del club o responsable de la federación, organizador del evento, puede realizar estas acciones.
			2) Un gestor de papeles asignado a este evento, podrá realizar estas acciones.
			
*/
session_start();
include_once('../../../bbdd/general.php');
include_once('../../../clases/sCphp.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../../clases/cMySQL.php');
$sql= new cMySQL(); 
$sql->conectar();
//Debe estar registrado en el sistema. Nivel de seguridad 1.
$sCphp= new sCphp(); 
//Debe ser un responsable del club o un gestor de papeles asignado al evento. Nivel de seguridad 2.
//Función que comprueba si se está registrado y se es un responsable del club, o un gestor.
$resultado=$sCphp->controlRegistro(array('club','gestor','federacion'),4);
if ($resultado==1){
	if ((isset($_GET['crear']))&&($_GET['crear']=='')){
		$correo=$sCphp->val('correo');
		$rol=$sCphp->val('tipo');
		//Si es un responsable del club, lo haremos de la siguiente forma.
		if (($sCphp->esRol("club"))||($sCphp->esRol("federacion"))){
			$organizacion=$sCphp->val('org');
			//Guardamos al creador de la organización
			$creator=$sCphp->val('creador');
			$mundo=$sCphp->val('pais');
			$pueblo=$sCphp->val('region');
			echo "<h2 style='text-align:center;'>Gestión de documentos ";
			//Selecciono solo los campeonatos que yo he creado
			$sql->ejecutarSQL("SELECT * FROM campeonato LEFT JOIN organizacion ON (campeonato.creadorChamp=organizacion.creador) LEFT JOIN plantilla ON (campeonato.identificadorPlantilla=plantilla.id_plantilla) WHERE campeonato.creadorChamp='$creator'") or DIE("No");
			$numRegistrosJOIN0=$sql->getNumRegistros();
			$registroJOIN0=$sql->getTodosRegistro();
			echo "<script type=\"text/javascript\" src=\"js/tablas.js\"></script><small>Inscripciones</small></h2>";
			echo "<br><p>Seleccione el evento en el que va a trabajar:</p>";
			if ($numRegistrosJOIN0 > 0){
				echo "<div><div class=\"well\">
				<table class='table table-condensed table-hover table-responsive' id=\"tablas\">
					<thead>
						<tr>
							<th>Nombre campeonato</th>
							<th>Tipo</th>
							<th>Plantilla utilizada</th>
							<th>Organización</th>
							<th>Fecha celebración</th>
							<th>País</th>
							<th>Región</th>
						</tr>
					</thead>
					<tbody>";
				foreach ($registroJOIN0 as &$resultado){
					$id_tipoChamp=$resultado['tipo_evento'];
					$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
					$sql->ejecutarSQL();
					$resulTipoEvento=$sql->getUnRegistro();
					$tipo_evento=$resulTipoEvento['nombre'];
					$tiempo=strtotime($resultado['fecha']);
					echo "<tr style=\"cursor: pointer;\"><td>".$resultado['nombreChamp']."<input type=\"hidden\" id=\"nombreChamp\" value=\"".$resultado['nombreChamp']."\"><input type=\"hidden\" id=\"id_champ\" value=\"".$resultado['id_campeonato']."\"></td>
					<td>".$tipo_evento."</td>
					<td>".$resultado['nombre_pl']."<input type=\"hidden\" id=\"id_pl\" value=\"".$resultado['identificadorPlantilla']."\"></td>
					<td>".$resultado['nombre']."</td>
					<td>".date('d-m-Y',$tiempo)."</td>
					<td>".$paises[$resultado['pais']]."</td>
					<td>".$regiones[$resultado['pais']][$resultado['region']]."</td>
					</tr>";	
				}
				echo "</tbody>
					</table></div></div>";
			}
			echo "<script>
				$('#tablas tr:not(:first)').click(function(){
					var correOrg = '".$creator."';
					var nombre_champ = $(this).find(\"input[id=nombreChamp]\").val();
					var id_champ = $(this).find(\"input[id=id_champ]\").val();
					var id_pl = $(this).find(\"input[id=id_pl]\").val();
					var pl='modulos/documentos/inscripciones/inscripciones.php?crear=' + id_champ + '&id=' + id_pl + '&correo=' + correOrg;
					var texto='¿Deseas modificar las inscripciones del evento: ' + nombre_champ + '?';
					if (confirm(texto)) actualizar('#centro', pl);
				});
				</script>";
		
		}
		//Si es un gestor de papeles, lo haremos de la siguiente forma.
		if ($sCphp->esRol("gestor")){
			$sql->ejecutarSQL("SELECT * FROM asignaciones LEFT JOIN campeonato ON (campeonato.id_campeonato=asignaciones.identificadorCampeonato) LEFT JOIN plantilla ON (campeonato.identificadorPlantilla=plantilla.id_plantilla) LEFT JOIN organizacion ON (campeonato.creadorChamp=organizacion.creador) WHERE asignaciones.correoGestor='$correo' AND (asignaciones.accion='todo' OR asignaciones.accion='resto')") or DIE("No");
			$numRegistrosJOIN=$sql->getNumRegistros();
			if ($numRegistrosJOIN > 0){
				$registroJOIN=$sql->getTodosRegistro();
				echo "<h2 style='text-align:center;'>Gestión de documentos ";
				echo "<script type=\"text/javascript\" src=\"js/tablas.js\"></script><small>Inscripciones</small></h2><br><p>Seleccione el evento en el que va a trabajar:</p>";
				echo "<div class=\"well\">
				<table class='table table-condensed table-hover table-responsive' id=\"tablas\">
					<thead>
						<tr>
							<th>Nombre campeonato</th>
							<th>Tipo</th>
							<th>Plantilla utilizada</th>
							<th title=\"Organización que te ha asignado para que realices el listado\">Organización</th>
							<th>Fecha celebración</th>
							<th>País</th>
							<th>Región</th>
						</tr>
					</thead>
					<tbody>";
				foreach ($registroJOIN as &$resultado){
					$id_tipoChamp=$resultado['tipo_evento'];
					$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
					$sql->ejecutarSQL();
					$resulTipoEvento=$sql->getUnRegistro();
					$tipo_evento=$resulTipoEvento['nombre'];
					$creator=$resultado['correoCreador'];
					$id_champ=$resultado['identificadorCampeonato'];
					$tiempo=strtotime($resultado['fecha']);
					//Selecciono el nombre de la organización que ha asignado al gestor de documentos para que realice las inscripciones.
					$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE creador='$creator'");
					$org_name=$sql->getCampoN();
					echo "<tr style=\"cursor: pointer;\"><td>".$resultado['nombreChamp']."<input type=\"hidden\" id=\"nombreChamp\" value=\"".$resultado['nombreChamp']."\"><input type=\"hidden\" id=\"id_champ\" value=\"".$resultado['id_campeonato']."\"></td>
					<td>".$tipo_evento."</td>
					<td>".$resultado['nombre_pl']."<input type=\"hidden\" id=\"id_pl\" value=\"".$resultado['identificadorPlantilla']."\"></td>
					<td>".$org_name."</td>
					<td>".date('d-m-Y',$tiempo)."</td>
					<td>".$paises[$resultado['pais']]."</td>
					<td>".$regiones[$resultado['pais']][$resultado['region']]."</td>
					<input type=\"hidden\" id=\"correOrg\" value=\"".$creator."\">
					</tr>";	
				}
				echo "</tbody>
					</table>
				</div>";
				echo "<div class=\"alert alert-warning\"><span class=\"glyphicon glyphicon-warning-sign\"></span> El campo <b>Organización</b> es el club que te ha asignado para que realices la tarea. Para seleccionar el documento de un club determinado, debes hacerlo aquí.</div>";
				echo "<script>
				$('#tablas tr:not(:first)').click(function(){
					var correOrg = $(this).find(\"input[id=correOrg]\").val();
					var nombre_champ = $(this).find(\"input[id=nombreChamp]\").val();
					var id_champ = $(this).find(\"input[id=id_champ]\").val();
					var id_pl = $(this).find(\"input[id=id_pl]\").val();
					var pl='modulos/documentos/inscripciones/inscripciones.php?crear=' + id_champ + '&id=' + id_pl + '&correo=' + correOrg;
					var texto='¿Deseas modificar las inscripciones del evento: ' + nombre_champ + '?';
					if (confirm(texto)) actualizar('#centro', pl);
				});
				</script>";
			}
			else echo $gestor1noChamps;
		}
	}
	//Ya hemos seleccionado el campeonato en el que vamos a trabajar
	if (((isset($_GET['crear']))&&($_GET['crear']!=''))){
		$correo=$sCphp->val('correo');
		if (isset($_GET['correo'])) $creador=$_GET['correo'];
		else $creador=$sCphp->val('creador');
		$id_champ=$_GET['crear'];
		$id_pl=$_GET['id'];
		echo "<h2 style='text-align:center;'>Gestión de documentos ";
		echo "<script type=\"text/javascript\" src=\"js/tablas.js\"></script><small>Inscripciones</small></h2><br>";
		//Parte de modificar inscripciones
		//Primero seleccionamos las inscripciones que hemos recibido
		if ($sCphp->esRol("club")) $organizacion=$sCphp->val('org');
		else{
			$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE creador='$creador'");
			$numRegistrosJOIN=$sql->getNumRegistros();
			if ($numRegistrosJOIN > 0){
				$organizacion=$sql->getCampoN();
			}
		}
		//Seleccionamos el identificador de esa organización
		$sql->query("SELECT idOrg FROM organizacion WHERE nombre='$organizacion'") ;
		$sql->ejecutarSQL();
		$id_org=$sql->getCampoN();
		$sql->query("SELECT * FROM campeonato WHERE id_campeonato='$id_champ'");
		$sql->ejecutarSQL();
		$numRegistro=$sql->getNumRegistros();
		if ($numRegistro > 0){
			$resulChamp=$sql->getUnRegistro();
			//Selecciono el identificador de la plantilla. Lo necesitaré para establecer el rango de edades y averigüar la categoría del niño que se presenta al campeonato.
			$id_pl=$resulChamp['identificadorPlantilla'];
			$sql->query("SELECT DISTINCT * FROM modalidades_campeonato LEFT JOIN modalidades ON (modalidades_campeonato.id_mod=modalidades.id_mod) WHERE id_champ='$id_champ'");
			$sql->ejecutarSQL();
			$mods=$sql->getTodosRegistro();
			$sql->query("SELECT DISTINCT * FROM pruebas_campeonato LEFT JOIN pruebas ON (pruebas_campeonato.id_prueba=pruebas.id_prueba) WHERE id_champ='$id_champ'");
			$sql->ejecutarSQL();
			$proofs=$sql->getTodosRegistro();
			//Seleccionamos las categorías de la plantilla para poder establecer el rango de edades y ver en qué categoría está el/la patinadora.
			$sql->query("SELECT * FROM categorias_campeonato LEFT JOIN categorias ON (categorias_campeonato.id_cat=categorias.id_cat) WHERE id_champ='$id_champ'") or mysql_error();
			$sql->ejecutarSQL();
			$numRegistroPl=$sql->getNumRegistros();
			$categorias_plantilla=$sql->getTodosRegistro();
			//Se generan automáticamente la lista de inscritos.
			$sql->query("SELECT * FROM inscripcion WHERE id_champ='$id_champ' AND visible='1' ORDER BY modalidad");
			$sql->ejecutarSQL();
			$numRegistroInsc=$sql->getNumRegistros();
			if ($numRegistroInsc > 0){
				$organizaciones=array();
				//Seleccionamos las inscripciones
				$inscripciones=$sql->getTodosRegistro();
				foreach ($inscripciones as &$alumno){
					$id_User=$alumno['id_user'];
					$sql->ejecutarSQL("SELECT organizacion FROM users WHERE idUser='$id_User'");
					$res=$sql->getUnRegistro();
					$alumno['organizacion']=$res['organizacion'];
					if (!array_key_exists($alumno['organizacion'],$organizaciones)) $organizaciones[$alumno['organizacion']]=1;
					else $organizaciones[$alumno['organizacion']]++;
				}
				$contador=0;
				$string0="Categorías: ";
				foreach ($categorias_plantilla as &$cat){
					$string0.=$cat['nombre'];
					if (($contador+1)==count($categorias_plantilla)) $string0.=".";
					else $string0.=", ";
					$contador++;
				}
				$contador=0;
				$string="Modalidades: ";
				foreach ($proofs as &$prueba){
					$var_id_mod=$prueba['id_mod'];
					$sql->query("SELECT nombre FROM modalidades WHERE id_mod='$var_id_mod' AND id_pl='$id_pl'");
					$sql->ejecutarSQL();
					$resultado=$sql->getUnRegistro();
					$var_nombre_mod=$resultado['nombre'];
					$string.=$var_nombre_mod." ";
					$string.=$prueba['nombre'];
					if (($contador+1)==count($proofs)) $string.=".";
					else $string.=", ";
					$contador++;
				}
				echo "<div class=\"jumbotron\">
					<h1>".$resulChamp['nombreChamp']."</h1>
					<div class=\"row\">
						<div class=\"col-md-6\">
							<p>Lugar celebración: ".$resulChamp['lugar']."</p>
							<p>Fecha Inicio: ".$resulChamp['fecha']."</p>
							<p>Fecha Fin: ".$resulChamp['fecha_fin']."</p>
						</div>
						<div class=\"col-md-6\">
							<p>".$string0."</p>
							<p>".$string."</p>
						</div>
					</div>
				</div>
				<p>Seleccione un club para modificar sus inscripciones:</p>
				<div class=\"well\">
					<table class='table table-condensed table-hover table-responsive' id=\"tablas\">
						<thead>
							<tr>
								<th>Club</th>
								<th>Participantes</th>
							</tr>
						</thead>
						<tbody>";
					foreach ($organizaciones as $club=>$participantes){
						$sql->ejecutarSQL("SELECT creador FROM organizacion WHERE nombre='$club'");
						$unReg=$sql->getUnRegistro();
						$creadorOrg=$unReg['creador'];
						echo "<tr style=\"cursor: pointer;\"><td>".$club."<input type=\"hidden\" id=\"nombreClub\" value=\"".$club."\"><input type=\"hidden\" id=\"creadorOrg\" value=\"".$creadorOrg."\"></td>
						<td>".$participantes."</td></tr>";
					}
					echo "</tbody></table></div>";
					$fichero="logs/".$id_champ;
					$ar= fopen($fichero,"r");
					$contenido = fread($ar, filesize($fichero));
					fclose($ar);
					echo "<p>Últimas modificaciones</p><pre>".$contenido."</pre>";
					echo "<script>
					$('#tablas tr:not(:first)').click(function(){
						var correOrg = $(this).find(\"input[id=creadorOrg]\").val();
						var nombre_club = $(this).find(\"input[id=nombreClub]\").val();
						var id_champ = ".$id_champ.";
						var id_pl = ".$id_pl.";
						var pl='modulos/documentos/inscripciones/inscripciones.php?mod=' + id_champ + '&id=' + id_pl + '&correo=' + correOrg;
						var texto='¿Deseas modificar las inscripciones del club: ' + nombre_club + '?';
						if (confirm(texto)) actualizar('#centro', pl);
					});
					</script>";
			}
			else
				echo $noInscripcion;
		}
	}
	if ((isset($_GET['mod']))&&($_GET['mod']!='')){
		$enviada=0;
		$accion='crear';
		$correo=$sCphp->val('correo');
		if (isset($_GET['correo'])) $creador=$_GET['correo'];
		$id_champ=$_GET['mod'];
		$id_pl=$_GET['id'];
		echo "<h2 style='text-align:center;'>Gestión de documentos ";
		echo "<script type=\"text/javascript\" src=\"js/documentos.js\"></script><small>Modificar inscripciones</small></h2><br>";
		$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE creador='$creador'");
		$numRegistrosJOIN=$sql->getNumRegistros();
		if ($numRegistrosJOIN > 0){
			$organizacion=$sql->getCampoN();
		}
		//Seleccionamos el identificador de esa organización
		$sql->query("SELECT idOrg FROM organizacion WHERE nombre='$organizacion'");
		$sql->ejecutarSQL();
		$id_org=$sql->getCampoN();
		//Seleccionamos los alumnos de esa organización
		$sql->query("SELECT * FROM campeonato WHERE id_campeonato='$id_champ'");
		$sql->ejecutarSQL();
		$numRegistro=$sql->getNumRegistros();
		if ($numRegistro > 0){
			$resulChamp=$sql->getUnRegistro();
			$id_tipoChamp=$resulChamp['tipo_evento'];
			$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
			$sql->ejecutarSQL();
			$resulTipoEvento=$sql->getUnRegistro();
			$tipo_evento=$resulTipoEvento['nombre'];
			//Selecciono el identificador de la plantilla. Lo necesitaré para establecer el rango de edades y averigüar la categoría del niño que se presenta al campeonato.
			$id_pl=$resulChamp['identificadorPlantilla'];
			//Selecciono a los alumnos de ese club
			$sql->query("SELECT * FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE users.organizacion='$organizacion' AND users.tipo='alumno'") or mysql_error();
			$sql->ejecutarSQL();
			$numRegistroAlum=$sql->getNumRegistros();
			if ($numRegistroAlum > 0){
				//Seleccionamos los alumnos de esa organización
				$resulAlum=$sql->getTodosRegistro();
				$sql->query("SELECT DISTINCT * FROM modalidades_campeonato LEFT JOIN modalidades ON (modalidades_campeonato.id_mod=modalidades.id_mod) WHERE id_champ='$id_champ'");
				$sql->ejecutarSQL();
				$mods=$sql->getTodosRegistro();
				$sql->query("SELECT DISTINCT * FROM pruebas_campeonato LEFT JOIN pruebas ON (pruebas_campeonato.id_prueba=pruebas.id_prueba) WHERE id_champ='$id_champ'");
				$sql->ejecutarSQL();
				$proofs=$sql->getTodosRegistro();
				//Seleccionamos las categorías de la plantilla para poder establecer el rango de edades y ver en qué categoría está el/la patinadora.
				$sql->query("SELECT * FROM categorias_campeonato LEFT JOIN categorias ON (categorias_campeonato.id_cat=categorias.id_cat) WHERE id_champ='$id_champ'") or mysql_error();
				$sql->ejecutarSQL();
				$numRegistroPl=$sql->getNumRegistros();
				$categorias_plantilla=$sql->getTodosRegistro();
				//Traducimos las categorías de la plantilla para poder filtrar a los alumnos
				//Lo que haremos será establecer un rango de edades para configurar la categoría de los alumnos
				//Después lo filtramos con las categorías seleccionadas del campeonato
				$alumnos_sin_filtrar = array();
				$categoria="";
				foreach ($resulAlum as &$alumno){
					if ($alumno['nacimiento']!=NULL){
						$fecha = time() - strtotime($alumno['nacimiento']) ;
						$edad = floor((($fecha / 3600) / 24) / 360);
						//Comprobamos en cada una de las categorias, que sea válido o no
						foreach ($categorias_plantilla as &$elem_cat){
							$menor=$elem_cat['desde'];
							$mayor=$elem_cat['hasta'];
							$edad1=$elem_cat['minimo'];
							$edad2=$elem_cat['maximo'];
							if (($menor=="Menos de")&&($mayor=="Menos de")){
								//La edad debe ser menor o igual que la primera pero siempre menor que la segunda.
								if (($edad<=$edad1)&&($edad<$edad2)){$categoria=$elem_cat['id_catChamp'];}
							}
							if (($menor=="Menos de")&&($mayor=="los")){
								//La edad puede menor o igual que la primera, o ser la segunda
								if (($edad<=$edad1)||($edad==$edad2)){$categoria=$elem_cat['id_catChamp'];}
							}
							if (($menor=="Menos de")&&($mayor=="Más de")){
								//El segundo número debe ser mayor o igual que el primero. No puede ser menor.
								if (($edad<=$edad1)||($edad>$edad2)){$categoria=$elem_cat['id_catChamp'];}
							}
							if (($menor=="los")&&($mayor=="los")){
								//Estamos con lo que debería ser más común. Desde los 8 hasta los 9.
								if (($edad==$edad1)||($edad==$edad2)){$categoria=$elem_cat['id_catChamp'];}
							}
							if (($menor=="los")&&($mayor=="Menos de")){
								//Si la edad es la primera y es menor que la segunda.
								if (($edad==$edad1)&&($edad<$edad2)){$categoria=$elem_cat['id_catChamp'];}
							}
							if (($menor=="los")&&($mayor=="Más de")){
								//Si la edad es la primera o es mayor que la segunda.
								if (($edad==$edad1)||($edad>$edad2)){$categoria=$elem_cat['id_catChamp'];}
							}
							if (($menor=="Más de")&&($mayor=="Menos de")){
								//Si es mayor que la primera y menor que la segunda.
								if (($edad>$edad1)&&($edad<$edad2)){$categoria=$elem_cat['id_catChamp'];}
							}
							if (($menor=="Más de")&&($mayor=="los")){
								//Edad mayor que la primera 
								if (($edad>$edad1)&&($edad<=$edad2)){$categoria=$elem_cat['id_catChamp'];}
							}
						}
						$alumno['categoria']=$categoria;
						$categoria="";
						$alumnos_sin_filtrar[]=$alumno;
						
					}
				}
				$alumnos=array();
				//Filtramos a los alumnos por categorías del campeonato
				foreach ($alumnos_sin_filtrar as &$alumno){
					foreach ($categorias_plantilla as &$elem_cat){
						if ($elem_cat['id_catChamp']==$alumno['categoria'])
							$alumnos[]=$alumno;
					}
				}
				//Número de alumnos que se pueden inscribir en el campeonato
				$numAlumnos=count($alumnos);
				$contador=0;
				$string0="Categorías: ";
				foreach ($categorias_plantilla as &$cat){
					$string0.=$cat['nombre'];
					if (($contador+1)==count($categorias_plantilla)) $string0.=".";
					else $string0.=", ";
					$contador++;
				}
				$contador=0;
				$string="Modalidades: ";
				foreach ($proofs as &$prueba){
					$var_id_mod=$prueba['id_mod'];
					$sql->query("SELECT nombre FROM modalidades WHERE id_mod='$var_id_mod' AND id_pl='$id_pl'");
					$sql->ejecutarSQL();
					$resultado=$sql->getUnRegistro();
					$var_nombre_mod=$resultado['nombre'];
					$string.=$var_nombre_mod." ";
					$string.=$prueba['nombre'];
					if (($contador+1)==count($proofs)) $string.=".";
					else $string.=", ";
					$contador++;
				}
				//Compruebo si ya hay alumnos inscritos
				//Selecciono a los alumnos inscritos en ese evento, si los hay
				$sql->query("SELECT inscripcion.*,users.idUser,users.licencia,users.username,users.apellidos,alumno.sexo FROM inscripcion LEFT JOIN users ON (inscripcion.id_user=users.idUser) LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE id_org='$id_org' AND id_champ='$id_champ'") or mysql_error();
				$sql->ejecutarSQL();
				$numRegistroAlumInscritos=$sql->getNumRegistros();
				$alumnos_inscritos=array();
				if ($numRegistroAlumInscritos > 0 ){
					$accion='mod';
					$resulAlumInscritos=$sql->getTodosRegistro();
					foreach ($resulAlumInscritos as &$alumno){
						$alumnos_inscritos[]=$alumno;
						$enviada=$alumno['visible'];
					}
				}
				echo "<div class=\"jumbotron\">
					<h1>".$resulChamp['nombreChamp']."</h1>
					<div class=\"row\">
						<div class=\"col-md-6\">
							<p>Lugar celebración: ".$resulChamp['lugar']."</p>
							<p>Fecha Inicio: ".$resulChamp['fecha']."</p>
							<p>Fecha Fin: ".$resulChamp['fecha_fin']."</p>
							<p>Nombre del Club que inscribe: ".$organizacion."</p>
						</div>
						<div class=\"col-md-6\">
							<p>".$string0."</p>
							<p>".$string."</p>
						</div>
					</div>
				</div>
				<div class=\"well\">
					<div class=\"container-fluid\">
						<form id=\"inscripciones-form\" action=\"modulos/documentos/inscripciones/gestRealizarIns.php\">
							<table id=\"tablaInscripciones\" class=\"table table-bordered table-responsive table-hover\">
								<thead>
									<tr>
										<th>Licencia</th>
										<th>Patinador</th>
										<th>Club</th>
										<th>Categoría</th>
										<th>Modalidad</th>
										<th>Prueba</th>
										<th>Relación</th>
										<th>Género</th>
									</tr>
								</thead>
								<tbody>";
								if ($accion=='mod'){
									foreach ($alumnos_inscritos as &$alumno){
										$var_id_catChamp=$alumno['categoria'];
										$sql->query("SELECT nombre FROM categorias LEFT JOIN categorias_campeonato ON (categorias_campeonato.id_cat=categorias.id_cat) WHERE id_catChamp='$var_id_catChamp'");
										$sql->ejecutarSQL();
										$resultado=$sql->getUnRegistro();
										$categoriña=$resultado['nombre'];
										$var_id_mod_champ=$alumno['modalidad'];
										$sql->query("SELECT nombre FROM modalidades LEFT JOIN modalidades_campeonato ON (modalidades_campeonato.id_mod=modalidades.id_mod) WHERE id_mod_champ='$var_id_mod_champ'");
										$sql->ejecutarSQL();
										$resultado=$sql->getUnRegistro();
										$modalidadiña=$resultado['nombre'];
										$var_id_prueba_champ=$alumno['prueba'];
										$sql->query("SELECT nombre FROM pruebas LEFT JOIN pruebas_campeonato ON (pruebas_campeonato.id_prueba=pruebas.id_prueba) WHERE id_prueba_champ='$var_id_prueba_champ'");
										$sql->ejecutarSQL();
										$resultado=$sql->getUnRegistro();
										$pruebiña=$resultado['nombre'];
										echo "<tr><td>".$alumno['licencia']."<input type=\"hidden\" value=\"".$alumno['idUser']."\" name=\"id_user\"></td>
										<td>".$alumno['username']." ".$alumno['apellidos']."</td>
										<td>".$organizacion."</td>
										<td>".$categoriña."<input type=\"hidden\" value=\"".$alumno['categoria']."\" name=\"categoria\"></td>
										<td>".$modalidadiña."<input type=\"hidden\" value=\"".$alumno['modalidad']."\" name=\"modalidad\"></td>
										<td>".$pruebiña."<input type=\"hidden\" value=\"".$alumno['prueba']."\" name=\"prueba\"></td>";
										$relacion=$alumno['id_relacion'];
										if ($relacion==$alumno['idUser']) echo "<td>Ninguna<input type=\"hidden\" value=\"".$alumno['id_relacion']."\" name=\"relacion\"></td>";
										else{
											$sql->ejecutarSQL("SELECT username,apellidos FROM users  WHERE idUser='$relacion'");
											$relacion_alumno=$sql->getUnRegistro();
											echo "<td>".$relacion_alumno['username']." ".$relacion_alumno['apellidos']."<input type=\"hidden\" value=\"".$alumno['id_relacion']."\" name=\"relacion\"></td>";
										}
										echo "
										<td>".$alumno['sexo']."</td><input type=\"hidden\" value=\"".$enviada."\" name=\"enviada\">
										<td onClick=\"borrar_registro($(this).closest('tr').index());\"><span title=\"Borra al alumno\" class=\"glyphicon glyphicon-remove\"></span></td></tr>";
									}
								}
								echo "
								</tbody>
							</table>
						</form>
					</div>
					<div class=\"container-fluid\">";
						if ($numAlumnos > 0){
							echo "
							<div class=\"panel panel-default\">
								<div class=\"panel-heading\">
									<h3 class=\"panel-title\" id=\"tituloPanel\">Añadir</h3>
								</div>
							<div class=\"panel-body\">
								<div class=\"form-group\">
									<span class=\"help-block\">Nombre y apellidos</span>
									<select class=\"form-control\" id=\"select-alumno\">
										<option value=\"-1\" selected>Seleccione alumno</option>";
										foreach ($alumnos as &$alumno){
											echo "<option value=\"".$alumno['idUser']."\">".$alumno['username']." ".$alumno['apellidos']."</option>";
										}
									  echo "
									</select>
								</div>
								<div id=\"info_alumn\" style=\"display:none;\">
									<div class=\"form-group\">
										<span class=\"help-block\">Género</span>
										<p class=\"form-control-static\" id=\"sexo\"></p>
										<input type=\"hidden\" id=\"id_alumno\">
									</div>
									<div class=\"form-group\">
										<span class=\"help-block\">Año nacimiento</span>
										<p class=\"form-control-static\" id=\"nacimiento\"></p>
									</div>
									<div class=\"form-group\">
										<span class=\"help-block\">Categoría</span>
										<p class=\"form-control-static\" id=\"categoria\"></p>
										<input type=\"hidden\" id=\"categoria2\">
									</div>
									<div class=\"form-group\">
										<span class=\"help-block\">Modalidad</span>
										<select class=\"form-control\" id=\"select-mod\">
										</select>
									</div>
									<div class=\"form-group\">
										<span class=\"help-block\">Prueba</span>
										<select class=\"form-control\" id=\"select-proof\">
											<option selected value=\"-1\">Seleccione prueba</option>
										</select>
									</div>
									<div class=\"form-group\" id=\"relacion\">
										<span class=\"help-block\">Relacionado con</span>
										<select class=\"form-control\" id=\"select-relacion\">
											<option value=\"-1\" selected>Seleccione alumno</option>
										</select>
									</div>
									<div class=\"form-group\">
										<span class=\"help-block\">Licencia</span>
										<p class=\"form-control-static\" id=\"licencia\"></p>
									</div>
									<div class=\"form-group\">
										<button type=\"button\" class=\"btn btn-success\" id=\"addButton\">Añadir</button>
										<br>
										<br>
										<div id=\"error_modalidad\"></div>
										<div id=\"error_prueba\"></div>
										<div id=\"error_competidos\"></div>
									</div>
								</div>
							</div>
						</div>";
						}
						else echo $noAlumInscribir;
					echo "
					<div>
				</div>";
				if ($enviada=='1') echo "<button type=\"button\" class=\"btn btn-primary pull-left\" title=\"Las inscripciones ya han sido enviadas. Guarde las modificaciones mientras se lo permita.\" onClick=\"enviar('".$accion."');\">Guardar inscripciones</button>&nbsp;";
				else echo "<button type=\"button\" class=\"btn btn-primary pull-left\" title=\"Guarde las inscripciones para modificarlas en cualquier momento. No serán oficiales hasta que las envíe. Para enviarlas haga clíck en el botón de Enviar inscripciones.\" onClick=\"enviar('".$accion."');\">Guardar borrador inscripciones</button>&nbsp;";
				if ($enviada=='1')
					echo "<button type=\"button\" class=\"btn btn-success\" title=\"Las inscripciones ya han sido enviadas.\" disabled=\"disabled\">Inscripciones ya enviadas</button>&nbsp;";
				else
					echo "<button type=\"button\" class=\"btn btn-success\" title=\"Enviar inscripciones al evento. Una vez enviadas podrá modificarlas hasta que el evento no esté disponible.\" onClick=\"enviar('send');\">Enviar inscripciones</button>&nbsp;";
				if ($accion=='mod')
					echo "<button type=\"button\" class=\"btn btn-danger\" onClick=\"enviar('delete');\">Eliminar inscripciones</button>";
				echo "
				<script>
				
				$( \"#select-alumno\" ).change(function() {
					var idUser=$('#select-alumno option:selected').val();
					$('#info_alumn').fadeOut();
					if (idUser>-1){
						var usuarios= new Array();
						";
						$i=0;
						foreach ($alumnos as &$alumno){
							$var_id_catChamp=$alumno['categoria'];
							$sql->query("SELECT nombre FROM categorias LEFT JOIN categorias_campeonato ON (categorias_campeonato.id_cat=categorias.id_cat) WHERE id_catChamp='$var_id_catChamp'");
							$sql->ejecutarSQL();
							$resultado=$sql->getUnRegistro();
							$categoria=$resultado['nombre'];
							//[0] --> idUser,  [1] --> licencia, [2] --> sexo (género), [3] --> nacimiento (fecha de nacimiento), [4] --> categoría (identificador de la categoría), [5] --> categoría (identificador de la categoría), [6] --> id_alumno
							echo "var arrayTemp".$i."=new Array(".$alumno['idUser'].",".$alumno['licencia'].",'".$alumno['sexo']."','".$alumno['nacimiento']."','".$alumno['categoria']."','".$categoria."','".$alumno['id_alumno']."');";
							echo "usuarios[".$i."]=arrayTemp".$i.";";
							$i++;
						}
						echo "
						var alumno = new Array();
						for (i=0;i<usuarios.length;i++){
							if (usuarios[i][0]==idUser) alumno[0]=usuarios[i];
						}
						$('#licencia').empty().append(alumno[0][1]);
						$('#sexo').empty().append(alumno[0][2]);
						$('#nacimiento').empty().append(alumno[0][3]);
						$('#categoria').empty().append(alumno[0][5]);
						$('#categoria2').val(alumno[0][4]);
						$('#id_alumno').val(alumno[0][6]);
						rellenoModalidades();
						$( '#select-proof' ).empty();
						$('#relacion').hide();
						$('#select-relacion option[value=-1]').attr('selected',true);
						$('#error_modalidad').empty();
						$('#error_prueba').empty();
						$('#error_competidos').empty();
						$('#info_alumn').fadeIn();
					}
				});
				function rellenoModalidades(){
					var tipo;
					var cuerpo='<option selected value=\"-1\">Seleccione modalidad</option>';";
					foreach ($mods as &$modalidad){
						
						echo "cuerpo+='<option value=\"".$modalidad['id_mod_champ']."\">".$modalidad['nombre']."</option>';";
					}
					echo "
					$( \"#select-mod\" ).empty().append(cuerpo);
				}
				$( '#select-mod' ).change(function() {
					var valor=$('#select-mod option:selected').text();
					var id_mod_champ=$('#select-mod option:selected').val();
					var mods= new Array();";
					$i=0;
					foreach ($mods as &$modalidad){
						echo "var arrayTemp".$i."=new Array('".$modalidad['id_mod_champ']."','".$modalidad['tipo']."');";
						echo "mods[".$i."]=arrayTemp".$i.";";
						$i++;
					}
					echo "
					for (i=0;i<mods.length;i++){
						if (id_mod_champ==mods[i][0])
							var tipoAns=mods[i][1];
					}
					if (tipoAns=='ind') var tipo='Individual';
					if (tipoAns=='group') var tipo='Grupo';
					if (tipoAns=='par') var tipo='Pareja';
					rellenoPruebas(valor,tipo);
					if ((tipo!='Pareja')&&(tipo!='Grupo')){
						$('#select-relacion option[value=-1]').attr('selected',true);
						$('#relacion').hide();
					}
					var id_alumno=$('#id_alumno').val();
					";
					$sql->query("SELECT * FROM alumno_pruebas WHERE tipoChamp='$tipo_evento'");
					$sql->ejecutarSQL();
					$numReg=$sql->getNumRegistros();
					if ($numReg > 0){
						$res=$sql->getTodosRegistro();
						$i=0;
						foreach ($res as &$resultado){
							echo "var arrayTemp".$i."=new Array('".$resultado['id_alumno']."','".$resultado['modalidad']."','".$resultado['prueba']."','".$resultado['competidos']."');";
							echo "mods[".$i."]=arrayTemp".$i.";";
							$i++;
						}
					}
					echo "
					var alumno = new Array();
					var esMod= 0;
					for (i=0;i<mods.length;i++){
						if (mods[i][0]==id_alumno) alumno[0]=mods[i];
						if (alumno.length>0)
							if (alumno[0][1]==valor) esMod=1;
					}
					$('#error_modalidad').empty();
					if (esMod==0){
						var texto='<div class=\"alert alert-warning\" style=\"text-align:center;\">La modalidad seleccionada no coincide con la que tiene aprobada el alumno. Es posible que no tenga porqué coincidir o que no se haya definido.</div>';
						$('#error_modalidad').append(texto);
					}
				});
				function rellenoPruebas(mod,tipo){
					var pruebas= new Array();
					";
					$i=0;
					foreach ($proofs as &$prueba){
						$var_id_mod=$prueba['id_mod'];
						$sql->query("SELECT nombre FROM modalidades WHERE id_mod='$var_id_mod' AND id_pl='$id_pl'");
						$sql->ejecutarSQL();
						$resultado=$sql->getUnRegistro();
						$var_nombre_mod=$resultado['nombre'];
						//[0] --> modalidad,  [1] --> prueba
						echo "var arrayTemp".$i."=new Array('".$var_nombre_mod."','".$prueba['nombre']."','".$prueba['id_prueba_champ']."');";
						echo "pruebas[".$i."]=arrayTemp".$i.";";
						$i++;
					}
					echo "
					if (tipo!='Individual'){
						rellenoRelacion();
						$('#relacion').show();
					}
					var prueba = new Array();
					var contadorPrueba=0;
					for (i=0;i<pruebas.length;i++){
						if (pruebas[i][0]==mod){
							prueba[contadorPrueba]=pruebas[i];
							contadorPrueba++;
						}
					}
					var cuerpo='<option selected value=\"-1\">Seleccione prueba</option>';
					for (i=0;i<prueba.length;i++){
						cuerpo+='<option value=\"' + prueba[i][2] + '\">' + prueba[i][1] + '</option>';
					}
					$( \"#select-proof\" ).empty().append(cuerpo);
				}
				$('#select-proof').change(function() {
					var valor=$('#select-proof option:selected').text();
					var valorMod=$('#select-mod option:selected').text();
					$('#error_prueba').empty();
					$('#error_competidos').empty();
					var id_alumno=$('#id_alumno').val();
					var proofs= new Array();
					";
					$sql->query("SELECT * FROM alumno_pruebas WHERE tipoChamp='$tipo_evento'");
					$sql->ejecutarSQL();
					$numReg=$sql->getNumRegistros();
					if ($numReg > 0){
						$res=$sql->getTodosRegistro();
						$i=0;
						foreach ($res as &$resultado){
							echo "var arrayTemp".$i."=new Array('".$resultado['id_alumno']."','".$resultado['modalidad']."','".$resultado['prueba']."','".$resultado['competidos']."');";
							echo "proofs[".$i."]=arrayTemp".$i.";";
							$i++;
						}
					}
					echo "
					var esProof=0;
					var alumno = new Array();
					var competidos= -1;
					for (i=0;i<proofs.length;i++){
						if (proofs[i][0]==id_alumno) alumno[0]=proofs[i];
						if (alumno.length>0)
							if (alumno[0][1]==valorMod){
								if (alumno[0][2]==valor){
									esProof=1;
									competidos=alumno[0][3];
								}
							}
					}
					if (esProof==0){
						var texto='<div class=\"alert alert-warning\" style=\"text-align:center;\">La prueba seleccionada no coincide con la que tiene aprobada el alumno. Es posible que no tenga porqué coincidir o que no se haya definido.</div>';
						$('#error_prueba').append(texto);
					}
					if (competidos==-1){
						var texto='<div class=\"alert alert-warning\" style=\"text-align:center;\">El número de años competidos no está definido.</div>';
						$('#error_competidos').append(texto);
					}
					if (competidos>=2){
						var texto='<div class=\"alert alert-danger\" style=\"text-align:center;\">El número de años competidos en esta prueba es de: ' + competidos + ' años.</div>';
						$('#error_competidos').append(texto);
					}
				});
				function rellenoRelacion(){
					var categoria=$('#categoria2').val();
					var usuarios= new Array();
						";
						$i=0;
						foreach ($alumnos as &$alumno){
							//[0] --> idUser,  [1] --> nombre, [2] --> apellidos [3] --> categoría
							echo "var arrayTemp".$i."=new Array(".$alumno['idUser'].",'".$alumno['username']."','".$alumno['apellidos']."','".$alumno['categoria']."');";
							echo "usuarios[".$i."]=arrayTemp".$i.";";
							$i++;
						}
						echo "
						var alumno = new Array();
						var j=0;
						for (i=0;i<usuarios.length;i++){
							if (usuarios[i][3]==categoria){
								alumno[j]=usuarios[i];
								j++;
							}
						}
						var cuerpo='<option selected value=\"-1\">Seleccione alumno</option>';
						for (i=0;i<alumno.length;i++){
							cuerpo+='<option value=\"' + alumno[i][0] + '\">' + alumno[i][1] + ' ' + alumno[i][2] + '</option>';
						}
						$( \"#select-relacion\" ).empty().append(cuerpo);
				}
				$( '#addButton' ).click(function() {
					var error=0;
					if ($('#select-alumno option:selected').val()==-1) error=1;
					if ($('#licencia').text()==0) error=2;
					if ($('#select-mod option:selected').val()==-1) error=3;
					if ($('#select-proof option:selected').val()==-1) error=4;
					if ($('#nacimiento').text()=='0000-00-00') error=5;
					var mods= new Array();";
					$i=0;
					foreach ($mods as &$modalidad){
						echo "var arrayTemp".$i."=new Array('".$modalidad['id_mod_champ']."','".$modalidad['tipo']."');";
						echo "mods[".$i."]=arrayTemp".$i.";";
						$i++;
					}
					echo "
					var id_mod_champ=$('#select-mod option:selected').val();
					for (i=0;i<mods.length;i++){
						if (id_mod_champ==mods[i][0])
							var tipoAns=mods[i][1];
					}
					if (tipoAns=='ind') var tipo='Individual';
					if (tipoAns=='group') var tipo='Grupo';
					if (tipoAns=='par') var tipo='Pareja';
					switch(error)
					{
					case 0:
						añadirAlumno(tipo);
						break;
					case 1:
						alert('El alumno no está seleccionado.');
						break;
					case 2:
						alert('El alumno no tiene licencia.');
						break;
					case 3:
						alert('Debe seleccionar una modalidad.');
						break;
					case 4:
						alert('Debe seleccionar una prueba.');
						break;
					case 5:
						alert('La edad no está bien definida.');
						break;
					default:
						alert('Revise los datos.');
					}
				});
				function añadirAlumno(tipo){
					var nombre_comp,modalidad_comp;
					var nombre_seleccionado=$('#select-alumno option:selected').text();
					var idUser=$('#select-alumno option:selected').val();
					var modalidad_seleccionada=$('#select-mod option:selected').text();
					var add=1;
					$('#tablaInscripciones tr').each(function(){
						nombre_comp=$(this).find('td:nth-child(2)').text();
						modalidad_comp=$(this).find('td:nth-child(5)').text();
						if ((modalidad_comp==modalidad_seleccionada)&&(nombre_comp==nombre_seleccionado)){
							alert('No se puede añadir al mismo alumno con la misma modalidad');
							add=0;
						}
					});
					if (add==1){
						var cuerpo='';
						var relacion=$('#select-relacion option:selected').val();
						var valorRelacion=$('#select-relacion option:selected').text();
						var licencia=$('#licencia').text();
						var nombre=$('#select-alumno option:selected').text();
						var club='".$organizacion."';
						var categoria=$('#categoria').text();
						var categoria2=$('#categoria2').val();
						var modalidad=$('#select-mod option:selected').text();
						var modalidad2=$('#select-mod option:selected').val();
						var prueba=$('#select-proof option:selected').text();
						var prueba2=$('#select-proof option:selected').val();
						var sexo=$('#sexo').text();
						var error=0;
						if ((relacion==idUser)&&(tipo!='Individual')) error='No puede añadirse a si mismo como compañero.';
						if ((relacion==-1)&&(tipo!='Individual')) error='Debe seleccionar un compañero.';
						$('#tablaInscripciones tr').each(function(){
							nombre_comp=$(this).find('td:nth-child(2)').text();
							modalidad_comp=$(this).find('td:nth-child(5)').text();
							if ((modalidad_comp==modalidad_seleccionada)&&(nombre_comp==valorRelacion)){
								error='No se puede añadir al mismo alumno con la misma modalidad';
							}
						});
						if (error==0){
							cuerpo+='<tr><td>' + licencia + '<input type=\"hidden\" value=\"' + idUser + '\" name=\"id_user\"></td>';
							cuerpo+='<td>' + nombre + '</td>';
							cuerpo+='<td>' + club + '</td>';
							cuerpo+='<td>' + categoria + '<input type=\"hidden\" value=\"' + categoria2 + '\" name=\"categoria\"></td>';
							cuerpo+='<td>' + modalidad + '<input type=\"hidden\" value=\"' + modalidad2 + '\" name=\"modalidad\"></td>';
							cuerpo+='<td>' + prueba + '<input type=\"hidden\" value=\"' + prueba2 + '\" name=\"prueba\"></td>';
							if (relacion!=-1) cuerpo+='<td>' + valorRelacion + '<input type=\"hidden\" value=\"' + relacion + '\" name=\"relacion\"></td>';
							else cuerpo+='<td>Ninguna<input type=\"hidden\" value=\"' + relacion + '\" name=\"relacion\"></td>';
							cuerpo+='<td>' + sexo + '</td><input type=\"hidden\" value=\"".$enviada."\" name=\"enviada\">';
							cuerpo+='<td onClick=\"borrar_registro($(this).closest(\'tr\').index());\"><span title=\"Borra al alumno\" class=\"glyphicon glyphicon-remove\"></span></td></tr>';
							if ((relacion!=-1)&&(tipo!='Individual')){
								var usuarios= new Array();
								";
								$i=0;
								foreach ($alumnos as &$alumno){
									$var_id_catChamp=$alumno['categoria'];
									$sql->query("SELECT nombre FROM categorias LEFT JOIN categorias_campeonato ON (categorias_campeonato.id_cat=categorias.id_cat) WHERE id_catChamp='$var_id_catChamp'");
									$sql->ejecutarSQL();
									$resultado=$sql->getUnRegistro();
									$categoria=$resultado['nombre'];
									//[0] --> idUser,  [1] --> licencia, [2] --> sexo (género), [3] --> nacimiento (fecha de nacimiento), [4] --> categoría (identificador de la categoría),[5] --> categoría, [6] --> id_alumno
									echo "var arrayTemp".$i."=new Array(".$alumno['idUser'].",".$alumno['licencia'].",'".$alumno['sexo']."','".$alumno['nacimiento']."','".$alumno['categoria']."','".$categoria."','".$alumno['id_alumno']."');";
									echo "usuarios[".$i."]=arrayTemp".$i.";";
									$i++;
								}
								echo "
								var alumno = new Array();
								for (i=0;i<usuarios.length;i++){
									if (usuarios[i][0]==relacion) alumno[0]=usuarios[i];
								}
								cuerpo+='<tr><td>' + alumno[0][1] + '<input type=\"hidden\" value=\"' + relacion + '\" name=\"id_user\"></td>';
								cuerpo+='<td>' + valorRelacion + '</td>';
								cuerpo+='<td>' + club + '</td>';
								cuerpo+='<td>' + alumno[0][5] + '<input type=\"hidden\" value=\"' + alumno[0][4] + '\" name=\"categoria\"></td>';
								cuerpo+='<td>' + modalidad + '<input type=\"hidden\" value=\"' + modalidad2 + '\" name=\"modalidad\"></td>';
								cuerpo+='<td>' + prueba + '<input type=\"hidden\" value=\"' + prueba2 + '\" name=\"prueba\"></td>';
								cuerpo+='<td>' + nombre + '<input type=\"hidden\" value=\"' + idUser + '\" name=\"relacion\"></td>';
								cuerpo+='<td>' + alumno[0][2] + '</td><input type=\"hidden\" value=\"".$enviada."\" name=\"enviada\">';
								cuerpo+='<td onClick=\"borrar_registro($(this).closest(\'tr\').index());\"><span title=\"Borra al alumno\" class=\"glyphicon glyphicon-remove\"></span></td></tr>';
							}
							$('#tablaInscripciones tbody').append(cuerpo);
							//Deseleccionamos al alumno de añadir
							$('#select-alumno option:selected').attr('selected',false);
							$('#info_alumn').fadeOut();
						}
						else alert(error);
					}
				}
				function enviar(tipo){
					//Esta es la función que recoge todas las variables y las guarda en la base de datos. La del formulario.
					$('#inscripciones-form').append('<input type=\"hidden\" name=\"tipo\" value=\"' + tipo + '\"/>');
					$('#inscripciones-form').submit();
					
				}
				$('#inscripciones-form').submit(function(event) {
					  //Evita que se ejecute el botón de submit
					  event.preventDefault();
					  tipo = $(this).find( 'input[name=\"tipo\"]' ).val();
					  $('#inscripciones-form input[name=\"tipo\"]').remove();
					  if (tipo=='crear')
						var texto='¿Desea guardar el borrador de las inscripciones? Para enviarlas debe seleccionar Enviar inscripciones.';
					  if (tipo=='mod')
						var texto='¿Desea modificar el borrador de las inscripciones? Si las ha enviado, las modificaciones se enviarán automáticamente al evento.';
					  if (tipo=='send')
						var texto='¿Desea enviar las inscripciones? Una vez hecho, podrá modificarlas hasta que el organizador deje de aceptar inscripciones.';
					  if (tipo=='delete')
						var texto='¿Desea borrar las inscripciones? Una vez hecho, podrá volver a hacer nuevas inscripciones. Pero tendrá que enviarlas de nuevo.';
						  if (confirm(texto)){
							  //Serializamos el formulario
							  arr= $(this).serializeArray();
							  data = JSON.stringify(arr);
							  if (data=='[]') alert('No hay datos para enviar.');
							  else{
									term1= '".$id_champ."';
									term2 = '".$id_org."';
									term3 = tipo;
									var form = $( this ),
									url = form.attr( 'action' );
									//Envía los datos mediante jquery y json
									var posting = $.post( url, { id_champ: term1, id_org: term2, state:term3, datos: data } );
									//Devuelve los resultados en data.
									posting.done(function( data ) {
										if (data == 1) alert('Ya se han realizado las inscripciones para este campeonato. Para modificarlas diríjase a Modificar inscripciones.');
										if (data == -1) alert('No puede realizar las inscripciones para este campeonato. Puede que sea porque ya no se reciben más inscripciones o porque la organización que maneja el evento lo haya decidido así.');
										if (data == 0){
											alert('Datos guardados correctamente.');
											actualizar('#centro','modulos/documentos/inscripciones/realizarInscripciones.php?crear');
										}
									});
							  }
						  }
					});
				</script>";
			}
			else
				echo $noAlum;
		}
	}
}
else echo $resultado;
?>
