<?php
/*
/*
-----------------------------------------------------------------------------------------------------------
							Lista de inscritos
-----------------------------------------------------------------------------------------------------------							
			Operaciones que se pueden realizar:
			1) Generar lista de inscritos al campeonato
										CONDICIONES
			1) Un responsable del club y de la federación puede realizar estas acciones.
			2) Un gestor de papeles asignado a este evento, podrá realizar estas acciones.
			
*/
session_start();
include_once('../../../bbdd/general.php');
include_once('../../../clases/sCphp.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../../clases/cMySQL.php');
$sql= new cMySQL(); 
$sql->conectar();
//Debe estar registrado en el sistema. Nivel de seguridad 1.
$sCphp= new sCphp(); 
//Debe ser un responsable del club o un gestor de papeles asignado al evento. Nivel de seguridad 2.
//Función que comprueba si se está registrado y se es un responsable del club, o un gestor.
$resultado=$sCphp->controlRegistro(array('club','gestor','federacion'),4);
if ($resultado==1){
	if ((isset($_GET['crear']))&&($_GET['crear']=='')){
		$correo=$sCphp->val('correo');
		$rol=$sCphp->val('tipo');
		//Si es un responsable del club, lo haremos de la siguiente forma.
		if (($sCphp->esRol("club"))||($sCphp->esRol("federacion"))){
			$organizacion=$sCphp->val('org');
			//Guardamos al creador de la organización
			$creator=$sCphp->val('creador');
			$mundo=$sCphp->val('pais');
			$pueblo=$sCphp->val('region');
			echo "<h2 style='text-align:center;'>Gestión de documentos ";
			//Selecciono solo los campeonatos que yo he creado
			$sql->ejecutarSQL("SELECT * FROM campeonato LEFT JOIN organizacion ON (campeonato.creadorChamp=organizacion.creador) LEFT JOIN plantilla ON (campeonato.identificadorPlantilla=plantilla.id_plantilla) WHERE campeonato.creadorChamp='$creator'") or DIE("No");
			$numRegistrosJOIN0=$sql->getNumRegistros();
			$registroJOIN0=$sql->getTodosRegistro();
			echo "<script type=\"text/javascript\" src=\"js/tablas.js\"></script><small>Lista de inscritos</small></h2>";
			echo "<br><p>Seleccione el evento en el que va a trabajar:</p>";
			if ($numRegistrosJOIN0 > 0){
				echo "<div><div class=\"well\">
				<table class='table table-condensed table-hover table-responsive' id=\"tablas\">
					<thead>
						<tr>
							<th>Nombre campeonato</th>
							<th>Tipo</th>
							<th>Plantilla utilizada</th>
							<th>Organización</th>
							<th>Fecha celebración</th>
							<th>País</th>
							<th>Región</th>
						</tr>
					</thead>
					<tbody>";
				foreach ($registroJOIN0 as &$resultado){
					$id_tipoChamp=$resultado['tipo_evento'];
					$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
					$sql->ejecutarSQL();
					$resulTipoEvento=$sql->getUnRegistro();
					$tipo_evento=$resulTipoEvento['nombre'];
					$tiempo=strtotime($resultado['fecha']);
					echo "<tr style=\"cursor: pointer;\"><td>".$resultado['nombreChamp']."<input type=\"hidden\" id=\"nombreChamp\" value=\"".$resultado['nombreChamp']."\"><input type=\"hidden\" id=\"id_champ\" value=\"".$resultado['id_campeonato']."\"></td>
					<td>".$tipo_evento."</td>
					<td>".$resultado['nombre_pl']."<input type=\"hidden\" id=\"id_pl\" value=\"".$resultado['identificadorPlantilla']."\"></td>
					<td>".$resultado['nombre']."</td>
					<td>".date('d-m-Y',$tiempo)."</td>
					<td>".$paises[$resultado['pais']]."</td>
					<td>".$regiones[$resultado['pais']][$resultado['region']]."</td>
					</tr>";	
				}
				echo "</tbody>
					</table></div></div>";
			}
			echo "<script>
				$('#tablas tr:not(:first)').click(function(){
					var correOrg = '".$creator."';
					var nombre_champ = $(this).find(\"input[id=nombreChamp]\").val();
					var id_champ = $(this).find(\"input[id=id_champ]\").val();
					var id_pl = $(this).find(\"input[id=id_pl]\").val();
					var pl='modulos/documentos/inscripciones/listaInscritos.php?crear=' + id_champ + '&id=' + id_pl + '&correo=' + correOrg;
					var texto='¿Deseas generar la lista de inscritos en el evento: ' + nombre_champ + '?';
					if (confirm(texto)) actualizar('#centro', pl);
				});
				</script>";
		
		}
		//Si es un gestor de papeles, lo haremos de la siguiente forma.
		if ($sCphp->esRol("gestor")){
			$sql->ejecutarSQL("SELECT * FROM asignaciones LEFT JOIN campeonato ON (campeonato.id_campeonato=asignaciones.identificadorCampeonato) LEFT JOIN plantilla ON (campeonato.identificadorPlantilla=plantilla.id_plantilla) LEFT JOIN organizacion ON (campeonato.creadorChamp=organizacion.creador) WHERE asignaciones.correoGestor='$correo' AND (asignaciones.accion='todo' OR asignaciones.accion='resto')") or DIE("No");
			$numRegistrosJOIN=$sql->getNumRegistros();
			if ($numRegistrosJOIN > 0){
				$registroJOIN=$sql->getTodosRegistro();
				echo "<h2 style='text-align:center;'>Gestión de documentos ";
				echo "<script type=\"text/javascript\" src=\"js/tablas.js\"></script><small>Lista de inscritos</small></h2><br><p>Seleccione el evento en el que va a trabajar:</p>";
				echo "<div class=\"well\">
				<table class='table table-condensed table-hover table-responsive' id=\"tablas\">
					<thead>
						<tr>
							<th>Nombre campeonato</th>
							<th>Tipo</th>
							<th>Plantilla utilizada</th>
							<th title=\"Organización que te ha asignado para que realices el listado\">Organización</th>
							<th>Fecha celebración</th>
							<th>País</th>
							<th>Región</th>
						</tr>
					</thead>
					<tbody>";
				foreach ($registroJOIN as &$resultado){
					$id_tipoChamp=$resultado['tipo_evento'];
					$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
					$sql->ejecutarSQL();
					$resulTipoEvento=$sql->getUnRegistro();
					$tipo_evento=$resulTipoEvento['nombre'];
					$creator=$resultado['correoCreador'];
					$id_champ=$resultado['identificadorCampeonato'];
					$tiempo=strtotime($resultado['fecha']);
					//Selecciono el nombre de la organización que ha asignado al gestor de documentos para que realice las inscripciones.
					$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE creador='$creator'");
					$org_name=$sql->getCampoN();
					echo "<tr style=\"cursor: pointer;\"><td>".$resultado['nombreChamp']."<input type=\"hidden\" id=\"nombreChamp\" value=\"".$resultado['nombreChamp']."\"><input type=\"hidden\" id=\"id_champ\" value=\"".$resultado['id_campeonato']."\"></td>
					<td>".$tipo_evento."</td>
					<td>".$resultado['nombre_pl']."<input type=\"hidden\" id=\"id_pl\" value=\"".$resultado['identificadorPlantilla']."\"></td>
					<td>".$org_name."</td>
					<td>".date('d-m-Y',$tiempo)."</td>
					<td>".$paises[$resultado['pais']]."</td>
					<td>".$regiones[$resultado['pais']][$resultado['region']]."</td>
					<input type=\"hidden\" id=\"correOrg\" value=\"".$creator."\">
					</tr>";	
				}
				echo "</tbody>
					</table>
				</div>";
				echo "<div class=\"alert alert-warning\"><span class=\"glyphicon glyphicon-warning-sign\"></span> El campo <b>Organización</b> es el club que te ha asignado para que realices las inscripciones. Para seleccionar las inscripciones de un club determinado, debes seleccionarlo desde aquí.</div>";
				echo "<script>
				$('#tablas tr:not(:first)').click(function(){
					var correOrg = $(this).find(\"input[id=correOrg]\").val();
					var nombre_champ = $(this).find(\"input[id=nombreChamp]\").val();
					var id_champ = $(this).find(\"input[id=id_champ]\").val();
					var id_pl = $(this).find(\"input[id=id_pl]\").val();
					var pl='modulos/documentos/inscripciones/listaInscritos.php?crear=' + id_champ + '&id=' + id_pl + '&correo=' + correOrg;
					var texto='¿Deseas generar la lista de inscritos en el evento: ' + nombre_champ + '?';
					if (confirm(texto)) actualizar('#centro', pl);
				});
				</script>";
			}
			else echo $gestor1noChamps;
		}
	}
	//Ya hemos seleccionado el campeonato en el que vamos a trabajar
	if (((isset($_GET['crear']))&&($_GET['crear']!=''))){
		$id_champ=$_GET['crear'];
		$id_pl=$_GET['id'];
		echo "<h2 style='text-align:center;'>Gestión de documentos ";
		echo "<script type=\"text/javascript\" src=\"js/documentos.js\"></script><small>Lista de Inscritos</small></h2><br>";
		//Se generan automáticamente la lista de inscritos.
		$sql->query("SELECT DISTINCT * FROM inscripcion WHERE id_champ='$id_champ' AND visible='1' ORDER BY id_org,modalidad,prueba,categoria");
		$sql->ejecutarSQL();
		$numRegistro=$sql->getNumRegistros();
		if ($numRegistro > 0){
			$inscripciones=$sql->getTodosRegistro();
			$correo=$sCphp->val('correo');
			if (isset($_GET['correo'])) $creador=$_GET['correo'];
			else $creador=$sCphp->val('creador');
			//Antes debemos averigüar si es un responsable del club o un gestor
			if ($sCphp->esRol("club")) $organizacion=$sCphp->val('org');
			else{
				$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE creador='$creador'");
				$numRegistrosJOIN=$sql->getNumRegistros();
				if ($numRegistrosJOIN > 0){
					$organizacion=$sql->getCampoN();
				}
			}
			//Hago esta consulta porque no tengo de qué tipo son las modalidades (individual, parejas).
			$sql->query("SELECT * FROM campeonato WHERE id_campeonato='$id_champ'") or mysql_error();
			$sql->ejecutarSQL();
			$resulChamp=$sql->getUnRegistro();
			$sql->query("SELECT DISTINCT * FROM modalidades_campeonato LEFT JOIN modalidades ON (modalidades_campeonato.id_mod=modalidades.id_mod) WHERE id_champ='$id_champ'");
			$sql->ejecutarSQL();
			$mods=$sql->getTodosRegistro();
			$sql->query("SELECT DISTINCT * FROM pruebas_campeonato LEFT JOIN pruebas ON (pruebas_campeonato.id_prueba=pruebas.id_prueba) WHERE id_champ='$id_champ'");
			$sql->ejecutarSQL();
			$proofs=$sql->getTodosRegistro();
			//Seleccionamos las categorías de la plantilla para poder establecer el rango de edades y ver en qué categoría está el/la patinadora.
			$sql->query("SELECT * FROM categorias_campeonato LEFT JOIN categorias ON (categorias_campeonato.id_cat=categorias.id_cat) WHERE id_champ='$id_champ'") or mysql_error();
			$sql->ejecutarSQL();
			$numRegistroPl=$sql->getNumRegistros();
			$cats=$sql->getTodosRegistro();
			//Necesito una tabla general con todos los participantes. Numeración, Licencia, Nombre (nombre y apellidos), Año, Categoría, Género, Tipo (individual, parejas), Inscripcion (modalidad),Club.
			//Necesito una segunda tabla categorizando a los alumnos por: 1 - Modalidad, 2 - Prueba, 3 - Categoría en donde la tabla estará diferenciada por la misma de arriba (Numeración, Licencia, etc...).
			//Otra tabla resumen de los clubes que participan y el número total de alumnos.
			$alumnos=array();
			$insertados_alumnos=array();
			$numeracion=1;
			foreach ($inscripciones as &$alumno){
				$id_user=$alumno['id_user'];
				$id_relacion=$alumno['id_relacion'];
				//Selecciono Licencia, Nombre (nombre y apellidos), Género, Año.
				$sql->ejecutarSQL("SELECT users.idUser,users.licencia,users.username,users.apellidos,alumno.sexo,alumno.nacimiento FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE users.idUser='$id_user'") or mysql_error();
				$resultadoAlumno=$sql->getUnRegistro();
				//Tipo lo busco en el vector $mods. Debo saber si es individual o es pareja
				foreach ($mods as &$modalidad){
					if ($modalidad['id_mod_champ']==$alumno['modalidad']) $tipo=$modalidad['tipo'];
				}
				//Si es pareja, añadimos en la misma ocurrencia del vector a los dos alumnos.
				if ($tipo=="par"){
					//Si no lo hemos insertado ya, lo insertamos en el vector. Buscamos que esté ya insertado.
					$insertado=false;
					$i=0;
					//Buscamos en el vector de alumnos relacionados si el identificador del usuario se encuentra ya insertado
					if (array_key_exists($id_user,$insertados_alumnos)){
						if (array_key_exists($id_relacion,$insertados_alumnos)){
							$insertado=true;
							$clave=$i;
						}
					}
					//Si no lo hemos insertado, insertamos en el vector general los datos del alumno inscrito y el alumno de su relación.
					if (!$insertado){
						//Numeración
						$alumno['numeracion']=$numeracion;
						//Licencia
						$alumno['licencia']=$resultadoAlumno['licencia'];
						//Nombre
						$alumno['nombre']=$resultadoAlumno['username'];
						//Apellidos
						$alumno['apellidos']=$resultadoAlumno['apellidos'];
						//Año
						$date = strtotime($resultadoAlumno['nacimiento']);
						$alumno['year']=date("Y", $date);
						//Categoría ya la tengo en alumno
						//Género
						$alumno['sexo']=$resultadoAlumno['sexo'];
						//Tipo lo busco en el vector $mods
						foreach ($mods as &$modalidad){
							if ($modalidad['id_mod_champ']==$alumno['modalidad']) $alumno['tipo']=$modalidad['tipo'];
						}
						//Modalidad y prueba ya las tengo, pero las modifico para cuadrarlas con la tabla
						$mod=$alumno['modalidad'];
						$alumno[$mod]=$alumno['prueba'];
						//Club hay que buscar el nombre en la bd
						$id_org=$alumno['id_org'];
						$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE idOrg='$id_org'");
						$alumno['org']=$sql->getCampoN();
						//Busco a su relacionado para insertarlo también
						$clave=0;
						$i=0;
						foreach ($inscripciones as &$alumno_relacion){
							if ($alumno_relacion['id_user']==$alumno['id_relacion']) $clave=$i;
							$i++;
						}
						$id_user2=$inscripciones[$clave]['id_user'];
						//Selecciono Licencia, Nombre (nombre y apellidos), Género, Año.
						$sql->ejecutarSQL("SELECT users.idUser,users.licencia,users.username,users.apellidos,alumno.sexo,alumno.nacimiento FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE users.idUser='$id_user2'") or mysql_error();
						$resultadoAlumno2=$sql->getUnRegistro();
						$alumno['id_user2']=$id_user2;
						$alumno['licencia2']=$resultadoAlumno2['licencia'];
						//Nombre
						$alumno['nombre2']=$resultadoAlumno2['username'];
						//Apellidos
						$alumno['apellidos2']=$resultadoAlumno2['apellidos'];
						//Año
						$date2 = strtotime($resultadoAlumno2['nacimiento']);
						$alumno['year2']=date("Y", $date);
						//Categoría ya la tengo en alumno
						//Género
						$alumno['sexo2']=$resultadoAlumno2['sexo'];
						$alumnos[]=$alumno;
						$numeracion++;
						$insertados_alumnos[$alumno['id_user']]=$alumno['id_user'];
						$insertados_alumnos[$alumno['id_user2']]=$alumno['id_user2'];
					}
				}
				if ($tipo=="ind"){
					//Si no lo hemos insertado ya, lo insertamos en el vector. Buscamos que esté ya insertado.
					$insertado=false;
					$i=0;
					foreach ($alumnos as &$busqueda){
						if ($busqueda['id_user']==$id_user){
							$insertado=true;
							$clave=$i;
						}
						$i++;
					}
					//Si no lo hemos insertado, insertamos en el vector general los datos del alumno inscrito
					if (!$insertado){
						//Numeración
						$alumno['numeracion']=$numeracion;
						//Licencia
						$alumno['licencia']=$resultadoAlumno['licencia'];
						//Nombre
						$alumno['nombre']=$resultadoAlumno['username'];
						//Apellidos
						$alumno['apellidos']=$resultadoAlumno['apellidos'];
						//Año
						$date = strtotime($resultadoAlumno['nacimiento']);
						$alumno['year']=date("Y", $date);
						//Categoría ya la tengo en alumno
						//Género
						$alumno['sexo']=$resultadoAlumno['sexo'];
						//Tipo lo busco en el vector $mods
						foreach ($mods as &$modalidad){
							if ($modalidad['id_mod_champ']==$alumno['modalidad']) $alumno['tipo']=$modalidad['tipo'];
						}
						//Modalidad y prueba ya las tengo, pero las modifico para cuadrarlas con la tabla
						$mod=$alumno['modalidad'];
						$alumno[$mod]=$alumno['prueba'];
						//Club hay que buscar el nombre en la bd
						$id_org=$alumno['id_org'];
						$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE idOrg='$id_org'");
						$alumno['org']=$sql->getCampoN();
						$alumnos[]=$alumno;
						$numeracion++;
					}
					//Si ya lo hemos insertado y aparece de nuevo en la base de datos es porque tiene otra prueba asignada, así que hay que aumentar la prueba añadiendo la nueva que hemos encontrado
					else{
						$mod=$alumno['modalidad'];
						$alumnos[$clave][$mod]=$alumno['prueba'];
						//Relacion
						if ($alumno['id_user']!=$alumno['id_relacion']) $alumnos[$clave]['id_relacion']=$alumno['id_relacion'];
					}
				}
			}
			$contador=0;
			$string0="Categorías: ";
			foreach ($cats as &$cat){
				$string0.=$cat['nombre'];
				if (($contador+1)==count($cats)) $string0.=".";
				else $string0.=", ";
				$contador++;
			}
			$contador=0;
			$string="Modalidades: ";
			foreach ($proofs as &$prueba){
				$var_id_mod=$prueba['id_mod'];
				$sql->query("SELECT nombre FROM modalidades WHERE id_mod='$var_id_mod' AND id_pl='$id_pl'");
				$sql->ejecutarSQL();
				$resultado=$sql->getUnRegistro();
				$var_nombre_mod=$resultado['nombre'];
				$string.=$var_nombre_mod." ";
				$string.=$prueba['nombre'];
				if (($contador+1)==count($proofs)) $string.=".";
				else $string.=", ";
				$contador++;
			}
			echo "<div class=\"jumbotron\">
				<h1>".$resulChamp['nombreChamp']."</h1>
				<div class=\"row\">
					<div class=\"col-md-6\">
						<p>Lugar celebración: ".$resulChamp['lugar']."</p>
						<p>Fecha Inicio: ".$resulChamp['fecha']."</p>
						<p>Fecha Fin: ".$resulChamp['fecha_fin']."</p>
						<p>Lista de inscritos generada por: ".$organizacion."</p>
					</div>
					<div class=\"col-md-6\">
						<p>".$string0."</p>
						<p>".$string."</p>
					</div>
				</div>
			</div>";
			//Necesito una tabla general con todos los participantes. Numeración, Licencia, Nombre (nombre y apellidos), Año, Categoría, Género, Tipo (individual, parejas), Inscripcion (modalidad),Club.
			echo "<legend>Listado deportistas</legend><p class=\"help-block\">Tabla genérica de los deportistas y sus pruebas.</p>";
			echo "
				<table class='table table-bordered table-striped table-responsive'>
					<thead>
						<tr class=\"active\">
							<th></th>
							<th>Licencia</th>
							<th>Nombre</th>
							<th>Año</th>
							<th>Categoría</th>
							<th>Género</th>";
							foreach ($mods as &$modalidad)
									echo "<th>".$modalidad['nombre']."</th>";
								echo "
							<th>Club</th>
						</tr>
					</thead>
					<tbody>";
					
			foreach ($alumnos as &$alumno){
				$var_id_catChamp=$alumno['categoria'];
				$sql->query("SELECT nombre FROM categorias LEFT JOIN categorias_campeonato ON (categorias_campeonato.id_cat=categorias.id_cat) WHERE id_catChamp='$var_id_catChamp'");
				$sql->ejecutarSQL();
				$resultado=$sql->getUnRegistro();
				$categoriña=$resultado['nombre'];
				if ($alumno['tipo']=="par"){
					echo "<tr><td ROWSPAN=2>".$alumno['numeracion']."</td>
						<td>".$alumno['licencia']."</td>
						<td>".$alumno['nombre']." ".$alumno['apellidos']."</td>
						<td>".$alumno['year']."</td>
						<td ROWSPAN=2>".$categoriña."</td>
						<td>".$alumno['sexo']."</td>";
						foreach ($mods as &$modalidad){
							if (array_key_exists($modalidad['id_mod_champ'],$alumno)){
								$var_id_prueba_champ=$alumno[$modalidad['id_mod_champ']];
								$sql->query("SELECT nombre FROM pruebas LEFT JOIN pruebas_campeonato ON (pruebas_campeonato.id_prueba=pruebas.id_prueba) WHERE id_prueba_champ='$var_id_prueba_champ'");
								$sql->ejecutarSQL();
								$resultado=$sql->getUnRegistro();
								$pruebiña=$resultado['nombre'];
								echo "<td ROWSPAN=2>".$pruebiña."</td>";
							}
							else echo "<td ROWSPAN=2></td>";
						}
					echo "<td ROWSPAN=2>".$alumno['org']."</td></tr>
					<tr>
						<td>".$alumno['licencia2']."</td>
						<td>".$alumno['nombre2']." ".$alumno['apellidos2']."</td>
						<td>".$alumno['year2']."</td>
						<td>".$alumno['sexo2']."</td>
					</tr>";
				}
				if ($alumno['tipo']=="ind"){
					echo "<tr><td>".$alumno['numeracion']."</td>
						<td>".$alumno['licencia']."</td>
						<td>".$alumno['nombre']." ".$alumno['apellidos']."</td>
						<td>".$alumno['year']."</td>
						<td>".$categoriña."</td>
						<td>".$alumno['sexo']."</td>";
						foreach ($mods as &$modalidad){
							if (array_key_exists($modalidad['id_mod_champ'],$alumno)){
								$var_id_prueba_champ=$alumno[$modalidad['id_mod_champ']];
								$sql->query("SELECT nombre FROM pruebas LEFT JOIN pruebas_campeonato ON (pruebas_campeonato.id_prueba=pruebas.id_prueba) WHERE id_prueba_champ='$var_id_prueba_champ'");
								$sql->ejecutarSQL();
								$resultado=$sql->getUnRegistro();
								$pruebiña=$resultado['nombre'];
								echo "<td>".$pruebiña."</td>";
							}
							else echo "<td></td>";
						}
					echo "<td>".$alumno['org']."</td></tr>";
				}
			}
			echo "</tbody></table><br>";
			$clubes=array();
			//Otra tabla resumen de los clubes que participan y el número total de alumnos.
			echo "<legend>Tabla resúmen</legend><p class=\"help-block\">Clubes y participantes.</p>";
			foreach ($alumnos as &$alumno){
				if (array_key_exists($alumno['org'],$clubes)) $clubes[$alumno['org']]++;
				else $clubes[$alumno['org']]=1;
			}
			echo "<table class='table table-bordered table-responsive'>
						<thead>
							<tr class=\"active\">
								<th>Club</th>
								<th>Participantes</th>
							</tr>
						</thead>
						<tbody>";
			$sumaTotal=0;
			foreach ($clubes as $club=>$participantes){
				echo "<tr><td>".$club."</td><td>".$participantes."</td></tr>";
				$sumaTotal=$sumaTotal+$participantes;
			}
			echo "<tr><th class=\"danger\">Total</th><td>".$sumaTotal." participantes</td></tr></tbody></table><br>";
			$j=0;
			$alumnos2tabla=array();
			$numeracion=1;
			$insertados_alumnos=array();
			$numeracion=1;
			foreach ($inscripciones as &$alumno){
				$id_user=$alumno['id_user'];
				$id_relacion=$alumno['id_relacion'];
				//Selecciono Licencia, Nombre (nombre y apellidos), Género, Año.
				$sql->ejecutarSQL("SELECT users.idUser,users.licencia,users.username,users.apellidos,alumno.sexo,alumno.nacimiento FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE users.idUser='$id_user'") or mysql_error();
				$resultadoAlumno=$sql->getUnRegistro();
				//Tipo lo busco en el vector $mods. Debo saber si es individual o es pareja
				foreach ($mods as &$modalidad){
					if ($modalidad['id_mod_champ']==$alumno['modalidad']) $tipo=$modalidad['tipo'];
				}
				//Si es pareja, añadimos en la misma ocurrencia del vector a los dos alumnos.
				if ($tipo=="par"){
					//Si no lo hemos insertado ya, lo insertamos en el vector. Buscamos que esté ya insertado.
					$insertado=false;
					$i=0;
					//Buscamos en el vector de alumnos relacionados si el identificador del usuario se encuentra ya insertado
					if (array_key_exists($id_user,$insertados_alumnos)){
						if (array_key_exists($id_relacion,$insertados_alumnos)){
							$insertado=true;
							$clave=$i;
						}
					}
					//Si no lo hemos insertado, insertamos en el vector general los datos del alumno inscrito y el alumno de su relación.
					if (!$insertado){
						//Numeración
						$alumno['numeracion']=$numeracion;
						//Licencia
						$alumno['licencia']=$resultadoAlumno['licencia'];
						//Nombre
						$alumno['nombre']=$resultadoAlumno['username'];
						//Apellidos
						$alumno['apellidos']=$resultadoAlumno['apellidos'];
						//Año
						$date = strtotime($resultadoAlumno['nacimiento']);
						$alumno['year']=date("Y", $date);
						//Categoría ya la tengo en alumno
						//Género
						$alumno['sexo']=$resultadoAlumno['sexo'];
						//Tipo lo busco en el vector $mods
						foreach ($mods as &$modalidad){
							if ($modalidad['id_mod_champ']==$alumno['modalidad']) $alumno['tipo']=$modalidad['tipo'];
						}
						//Modalidad y modalidad ya las tengo, pero las modifico para cuadrarlas con la tabla
						$mod=$alumno['modalidad'];
						$alumno[$mod]=$alumno['prueba'];
						//Club hay que buscar el nombre en la bd
						$id_org=$alumno['id_org'];
						$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE idOrg='$id_org'");
						$alumno['org']=$sql->getCampoN();
						//Busco a su relacionado para insertarlo también
						$clave=0;
						$i=0;
						foreach ($inscripciones as &$alumno_relacion){
							if ($alumno_relacion['id_user']==$alumno['id_relacion']) $clave=$i;
							$i++;
						}
						$id_user2=$inscripciones[$clave]['id_user'];
						$id_ins2=$inscripciones[$clave]['id_ins'];
						//Selecciono Licencia, Nombre (nombre y apellidos), Género, Año.
						$sql->ejecutarSQL("SELECT users.idUser,users.licencia,users.username,users.apellidos,alumno.sexo,alumno.nacimiento FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE users.idUser='$id_user2'") or mysql_error();
						$resultadoAlumno2=$sql->getUnRegistro();
						$alumno['id_user2']=$id_user2;
						$alumno['licencia2']=$resultadoAlumno2['licencia'];
						//Nombre
						$alumno['nombre2']=$resultadoAlumno2['username'];
						//Apellidos
						$alumno['apellidos2']=$resultadoAlumno2['apellidos'];
						//Año
						$date2 = strtotime($resultadoAlumno2['nacimiento']);
						$alumno['year2']=date("Y", $date);
						//Categoría ya la tengo en alumno
						//Género
						$alumno['sexo2']=$resultadoAlumno2['sexo'];
						$alumnos2tabla[]=$alumno;
						$numeracion++;
						$insertados_alumnos[$alumno['id_user']]=$alumno['id_user'];
						$insertados_alumnos[$alumno['id_user2']]=$alumno['id_user2'];
					}
				}
				if ($tipo=="ind"){
					$i=0;
					//Numeración
					$alumno['numeracion']=$numeracion;
					//Licencia
					$alumno['licencia']=$resultadoAlumno['licencia'];
					//Nombre
					$alumno['nombre']=$resultadoAlumno['username'];
					//Apellidos
					$alumno['apellidos']=$resultadoAlumno['apellidos'];
					//Año
					$date = strtotime($resultadoAlumno['nacimiento']);
					$alumno['year']=date("Y", $date);
					//Categoría ya la tengo en alumno
					//Género
					$alumno['sexo']=$resultadoAlumno['sexo'];
					//Tipo lo busco en el vector $mods
					foreach ($mods as &$modalidad){
						if ($modalidad['id_mod_champ']==$alumno['modalidad']) $alumno['tipo']=$modalidad['tipo'];
					}
					//Modalidad y modalidad ya las tengo, pero las modifico para cuadrarlas con la tabla
					$mod=$alumno['modalidad'];
					$alumno[$mod]=$alumno['prueba'];
					//Club hay que buscar el nombre en la bd
					$id_org=$alumno['id_org'];
					$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE idOrg='$id_org'");
					$alumno['org']=$sql->getCampoN();
					$alumnos2tabla[]=$alumno;
					$numeracion++;
				}
			}
			//Ordeno a los alumnos según su campo orden de la base de datos. Si todos están a -1 ó 0, el orden no importa. Función copiada de Internet.
			$position = array();
			$newRow = array();
			$inverse=false;
			foreach ($alumnos2tabla as $key => $row) {
					$position[$key]  = $row['orden'];
					$newRow[$key] = $row;
			}
			if ($inverse) {
				arsort($position);
			}
			else {
				asort($position);
			}
			$alumnos_ordenados = array();
			foreach ($position as $key => $pos) {     
				$alumnos_ordenados[] = $newRow[$key];
			}
			$alumnos2tabla=$alumnos_ordenados;
			//Necesito una segunda tabla categorizando a los alumnos por: 1 - Modalidad, 2 - Prueba, 3 - Categoría en donde la tabla estará diferenciada por la misma de arriba (Numeración, Licencia, etc...).
			echo "<legend>Tabla general</legend><p class=\"help-block\">Tabla más detallada sobre los deportistas y su distribución en las pruebas.</p>";
			foreach ($mods as &$modalidad){
				$mod=$modalidad['id_mod_champ'];
				$tipo=$modalidad['tipo'];
				$nombreMod=$modalidad['nombre'];
				$var_id_mod=$modalidad['id_mod'];
				$existePrueba=false;
				$existeCategoria=false;
				$existeModalidad=false;
				$existe=false;
				//Comprobamos que haya algún alumno con esa modalidad
				foreach ($alumnos2tabla as &$alumno){
					if (array_key_exists($mod,$alumno)) $existeModalidad=true;
				}
				if ($existeModalidad){
					$modMayus = strtoupper($nombreMod);
					echo "
					<div class=\"panel panel-primary\">
					  <div class=\"panel-heading\" style=\"text-align:center;\">".$modMayus."</div>
					  <table class='table table-bordered table-responsive'>
						<thead>
							<tr class=\"active\">
								<th></th>
								<th>Licencia</th>
								<th>Nombre</th>
								<th>Año</th>
								<th>Categoría</th>
								<th>Género</th>
								<th>Modalidad</th>
								<th>Prueba</th>
								<th>Club</th>
							</tr>
						</thead>
						<tbody>";
						foreach ($proofs as &$prueba){
							if ($prueba['id_mod']==$var_id_mod) $proof=$prueba['id_prueba_champ'];
							else $proof="";
							$nombreProof=$prueba['nombre'];
							//Comprobamos que haya algún alumno con esa prueba
							foreach ($alumnos2tabla as &$alumno){
								if (isset($alumno[$mod])&&($alumno[$mod]==$proof)) $existePrueba=true;
							}
							if ($existePrueba){
								$proofMayus = strtoupper($nombreProof);
								echo "<tr class=\"info\"><th COLSPAN=9 style=\"text-align:center;\">".$proofMayus."</th></tr>";
								foreach ($cats as &$categoria){
									$cat_chosen=$categoria['id_catChamp'];
									$nombreCat=$categoria['nombre'];
									foreach ($alumnos2tabla as &$alumno){
										if (($alumno['categoria']==$cat_chosen)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))) $existeCategoria=true;
									}
									if ($existeCategoria){
										$catMayus = strtoupper($nombreCat);
										echo "<tr class=\"success\"><td COLSPAN=9 style=\"text-align:center;\">".$catMayus."</td></tr>";
										$numeracion=1;
										foreach ($alumnos2tabla as &$alumno){
											if ($tipo=='ind'){
												if (($alumno['categoria']==$cat_chosen)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))){
													echo "<tr><td>".$numeracion."</td>
													<td>".$alumno['licencia']."</td>
													<td>".$alumno['nombre']." ".$alumno['apellidos']."</td>
													<td>".$alumno['year']."</td>
													<td>".$nombreCat."</td>
													<td>".$alumno['sexo']."</td>
													<td>".$nombreMod."</td>
													<td>".$nombreProof."</td>
													<td>".$alumno['org']."</td></tr>";
													$numeracion++;
												}
											}
											if ($tipo=='par'){
												if (($alumno['categoria']==$cat_chosen)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))){
													echo "<tr><td ROWSPAN=2>".$numeracion."</td>
													<td>".$alumno['licencia']."</td>
													<td>".$alumno['nombre']." ".$alumno['apellidos']."</td>
													<td>".$alumno['year']."</td>
													<td ROWSPAN=2>".$nombreCat."</td>
													<td>".$alumno['sexo']."</td>
													<td ROWSPAN=2>".$nombreMod."</td>
													<td ROWSPAN=2>".$nombreProof."</td>
													<td ROWSPAN=2>".$alumno['org']."</td></tr>";
													echo "<tr>
													<td>".$alumno['licencia2']."</td>
													<td>".$alumno['nombre2']." ".$alumno['apellidos2']."</td>
													<td>".$alumno['year2']."</td>
													<td>".$alumno['sexo2']."</td>
													</tr>";
													$numeracion++;
												}
											}
										}
									}
									$existeCategoria=false;
									$cat_chosen="";
								}
							}
							$existePrueba=false;
						}
						//Comprobamos que exista 
						//Fin del panel de modalidad y de la tabla
						echo "
						</tbody>
					  </table>
					</div>";
				}
				$existeModalidad=false;
			}
		}
		else echo $noInscripcion;
	}
}
else echo $resultado;
?>
