<?php
/*
-----------------------------------------------------------------------------------------------------------
							Inventario de medallas y trofeos
-----------------------------------------------------------------------------------------------------------							
			Operaciones que se pueden realizar:
			1) Crear documentos de medallas y trofeos.

										CONDICIONES
			1) Un responsable del club/federación puede realizar estas acciones.
			2) Un gestor de documentos asignado a este evento, podrá realizar estas acciones.
			
*/
session_start();
include_once('../../../bbdd/general.php');
include_once('../../../clases/sCphp.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../../clases/cMySQL.php');
$sql= new cMySQL(); 
$sql->conectar();
//Debe estar registrado en el sistema. Nivel de seguridad 1.
$sCphp= new sCphp(); 
//Debe ser un responsable del club/federación o un gestor de documentos asignado al evento. Nivel de seguridad 2.
//Función que comprueba si se está registrado y se es un responsable del club, o un gestor.
$resultado=$sCphp->controlRegistro(array('club','gestor','federacion'),4);
if ($resultado==1){
	if ((isset($_GET['crear']))&&($_GET['crear']=='')){
		$correo=$sCphp->val('correo');
		$rol=$sCphp->val('tipo');
		//Si es un responsable del club, lo haremos de la siguiente forma.
		if (($sCphp->esRol("club"))||($sCphp->esRol("federacion"))){
			$organizacion=$sCphp->val('org');
			//Guardamos al creador de la organización
			$creator=$sCphp->val('creador');
			$mundo=$sCphp->val('pais');
			$pueblo=$sCphp->val('region');
			echo "<h2 style='text-align:center;'>Gestión de documentos ";
			//Selecciono solo los campeonatos que yo he creado
			$sql->ejecutarSQL("SELECT * FROM campeonato LEFT JOIN organizacion ON (campeonato.creadorChamp=organizacion.creador) LEFT JOIN plantilla ON (campeonato.identificadorPlantilla=plantilla.id_plantilla) WHERE campeonato.creadorChamp='$creator'") or DIE("No");
			$numRegistrosJOIN0=$sql->getNumRegistros();
			$registroJOIN0=$sql->getTodosRegistro();
			echo "<script type=\"text/javascript\" src=\"js/tablas.js\"></script><small>Inventario de medallas y trofeos</small></h2>";
			echo "<br><p>Seleccione el evento en el que va a trabajar:</p>";
			if ($numRegistrosJOIN0 > 0){
				echo "<div><div class=\"well\">
				<table class='table table-condensed table-hover table-responsive' id=\"tablas\">
					<thead>
						<tr>
							<th>Nombre campeonato</th>
							<th>Tipo</th>
							<th>Plantilla utilizada</th>
							<th>Organización</th>
							<th>Fecha celebración</th>
							<th>País</th>
							<th>Región</th>
						</tr>
					</thead>
					<tbody>";
				foreach ($registroJOIN0 as &$resultado){
					$id_tipoChamp=$resultado['tipo_evento'];
					$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
					$sql->ejecutarSQL();
					$resulTipoEvento=$sql->getUnRegistro();
					$tipo_evento=$resulTipoEvento['nombre'];
					$tiempo=strtotime($resultado['fecha']);
					echo "<tr style=\"cursor: pointer;\"><td>".$resultado['nombreChamp']."<input type=\"hidden\" id=\"nombreChamp\" value=\"".$resultado['nombreChamp']."\"><input type=\"hidden\" id=\"id_champ\" value=\"".$resultado['id_campeonato']."\"></td>
					<td>".$tipo_evento."</td>
					<td>".$resultado['nombre_pl']."<input type=\"hidden\" id=\"id_pl\" value=\"".$resultado['identificadorPlantilla']."\"></td>
					<td>".$resultado['nombre']."</td>
					<td>".date('d-m-Y',$tiempo)."</td>
					<td>".$paises[$resultado['pais']]."</td>
					<td>".$regiones[$resultado['pais']][$resultado['region']]."</td>
					</tr>";	
				}
				echo "</tbody>
					</table></div></div>";
			}
			echo "<script>
				$('#tablas tr:not(:first)').click(function(){
					var correOrg = '".$creator."';
					var nombre_champ = $(this).find(\"input[id=nombreChamp]\").val();
					var id_champ = $(this).find(\"input[id=id_champ]\").val();
					var id_pl = $(this).find(\"input[id=id_pl]\").val();
					var pl='modulos/documentos/inventario/inventario.php?crear=' + id_champ + '&id=' + id_pl + '&correo=' + correOrg;
					var texto='¿Deseas generar el inventario de medallas y trofeos del evento: ' + nombre_champ + '?';
					if (confirm(texto)) actualizar('#centro', pl);
				});
				</script>";
		
		}
		//Si es un gestor de papeles, lo haremos de la siguiente forma.
		if ($sCphp->esRol("gestor")){
			$sql->ejecutarSQL("SELECT * FROM asignaciones LEFT JOIN campeonato ON (campeonato.id_campeonato=asignaciones.identificadorCampeonato) LEFT JOIN plantilla ON (campeonato.identificadorPlantilla=plantilla.id_plantilla) LEFT JOIN organizacion ON (campeonato.creadorChamp=organizacion.creador) WHERE asignaciones.correoGestor='$correo' AND (asignaciones.accion='todo' OR asignaciones.accion='resto')") or DIE("No");
			$numRegistrosJOIN=$sql->getNumRegistros();
			if ($numRegistrosJOIN > 0){
				$registroJOIN=$sql->getTodosRegistro();
				echo "<h2 style='text-align:center;'>Gestión de documentos ";
				echo "<script type=\"text/javascript\" src=\"js/tablas.js\"></script><small>Inventario de medallas y trofeos</small></h2><br><p>Seleccione el evento en el que va a trabajar:</p>";
				echo "<div class=\"well\">
				<table class='table table-condensed table-hover table-responsive' id=\"tablas\">
					<thead>
						<tr>
							<th>Nombre campeonato</th>
							<th>Tipo</th>
							<th>Plantilla utilizada</th>
							<th title=\"Organización que te ha asignado para que realices el listado\">Organización</th>
							<th>Fecha celebración</th>
							<th>País</th>
							<th>Región</th>
						</tr>
					</thead>
					<tbody>";
				foreach ($registroJOIN as &$resultado){
					$id_tipoChamp=$resultado['tipo_evento'];
					$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
					$sql->ejecutarSQL();
					$resulTipoEvento=$sql->getUnRegistro();
					$tipo_evento=$resulTipoEvento['nombre'];
					$creator=$resultado['correoCreador'];
					$id_champ=$resultado['identificadorCampeonato'];
					$tiempo=strtotime($resultado['fecha']);
					//Selecciono el nombre de la organización que ha asignado al gestor de documentos para que realice las inscripciones.
					$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE creador='$creator'");
					$org_name=$sql->getCampoN();
					echo "<tr style=\"cursor: pointer;\"><td>".$resultado['nombreChamp']."<input type=\"hidden\" id=\"nombreChamp\" value=\"".$resultado['nombreChamp']."\"><input type=\"hidden\" id=\"id_champ\" value=\"".$resultado['id_campeonato']."\"></td>
					<td>".$tipo_evento."</td>
					<td>".$resultado['nombre_pl']."<input type=\"hidden\" id=\"id_pl\" value=\"".$resultado['identificadorPlantilla']."\"></td>
					<td>".$org_name."</td>
					<td>".date('d-m-Y',$tiempo)."</td>
					<td>".$paises[$resultado['pais']]."</td>
					<td>".$regiones[$resultado['pais']][$resultado['region']]."</td>
					<input type=\"hidden\" id=\"correOrg\" value=\"".$creator."\">
					</tr>";	
				}
				echo "</tbody>
					</table>
				</div>";
				echo "<div class=\"alert alert-warning\"><span class=\"glyphicon glyphicon-warning-sign\"></span> El campo <b>Organización</b> es el club que te ha asignado para que realices la tarea. Para seleccionar el documento de un club determinado, debes hacerlo aquí.</div>";
				echo "<script>
				$('#tablas tr:not(:first)').click(function(){
					var correOrg = $(this).find(\"input[id=correOrg]\").val();
					var nombre_champ = $(this).find(\"input[id=nombreChamp]\").val();
					var id_champ = $(this).find(\"input[id=id_champ]\").val();
					var id_pl = $(this).find(\"input[id=id_pl]\").val();
					var pl='modulos/documentos/inventario/inventario.php?crear=' + id_champ + '&id=' + id_pl + '&correo=' + correOrg;
					var texto='¿Deseas generar el inventario de medallas y trofeos del evento: ' + nombre_champ + '?';
					if (confirm(texto)) actualizar('#centro', pl);
				});
				</script>";
			}
			else echo $gestor1noChamps;
		}
	}
	//Ya hemos seleccionado el campeonato en el que vamos a trabajar
	if (((isset($_GET['crear']))&&($_GET['crear']!=''))){
		$id_champ=$_GET['crear'];
		$id_pl=$_GET['id'];
		echo "<h2 style='text-align:center;'>Gestión de documentos ";
		echo "<script type=\"text/javascript\" src=\"js/documentos.js\"></script><small>Inventario de medallas y trofeos</small></h2><br>";
		//Se generan automáticamente la lista de inscritos.
		$sql->query("SELECT * FROM inscripcion WHERE id_champ='$id_champ' AND visible='1' ORDER BY modalidad");
		$sql->ejecutarSQL();
		$numRegistro=$sql->getNumRegistros();
		if ($numRegistro > 0){
			$inscripciones=$sql->getTodosRegistro();
			$correo=$sCphp->val('correo');
			if (isset($_GET['correo'])) $creador=$_GET['correo'];
			else $creador=$sCphp->val('creador');
			//Antes debemos averigüar si es un responsable del club o un gestor
			if ($sCphp->esRol("club")) $organizacion=$sCphp->val('org');
			else{
				$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE creador='$creador'");
				$numRegistrosJOIN=$sql->getNumRegistros();
				if ($numRegistrosJOIN > 0){
					$organizacion=$sql->getCampoN();
				}
			}
			//Hago esta consulta porque no tengo de qué tipo son las modalidades (individual, parejas).
			$sql->query("SELECT * FROM campeonato WHERE id_campeonato='$id_champ'") or mysql_error();
			$sql->ejecutarSQL();
			$resulChamp=$sql->getUnRegistro();
			$sql->query("SELECT DISTINCT * FROM modalidades_campeonato LEFT JOIN modalidades ON (modalidades_campeonato.id_mod=modalidades.id_mod) WHERE id_champ='$id_champ'");
			$sql->ejecutarSQL();
			$mods=$sql->getTodosRegistro();
			$sql->query("SELECT DISTINCT * FROM pruebas_campeonato LEFT JOIN pruebas ON (pruebas_campeonato.id_prueba=pruebas.id_prueba) WHERE id_champ='$id_champ'");
			$sql->ejecutarSQL();
			$proofs=$sql->getTodosRegistro();
			//Seleccionamos las categorías de la plantilla para poder establecer el rango de edades y ver en qué categoría está el/la patinadora.
			$sql->query("SELECT * FROM categorias_campeonato LEFT JOIN categorias ON (categorias_campeonato.id_cat=categorias.id_cat) WHERE id_champ='$id_champ'") or mysql_error();
			$sql->ejecutarSQL();
			$numRegistroPl=$sql->getNumRegistros();
			$cats=$sql->getTodosRegistro();
			//Necesito una tabla general con todos los participantes. Numeración, Licencia, Nombre (nombre y apellidos), Año, Categoría, Género, Tipo (individual, parejas), Inscripcion (modalidad),Club.
			//Necesito una segunda tabla categorizando a los alumnos por: 1 - Modalidad, 2 - Prueba, 3 - Categoría en donde la tabla estará diferenciada por la misma de arriba (Numeración, Licencia, etc...).
			//Otra tabla resumen de los clubes que participan y el número total de alumnos.
			$alumnos=array();
			$insertados_alumnos=array();
			$numeracion=1;
			foreach ($inscripciones as &$alumno){
				$id_user=$alumno['id_user'];
				$id_relacion=$alumno['id_relacion'];
				//Selecciono Licencia, Nombre (nombre y apellidos), Género, Año.
				$sql->ejecutarSQL("SELECT users.idUser,users.licencia,users.username,users.apellidos,alumno.sexo,alumno.nacimiento FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE users.idUser='$id_user'") or mysql_error();
				$resultadoAlumno=$sql->getUnRegistro();
				//Tipo lo busco en el vector $mods. Debo saber si es individual o es pareja
				foreach ($mods as &$modalidad){
					if ($modalidad['id_mod_champ']==$alumno['modalidad']) $tipo=$modalidad['tipo'];
				}
				//Si es pareja, añadimos en la misma ocurrencia del vector a los dos alumnos.
				if ($tipo=="par"){
					//Si no lo hemos insertado ya, lo insertamos en el vector. Buscamos que esté ya insertado.
					$insertado=false;
					$i=0;
					//Buscamos en el vector de alumnos relacionados si el identificador del usuario se encuentra ya insertado
					if (array_key_exists($id_user,$insertados_alumnos)){
						if (array_key_exists($id_relacion,$insertados_alumnos)){
							$insertado=true;
							$clave=$i;
						}
					}
					//Si no lo hemos insertado, insertamos en el vector general los datos del alumno inscrito y el alumno de su relación.
					if (!$insertado){
						//Numeración
						$alumno['numeracion']=$numeracion;
						//Licencia
						$alumno['licencia']=$resultadoAlumno['licencia'];
						//Nombre
						$alumno['nombre']=$resultadoAlumno['username'];
						//Apellidos
						$alumno['apellidos']=$resultadoAlumno['apellidos'];
						//Año
						$date = strtotime($resultadoAlumno['nacimiento']);
						$alumno['year']=date("Y", $date);
						//Categoría ya la tengo en alumno
						//Género
						$alumno['sexo']=$resultadoAlumno['sexo'];
						//Tipo lo busco en el vector $mods
						foreach ($mods as &$modalidad){
							if ($modalidad['id_mod_champ']==$alumno['modalidad']) $alumno['tipo']=$modalidad['tipo'];
						}
						//Modalidad y prueba ya las tengo, pero las modifico para cuadrarlas con la tabla
						$mod=$alumno['modalidad'];
						$alumno[$mod]=$alumno['prueba'];
						//Club hay que buscar el nombre en la bd
						$id_org=$alumno['id_org'];
						$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE idOrg='$id_org'");
						$alumno['org']=$sql->getCampoN();
						//Busco a su relacionado para insertarlo también
						$clave=0;
						$i=0;
						foreach ($inscripciones as &$alumno_relacion){
							if ($alumno_relacion['id_user']==$alumno['id_relacion']) $clave=$i;
							$i++;
						}
						$id_user2=$inscripciones[$clave]['id_user'];
						//Selecciono Licencia, Nombre (nombre y apellidos), Género, Año.
						$sql->ejecutarSQL("SELECT users.idUser,users.licencia,users.username,users.apellidos,alumno.sexo,alumno.nacimiento FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE users.idUser='$id_user2'") or mysql_error();
						$resultadoAlumno2=$sql->getUnRegistro();
						$alumno['id_user2']=$id_user2;
						$alumno['licencia2']=$resultadoAlumno2['licencia'];
						//Nombre
						$alumno['nombre2']=$resultadoAlumno2['username'];
						//Apellidos
						$alumno['apellidos2']=$resultadoAlumno2['apellidos'];
						//Año
						$date2 = strtotime($resultadoAlumno2['nacimiento']);
						$alumno['year2']=date("Y", $date);
						//Categoría ya la tengo en alumno
						//Género
						$alumno['sexo2']=$resultadoAlumno2['sexo'];
						$alumnos[]=$alumno;
						$numeracion++;
						$insertados_alumnos[$alumno['id_user']]=$alumno['id_user'];
						$insertados_alumnos[$alumno['id_user2']]=$alumno['id_user2'];
					}
				}
				if ($tipo=="ind"){
					//Si no lo hemos insertado ya, lo insertamos en el vector. Buscamos que esté ya insertado.
					$insertado=false;
					$i=0;
					foreach ($alumnos as &$busqueda){
						if ($busqueda['id_user']==$id_user){
							$insertado=true;
							$clave=$i;
						}
						$i++;
					}
					//Si no lo hemos insertado, insertamos en el vector general los datos del alumno inscrito
					if (!$insertado){
						//Numeración
						$alumno['numeracion']=$numeracion;
						//Licencia
						$alumno['licencia']=$resultadoAlumno['licencia'];
						//Nombre
						$alumno['nombre']=$resultadoAlumno['username'];
						//Apellidos
						$alumno['apellidos']=$resultadoAlumno['apellidos'];
						//Año
						$date = strtotime($resultadoAlumno['nacimiento']);
						$alumno['year']=date("Y", $date);
						//Categoría ya la tengo en alumno
						//Género
						$alumno['sexo']=$resultadoAlumno['sexo'];
						//Tipo lo busco en el vector $mods
						foreach ($mods as &$modalidad){
							if ($modalidad['id_mod_champ']==$alumno['modalidad']) $alumno['tipo']=$modalidad['tipo'];
						}
						//Modalidad y prueba ya las tengo, pero las modifico para cuadrarlas con la tabla
						$mod=$alumno['modalidad'];
						$alumno[$mod]=$alumno['prueba'];
						//Club hay que buscar el nombre en la bd
						$id_org=$alumno['id_org'];
						$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE idOrg='$id_org'");
						$alumno['org']=$sql->getCampoN();
						$alumnos[]=$alumno;
						$numeracion++;
					}
					//Si ya lo hemos insertado y aparece de nuevo en la base de datos es porque tiene otra prueba asignada, así que hay que aumentar la prueba añadiendo la nueva que hemos encontrado
					else{
						$mod=$alumno['modalidad'];
						$alumnos[$clave][$mod]=$alumno['prueba'];
						//Relacion
						if ($alumno['id_user']!=$alumno['id_relacion']) $alumnos[$clave]['id_relacion']=$alumno['id_relacion'];
					}
				}
			}
			
			$sql->query("SELECT * FROM inventario WHERE id_pl='$id_pl' ORDER BY id_prueba,sexo DESC");
			$sql->ejecutarSQL();
			$numReg=$sql->getNumRegistros();
			if ($numReg > 0){
				$medals=$sql->getTodosRegistro();
				//Ordeno el vector
				$vectorBDMedals=array();
				foreach ($medals as &$medalla){
					$var_id_prueba=$medalla['id_prueba'];
					$sql->query("SELECT nombre FROM pruebas WHERE id_pl='$id_pl' AND id_prueba='$var_id_prueba'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$var_nombre_prueba=$res['nombre'];
					$sql->query("SELECT id_mod FROM pruebas WHERE id_pl='$id_pl' AND id_prueba='$var_id_prueba'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$var_id_mod=$res['id_mod'];
					$sql->query("SELECT nombre FROM modalidades WHERE id_pl='$id_pl' AND id_mod='$var_id_mod'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$var_nombre_mod=$res['nombre'];
					$vectorBDtemp=array($var_nombre_mod,$medalla['sexo'],$var_nombre_prueba,$medalla['id_inv']);
					if ($medalla['bronce']==1)
						$vectorBDtemp[]="bronce";
					if ($medalla['plata']==1)
						$vectorBDtemp[]="plata";
					if ($medalla['oro']==1)
						$vectorBDtemp[]="oro";
					array_push($vectorBDMedals,$vectorBDtemp);
					unset($vectorBDtemp);
				}
			}
			$medallero=$vectorBDMedals;
			//Array con las medallas. El vector será de esta forma: $medalla['Libre']=>(['Nacional']=>(['masculino']=>(['oro]=>'2',['plata]=>'1',['bronce]=>'1'),['femenino']=>(['oro]=>'5',['plata]=>'4',['bronce]=>'2')))
			$medallas=array();
			$insertados=array();
			$sexo=array('masculino','femenino','otro');
			foreach ($mods as &$modalidad){
				$mod=$modalidad['id_mod_champ'];
				$tipo=$modalidad['tipo'];
				$nombreMod=$modalidad['nombre'];
				$var_id_mod=$modalidad['id_mod'];
				$existePrueba=false;
				$existeCategoria=false;
				$existeModalidad=false;
				$existeGenero=false;
				$bronce=false;
				$plata=false;
				$oro=false;
				//Comprobamos que haya algún alumno con esa modalidad
				foreach ($alumnos as &$alumno){
					if (array_key_exists($mod,$alumno)) $existeModalidad=true;
				}
				if ($existeModalidad){
					$temp1=array();
					foreach ($proofs as &$prueba){
						if ($prueba['id_mod']==$var_id_mod) $proof=$prueba['id_prueba_champ'];
						else $proof="";
						$nombreProof=$prueba['nombre'];
						$var_id_proof=$prueba['id_prueba'];
						//Comprobamos que haya algún alumno con esa modalidad
						foreach ($alumnos as &$alumno){
							if (isset($alumno[$mod])&&($alumno[$mod]==$proof)) $existePrueba=true;
						}
						if ($existePrueba){
							$medal=array();
							foreach ($sexo as &$genero){
								foreach ($alumnos as &$alumno){
									if ($genero=='otro'){
										if (((isset($alumno[$mod]))&&($alumno[$mod]==$proof))&&($alumno['id_relacion']!=$alumno['id_user'])) $existeGenero=true;
									}
									else if (((isset($alumno[$mod]))&&($alumno[$mod]==$proof))&&($alumno['sexo']==$genero)) $existeGenero=true;
								}
								if ($existeGenero){
									$temp2=array();
									foreach ($cats as &$categoria){
										$cat=$categoria['id_catChamp'];
										$nombreCat=$categoria['nombre'];
										foreach ($alumnos as &$alumno){
											if (($alumno['categoria']==$cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))) $existeCategoria=true;
										}
										if ($existeCategoria){
											//Filtramos en el medallero (variable medallero que proviene de la plantilla) aquellas medallas que no se deban sumar
											foreach ($medallero as &$filtro_medalla){
												if (($nombreMod==$filtro_medalla[0])&&($genero==$filtro_medalla[1])&&($nombreProof==$filtro_medalla[2])){
													for ($j=2;$j<count($filtro_medalla);$j++){
														if ($filtro_medalla[$j]=='bronce') $bronce=true;
														if ($filtro_medalla[$j]=='plata') $plata=true;
														if ($filtro_medalla[$j]=='oro') $oro=true;
													}
												}
											}
											foreach ($alumnos as &$alumno){
												//En el caso de modalidades no individuales
												if ($genero=='otro'){
													if (($alumno['categoria']==$cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))&&($alumno['id_relacion']!=$alumno['id_user'])&&(!array_key_exists($alumno['id_user'],$insertados))){
														if ((isset($temp3))&&(array_key_exists($cat,$temp3))){
															$temp3[$nombreCat]++;
														}
														else{
															$temp3=array();
															$temp3[$nombreCat]=1;
														}
														$insertados[$alumno['id_user']]=$alumno['id_user'];
														$insertados[$alumno['id_relacion']]=$alumno['id_relacion'];
													}
												}
												//En el caso de modalidades individuales
												else{
													if (($alumno['categoria']==$cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))&&($alumno['sexo']==$genero)){
														if ((isset($temp3))&&(array_key_exists($nombreCat,$temp3))){
															$temp3[$nombreCat]++;
														}
														else{
															$temp3=array();
															$temp3[$nombreCat]=1;
														}
													}
												}
											}
											if (isset($temp3)){
												switch ($temp3[$nombreCat]){
													case 1:
														if ($oro){
															if (array_key_exists('oro',$temp2)) $temp2['oro']++;
															else $temp2['oro']=1;
														}
														break;
													case 2:
														if ($oro){
															if (array_key_exists('oro',$temp2)) $temp2['oro']++;
															else $temp2['oro']=1;
														}
														if ($plata){
															if (array_key_exists('plata',$temp2)) $temp2['plata']++;
															else $temp2['plata']=1;
														}
														break;
													case 3 or ($temp3[$nombreCat]>3):
														if ($oro){
															if (array_key_exists('oro',$temp2)) $temp2['oro']++;
															else $temp2['oro']=1;
														}
														if ($plata){
															if (array_key_exists('plata',$temp2)) $temp2['plata']++;
															else $temp2['plata']=1;
														}
														if ($bronce){
															if (array_key_exists('bronce',$temp2)) $temp2['bronce']++;
															else $temp2['bronce']=1;
														}
														break;
												}
												unset($temp3);
											}
											$bronce=false;
											$plata=false;
											$oro=false;
										}
										$existeCategoria=false;
									}
									if (isset($temp2)){
										$medal[$genero]=$temp2;
										unset($temp2);
									}
								}
								$existeGenero=false;
							}
							if (isset($medal)){
								$temp1[$nombreProof]=$medal;
								unset($medal);
							}
						}
						$existePrueba=false;
					}
					if (isset($temp1)){
						$medallas[$nombreMod]=$temp1;
						unset($temp1);
					}
				}
				$existeModalidad=false;
			}
			$id_tipoChamp=$resulChamp['tipo_evento'];
			$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
			$sql->ejecutarSQL();
			$resulTipoEvento=$sql->getUnRegistro();
			$tipo_evento=$resulTipoEvento['nombre'];
			$sql->query("SELECT * FROM trofeos WHERE id_pl='$id_pl' AND id_tipoChamp='$id_tipoChamp' ORDER BY id_trofeo");
			$sql->ejecutarSQL();
			$trofeos=$sql->getTodosRegistro();
			$vectorTrofeos=array();
			$contador=0;
			foreach ($trofeos as &$trophy){
				$mod1=$trophy['mod1'];
				$mod2=$trophy['mod2'];
				$numAlum=$trophy['num'];
				$sql->query("SELECT id_mod_champ FROM modalidades_campeonato WHERE id_mod='$mod1' AND id_champ='$id_champ'");
				$sql->ejecutarSQL();
				$res=$sql->getUnRegistro();
				$var_id_mod_champ1=$res['id_mod_champ'];
				if ($mod2!=NULL){
					$sql->query("SELECT id_mod_champ FROM modalidades_campeonato WHERE id_mod='$mod2' AND id_champ='$id_champ'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$var_id_mod_champ2=$res['id_mod_champ'];
				}
				//Si es combinada, es decir, comparar 2 modalidades
				if ($mod2!=NULL){
					foreach ($alumnos as &$alumno){
						if ((array_key_exists($var_id_mod_champ1,$alumno))&&(array_key_exists($var_id_mod_champ2,$alumno))){
							$var_id_prueba_champ1=$alumno[$var_id_mod_champ1];
							$var_id_prueba_champ2=$alumno[$var_id_mod_champ2];
							$sql->query("SELECT nombre FROM pruebas_campeonato LEFT JOIN pruebas ON (pruebas.id_prueba=pruebas_campeonato.id_prueba) WHERE id_prueba_champ='$var_id_prueba_champ1' AND id_champ='$id_champ'");
							$sql->ejecutarSQL();
							$res=$sql->getUnRegistro();
							$var_nombre_prueba1=$res['nombre'];
							$sql->query("SELECT nombre FROM pruebas_campeonato LEFT JOIN pruebas ON (pruebas.id_prueba=pruebas_campeonato.id_prueba) WHERE id_prueba_champ='$var_id_prueba_champ2' AND id_champ='$id_champ'");
							$sql->ejecutarSQL();
							$res=$sql->getUnRegistro();
							$var_nombre_prueba2=$res['nombre'];
							//echo "Prueba 1:".$var_nombre_prueba1.". Prueba 2:".$var_nombre_prueba2;
							//Combinada positiva
							if ($var_nombre_prueba1==$var_nombre_prueba2){
								if (array_key_exists($mod1,$vectorTrofeos)){
									if (array_key_exists($mod2,$vectorTrofeos[$mod1]))
										$vectorTrofeos[$mod1][$mod2][0]++;
									else{
										$vectorTrofeos[$mod1][$mod2][0]=1;
										$vectorTrofeos[$mod1][$mod2][1]=$numAlum;
										$vectorTrofeos[$mod1][$mod2][2]=$var_id_prueba_champ1;
										$vectorTrofeos[$mod1][$mod2][3]=$var_id_prueba_champ2;
									}
								}
								else{
									$vectorTrofeos[$mod1][$mod2][0]=1;
									$vectorTrofeos[$mod1][$mod2][1]=$numAlum;
									$vectorTrofeos[$mod1][$mod2][2]=$var_id_prueba_champ1;
									$vectorTrofeos[$mod1][$mod2][3]=$var_id_prueba_champ2;
								}
							}
						}
					}
				}
				else{
					foreach ($alumnos as &$alumno){
						if (array_key_exists($var_id_mod_champ1,$alumno)){
							$var_id_prueba_champ1=$alumno[$var_id_mod_champ1];
							$sql->query("SELECT nombre FROM pruebas_campeonato LEFT JOIN pruebas ON (pruebas.id_prueba=pruebas_campeonato.id_prueba) WHERE id_prueba_champ='$var_id_prueba_champ1' AND id_champ='$id_champ'");
							$res=$sql->ejecutarSQL();
							$var_nombre_prueba1=$res['nombre'];
							if ((array_key_exists($mod1,$vectorTrofeos))&&(array_key_exists($var_id_prueba_champ1,$vectorTrofeos[$mod1])))
								$vectorTrofeos[$mod1][$var_id_prueba_champ1][0]++;
							else{
								$vectorTrofeos[$mod1][$var_id_prueba_champ1][0]=1;
								$vectorTrofeos[$mod1][$var_id_prueba_champ1][1]=$numAlum;
								$vectorTrofeos[$mod1][$var_id_prueba_champ1][2]=$var_id_prueba_champ1;
							}
						}
					}
				}
			}
			
			$contador=0;
			$string0="Categorías: ";
			foreach ($cats as &$cat){
				$string0.=$cat['nombre'];
				if (($contador+1)==count($cats)) $string0.=".";
				else $string0.=", ";
				$contador++;
			}
			$contador=0;
			$string="Modalidades: ";
			foreach ($proofs as &$prueba){
				$var_id_mod=$prueba['id_mod'];
				$sql->query("SELECT nombre FROM modalidades WHERE id_mod='$var_id_mod' AND id_pl='$id_pl'");
				$sql->ejecutarSQL();
				$resultado=$sql->getUnRegistro();
				$var_nombre_mod=$resultado['nombre'];
				$string.=$var_nombre_mod." ";
				$string.=$prueba['nombre'];
				if (($contador+1)==count($proofs)) $string.=".";
				else $string.=", ";
				$contador++;
			}
			echo "<div class=\"jumbotron\">
				<h1>".$resulChamp['nombreChamp']."</h1>
				<div class=\"row\">
					<div class=\"col-md-6\">
						<p>Lugar celebración: ".$resulChamp['lugar']."</p>
						<p>Fecha Inicio: ".$resulChamp['fecha']."</p>
						<p>Fecha Fin: ".$resulChamp['fecha_fin']."</p>
						<p>Inventario generado por: ".$organizacion."</p>
					</div>
					<div class=\"col-md-6\">
						<p>".$string0."</p>
						<p>".$string."</p>
					</div>
				</div>
			</div>";
			$pieces1 = explode("-", $resulChamp['fecha']);
			$Year=$pieces1[0];
			//Necesito una tabla general con las medallas.
			echo "<legend>Medallas</legend><p class=\"help-block\">Tabla genérica del inventario para las medallas.</p>";
			echo "
				<table class='table table-bordered table-striped table-responsive' id=\"tablaMedallas\">
					<thead>
						<tr class=\"active\">
							<th>Modalidad</th>
							<th>Prueba</th>
							<th>Género</th>
							<th>Oro</th>
							<th>Plata</th>
							<th>Bronce</th>
						</tr>
					</thead>
					<tbody>";
			$inventario=array('oro'=>0,'plata'=>0,'bronce'=>0);
			$num=0;
			foreach ($medallas as $moda=>$prueba_vec){
				foreach ($prueba_vec as $prueb=>$genero_vec){
					foreach ($genero_vec as $gen=>$tipo_med){
						if (count($tipo_med) > 0 ){
							echo "<tr><td>".$moda."</td>";
							echo "<td>".$prueb."</td>";
							if ($gen=="otro")
								echo "<td>Ambos</td>";
							else
								echo "<td>".$gen."</td>";
							if (array_key_exists('oro',$tipo_med)){
								echo "<td>".$tipo_med['oro']."</td>";
								$inventario['oro']=$inventario['oro']+$tipo_med['oro'];
							}
							if (array_key_exists('plata',$tipo_med)){
								echo "<td>".$tipo_med['plata']."</td>";
								$inventario['plata']=$inventario['plata']+$tipo_med['plata'];
							}
							else echo "<td>0</td>";
							if (array_key_exists('bronce',$tipo_med)){
								echo "<td>".$tipo_med['bronce']."</td></tr>";
								$inventario['bronce']=$inventario['bronce']+$tipo_med['bronce'];
							}
							else echo "<td>0</td></tr>";
							$num++;
						}
					}
				}
			}
			echo "</tbody></table><br>";
			//Otra tabla resumen de los clubes que participan y el número total de alumnos.
			echo "<legend>Tabla resúmen</legend><p class=\"help-block\">Medallas totales.</p>";
			echo "<table class='table table-bordered table-responsive' id=\"tablaMedallasFinal\">
						<thead>
							<tr class=\"active\">
								<th>Medalla</th>
								<th>Cantidad</th>
							</tr>
						</thead>
						<tbody>
						<tr>
							<td>Oro</td>
							<td>".$inventario['oro']."</td>
						</tr>
						<tr>
							<td>Plata</td>
							<td>".$inventario['plata']."</td>
						</tr>
						<tr>
							<td>Bronce</td>
							<td>".$inventario['bronce']."</td>
						</tr>
						</tbody>
					</table>
			<br>
			";
			//Otra tabla para los trofeos
			echo "<legend>Trofeos</legend><p class=\"help-block\">Resumen de los trofeos.</p>";
			$iterador=0;
			foreach ($vectorTrofeos as $modalidad1=>$trophium){
				if ($iterador>2){
					$iterador=0;
					echo "</div>";
				}
				
				foreach ($trophium as $modalidad2=>$trophic){
					//Combinada
					if (count($trophium)>3){
						//Tenemos trofeo
						if ($trophic[0]>=$trophic[1]){
							$sql->query("SELECT nombre FROM modalidades WHERE id_mod='$modalidad1' AND id_pl='$id_pl'");
							$sql->ejecutarSQL();
							$res=$sql->getUnRegistro();
							$nombre_mod1=$res['nombre'];
							$sql->query("SELECT nombre FROM modalidades WHERE id_mod='$modalidad2' AND id_pl='$id_pl'");
							$sql->ejecutarSQL();
							$res=$sql->getUnRegistro();
							$nombre_mod2=$res['nombre'];
							$var_prueba1=$trophic[2];
							$sql->query("SELECT nombre FROM pruebas_campeonato LEFT JOIN pruebas ON (pruebas.id_prueba=pruebas_campeonato.id_prueba) WHERE id_prueba_champ='$var_prueba1' AND id_champ='$id_champ'");
							$sql->ejecutarSQL();
							$res=$sql->getUnRegistro();
							$nombre_proof1=$res['nombre'];
							$var_prueba2=$trophic[3];
							$sql->query("SELECT nombre FROM pruebas_campeonato LEFT JOIN pruebas ON (pruebas.id_prueba=pruebas_campeonato.id_prueba) WHERE id_prueba_champ='$var_prueba2' AND id_champ='$id_champ'");
							$sql->ejecutarSQL();
							$res=$sql->getUnRegistro();
							$nombre_proof2=$res['nombre'];
							if ($iterador==0){
								echo "<div class=\"row\">
									<div class=\"col-md-4\">
										<div class=\"panel panel-primary\">
										  <div class=\"panel-heading\" style=\"text-align:center;\">TROFEO PRUEBA ".$nombre_proof1." ".$nombre_mod1."</div>
										  <div class=\"panel-body\">
											<h3 class=\"text-center\" style=\"color:0000b2;\">1ª clasificada</h3>
											<h3 class=\"text-center\" style=\"color:0000b2;\">PRUEBA ".$nombre_proof1." <font color=\"red\">".$nombre_mod1."</font></h3>
											<h3 class=\"text-center\">".$tipo_evento."</h3>
											<h3 class=\"text-center\">".$Year."</h3>
											<h3 class=\"text-center\">PATINAJE ARTÍSTICO</h3>
										  </div>
										</div>
									</div>
									<div class=\"col-md-4\">
										<div class=\"panel panel-primary\">
										  <div class=\"panel-heading\" style=\"text-align:center;\">TROFEO PRUEBA ".$nombre_proof2." ".$nombre_mod2."</div>
										  <div class=\"panel-body\">
											<h3 class=\"text-center\" style=\"color:0000b2;\">1ª clasificada</h3>
											<h3 class=\"text-center\" style=\"color:0000b2;\">PRUEBA ".$nombre_proof2." <font color=\"red\">".$nombre_mod2."</font></h3>
											<h3 class=\"text-center\">".$tipo_evento."</h3>
											<h3 class=\"text-center\">".$Year."</h3>
											<h3 class=\"text-center\">PATINAJE ARTÍSTICO</h3>
										  </div>
										</div>
									</div>";
								
							}
							else{
								echo "<div class=\"col-md-4\">
										<div class=\"panel panel-primary\">
										  <div class=\"panel-heading\" style=\"text-align:center;\">TROFEO PRUEBA ".$nombre_proof1." ".$nombre_mod1."</div>
										  <div class=\"panel-body\">
											<h3 class=\"text-center\" style=\"color:0000b2;\">1ª clasificada</h3>
											<h3 class=\"text-center\" style=\"color:0000b2;\">PRUEBA ".$nombre_proof1." <font color=\"red\">".$nombre_mod1."</font></h3>
											<h3 class=\"text-center\">".$tipo_evento."</h3>
											<h3 class=\"text-center\">".$Year."</h3>
											<h3 class=\"text-center\">PATINAJE ARTÍSTICO</h3>
										  </div>
										</div>
									</div>
									<div class=\"col-md-4\">
										<div class=\"panel panel-primary\">
										  <div class=\"panel-heading\" style=\"text-align:center;\">TROFEO PRUEBA ".$nombre_proof2." ".$nombre_mod2."</div>
										  <div class=\"panel-body\">
											<h3 class=\"text-center\" style=\"color:0000b2;\">1ª clasificada</h3>
											<h3 class=\"text-center\" style=\"color:0000b2;\">PRUEBA ".$nombre_proof2." <font color=\"red\">".$nombre_mod2."</font></h3>
											<h3 class=\"text-center\">".$tipo_evento."</h3>
											<h3 class=\"text-center\">".$Year."</h3>
											<h3 class=\"text-center\">PATINAJE ARTÍSTICO</h3>
										  </div>
										</div>
									</div>";
							}
							$iterador=$iterador+2;
						}
					}
					else{
						//Tenemos trofeo
						if ($trophic[0]>=$trophic[1]){
							$sql->query("SELECT nombre FROM modalidades WHERE id_mod='$modalidad1' AND id_pl='$id_pl'");
							$sql->ejecutarSQL();
							$res=$sql->getUnRegistro();
							$nombre_mod1=$res['nombre'];
							$var_prueba1=$trophic[2];
							$sql->query("SELECT nombre FROM pruebas_campeonato LEFT JOIN pruebas ON (pruebas.id_prueba=pruebas_campeonato.id_prueba) WHERE id_prueba_champ='$var_prueba1' AND id_champ='$id_champ'");
							$sql->ejecutarSQL();
							$res=$sql->getUnRegistro();
							$nombre_proof1=$res['nombre'];
							if ($iterador==0){
								echo "<div class=\"row\">
									<div class=\"col-md-4\">
										<div class=\"panel panel-primary\">
										  <div class=\"panel-heading\" style=\"text-align:center;\">TROFEO PRUEBA ".$nombre_proof1." ".$nombre_mod1."</div>
										  <div class=\"panel-body\">
											<h3 class=\"text-center\" style=\"color:0000b2;\">1ª clasificada</h3>
											<h3 class=\"text-center\" style=\"color:0000b2;\">PRUEBA ".$nombre_proof1." <font color=\"red\">".$nombre_mod1."</font></h3>
											<h3 class=\"text-center\">".$tipo_evento."</h3>
											<h3 class=\"text-center\">".$Year."</h3>
											<h3 class=\"text-center\">PATINAJE ARTÍSTICO</h3>
										  </div>
										</div>
									</div>";
								
							}
							else{
								echo "<div class=\"col-md-4\">
										<div class=\"panel panel-primary\">
										  <div class=\"panel-heading\" style=\"text-align:center;\">TROFEO PRUEBA ".$nombre_proof1." ".$nombre_mod1."</div>
										  <div class=\"panel-body\">
											<h3 class=\"text-center\" style=\"color:0000b2;\">1ª clasificada</h3>
											<h3 class=\"text-center\" style=\"color:0000b2;\">PRUEBA ".$nombre_proof1." <font color=\"red\">".$nombre_mod1."</font></h3>
											<h3 class=\"text-center\">".$tipo_evento."</h3>
											<h3 class=\"text-center\">".$Year."</h3>
											<h3 class=\"text-center\">PATINAJE ARTÍSTICO</h3>
										  </div>
										</div>
									</div>";
							}
							$iterador++;
						}
					}
				}
			}
		}
		else echo $noInscripcion;
	}
}
else echo $resultado;
?>
