<?php
/*
-----------------------------------------------------------------------------------------------------------
							DOCUMENTOS PARA JUECES
-----------------------------------------------------------------------------------------------------------							
			Operaciones que se pueden realizar:
			1) Generar los documentos para los jueces de este campeonato basándose en las inscripciones y en los elementos de la plantilla.
			2) Modificar las tablas de cada prueba para que se adapte a lo que que quieren los jueces. (por ahora no es necesario).
										CONDICIONES
			1) Un responsable del club y un responsable de la federación puede realizar estas acciones.
			2) Un gestor de papeles asignado a este evento, podrá realizar estas acciones.
			
*/
session_start();
include_once('../../../bbdd/general.php');
include_once('../../../clases/sCphp.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../../clases/cMySQL.php');
$sql= new cMySQL(); 
$sql->conectar();
//Debe estar registrado en el sistema. Nivel de seguridad 1.
$sCphp= new sCphp(); 
//Debe ser un responsable del club o un gestor de papeles asignado al evento. Nivel de seguridad 2.
//Función que comprueba si se está registrado y se es un responsable del club, o un gestor.
$resultado=$sCphp->controlRegistro(array('club','gestor','federacion'),4);
if ($resultado==1){
	if ((isset($_GET['crear']))&&($_GET['crear']=='')){
		$correo=$sCphp->val('correo');
		$rol=$sCphp->val('tipo');
		//Si es un responsable del club, lo haremos de la siguiente forma.
		if (($sCphp->esRol("club"))||($sCphp->esRol("federacion"))){
			$organizacion=$sCphp->val('org');
			//Guardamos al creador de la organización
			$creator=$sCphp->val('creador');
			$mundo=$sCphp->val('pais');
			$pueblo=$sCphp->val('region');
			echo "<h2 style='text-align:center;'>Gestión de documentos ";
			//Selecciono solo los campeonatos que yo he creado
			$sql->ejecutarSQL("SELECT * FROM campeonato LEFT JOIN organizacion ON (campeonato.creadorChamp=organizacion.creador) LEFT JOIN plantilla ON (campeonato.identificadorPlantilla=plantilla.id_plantilla) WHERE campeonato.creadorChamp='$creator'");
			$numRegistrosJOIN0=$sql->getNumRegistros();
			$registroJOIN0=$sql->getTodosRegistro();
			echo "<script type=\"text/javascript\" src=\"js/tablas.js\"></script><small>Jueces</small></h2>";
			echo "<br><p>Seleccione el evento en el que va a trabajar:</p>";
			if ($numRegistrosJOIN0 > 0){
				echo "<div><div class=\"well\">
				<table class='table table-condensed table-hover table-responsive' id=\"tablas\">
					<thead>
						<tr>
							<th>Nombre campeonato</th>
							<th>Tipo</th>
							<th>Plantilla utilizada</th>
							<th>Organización</th>
							<th>Fecha celebración</th>
							<th>País</th>
							<th>Región</th>
						</tr>
					</thead>
					<tbody>";
				foreach ($registroJOIN0 as &$resultado){
					$id_tipoChamp=$resultado['tipo_evento'];
					$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
					$sql->ejecutarSQL();
					$resulTipoEvento=$sql->getUnRegistro();
					$tipo_evento=$resulTipoEvento['nombre'];
					$tiempo=strtotime($resultado['fecha']);
					echo "<tr style=\"cursor: pointer;\"><td>".$resultado['nombreChamp']."<input type=\"hidden\" id=\"nombreChamp\" value=\"".$resultado['nombreChamp']."\"><input type=\"hidden\" id=\"id_champ\" value=\"".$resultado['id_campeonato']."\"></td>
					<td>".$tipo_evento."</td>
					<td>".$resultado['nombre_pl']."<input type=\"hidden\" id=\"id_pl\" value=\"".$resultado['identificadorPlantilla']."\"></td>
					<td>".$resultado['nombre']."</td>
					<td>".date('d-m-Y',$tiempo)."</td>
					<td>".$paises[$resultado['pais']]."</td>
					<td>".$regiones[$resultado['pais']][$resultado['region']]."</td>
					</tr>";	
				}
				echo "</tbody>
					</table></div></div>";
			}
			echo "<script>
				$('#tablas tr:not(:first)').click(function(){
					var correOrg = '".$creator."';
					var nombre_champ = $(this).find(\"input[id=nombreChamp]\").val();
					var id_champ = $(this).find(\"input[id=id_champ]\").val();
					var id_pl = $(this).find(\"input[id=id_pl]\").val();
					var pl='modulos/documentos/jueces/jueces.php?crear=' + id_champ + '&id=' + id_pl + '&correo=' + correOrg;
					var texto='¿Deseas generar los documentos para los jueces para el evento: ' + nombre_champ + '?';
					if (confirm(texto)) actualizar('#centro', pl);
				});
				</script>";
		}
		//Si es un gestor de papeles, lo haremos de la siguiente forma.
		if ($sCphp->esRol("gestor")){
			$sql->ejecutarSQL("SELECT * FROM asignaciones LEFT JOIN campeonato ON (campeonato.id_campeonato=asignaciones.identificadorCampeonato) LEFT JOIN plantilla ON (campeonato.identificadorPlantilla=plantilla.id_plantilla) LEFT JOIN organizacion ON (campeonato.creadorChamp=organizacion.creador) WHERE asignaciones.correoGestor='$correo' AND (asignaciones.accion='todo' OR asignaciones.accion='resto')") or DIE("No");
			$numRegistrosJOIN=$sql->getNumRegistros();
			if ($numRegistrosJOIN > 0){
				$registroJOIN=$sql->getTodosRegistro();
				echo "<h2 style='text-align:center;'>Gestión de documentos ";
				echo "<script type=\"text/javascript\" src=\"js/tablas.js\"></script><small>Jueces</small></h2><br><p>Seleccione el evento en el que va a trabajar:</p>";
				echo "<div class=\"well\">
				<table class='table table-condensed table-hover table-responsive' id=\"tablas\">
					<thead>
						<tr>
							<th>Nombre campeonato</th>
							<th>Tipo</th>
							<th>Plantilla utilizada</th>
							<th title=\"Organización que te ha asignado para que realices el listado\">Organización</th>
							<th>Fecha celebración</th>
							<th>País</th>
							<th>Región</th>
						</tr>
					</thead>
					<tbody>";
				foreach ($registroJOIN as &$resultado){
					$id_tipoChamp=$resultado['tipo_evento'];
					$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
					$sql->ejecutarSQL();
					$resulTipoEvento=$sql->getUnRegistro();
					$tipo_evento=$resulTipoEvento['nombre'];
					$creator=$resultado['correoCreador'];
					$id_champ=$resultado['identificadorCampeonato'];
					$tiempo=strtotime($resultado['fecha']);
					//Selecciono el nombre de la organización que ha asignado al gestor de documentos para que realice las inscripciones.
					$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE creador='$creator'");
					$org_name=$sql->getCampoN();
					echo "<tr style=\"cursor: pointer;\"><td>".$resultado['nombreChamp']."<input type=\"hidden\" id=\"nombreChamp\" value=\"".$resultado['nombreChamp']."\"><input type=\"hidden\" id=\"id_champ\" value=\"".$resultado['id_campeonato']."\"></td>
					<td>".$tipo_evento."</td>
					<td>".$resultado['nombre_pl']."<input type=\"hidden\" id=\"id_pl\" value=\"".$resultado['identificadorPlantilla']."\"></td>
					<td>".$org_name."</td>
					<td>".date('d-m-Y',$tiempo)."</td>
					<td>".$paises[$resultado['pais']]."</td>
					<td>".$regiones[$resultado['pais']][$resultado['region']]."</td>
					<input type=\"hidden\" id=\"correOrg\" value=\"".$creator."\">
					</tr>";	
				}
				echo "</tbody>
					</table>
				</div>";
				echo "<div class=\"alert alert-warning\"><span class=\"glyphicon glyphicon-warning-sign\"></span> El campo <b>Organización</b> es el club que te ha asignado para que realices las inscripciones. Para seleccionar las inscripciones de un club determinado, debes seleccionarlo desde aquí.</div>";
				echo "<script>
				$('#tablas tr:not(:first)').click(function(){
					var correOrg = $(this).find(\"input[id=correOrg]\").val();
					var nombre_champ = $(this).find(\"input[id=nombreChamp]\").val();
					var id_champ = $(this).find(\"input[id=id_champ]\").val();
					var id_pl = $(this).find(\"input[id=id_pl]\").val();
					var pl='modulos/documentos/jueces/jueces.php?crear=' + id_champ + '&id=' + id_pl + '&correo=' + correOrg;
					var texto='¿Deseas generar los documentos para los jueces para el evento: ' + nombre_champ + '?';
					if (confirm(texto)) actualizar('#centro', pl);
				});
				</script>";
			}
			else echo $gestor1noChamps;
		}
	}
	//Ya hemos seleccionado el campeonato en el que vamos a trabajar
	if (((isset($_GET['crear']))&&($_GET['crear']!=''))){
		$id_champ=$_GET['crear'];
		$id_pl=$_GET['id'];
		echo "<h2 style='text-align:center;'>Gestión de documentos ";
		echo "<script type=\"text/javascript\" src=\"js/documentos.js\"></script><small>Documentos para los jueces</small></h2><br>";
		//Se generan automáticamente la lista de inscritos.
		$sql->query("SELECT DISTINCT * FROM inscripcion WHERE id_champ='$id_champ' AND visible='1'");
		$sql->ejecutarSQL();
		$numRegistro=$sql->getNumRegistros();
		if ($numRegistro > 0){
			$inscripciones=$sql->getTodosRegistro();
			$correo=$sCphp->val('correo');
			if (isset($_GET['correo'])) $creador=$_GET['correo'];
			else $creador=$sCphp->val('creador');
			//Antes debemos averigüar si es un responsable del club o un gestor
			if ($sCphp->esRol("club")) $organizacion=$sCphp->val('org');
			else{
				$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE creador='$creador'");
				$numRegistrosJOIN=$sql->getNumRegistros();
				if ($numRegistrosJOIN > 0){
					$organizacion=$sql->getCampoN();
				}
			}
			//Hago esta consulta porque no tengo de qué tipo son las modalidades (individual, parejas).
			$sql->query("SELECT * FROM campeonato WHERE id_campeonato='$id_champ'");
			$sql->ejecutarSQL();
			$resulChamp=$sql->getUnRegistro();
			$sql->query("SELECT DISTINCT * FROM modalidades_campeonato LEFT JOIN modalidades ON (modalidades_campeonato.id_mod=modalidades.id_mod) WHERE id_champ='$id_champ'");
			$sql->ejecutarSQL();
			$mods=$sql->getTodosRegistro();
			$sql->query("SELECT DISTINCT * FROM pruebas_campeonato LEFT JOIN pruebas ON (pruebas_campeonato.id_prueba=pruebas.id_prueba) WHERE id_champ='$id_champ'");
			$sql->ejecutarSQL();
			$proofs=$sql->getTodosRegistro();
			//Seleccionamos las categorías de la plantilla para poder establecer el rango de edades y ver en qué categoría está el/la patinadora.
			$sql->query("SELECT * FROM categorias_campeonato LEFT JOIN categorias ON (categorias_campeonato.id_cat=categorias.id_cat) WHERE id_champ='$id_champ'") or mysql_error();
			$sql->ejecutarSQL();
			$cats=$sql->getTodosRegistro();
			$id_tipoChamp=$resulChamp['tipo_evento'];
			$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
			$sql->ejecutarSQL();
			$resulTipoEvento=$sql->getUnRegistro();
			$tipo_evento=$resulTipoEvento['nombre'];
			//Necesito una tabla categorizando a los alumnos por: 1 - Modalidad, 2 - Prueba, 3 - Categoría en donde la tabla estará diferenciada por la misma de arriba (Numeración, Licencia, etc...).
			$alumnos=array();
			$insertados_alumnos=array();
			$numeracion=1;
			foreach ($inscripciones as &$alumno){
				$id_user=$alumno['id_user'];
				$id_relacion=$alumno['id_relacion'];
				//Selecciono Licencia, Nombre (nombre y apellidos), Género, Año.
				$sql->ejecutarSQL("SELECT users.idUser,users.licencia,users.username,users.apellidos,alumno.sexo,alumno.nacimiento FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE users.idUser='$id_user'") or mysql_error();
				$resultadoAlumno=$sql->getUnRegistro();
				//Tipo lo busco en el vector $mods. Debo saber si es individual o es pareja
				foreach ($mods as &$modalidad){
					if ($modalidad['id_mod_champ']==$alumno['modalidad']) $tipo=$modalidad['tipo'];
				}
				//Si es pareja, añadimos en la misma ocurrencia del vector a los dos alumnos.
				if ($tipo=="par"){
					//Si no lo hemos insertado ya, lo insertamos en el vector. Buscamos que esté ya insertado.
					$insertado=false;
					$i=0;
					//Buscamos en el vector de alumnos relacionados si el identificador del usuario se encuentra ya insertado
					if (array_key_exists($id_user,$insertados_alumnos)){
						if (array_key_exists($id_relacion,$insertados_alumnos)){
							$insertado=true;
							$clave=$i;
						}
					}
					//Si no lo hemos insertado, insertamos en el vector general los datos del alumno inscrito y el alumno de su relación.
					if (!$insertado){
						//Numeración
						$alumno['numeracion']=$numeracion;
						//Licencia
						$alumno['licencia']=$resultadoAlumno['licencia'];
						//Nombre
						$alumno['nombre']=$resultadoAlumno['username'];
						//Apellidos
						$alumno['apellidos']=$resultadoAlumno['apellidos'];
						//Año
						$date = strtotime($resultadoAlumno['nacimiento']);
						$alumno['year']=date("Y", $date);
						//Categoría ya la tengo en alumno
						//Género
						$alumno['sexo']=$resultadoAlumno['sexo'];
						//Tipo lo busco en el vector $mods
						foreach ($mods as &$modalidad){
							if ($modalidad['id_mod_champ']==$alumno['modalidad']) $alumno['tipo']=$modalidad['tipo'];
						}
						//Modalidad y modalidad ya las tengo, pero las modifico para cuadrarlas con la tabla
						$mod=$alumno['modalidad'];
						$alumno[$mod]=$alumno['prueba'];
						//Club hay que buscar el nombre en la bd
						$id_org=$alumno['id_org'];
						$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE idOrg='$id_org'");
						$alumno['org']=$sql->getCampoN();
						//Busco a su relacionado para insertarlo también
						$clave=0;
						$i=0;
						foreach ($inscripciones as &$alumno_relacion){
							if ($alumno_relacion['id_user']==$alumno['id_relacion']) $clave=$i;
							$i++;
						}
						$id_user2=$inscripciones[$clave]['id_user'];
						$id_ins2=$inscripciones[$clave]['id_ins'];
						//Selecciono Licencia, Nombre (nombre y apellidos), Género, Año.
						$sql->ejecutarSQL("SELECT users.idUser,users.licencia,users.username,users.apellidos,alumno.sexo,alumno.nacimiento FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE users.idUser='$id_user2'") or mysql_error();
						$resultadoAlumno2=$sql->getUnRegistro();
						$alumno['id_user2']=$id_user2;
						$alumno['licencia2']=$resultadoAlumno2['licencia'];
						//Nombre
						$alumno['nombre2']=$resultadoAlumno2['username'];
						//Apellidos
						$alumno['apellidos2']=$resultadoAlumno2['apellidos'];
						//Año
						$date2 = strtotime($resultadoAlumno2['nacimiento']);
						$alumno['year2']=date("Y", $date);
						//Categoría ya la tengo en alumno
						//Género
						$alumno['sexo2']=$resultadoAlumno2['sexo'];
						$alumnos[]=$alumno;
						$numeracion++;
						$insertados_alumnos[$alumno['id_user']]=$alumno['id_user'];
						$insertados_alumnos[$alumno['id_user2']]=$alumno['id_user2'];
					}
				}
				if ($tipo=="ind"){
					$i=0;
					//Numeración
					$alumno['numeracion']=$numeracion;
					//Licencia
					$alumno['licencia']=$resultadoAlumno['licencia'];
					//Nombre
					$alumno['nombre']=$resultadoAlumno['username'];
					//Apellidos
					$alumno['apellidos']=$resultadoAlumno['apellidos'];
					//Año
					$date = strtotime($resultadoAlumno['nacimiento']);
					$alumno['year']=date("Y", $date);
					//Categoría ya la tengo en alumno
					//Género
					$alumno['sexo']=$resultadoAlumno['sexo'];
					//Tipo lo busco en el vector $mods
					foreach ($mods as &$modalidad){
						if ($modalidad['id_mod_champ']==$alumno['modalidad']) $alumno['tipo']=$modalidad['tipo'];
					}
					//Modalidad y modalidad ya las tengo, pero las modifico para cuadrarlas con la tabla
					$mod=$alumno['modalidad'];
					$alumno[$mod]=$alumno['prueba'];
					//Club hay que buscar el nombre en la bd
					$id_org=$alumno['id_org'];
					$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE idOrg='$id_org'");
					$alumno['org']=$sql->getCampoN();
					$alumnos[]=$alumno;
					$numeracion++;
				}
			}
			$contador=0;
			$string0="Categorías: ";
			foreach ($cats as &$cat){
				$string0.=$cat['nombre'];
				if (($contador+1)==count($cats)) $string0.=".";
				else $string0.=", ";
				$contador++;
			}
			$contador=0;
			$string="Modalidades: ";
			foreach ($proofs as &$prueba){
				$var_id_mod=$prueba['id_mod'];
				$sql->query("SELECT nombre FROM modalidades WHERE id_mod='$var_id_mod' AND id_pl='$id_pl'");
				$sql->ejecutarSQL();
				$resultado=$sql->getUnRegistro();
				$var_nombre_mod=$resultado['nombre'];
				$string.=$var_nombre_mod." ";
				$string.=$prueba['nombre'];
				if (($contador+1)==count($proofs)) $string.=".";
				else $string.=", ";
				$contador++;
			}
			$fecha_inicio=$resulChamp['fecha'];
			$fecha_fin=$resulChamp['fecha_fin'];
			echo "<div class=\"jumbotron\">
				<h1>".$resulChamp['nombreChamp']."</h1>
				<div class=\"row\">
					<div class=\"col-md-6\">
						<p>Lugar celebración: ".$resulChamp['lugar']."</p>
						<p>Fecha Inicio: ".$fecha_inicio."</p>
						<p>Fecha Fin: ".$fecha_fin."</p>
						<p>Jueces generados por: ".$organizacion."</p>
					</div>
					<div class=\"col-md-6\">
						<p>".$string0."</p>
						<p>".$string."</p>
					</div>
				</div>
			</div>";
			echo "<div class=\"panel panel-default\">
			  <div class=\"panel-body\">
				<p>Juez Nº:</p>
				<p>Nombre y apellidos:</p>
				<p>DNI y firma:</p>
			  </div>
			</div>";
			$alumnos_ordenados=array();
			//Ordeno a los alumnos según su campo orden de la base de datos. Si todos están a -1 ó 0, el orden no importa. Función copiada de Internet.
			$position = array();
			$newRow = array();
			$inverse=false;
			foreach ($alumnos as $key => $row) {
					$position[$key]  = $row['orden'];
					$newRow[$key] = $row;
			}
			if ($inverse) {
				arsort($position);
			}
			else {
				asort($position);
			}
			$alumnos_ordenados = array();
			foreach ($position as $key => $pos) {     
				$alumnos_ordenados[] = $newRow[$key];
			}
			$alumnos=$alumnos_ordenados;
			
			$iterador=1;
			$sql->query("SELECT * FROM jueces WHERE id_pl='$id_pl' AND tipo='segun_campeonato' AND tipo2 is NULL ORDER BY id_tipoChamp,id_mod,id_prueba,id_jueces");
			$sql->ejecutarSQL();
			$vectorBDjueces=array();
			$numReg=$sql->getNumRegistros();
			if ($numReg > 0){
				$jueces=$sql->getTodosRegistro();
				//Ordeno el vector
				//Tabla de pagos inscripciones
				$id_champ_actual="";
				$id_mod_actual="";
				$id_prueba_actual="";
				foreach ($jueces as &$elemento){
					$var_id_champ=$elemento['id_tipoChamp'];
					$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_pl='$id_pl' AND id_tipoChamp='$var_id_champ'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$var_nombre_champ=$res['nombre'];
					$var_id_mod=$elemento['id_mod'];
					$sql->query("SELECT nombre FROM modalidades WHERE id_pl='$id_pl' AND id_mod='$var_id_mod'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$var_nombre_mod=$res['nombre'];
					$var_id_prueba=$elemento['id_prueba'];
					$sql->query("SELECT nombre FROM pruebas WHERE id_pl='$id_pl' AND id_mod='$var_id_mod' AND id_prueba='$var_id_prueba'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$var_nombre_prueba=$res['nombre'];
					if ($iterador==1) $vectorGeneral=array("segun_campeonato");
					//Si tenemos un nuevo campeonato
					if ($id_champ_actual!=$var_id_champ){
						//Si tenemos un nuevo campeonato, crearemos el campeonato y añadiremos el anterior al vector general
						if (isset($vectorArrayChamp)){
							$vectorArrayMod[]=$vectorArrayPrueba;
							unset($vectorArrayPrueba);
							$vectorArrayChamp[]=$vectorArrayMod;
							unset($vectorArrayMod);
							$vectorGeneral[]=$vectorArrayChamp;
							unset($vectorArrayChamp);
						}
						$vectorArrayChamp=array("campeonato",$var_nombre_champ);
						$id_mod_actual="";
						$id_prueba_actual="";
						//Si tenemos una nueva modalidad
						if ($id_mod_actual!=$var_id_mod){
							//Si tenemos una nueva modalidad, crearemos la modalidad y añadiremos la anterior al vector de campeonatos
							if (isset($vectorArrayMod)){
								$vectorArrayMod[]=$vectorArrayPrueba;
								unset($vectorArrayPrueba);
								$vectorArrayChamp[]=$vectorArrayMod;
								unset($vectorArrayMod);
							}
							$vectorArrayMod=array("modalidad",$var_nombre_mod);
							$id_prueba_actual="";
							//Si tenemos una nueva prueba
							if ($id_prueba_actual!=$var_id_prueba){
								//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
								if (isset($vectorArrayPrueba)){
									$vectorArrayMod[]=$vectorArrayPrueba;
									unset($vectorArrayPrueba);
								}
								$vectorArrayPrueba=array("prueba",$var_nombre_prueba);
							}
						}
						//Si estamos añadiendo una prueba a la modalidad
						else{
							//Si tenemos una nueva prueba
							if ($id_prueba_actual!=$var_id_prueba){
								//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
								if (isset($vectorArrayPrueba)){
									$vectorArrayMod[]=$vectorArrayPrueba;
									unset($vectorArrayPrueba);
								}
								$vectorArrayPrueba=array("prueba",$var_nombre_prueba);
							}
						}
					}
					//Si estamos añadiendo una modalidad al campeonato
					else{
						//Si tenemos una nueva modalidad
						if ($id_mod_actual!=$var_id_mod){
							//Si tenemos una nueva modalidad, crearemos la modalidad y añadiremos la anterior al vector de campeonatos
							if (isset($vectorArrayMod)){
								$vectorArrayMod[]=$vectorArrayPrueba;
								unset($vectorArrayPrueba);
								$vectorArrayChamp[]=$vectorArrayMod;
								unset($vectorArrayMod);
							}
							$vectorArrayMod=array("modalidad",$var_nombre_mod);
							$id_prueba_actual="";
							//Si tenemos una nueva prueba
							if ($id_prueba_actual!=$var_id_prueba){
								//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
								if (isset($vectorArrayPrueba)){
									$vectorArrayMod[]=$vectorArrayPrueba;
									unset($vectorArrayPrueba);
								}
								$vectorArrayPrueba=array("prueba",$var_nombre_prueba);
							}
						}
						//Si estamos añadiendo una prueba a la modalidad
						else{
							//Si tenemos una nueva prueba
							if ($id_prueba_actual!=$var_id_prueba){
								//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
								if (isset($vectorArrayPrueba)){
									$vectorArrayMod[]=$vectorArrayPrueba;
									unset($vectorArrayPrueba);
								}
								$vectorArrayPrueba=array("prueba",$var_nombre_prueba);
							}
						}
					}
					$var_elemento=$elemento['elemento'];
					$vectorArrayPrueba[]=$var_elemento;
					$id_champ_actual=$var_id_champ;
					$id_mod_actual=$var_id_mod;
					$id_prueba_actual=$var_id_prueba;
					//En el caso de que hayamos llegado al final del vector, tenemos que finalizarlo
					if ($iterador == count($jueces)){
						$vectorArrayMod[]=$vectorArrayPrueba;
						unset($vectorArrayPrueba);
						$vectorArrayChamp[]=$vectorArrayMod;
						unset($vectorArrayMod);
						$vectorGeneral[]=$vectorArrayChamp;
						unset($vectorArrayChamp);
					}
					$iterador++;
				}
			}
			//Botón categoría
			$sql->query("SELECT * FROM jueces WHERE id_pl='$id_pl' AND tipo='segun_campeonato' AND tipo2='boton_categoria' ORDER BY id_cat,id_jueces");
			$sql->ejecutarSQL();
			$numReg=$sql->getNumRegistros();
			if ($numReg > 0){
				$jueces=$sql->getTodosRegistro();
				//Ordeno el vector
				//Tabla de pagos inscripciones
				$id_cat_actual="";
				foreach ($jueces as &$elemento){
					$var_id_cat=$elemento['id_cat'];
					$sql->query("SELECT nombre FROM categorias WHERE id_pl='$id_pl' AND id_cat='$var_id_cat'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$var_nombre_cat=$res['nombre'];
					//Si tenemos una nueva categoría
					if ($id_cat_actual!=$var_nombre_cat){
						//Si tenemos una nueva categoría, crearemos la categoría y añadiremos la anterior al vector de campeonatos
						if (isset($vectorArrayMod)){
							$vectorGeneral[]=$vectorArrayTemp;
							unset($vectorArrayTemp);
						}
						$vectorArrayTemp=array("boton_categoria",$var_nombre_cat);
					}
					//Si estamos añadiendo un elemento a la categoría
					else{
						$var_elemento=$elemento['elemento'];
						$vectorArrayTemp[]=$var_elemento;
					}
					//En el caso de que hayamos llegado al final del vector, tenemos que finalizarlo
					if ($iterador == count($jueces)){
						$vectorGeneral[]=$vectorArrayTemp;
						unset($vectorArrayTemp);
					}
					$iterador++;
				}
			}
			if (isset($vectorGeneral)){
				$vectorBDjueces[]=$vectorGeneral;
				unset($vectorGeneral);
			}
			$iterador=1;
			//segun_categoria
			$sql->query("SELECT * FROM jueces WHERE id_pl='$id_pl' AND tipo='segun_categoria' ORDER BY tipo2,id_cat,id_mod,id_prueba,id_jueces");
			$sql->ejecutarSQL();
			$numReg=$sql->getNumRegistros();
			if ($numReg > 0){
				$jueces=$sql->getTodosRegistro();
				//Ordeno el vector
				//Tabla de pagos inscripciones
				$id_cat_actual="";
				$id_mod_actual="";
				$id_prueba_actual="";
				foreach ($jueces as &$elemento){
					$var_id_cat=$elemento['id_cat'];
					$sql->query("SELECT nombre FROM categorias WHERE id_pl='$id_pl' AND id_cat='$var_id_cat'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$var_nombre_cat=$res['nombre'];
					$var_id_mod=$elemento['id_mod'];
					$sql->query("SELECT nombre FROM modalidades WHERE id_pl='$id_pl' AND id_mod='$var_id_mod'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$var_nombre_mod=$res['nombre'];
					if ($iterador==1) $vectorGeneral=array("segun_categoria");
					//Si tenemos categorías dentro de las pruebas
					if ($elemento['tipo2']=="boton_modalidad"){
						if (isset($vectorArrayCat)){
							$vectorArrayCat[]=$vectorArrayMod;
							unset($vectorArrayMod);
							$vectorGeneral[]=$vectorArrayCat;
							unset($vectorArrayCat);
						}
						$var_id_prueba=$elemento['id_prueba'];
						$sql->query("SELECT nombre FROM pruebas WHERE id_pl='$id_pl' AND id_mod='$var_id_mod' AND id_prueba='$var_id_prueba'");
						$sql->ejecutarSQL();
						$res=$sql->getUnRegistro();
						$var_nombre_prueba=$res['nombre'];
						//Si tenemos una nueva modalidad
						if ($id_mod_actual!=$var_id_mod){
							//Si tenemos una nueva modalidad, crearemos la modalidad
							if (isset($vectorArrayMod)){
								$vectorArrayMod[]=$vectorArrayPrueba;
								unset($vectorArrayPrueba);
								$vectorGeneral[]=$vectorArrayMod;
								unset($vectorArrayMod);
							}
							$vectorArrayMod=array("boton_modalidad",$var_nombre_mod);
							$id_prueba_actual="";
							//Si tenemos una nueva prueba
							if ($id_prueba_actual!=$var_id_prueba){
								//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
								if (isset($vectorArrayPrueba)){
									$vectorArrayMod[]=$vectorArrayPrueba;
									unset($vectorArrayPrueba);
								}
								$var_elemento=$elemento['elemento'];
								$vectorArrayPrueba=array("prueba",$var_nombre_prueba,$var_elemento);
							}
							else{
								$var_elemento=$elemento['elemento'];
								$vectorArrayPrueba[]=$var_elemento;
							}
						}
						//Si estamos añadiendo una prueba a la modalidad
						else{
							//Si tenemos una nueva prueba
							if ($id_prueba_actual!=$var_id_prueba){
								//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
								if (isset($vectorArrayPrueba)){
									$vectorArrayMod[]=$vectorArrayPrueba;
									unset($vectorArrayPrueba);
								}
								$var_elemento=$elemento['elemento'];
								$vectorArrayPrueba=array("prueba",$var_nombre_prueba,$var_elemento);
							}
							else{
								$var_elemento=$elemento['elemento'];
								$vectorArrayPrueba[]=$var_elemento;
							}
						}
						$id_prueba_actual=$var_id_prueba;
						//En el caso de que hayamos llegado al final del vector, tenemos que finalizarlo
						if ($iterador == count($jueces)){
							$vectorArrayMod[]=$vectorArrayPrueba;
							unset($vectorArrayPrueba);
							$vectorGeneral[]=$vectorArrayMod;
							unset($vectorArrayMod);
						}
					}
					else{
						//Si tenemos una nueva categoría
						if ($id_cat_actual!=$var_id_cat){
							//Si tenemos una nueva categoría, crearemos la categoría y añadiremos el anterior al vector general
							if (isset($vectorArrayCat)){
								if (isset($vectorArrayMod)){
									$vectorArrayCat[]=$vectorArrayMod;
									unset($vectorArrayMod);
								}
								$vectorGeneral[]=$vectorArrayCat;
								unset($vectorArrayCat);
							}
							$vectorArrayCat=array("categoria",$var_nombre_cat);
							$id_mod_actual="";
							//Si tenemos una nueva modalidad
							if ($id_mod_actual!=$var_id_mod){
								if (isset($vectorArrayMod)){
									$vectorArrayCat[]=$vectorArrayMod;
									unset($vectorArrayMod);
								}
								//Si tenemos una nueva modalidad, crearemos la modalidad y añadiremos la anterior al vector de categorías
								$var_elemento=$elemento['elemento'];
								$vectorArrayMod=array("modalidad",$var_nombre_mod,$var_elemento);
							}
						}
						//Si estamos añadiendo una categoría ya existente
						else{
							//Si tenemos una nueva modalidad
							if ($id_mod_actual!=$var_id_mod){
								if (isset($vectorArrayMod)){
									$vectorArrayCat[]=$vectorArrayMod;
									unset($vectorArrayMod);
								}
								//Si tenemos una nueva modalidad, crearemos la modalidad y añadiremos la anterior al vector de categorías
								$var_elemento=$elemento['elemento'];
								$vectorArrayMod=array("modalidad",$var_nombre_mod,$var_elemento);
							}
							else{
								$var_elemento=$elemento['elemento'];
								$vectorArrayMod[]=$var_elemento;
							}
						}
						$id_cat_actual=$var_id_cat;
						//En el caso de que hayamos llegado al final del vector, tenemos que finalizarlo
						if ($iterador == count($jueces)){
							if (isset($vectorArrayMod)){
								$vectorArrayCat[]=$vectorArrayMod;
								unset($vectorArrayMod);
							}
							$vectorGeneral[]=$vectorArrayCat;
							unset($vectorArrayCat);
						}
					}
					$id_mod_actual=$var_id_mod;
					$iterador++;
				}
			}
			$iterador=1;
			if (isset($vectorGeneral)){
				$vectorBDjueces[]=$vectorGeneral;
				unset($vectorGeneral);
			}
			$tablaJueces=$vectorBDjueces;
			
			
			$vectorTemp=array();
			$campeonato=array();
			//Tratamos la tabla de jueces para que seleccione los jueces del campeonato (o categoría).
			//Primero seleccionamos el subvector del campeonato.
			$vectorTemp=$tablaJueces[0];
			//Después seleccionamos el array con los tiempos según el campeonato para este caso.
			if ($tablaJueces[0][0]=="segun_campeonato"){
				foreach ($vectorTemp as &$tipo_champs){
					if ((is_array($tipo_champs))&&($tipo_champs[1]==$tipo_evento))
						$campeonato[]=$tipo_champs;
					if ((is_array($tipo_champs))&&($tipo_champs[0]=="boton_categoria"))
						$campeonato[]=$tipo_champs;
				}
			}
			//Necesito una tabla por cada prueba de cada modalidad, en donde se pueda modificar los elementos principales (las cabeceras y afecte a toda esa tabla).
			$numeracionTabla=1;
			if ($tablaJueces[0][0]=="segun_campeonato"){
				foreach ($mods as &$modalidad){
					$mod=$modalidad['id_mod_champ'];
					$tipo=$modalidad['tipo'];
					$nombreMod=$modalidad['nombre'];
					$var_id_mod=$modalidad['id_mod'];
					$existePrueba=false;
					$existeCategoria=false;
					$existeModalidad=false;
					$existe=false;
					//Comprobamos que haya algún alumno con esa modalidad
					foreach ($alumnos as &$alumno){
						if (array_key_exists($mod,$alumno)) $existeModalidad=true;
					}
					if ($existeModalidad){
						$modMayus = strtoupper($nombreMod);
						foreach ($proofs as &$prueba){
							if ($prueba['id_mod']==$var_id_mod) $proof=$prueba['id_prueba_champ'];
							else $proof="";
							$nombreProof=$prueba['nombre'];
							$var_id_proof=$prueba['id_prueba'];
							//Comprobamos que haya algún alumno con esa modalidad
							foreach ($alumnos as &$alumno){
								if (isset($alumno[$mod])&&($alumno[$mod]==$proof)) $existePrueba=true;
							}
							if ($existePrueba){
								$cabecera=false;
								$esCategoria=false;
								$proofMayus = strtoupper($nombreProof);
								echo "<div class=\"panel panel-primary\">
								<div class=\"panel-heading\" style=\"text-align:center;\">".$modMayus." - PRUEBA ".$proofMayus."</div>
									<table class='table table-bordered table-responsive' id=\"tablaJueces".$numeracionTabla."\">";
								foreach ($cats as &$scatergory){
									$id_cat=$scatergory['id_catChamp'];
									$nombreCat=$scatergory['nombre'];
									foreach ($alumnos as &$alumno){
										if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))) $existeCategoria=true;
									}
									if ($existeCategoria){
										$catMayus = strtoupper($nombreCat);
										$elementos=array();
										//Seleccionamos la modalidad y la prueba en el vector tablaJueces
										foreach ($campeonato as &$tipo_camp){
											//Tenemos un campeonato
											if ($tipo_camp[0]=="campeonato"){
												foreach ($tipo_camp as &$mod_jueces){
													if ((is_array($mod_jueces))&&($mod_jueces[1]==$nombreMod)){
														foreach ($mod_jueces as &$prueba_jueces){
															if ((is_array($prueba_jueces))&&($prueba_jueces[1]==$nombreProof)){
																//Guardamos los elementos de la cabecera en el vector
																for ($i=2;$i<count($prueba_jueces);$i++)
																	$elementos[]=$prueba_jueces[$i];
															}
														}
													}
												}
											}
											/*//Tenemos una categoría
											if ($tipo_camp[0]=="boton_categoria"){
												if ($tipo_camp[1]==$cat){
													$esCategoria=true;
													//Guardamos los elementos de la cabecera en el vector
													for ($i=2;$i<count($prueba_jueces);$i++)
														$elementos[]=$prueba_jueces[$i];
												}
											}*/
										}
										$numElementos=count($elementos);
										if (!$cabecera){
											$cabecera=true;
											echo"
											<tr class=\"active\">
												<th></th>
												<th>Patinador</th>";
											foreach ($elementos as &$elemento)
												if (($elemento=="vacío")||($elemento=="vacio")||($elemento=="empty")) echo "<th></th>";
												else echo "<th>".$elemento."</th>";
											echo "</tr>";
										}
										$span=$numElementos+2;
										echo "<tr class=\"info\"><th COLSPAN=".$span." style=\"text-align:left;\">".$catMayus."</th></tr>	
										<tbody>
										";
										$numeracion=1;
										foreach ($alumnos as &$alumno){
											if ($tipo=='ind'){
												if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))){
													echo "<tr><td>".$numeracion."</td>
													<td>".$alumno['nombre']." ".$alumno['apellidos']."</td>";
													foreach ($elementos as &$elemento)
														echo "<td></td>";
													$numeracion++;
												}
											}
											if ($tipo=='par'){
												if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))){
													echo "<tr><td ROWSPAN=2>".$numeracion."</td>
													<td>".$alumno['nombre']." ".$alumno['apellidos']."</td>";
													foreach ($elementos as &$elemento)
														echo "<td></td>";
														echo "
													<tr>
													<td>".$alumno['nombre2']." ".$alumno['apellidos2']."</td>";
													foreach ($elementos as &$elemento)
														echo "<td></td>";
													echo "
													</tr>";
													$numeracion++;
												}
											}
										}
										$elementos="";
									}
									$existeCategoria=false;
								}
										echo "
										</tbody>
									  </table>
									</div>
								</div>";
								$numeracionTabla++;
							}
							$existePrueba=false;
						}
					}
					$existeModalidad=false;
				}
			}
			if ($tablaJueces[0][0]=="segun_categoria"){
				foreach ($mods as &$modalidad){
					$mod=$modalidad['id_mod_champ'];
					$tipo=$modalidad['tipo'];
					$nombreMod=$modalidad['nombre'];
					$var_id_mod=$modalidad['id_mod'];
					$existePrueba=false;
					$existeCategoria=false;
					$existeModalidad=false;
					$existe=false;
					//Comprobamos que haya algún alumno con esa modalidad
					foreach ($alumnos as &$alumno){
						if (array_key_exists($mod,$alumno)) $existeModalidad=true;
					}
					if ($existeModalidad){
						$modMayus = strtoupper($nombreMod);
						foreach ($proofs as &$prueba){
							if ($prueba['id_mod']==$var_id_mod) $proof=$prueba['id_prueba_champ'];
							else $proof="";
							$nombreProof=$prueba['nombre'];
							$var_id_proof=$prueba['id_prueba'];
							//Comprobamos que haya algún alumno con esa modalidad
							foreach ($alumnos as &$alumno){
								if (isset($alumno[$mod])&&($alumno[$mod]==$proof)) $existePrueba=true;
							}
							if ($existePrueba){
								$cabecera=false;
								$proofMayus = strtoupper($nombreProof);
								echo "<div class=\"panel panel-primary\">
								<div class=\"panel-heading\" style=\"text-align:center;\">".$modMayus." - PRUEBA ".$proofMayus."</div>
									<table class='table table-bordered table-responsive' id=\"tablaJueces".$numeracionTabla."\">";
								foreach ($cats as &$scatergory){
									$id_cat=$scatergory['id_catChamp'];
									$nombreCat=$scatergory['nombre'];
									foreach ($alumnos as &$alumno){
										if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))) $existeCategoria=true;
									}
									if ($existeCategoria){
										$catMayus = strtoupper($nombreCat);
										$elementos=array();
										//Seleccionamos la modalidad y la prueba en el vector tablaTiempos
										foreach ($vectorTemp as &$cat_jueces){
											if ((is_array($cat_jueces))&&($cat_jueces[1]==$nombreCat)&&($cat_jueces[0]=="categoria")){
												foreach ($cat_jueces as &$mod_jueces){
													if ((is_array($mod_jueces))&&($mod_jueces[1]==$nombreMod)){
														for ($i=2;$i<count($mod_jueces);$i++)
															$elementos[]=$mod_jueces[$i];
													}
												}
											}
											/*if ((is_array($cat_jueces))&&($cat_jueces[1]==$mod)&&($cat_jueces[0]=="boton_modalidad")){
												foreach ($cat_jueces as &$proof_tiempo){
													if ((is_array($proof_tiempo))&&($proof_tiempo[1]==$proof)){
														for ($i=2;$i<count($mod_jueces);$i++)
															$elementos[]=$mod_jueces[$i];
													}
												}
											}*/
										}
										$numElementos=count($elementos);
										if (!$cabecera){
											$cabecera=true;
											echo"
											<tr class=\"active\">
												<th></th>
												<th>Patinador</th>";
											foreach ($elementos as &$elemento)
												if (($elemento=="vacío")||($elemento=="vacio")||($elemento=="empty")) echo "<th></th>";
												else echo "<th>".$elemento."</th>";
											echo "</tr>";
										}
										$span=$numElementos+2;
										echo "<tr class=\"info\"><th COLSPAN=".$span." style=\"text-align:left;\">".$catMayus."</th></tr>	
										<tbody>
										";
										$numeracion=1;
										foreach ($alumnos as &$alumno){
											if ($tipo=='ind'){
												if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))){
													echo "<tr><td>".$numeracion."</td>
													<td>".$alumno['nombre']." ".$alumno['apellidos']."</td>";
													foreach ($elementos as &$elemento)
														echo "<td></td>";
													$numeracion++;
												}
											}
											if ($tipo=='par'){
												if (($alumno['categoria']==$id_cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))){
													echo "<tr><td ROWSPAN=2>".$numeracion."</td>
													<td>".$alumno['nombre']." ".$alumno['apellidos']."</td>";
													foreach ($elementos as &$elemento)
														echo "<td></td>";
														echo "
													<tr>
													<td>".$alumno['nombre2']." ".$alumno['apellidos2']."</td>";
													foreach ($elementos as &$elemento)
														echo "<td></td>";
													echo "
													</tr>";
													$numeracion++;
												}
											}
										}
										$elementos="";
									}
									$existeCategoria=false;
								}
										echo "
										</tbody>
									  </table>
									</div>
								</div>";
								$numeracionTabla++;
							}
							$existePrueba=false;
						}
					}
					$existeModalidad=false;
				}
			}
		}
		else echo $noInscripcion;
	}
}
else echo $resultado;
?>
