<?php
/*
-----------------------------------------------------------------------------------------------------------
												Pagos
-----------------------------------------------------------------------------------------------------------							
			Operaciones que se pueden realizar:
			1) Crear documentos de pagos.

										CONDICIONES
			1) Un responsable del club/federación puede realizar estas acciones.
			2) Un gestor de documentos asignado a este evento, podrá realizar estas acciones.
			
*/
session_start();
include_once('../../../bbdd/general.php');
include_once('../../../clases/sCphp.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../../clases/cMySQL.php');
$sql= new cMySQL(); 
$sql->conectar();
//Debe estar registrado en el sistema. Nivel de seguridad 1.
$sCphp= new sCphp(); 
//Debe ser un responsable del club/federación o un gestor de documentos asignado al evento. Nivel de seguridad 2.
//Función que comprueba si se está registrado y se es un responsable del club, o un gestor.
$resultado=$sCphp->controlRegistro(array('club','gestor','federacion'),4);
if ($resultado==1){
	if ((isset($_GET['crear']))&&($_GET['crear']=='')){
		$correo=$sCphp->val('correo');
		$rol=$sCphp->val('tipo');
		//Si es un responsable del club, lo haremos de la siguiente forma.
		if (($sCphp->esRol("club"))||($sCphp->esRol("federacion"))){
			$organizacion=$sCphp->val('org');
			//Guardamos al creador de la organización
			$creator=$sCphp->val('creador');
			$mundo=$sCphp->val('pais');
			$pueblo=$sCphp->val('region');
			echo "<h2 style='text-align:center;'>Gestión de documentos ";
			//Selecciono solo los campeonatos que yo he creado
			$sql->ejecutarSQL("SELECT * FROM campeonato LEFT JOIN organizacion ON (campeonato.creadorChamp=organizacion.creador) LEFT JOIN plantilla ON (campeonato.identificadorPlantilla=plantilla.id_plantilla) WHERE campeonato.creadorChamp='$creator'") or DIE("No");
			$numRegistrosJOIN0=$sql->getNumRegistros();
			$registroJOIN0=$sql->getTodosRegistro();
			echo "<script type=\"text/javascript\" src=\"js/tablas.js\"></script><small>Pagos</small></h2>";
			echo "<br><p>Seleccione el evento en el que va a trabajar:</p>";
			if ($numRegistrosJOIN0 > 0){
				echo "<div><div class=\"well\">
				<table class='table table-condensed table-hover table-responsive' id=\"tablas\">
					<thead>
						<tr>
							<th>Nombre campeonato</th>
							<th>Tipo</th>
							<th>Plantilla utilizada</th>
							<th>Organización</th>
							<th>Fecha celebración</th>
							<th>País</th>
							<th>Región</th>
						</tr>
					</thead>
					<tbody>";
				foreach ($registroJOIN0 as &$resultado){
					$id_tipoChamp=$resultado['tipo_evento'];
					$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
					$sql->ejecutarSQL();
					$resulTipoEvento=$sql->getUnRegistro();
					$tipo_evento=$resulTipoEvento['nombre'];
					$tiempo=strtotime($resultado['fecha']);
					echo "<tr style=\"cursor: pointer;\"><td>".$resultado['nombreChamp']."<input type=\"hidden\" id=\"nombreChamp\" value=\"".$resultado['nombreChamp']."\"><input type=\"hidden\" id=\"id_champ\" value=\"".$resultado['id_campeonato']."\"></td>
					<td>".$tipo_evento."</td>
					<td>".$resultado['nombre_pl']."<input type=\"hidden\" id=\"id_pl\" value=\"".$resultado['identificadorPlantilla']."\"></td>
					<td>".$resultado['nombre']."</td>
					<td>".date('d-m-Y',$tiempo)."</td>
					<td>".$paises[$resultado['pais']]."</td>
					<td>".$regiones[$resultado['pais']][$resultado['region']]."</td>
					</tr>";	
				}
				echo "</tbody>
					</table></div></div>";
			}
			echo "<script>
				$('#tablas tr:not(:first)').click(function(){
					var correOrg = '".$creator."';
					var nombre_champ = $(this).find(\"input[id=nombreChamp]\").val();
					var id_champ = $(this).find(\"input[id=id_champ]\").val();
					var id_pl = $(this).find(\"input[id=id_pl]\").val();
					var pl='modulos/documentos/pagos/pagos.php?crear=' + id_champ + '&id=' + id_pl + '&correo=' + correOrg;
					var texto='¿Deseas generar el documento de pagos del evento: ' + nombre_champ + '?';
					if (confirm(texto)) actualizar('#centro', pl);
				});
				</script>";
		
		}
		//Si es un gestor de papeles, lo haremos de la siguiente forma.
		if ($sCphp->esRol("gestor")){
			$sql->ejecutarSQL("SELECT * FROM asignaciones LEFT JOIN campeonato ON (campeonato.id_campeonato=asignaciones.identificadorCampeonato) LEFT JOIN plantilla ON (campeonato.identificadorPlantilla=plantilla.id_plantilla) LEFT JOIN organizacion ON (campeonato.creadorChamp=organizacion.creador) WHERE asignaciones.correoGestor='$correo' AND (asignaciones.accion='todo' OR asignaciones.accion='resto')") or DIE("No");
			$numRegistrosJOIN=$sql->getNumRegistros();
			if ($numRegistrosJOIN > 0){
				$registroJOIN=$sql->getTodosRegistro();
				echo "<h2 style='text-align:center;'>Gestión de documentos ";
				echo "<script type=\"text/javascript\" src=\"js/tablas.js\"></script><small>Pagos</small></h2><br><p>Seleccione el evento en el que va a trabajar:</p>";
				echo "<div class=\"well\">
				<table class='table table-condensed table-hover table-responsive' id=\"tablas\">
					<thead>
						<tr>
							<th>Nombre campeonato</th>
							<th>Tipo</th>
							<th>Plantilla utilizada</th>
							<th title=\"Organización que te ha asignado para que realices el listado\">Organización</th>
							<th>Fecha celebración</th>
							<th>País</th>
							<th>Región</th>
						</tr>
					</thead>
					<tbody>";
				foreach ($registroJOIN as &$resultado){
					$id_tipoChamp=$resultado['tipo_evento'];
					$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
					$sql->ejecutarSQL();
					$resulTipoEvento=$sql->getUnRegistro();
					$tipo_evento=$resulTipoEvento['nombre'];
					$creator=$resultado['correoCreador'];
					$id_champ=$resultado['identificadorCampeonato'];
					$tiempo=strtotime($resultado['fecha']);
					//Selecciono el nombre de la organización que ha asignado al gestor de documentos para que realice las inscripciones.
					$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE creador='$creator'");
					$org_name=$sql->getCampoN();
					echo "<tr style=\"cursor: pointer;\"><td>".$resultado['nombreChamp']."<input type=\"hidden\" id=\"nombreChamp\" value=\"".$resultado['nombreChamp']."\"><input type=\"hidden\" id=\"id_champ\" value=\"".$resultado['id_campeonato']."\"></td>
					<td>".$tipo_evento."</td>
					<td>".$resultado['nombre_pl']."<input type=\"hidden\" id=\"id_pl\" value=\"".$resultado['identificadorPlantilla']."\"></td>
					<td>".$org_name."</td>
					<td>".date('d-m-Y',$tiempo)."</td>
					<td>".$paises[$resultado['pais']]."</td>
					<td>".$regiones[$resultado['pais']][$resultado['region']]."</td>
					<input type=\"hidden\" id=\"correOrg\" value=\"".$creator."\">
					</tr>";	
				}
				echo "</tbody>
					</table>
				</div>";
				echo "<div class=\"alert alert-warning\"><span class=\"glyphicon glyphicon-warning-sign\"></span> El campo <b>Organización</b> es el club que te ha asignado para que realices la tarea. Para seleccionar el documento de un club determinado, debes hacerlo aquí.</div>";
				echo "<script>
				$('#tablas tr:not(:first)').click(function(){
					var correOrg = $(this).find(\"input[id=correOrg]\").val();
					var nombre_champ = $(this).find(\"input[id=nombreChamp]\").val();
					var id_champ = $(this).find(\"input[id=id_champ]\").val();
					var id_pl = $(this).find(\"input[id=id_pl]\").val();
					var pl='modulos/documentos/pagos/pagos.php?crear=' + id_champ + '&id=' + id_pl + '&correo=' + correOrg;
					var texto='¿Deseas generar el documento de pagos del evento: ' + nombre_champ + '?';
					if (confirm(texto)) actualizar('#centro', pl);
				});
				</script>";
			}
			else echo $gestor1noChamps;
		}
	}
	//Ya hemos seleccionado el campeonato en el que vamos a trabajar
	if (((isset($_GET['crear']))&&($_GET['crear']!=''))){
		$id_champ=$_GET['crear'];
		$id_pl=$_GET['id'];
		echo "<h2 style='text-align:center;'>Gestión de documentos ";
		echo "<script type=\"text/javascript\" src=\"js/documentos.js\"></script><small>Pagos</small></h2><br>";
		//Se generan automáticamente la lista de inscritos.
		$sql->query("SELECT * FROM inscripcion WHERE id_champ='$id_champ' AND visible='1' ORDER BY modalidad");
		$sql->ejecutarSQL();
		$numRegistro=$sql->getNumRegistros();
		if ($numRegistro > 0){
			$inscripciones=$sql->getTodosRegistro();
			$correo=$sCphp->val('correo');
			if (isset($_GET['correo'])) $creador=$_GET['correo'];
			else $creador=$sCphp->val('creador');
			//Antes debemos averigüar si es un responsable del club o un gestor
			if ($sCphp->esRol("club")) $organizacion=$sCphp->val('org');
			else{
				$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE creador='$creador'");
				$numRegistrosJOIN=$sql->getNumRegistros();
				if ($numRegistrosJOIN > 0){
					$organizacion=$sql->getCampoN();
				}
			}
			//Hago esta consulta porque no tengo de qué tipo son las modalidades (individual, parejas).
			$sql->query("SELECT * FROM campeonato WHERE id_campeonato='$id_champ'");
			$sql->ejecutarSQL();
			$resulChamp=$sql->getUnRegistro();
			$sql->query("SELECT DISTINCT * FROM modalidades_campeonato LEFT JOIN modalidades ON (modalidades_campeonato.id_mod=modalidades.id_mod) WHERE id_champ='$id_champ'");
			$sql->ejecutarSQL();
			$mods=$sql->getTodosRegistro();
			$sql->query("SELECT DISTINCT * FROM pruebas_campeonato LEFT JOIN pruebas ON (pruebas_campeonato.id_prueba=pruebas.id_prueba) WHERE id_champ='$id_champ'");
			$sql->ejecutarSQL();
			$proofs=$sql->getTodosRegistro();
			//Seleccionamos las categorías de la plantilla para poder establecer el rango de edades y ver en qué categoría está el/la patinadora.
			$sql->query("SELECT * FROM categorias_campeonato LEFT JOIN categorias ON (categorias_campeonato.id_cat=categorias.id_cat) WHERE id_champ='$id_champ'") or mysql_error();
			$sql->ejecutarSQL();
			$numRegistroPl=$sql->getNumRegistros();
			$cats=$sql->getTodosRegistro();
			$alumnos=array();
			$insertados_alumnos=array();
			$numeracion=1;
			foreach ($inscripciones as &$alumno){
				$id_user=$alumno['id_user'];
				$id_relacion=$alumno['id_relacion'];
				//Selecciono Licencia, Nombre (nombre y apellidos), Género, Año.
				$sql->ejecutarSQL("SELECT users.idUser,users.licencia,users.username,users.apellidos,alumno.sexo,alumno.nacimiento FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE users.idUser='$id_user'") or mysql_error();
				$resultadoAlumno=$sql->getUnRegistro();
				//Tipo lo busco en el vector $mods. Debo saber si es individual o es pareja
				foreach ($mods as &$modalidad){
					if ($modalidad['id_mod_champ']==$alumno['modalidad']) $tipo=$modalidad['tipo'];
				}
				//Si es pareja, añadimos en la misma ocurrencia del vector a los dos alumnos.
				if ($tipo=="par"){
					//Si no lo hemos insertado ya, lo insertamos en el vector. Buscamos que esté ya insertado.
					$insertado=false;
					$i=0;
					//Buscamos en el vector de alumnos relacionados si el identificador del usuario se encuentra ya insertado
					if (array_key_exists($id_user,$insertados_alumnos)){
						if (array_key_exists($id_relacion,$insertados_alumnos)){
							$insertado=true;
							$clave=$i;
						}
					}
					//Si no lo hemos insertado, insertamos en el vector general los datos del alumno inscrito y el alumno de su relación.
					if (!$insertado){
						//Numeración
						$alumno['numeracion']=$numeracion;
						//Licencia
						$alumno['licencia']=$resultadoAlumno['licencia'];
						//Nombre
						$alumno['nombre']=$resultadoAlumno['username'];
						//Apellidos
						$alumno['apellidos']=$resultadoAlumno['apellidos'];
						//Año
						$date = strtotime($resultadoAlumno['nacimiento']);
						$alumno['year']=date("Y", $date);
						//Categoría ya la tengo en alumno
						//Género
						$alumno['sexo']=$resultadoAlumno['sexo'];
						//Tipo lo busco en el vector $mods
						foreach ($mods as &$modalidad){
							if ($modalidad['id_mod_champ']==$alumno['modalidad']) $alumno['tipo']=$modalidad['tipo'];
						}
						//Modalidad y modalidad ya las tengo, pero las modifico para cuadrarlas con la tabla
						$mod=$alumno['modalidad'];
						$alumno[$mod]=$alumno['prueba'];
						//Club hay que buscar el nombre en la bd
						$id_org=$alumno['id_org'];
						$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE idOrg='$id_org'");
						$alumno['org']=$sql->getCampoN();
						//Busco a su relacionado para insertarlo también
						$clave=0;
						$i=0;
						foreach ($inscripciones as &$alumno_relacion){
							if ($alumno_relacion['id_user']==$alumno['id_relacion']) $clave=$i;
							$i++;
						}
						$id_user2=$inscripciones[$clave]['id_user'];
						//Selecciono Licencia, Nombre (nombre y apellidos), Género, Año.
						$sql->ejecutarSQL("SELECT users.idUser,users.licencia,users.username,users.apellidos,alumno.sexo,alumno.nacimiento FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE users.idUser='$id_user2'") or mysql_error();
						$resultadoAlumno2=$sql->getUnRegistro();
						$alumno['id_user2']=$id_user2;
						$alumno['licencia2']=$resultadoAlumno2['licencia'];
						//Nombre
						$alumno['nombre2']=$resultadoAlumno2['username'];
						//Apellidos
						$alumno['apellidos2']=$resultadoAlumno2['apellidos'];
						//Año
						$date2 = strtotime($resultadoAlumno2['nacimiento']);
						$alumno['year2']=date("Y", $date);
						//Categoría ya la tengo en alumno
						//Género
						$alumno['sexo2']=$resultadoAlumno2['sexo'];
						$alumnos[]=$alumno;
						$numeracion++;
						$insertados_alumnos[$alumno['id_user']]=$alumno['id_user'];
						$insertados_alumnos[$alumno['id_user2']]=$alumno['id_user2'];
					}
				}
				if ($tipo=="ind"){
					$id_user=$alumno['id_user'];
					//Selecciono Licencia, Nombre (nombre y apellidos), Género, Año.
					$sql->ejecutarSQL("SELECT users.idUser,users.licencia,users.username,users.apellidos,alumno.sexo,alumno.nacimiento FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE users.idUser='$id_user'") or mysql_error();
					$resultadoAlumno=$sql->getUnRegistro();
					//Numeración
					$alumno['numeracion']=$numeracion;
					//Licencia
					$alumno['licencia']=$resultadoAlumno['licencia'];
					//Nombre
					$alumno['nombre']=$resultadoAlumno['username'];
					//Apellidos
					$alumno['apellidos']=$resultadoAlumno['apellidos'];
					//Año
					$date = strtotime($resultadoAlumno['nacimiento']);
					$alumno['year']=date("Y", $date);
					//Categoría ya la tengo en alumno
					//Género
					$alumno['sexo']=$resultadoAlumno['sexo'];
					//Tipo lo busco en el vector $mods
					foreach ($mods as &$modalidad){
						if ($modalidad['id_mod_champ']==$alumno['modalidad']) $alumno['tipo']=$modalidad['tipo'];
					}
					//Modalidad y modalidad ya las tengo, pero las modifico para cuadrarlas con la tabla
					$mod=$alumno['modalidad'];
					$alumno[$mod]=$alumno['prueba'];
					//Club hay que buscar el nombre en la bd
					$id_org=$alumno['id_org'];
					$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE idOrg='$id_org'");
					$alumno['org']=$sql->getCampoN();
					$alumnos[]=$alumno;
					$numeracion++;
				}
			}
			
			
			$sql->query("SELECT * FROM inventario WHERE id_pl='$id_pl' ORDER BY id_prueba,sexo DESC");
			$sql->ejecutarSQL();
			$numReg=$sql->getNumRegistros();
			if ($numReg > 0){
				$medals=$sql->getTodosRegistro();
				//Ordeno el vector
				$vectorBDMedals=array();
				foreach ($medals as &$medalla){
					$var_id_prueba=$medalla['id_prueba'];
					$sql->query("SELECT nombre FROM pruebas WHERE id_pl='$id_pl' AND id_prueba='$var_id_prueba'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$var_nombre_prueba=$res['nombre'];
					$sql->query("SELECT id_mod FROM pruebas WHERE id_pl='$id_pl' AND id_prueba='$var_id_prueba'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$var_id_mod=$res['id_mod'];
					$sql->query("SELECT nombre FROM modalidades WHERE id_pl='$id_pl' AND id_mod='$var_id_mod'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$var_nombre_mod=$res['nombre'];
					$vectorBDtemp=array($var_nombre_mod,$medalla['sexo'],$var_nombre_prueba,$medalla['id_inv']);
					if ($medalla['bronce']==1)
						$vectorBDtemp[]="bronce";
					if ($medalla['plata']==1)
						$vectorBDtemp[]="plata";
					if ($medalla['oro']==1)
						$vectorBDtemp[]="oro";
					array_push($vectorBDMedals,$vectorBDtemp);
					unset($vectorBDtemp);
				}
			}
			$medallero=$vectorBDMedals;
			//Array con las medallas. El vector será de esta forma: $medalla['Libre']=>(['Nacional']=>(['masculino']=>(['oro]=>'2',['plata]=>'1',['bronce]=>'1'),['femenino']=>(['oro]=>'5',['plata]=>'4',['bronce]=>'2')))
			$medallas=array();
			$insertados=array();
			$sexo=array('masculino','femenino','otro');
			foreach ($mods as &$modalidad){
				$mod=$modalidad['id_mod_champ'];
				$tipo=$modalidad['tipo'];
				$nombreMod=$modalidad['nombre'];
				$var_id_mod=$modalidad['id_mod'];
				$existePrueba=false;
				$existeCategoria=false;
				$existeModalidad=false;
				$existeGenero=false;
				$bronce=false;
				$plata=false;
				$oro=false;
				//Comprobamos que haya algún alumno con esa modalidad
				foreach ($alumnos as &$alumno){
					if (array_key_exists($mod,$alumno)) $existeModalidad=true;
				}
				if ($existeModalidad){
					$temp1=array();
					foreach ($proofs as &$prueba){
						if ($prueba['id_mod']==$var_id_mod) $proof=$prueba['id_prueba_champ'];
						else $proof="";
						$nombreProof=$prueba['nombre'];
						$var_id_proof=$prueba['id_prueba'];
						//Comprobamos que haya algún alumno con esa modalidad
						foreach ($alumnos as &$alumno){
							if (isset($alumno[$mod])&&($alumno[$mod]==$proof)) $existePrueba=true;
						}
						if ($existePrueba){
							$medal=array();
							foreach ($sexo as &$genero){
								foreach ($alumnos as &$alumno){
									if ($genero=='otro'){
										if (((isset($alumno[$mod]))&&($alumno[$mod]==$proof))&&($alumno['id_relacion']!=$alumno['id_user'])) $existeGenero=true;
									}
									else if (((isset($alumno[$mod]))&&($alumno[$mod]==$proof))&&($alumno['sexo']==$genero)) $existeGenero=true;
								}
								if ($existeGenero){
									$temp2=array();
									foreach ($cats as &$categoria){
										$cat=$categoria['id_catChamp'];
										$nombreCat=$categoria['nombre'];
										foreach ($alumnos as &$alumno){
											if (($alumno['categoria']==$cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))) $existeCategoria=true;
										}
										if ($existeCategoria){
											//Filtramos en el medallero (variable medallero que proviene de la plantilla) aquellas medallas que no se deban sumar
											foreach ($medallero as &$filtro_medalla){
												if (($nombreMod==$filtro_medalla[0])&&($genero==$filtro_medalla[1])&&($nombreProof==$filtro_medalla[2])){
													for ($j=2;$j<count($filtro_medalla);$j++){
														if ($filtro_medalla[$j]=='bronce') $bronce=true;
														if ($filtro_medalla[$j]=='plata') $plata=true;
														if ($filtro_medalla[$j]=='oro') $oro=true;
													}
												}
											}
											foreach ($alumnos as &$alumno){
												//En el caso de modalidades no individuales
												if ($genero=='otro'){
													if (($alumno['categoria']==$cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))&&($alumno['id_relacion']!=$alumno['id_user'])&&(!array_key_exists($alumno['id_user'],$insertados))){
														if ((isset($temp3))&&(array_key_exists($cat,$temp3))){
															$temp3[$nombreCat]++;
														}
														else{
															$temp3=array();
															$temp3[$nombreCat]=1;
														}
														$insertados[$alumno['id_user']]=$alumno['id_user'];
														$insertados[$alumno['id_relacion']]=$alumno['id_relacion'];
													}
												}
												//En el caso de modalidades individuales
												else{
													if (($alumno['categoria']==$cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))&&($alumno['sexo']==$genero)){
														if ((isset($temp3))&&(array_key_exists($nombreCat,$temp3))){
															$temp3[$nombreCat]++;
														}
														else{
															$temp3=array();
															$temp3[$nombreCat]=1;
														}
													}
												}
											}
											if (isset($temp3)){
												switch ($temp3[$nombreCat]){
													case 1:
														if ($oro){
															if (array_key_exists('oro',$temp2)) $temp2['oro']++;
															else $temp2['oro']=1;
														}
														break;
													case 2:
														if ($oro){
															if (array_key_exists('oro',$temp2)) $temp2['oro']++;
															else $temp2['oro']=1;
														}
														if ($plata){
															if (array_key_exists('plata',$temp2)) $temp2['plata']++;
															else $temp2['plata']=1;
														}
														break;
													case 3 or ($temp3[$nombreCat]>3):
														if ($oro){
															if (array_key_exists('oro',$temp2)) $temp2['oro']++;
															else $temp2['oro']=1;
														}
														if ($plata){
															if (array_key_exists('plata',$temp2)) $temp2['plata']++;
															else $temp2['plata']=1;
														}
														if ($bronce){
															if (array_key_exists('bronce',$temp2)) $temp2['bronce']++;
															else $temp2['bronce']=1;
														}
														break;
												}
												unset($temp3);
											}
											$bronce=false;
											$plata=false;
											$oro=false;
										}
										$existeCategoria=false;
									}
									if (isset($temp2)){
										$medal[$genero]=$temp2;
										unset($temp2);
									}
								}
								$existeGenero=false;
							}
							if (isset($medal)){
								$temp1[$nombreProof]=$medal;
								unset($medal);
							}
						}
						$existePrueba=false;
					}
					if (isset($temp1)){
						$medallas[$nombreMod]=$temp1;
						unset($temp1);
					}
				}
				$existeModalidad=false;
			}
			$inventario=array('oro'=>0,'plata'=>0,'bronce'=>0);
			foreach ($medallas as $moda=>$prueba_vec){
				foreach ($prueba_vec as $prueb=>$genero_vec){
					foreach ($genero_vec as $gen=>$tipo_med){
						if (count($tipo_med) > 0 ){
							if (array_key_exists('oro',$tipo_med)) $inventario['oro']=$inventario['oro']+$tipo_med['oro'];
							if (array_key_exists('plata',$tipo_med)) $inventario['plata']=$inventario['plata']+$tipo_med['plata'];
							if (array_key_exists('bronce',$tipo_med)) $inventario['bronce']=$inventario['bronce']+$tipo_med['bronce'];
						}
					}
				}
			}
			$totalMedallas=$inventario['oro']+$inventario['plata']+$inventario['bronce'];
			
			$sql->query("SELECT * FROM pagos_inscripciones WHERE id_pl='$id_pl' ORDER BY id_prueba");
			$sql->ejecutarSQL();
			$numReg=$sql->getNumRegistros();
			if ($numReg > 0){
				$tablaPagos=$sql->getTodosRegistro();
				//Ordeno el vector
				//Tabla de pagos inscripciones
				$vectorBDPagos=array();
				$vectorBDtemp=array("inscripciones");
				foreach ($tablaPagos as &$pago){
					$var_id_prueba=$pago['id_prueba'];
					$sql->query("SELECT id_mod,nombre FROM pruebas WHERE id_pl='$id_pl' AND id_prueba='$var_id_prueba'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$var_nombre_prueba=$res['nombre'];
					$var_id_mod=$res['id_mod'];
					$sql->query("SELECT nombre FROM modalidades WHERE id_pl='$id_pl' AND id_mod='$var_id_mod'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$var_nombre_mod=$res['nombre'];
					$vectorBDtemp[]=$var_nombre_mod;
					$vectorBDtemp[]=$var_nombre_prueba;
					$vectorBDtemp[]=$pago['cantidad'];
				}
				$vectorBDPagos[]=$vectorBDtemp;
				unset($vectorBDtemp);
				//Tabla de pagos de jueces
				$sql->ejecutarSQL("SELECT * FROM pagos_gestores WHERE id_pl='$id_pl' ORDER BY id_pago2");
				$tablaPagos=$sql->getTodosRegistro();
				$vectorBDtemp=array("jueces");
				foreach ($tablaPagos as &$pago){
					$vectorBDtemp[]=$pago['tipo'];
					$vectorBDtemp[]=$pago['tarifa'];
					$vectorBDtemp[]=$pago['distancia'];
					$vectorBDtemp[]=$pago['dieta'];
					$vectorBDtemp[]=$pago['horas'];
				}
				$vectorBDPagos[]=$vectorBDtemp;
				unset($vectorBDtemp);
				//Tabla de pagos de medallas
				$sql->ejecutarSQL("SELECT * FROM pagos_medallas WHERE id_pl='$id_pl' ORDER BY id_pago3");
				$tablaPagos=$sql->getTodosRegistro();
				$vectorBDtemp=array("medallas");
				foreach ($tablaPagos as &$pago){
					$vectorBDtemp[]=$pago['cantidad'];
				}
				$vectorBDPagos[]=$vectorBDtemp;
				unset($vectorBDtemp);
				$tablaPagos=$vectorBDPagos;
			}
			
			$pagos=array();
			$ingreso=0;
			foreach ($mods as &$modalidad){
				$mod=$modalidad['id_mod_champ'];
				$tipo=$modalidad['tipo'];
				$nombreMod=$modalidad['nombre'];
				$var_id_mod=$modalidad['id_mod'];
				$existePrueba=false;
				$existeCategoria=false;
				$existeModalidad=false;
				//Comprobamos que haya algún alumno con esa modalidad
				foreach ($alumnos as &$alumno){
					if (array_key_exists($mod,$alumno)) $existeModalidad=true;
				}
				if ($existeModalidad){
					foreach ($proofs as &$prueba){
						if ($prueba['id_mod']==$var_id_mod) $proof=$prueba['id_prueba_champ'];
						else $proof="";
						$nombreProof=$prueba['nombre'];
						$var_id_proof=$prueba['id_prueba'];
						//Comprobamos que haya algún alumno con esa modalidad
						foreach ($alumnos as &$alumno){
							if (isset($alumno[$mod])&&($alumno[$mod]==$proof)) $existePrueba=true;
						}
						if ($existePrueba){
							foreach ($cats as &$categoria){
								$cat=$categoria['id_catChamp'];
								$nombreCat=$categoria['nombre'];
								foreach ($alumnos as &$alumno){
									if (($alumno['categoria']==$cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))) $existeCategoria=true;
								}
								if ($existeCategoria){
									foreach ($alumnos as &$alumno){
										if (($alumno['categoria']==$cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))){
											if (array_key_exists($alumno['org'],$pagos)){
												if (array_key_exists($mod,$pagos[$alumno['org']])){
													if (array_key_exists($proof,$pagos[$alumno['org']][$mod])){
														$pagos[$alumno['org']][$mod][$proof]++;
													}
													else $pagos[$alumno['org']][$mod][$proof]=1;
												}
												else{
													$pagos[$alumno['org']][$mod]=array();
													$pagos[$alumno['org']][$mod][$proof]=1;
												}
											}
											else{
												$pagos[$alumno['org']]=array();
												$pagos[$alumno['org']][$mod]=array();
												$pagos[$alumno['org']][$mod][$proof]=1;
											}
										}
									}
								}
								$existeCategoria=false;
							}
						}
						$existePrueba=false;
					}
				}
				$existeModalidad=false;
			}
			$contador=0;
			$string0="Categorías: ";
			foreach ($cats as &$cat){
				$string0.=$cat['nombre'];
				if (($contador+1)==count($cats)) $string0.=".";
				else $string0.=", ";
				$contador++;
			}
			$contador=0;
			$string="Modalidades: ";
			foreach ($proofs as &$prueba){
				$var_id_mod=$prueba['id_mod'];
				$sql->query("SELECT nombre FROM modalidades WHERE id_mod='$var_id_mod' AND id_pl='$id_pl'");
				$sql->ejecutarSQL();
				$resultado=$sql->getUnRegistro();
				$var_nombre_mod=$resultado['nombre'];
				$string.=$var_nombre_mod." ";
				$string.=$prueba['nombre'];
				if (($contador+1)==count($proofs)) $string.=".";
				else $string.=", ";
				$contador++;
			}
			echo "<div class=\"jumbotron\">
				<h1>".$resulChamp['nombreChamp']."</h1>
				<div class=\"row\">
					<div class=\"col-md-6\">
						<p>Lugar celebración: ".$resulChamp['lugar']."</p>
						<p>Fecha Inicio: ".$resulChamp['fecha']."</p>
						<p>Fecha Fin: ".$resulChamp['fecha_fin']."</p>
						<p>Pagos generados por: ".$organizacion."</p>
					</div>
					<div class=\"col-md-6\">
						<p>".$string0."</p>
						<p>".$string."</p>
					</div>
				</div>
			</div>";
			//Necesito una tabla por cada modalidad, con los pagos de las inscripciones.
			echo "<legend>Inscripciones</legend><p class=\"help-block\">Pagos sobre las inscripciones recibidas.</p>";
			$precios=array();
			foreach ($mods as &$modalidad){
				$mod=$modalidad['id_mod_champ'];
				$tipo=$modalidad['tipo'];
				$nombreMod=$modalidad['nombre'];
				$var_id_mod=$modalidad['id_mod'];
				$existePrueba=false;
				$existeCategoria=false;
				$existeModalidad=false;
				//Comprobamos que haya algún alumno con esa modalidad
				foreach ($alumnos as &$alumno){
					if (array_key_exists($mod,$alumno)) $existeModalidad=true;
				}
				if ($existeModalidad){
					$modMayus = strtoupper($nombreMod);
					echo "<div class=\"panel panel-primary\">
					  <div class=\"panel-heading\" style=\"text-align:center;\">".$modMayus."</div>
						<table class='table table-bordered table-responsive'>
							<thead>
								<tr>
									<th></th>";
					//Primero imprimimos los valores de las modalidades y su nombre
					foreach ($proofs as &$prueba){
						if ($prueba['id_mod']==$var_id_mod) $proof=$prueba['id_prueba_champ'];
						else $proof="";
						$nombreProof=$prueba['nombre'];
						$var_id_proof=$prueba['id_prueba'];
						//Comprobamos que haya algún alumno con esa modalidad
						foreach ($alumnos as &$alumno){
							if (isset($alumno[$mod])&&($alumno[$mod]==$proof)) $existePrueba=true;
						}
						if ($existePrueba){
							$valor=0;
							foreach ($tablaPagos as &$tablaPago){
								for ($i=0;$i<count($tablaPago);$i++){
									if (($tablaPago[$i]==$nombreMod)&&(($tablaPago[$i+1]==$nombreProof))){
										$valor=$tablaPago[$i+2];
										$precios[$tablaPago[$i]][$tablaPago[$i+1]]=$tablaPago[$i+2];
										echo "<th class=\"success\">".$valor." €</th>";
									}
								}
							}
						}
						$existePrueba=false;
					}
					
							echo "<th class=\"danger\"></th>
								</tr>
							</thead>
							<tbody>
							<tr>";
					//Segundo, imprimimos el nombre de las pruebas y el cabezal de club.
					echo "<th>Club</th>";
					foreach ($proofs as &$prueba){
						if ($prueba['id_mod']==$var_id_mod) $proof=$prueba['id_prueba_champ'];
						else $proof="";
						$nombreProof=$prueba['nombre'];
						$var_id_proof=$prueba['id_prueba'];
						//Comprobamos que haya algún alumno con esa modalidad
						foreach ($alumnos as &$alumno){
							if (isset($alumno[$mod])&&($alumno[$mod]==$proof)) $existePrueba=true;
						}
						if ($existePrueba){
							$proofMayus = strtoupper($nombreProof);
							echo "<th class=\"info\">".$proofMayus."</th>";
						}
						$existePrueba=false;
					}
					echo "<th class=\"danger\">Subtotal</th>
							</tr>";
					
					foreach ($pagos as $club=>$vector_mods){
						//Si en el array del club tenemos esta modalidad
						if (array_key_exists($mod,$vector_mods)){
							echo "<tr><td>".$club."</td>";
							$valor=0;
							foreach ($proofs as &$prueba){
								$existePrueba=false;
								if ($prueba['id_mod']==$var_id_mod) $proof=$prueba['id_prueba_champ'];
								else $proof="";
								$nombreProof=$prueba['nombre'];
								$var_id_proof=$prueba['id_prueba'];
								if ($proof!=""){
									//Si en el array de la modalidad del club, tenemos esta prueba
									if (array_key_exists($proof,$vector_mods[$mod])){
										echo "<td>".$vector_mods[$mod][$proof]."</td>";
										$valor=$valor + ($precios[$nombreMod][$nombreProof]*$vector_mods[$mod][$proof]);
									}
									else{
										//Comprobamos que exista la prueba en alguno de los clubes
										foreach ($pagos as $c=>$v_m){
											if (array_key_exists($mod,$pagos[$c]))
												if (array_key_exists($proof,$pagos[$c][$mod])) 
													$existePrueba=true;
										}
										if ($existePrueba) echo "<td></td>";
									}
								}
							}
							echo "<td>".$valor."</td></tr>";
							$ingreso=$ingreso + $valor;
						}
					}
					echo "</tbody>
						</table>
					</div>
				</div>";
				}
				$existeModalidad=false;
			}
			echo "
			<div class=\"panel panel-success\">
			  <div class=\"panel-heading\">Total Inscripciones</div>
			  <div class=\"panel-body\" id=\"ingreso\">
				".$ingreso." €
			  </div>
			</div>";
			//Necesito otra tabla con los jueces, gestores de papeles y clasificadores.
			//Primero selecciono los jueces, gestores y clasificadores asignados a este evento.
			$sql->query("SELECT * FROM asignaciones WHERE identificadorCampeonato='$id_champ' AND correoCreador='$creador'");
			$sql->ejecutarSQL();
			$numRegistro=$sql->getNumRegistros();
			if ($numRegistro>0){
				$resultado=$sql->getTodosRegistro();
				echo "<form id=\"pagos-form\" action=\"modulos/documentos/pagos/gestPagos.php\">";
				echo "<legend>Personal</legend><p class=\"help-block\">Pagos para los jueces y gestores.</p>";
				echo "<table class='table table-bordered table-responsive' id=\"tablaPersonal\">
						<thead>
							<tr>
								<th></th>
								<th></th>
								<th>Horas</th>
								<th>Tarifa/hora</th>
								<th>Total €</th>
								<th>Tarifa/Km</th>
								<th>Total Km</th>
								<th>Total €</th>
								<th>Traifa + traslados</th>
							</tr>
						</thead>
						<tbody>";
				$numJuez=0;
				$numGestor=0;
				$numClasificador=0;
				$num=0;
				$sumaTotalKmsHoras=0;
				$tarifaHora=0;
				$tarifaKm=0;
				foreach ($resultado as &$gestor){
					$horas=0;
					$km=0;
					$id_asign=$gestor['id_asginacion'];
					$sql->query("SELECT * FROM pagos WHERE id_asignacion='$id_asign' AND id_champ='$id_champ'");
					$sql->ejecutarSQL();
					$numRegPagos=$sql->getNumRegistros();
					if ($numRegPagos > 0){
						$resultadoPagos=$sql->getUnRegistro();
						$horas=$resultadoPagos['horas'];
						$km=$resultadoPagos['km'];
					}
					$correoGestor=$gestor['correoGestor'];
					$sql->query("SELECT * FROM users WHERE correo='$correoGestor'");
					$sql->ejecutarSQL();
					$usuario=$sql->getUnRegistro();
					$aux=$usuario['tipo'];
					if ($aux=="juez") $aux=$usuario['tipo_ext'];
					echo "<tr>";
					//Tipo de gestor
					if (($aux=='juez')||($aux=='juez2')||($aux=='juez3')){
						$numJuez++;
						echo "<td><input type=\"hidden\" name=\"id_asginacion\" value=\"".$id_asign."\"> JUEZ ".$numJuez."</td>";
					}
					if ($aux=='gestor'){
						$numGestor++;
						echo "<td><input type=\"hidden\" name=\"id_asginacion\" value=\"".$id_asign."\"> GESTOR DE DOCUMENTOS ".$numGestor."</td>";
					}
					if ($aux=='clasificador'){
						$numClasificador++;
						echo "<td><input type=\"hidden\" name=\"id_asginacion\" value=\"".$id_asign."\"> CALCULADOR ".$numClasificador."</td>";
					}
					//Nombre y horas
					echo "<td>".$usuario['username']." ".$usuario['apellidos']."</td>
					<td>".$horas."<input type=\"hidden\" name=\"horas_bd\" value=\"".$horas."\"></td>";
					foreach ($tablaPagos as &$elemento){
						for ($i=0;$i<count($elemento);$i++){
							if ($elemento[$i]==$aux){
								$tarifaHora=$elemento[$i+1];
								$tarifaKm=$elemento[$i+2];
							}
						}
					}
					$totalHoras=$horas*$tarifaHora;
					//tarifa por horas y total
					echo "<td>".$tarifaHora." </td><td>".$totalHoras." </td>";
					//total km y total
					$totalKms=$km*$tarifaKm;
					echo "<td>".$tarifaKm."</td><td><input type=\"hidden\" name=\"km_bd\" value=\"".$km."\">".$km."</td><td>".$totalKms."</td>";
					$sumaKmsHoras=$totalKms+$totalHoras;
					//tarifas + traslados (el total de la sumas de lo demás).
					echo "<td>".$sumaKmsHoras."</td><td><button type=\"button\" class=\"btn btn-default\" id=\"boton\" onClick=\"modificar($(this).closest('tr').index());\">Modificar</button></td></tr>";
					$sumaTotalKmsHoras=$sumaTotalKmsHoras+$sumaKmsHoras;
					$num++;
				}
				echo "</tbody></table></form>";
			}
			echo "
			<div class=\"panel panel-danger\" id=\"panelTotalPersonal\">
			  <div class=\"panel-heading\">Total Personal</div>
			  <div class=\"panel-body\" id=\"totalPersonal\">".$sumaTotalKmsHoras." €</div>
			</div>";
			//Necesito otra tabla con las medallas.
			echo "<legend>Medallas</legend><p class=\"help-block\">Coste de las medallas.</p>";
			$totalMedals=$tablaPagos[2][1]*$totalMedallas;
			echo "<table class='table table-bordered table-responsive'>
						<thead>
							<tr>
								<th>Precio</th>
								<th>Cantidad</th>
								<th>Total</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td>".$tablaPagos[2][1]."</td>
								<td>".$totalMedallas."</td>
								<td>".$totalMedals."</td>
							</tr>
						</tbody>
			</table>";
			echo "
			<div class=\"panel panel-danger\">
			  <div class=\"panel-heading\">Total Medallas</div>
			  <div class=\"panel-body\" id=\"totalM\">".$totalMedals." €</div>
			</div>";
			echo "<legend>Total ingresos - gastos</legend><p class=\"help-block\">Ingresos: Inscripciones. Gastos: Personal + Medallas</p>";
			$totalTodo=$ingreso-($totalMedals+$sumaTotalKmsHoras);
			echo "
			<div class=\"panel panel-primary\" id=\"panelTotalTodo\">
			  <div class=\"panel-heading\">Total</div>
			  <div class=\"panel-body\" id=\"totalTodo\">".$totalTodo." €</div>
			</div>
			<button type=\"button\" class=\"btn btn-success pull-left\"  onClick=\"guardarPagos();\">Guardar pagos</button>";
			echo "
			<script>
			function calcularTotal(){
				var posicion;
				var valor;
				var valorInt;
				var suma=0;
				for (i=1;i<=".$num.";i++){
					posicion='#tablaPersonal tr:eq(' + i + ') td:eq(8)';
					valor=$(posicion).text();
					valorInt=parseFloat(valor);
					suma=suma+valorInt;
				}
				if (suma>0){
					var sumaRedondeo=suma.toFixed(2);
					var texto=sumaRedondeo + ' €';
					$('#totalPersonal').empty().append(texto);
					$('#panelTotalPersonal').show();
					var valor1=0,valor2=0,sumaTotal=0;
					valor1=parseFloat($('#ingreso').text());
					valor2=parseFloat($('#totalM').text());
					sumaTotal=valor1-(suma+valor2);
					texto=sumaTotal.toFixed(2) + ' €';
					$('#totalTodo').empty().append(texto);
				}
				else $('#panelTotalPersonal').hide();
			}
			function guardarPagos(){
				$('#pagos-form').submit();
			}
			$('#pagos-form').submit(function(event) {
			  //Evita que se ejecute el botón de submit
			  event.preventDefault();
			  //Serializamos el formulario
			  arr= $(this).serializeArray();
			  data = JSON.stringify(arr);
			  //Recoge ciertos valores del formulario
			  //Identificador del campeonato
			  term1 = ".$id_champ.";
			  var form = $( this ),
				  url = form.attr( 'action' );
			  //Envía los datos mediante jquery y json
			  var posting = $.post( url, { id: term1, datos: data} );
			  //Devuelve los resultados en data.
			  posting.done(function( data ) {
					if (data == 0){
						alert('Datos guardados correctamente.');
						actualizar('#centro','modulos/documentos/pagos/pagos.php?crear');
					}
					if (data != 0){
						if (data == 1) alert('No hay inscripciones');
						else alert(data);
					}
			  });
			});
			</script>";
		}
		else echo $noInscripcion;
	}
}
else echo $resultado;
?>
