<?php
/*
-----------------------------------------------------------------------------------------------------------
												Tiempos
-----------------------------------------------------------------------------------------------------------							
			Operaciones que se pueden realizar:
			1) Crear documentos de tiempos.

										CONDICIONES
			1) Un responsable del club/federación puede realizar estas acciones.
			2) Un gestor de documentos asignado a este evento, podrá realizar estas acciones.
			
*/
session_start();
include_once('../../../bbdd/general.php');
include_once('../../../clases/sCphp.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../../clases/cMySQL.php');
$sql= new cMySQL(); 
$sql->conectar();
//Debe estar registrado en el sistema. Nivel de seguridad 1.
$sCphp= new sCphp(); 
//Debe ser un responsable del club/federación o un gestor de documentos asignado al evento. Nivel de seguridad 2.
//Función que comprueba si se está registrado y se es un responsable del club, o un gestor.
$resultado=$sCphp->controlRegistro(array('club','gestor','federacion'),4);
if ($resultado==1){
	if ((isset($_GET['crear']))&&($_GET['crear']=='')){
		$correo=$sCphp->val('correo');
		$rol=$sCphp->val('tipo');
		//Si es un responsable del club, lo haremos de la siguiente forma.
		if (($sCphp->esRol("club"))||($sCphp->esRol("federacion"))){
			$organizacion=$sCphp->val('org');
			//Guardamos al creador de la organización
			$creator=$sCphp->val('creador');
			$mundo=$sCphp->val('pais');
			$pueblo=$sCphp->val('region');
			echo "<h2 style='text-align:center;'>Gestión de documentos ";
			//Selecciono solo los campeonatos que yo he creado
			$sql->ejecutarSQL("SELECT * FROM campeonato LEFT JOIN organizacion ON (campeonato.creadorChamp=organizacion.creador) LEFT JOIN plantilla ON (campeonato.identificadorPlantilla=plantilla.id_plantilla) WHERE campeonato.creadorChamp='$creator'") or DIE("No");
			$numRegistrosJOIN0=$sql->getNumRegistros();
			$registroJOIN0=$sql->getTodosRegistro();
			echo "<script type=\"text/javascript\" src=\"js/tablas.js\"></script><small>Tiempos</small></h2>";
			echo "<br><p>Seleccione el evento en el que va a trabajar:</p>";
			if ($numRegistrosJOIN0 > 0){
				echo "<div><div class=\"well\">
				<table class='table table-condensed table-hover table-responsive' id=\"tablas\">
					<thead>
						<tr>
							<th>Nombre campeonato</th>
							<th>Tipo</th>
							<th>Plantilla utilizada</th>
							<th>Organización</th>
							<th>Fecha celebración</th>
							<th>País</th>
							<th>Región</th>
						</tr>
					</thead>
					<tbody>";
				foreach ($registroJOIN0 as &$resultado){
					$id_tipoChamp=$resultado['tipo_evento'];
					$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
					$sql->ejecutarSQL();
					$resulTipoEvento=$sql->getUnRegistro();
					$tipo_evento=$resulTipoEvento['nombre'];
					$tiempo=strtotime($resultado['fecha']);
					echo "<tr style=\"cursor: pointer;\"><td>".$resultado['nombreChamp']."<input type=\"hidden\" id=\"nombreChamp\" value=\"".$resultado['nombreChamp']."\"><input type=\"hidden\" id=\"id_champ\" value=\"".$resultado['id_campeonato']."\"></td>
					<td>".$tipo_evento."</td>
					<td>".$resultado['nombre_pl']."<input type=\"hidden\" id=\"id_pl\" value=\"".$resultado['identificadorPlantilla']."\"></td>
					<td>".$resultado['nombre']."</td>
					<td>".date('d-m-Y',$tiempo)."</td>
					<td>".$paises[$resultado['pais']]."</td>
					<td>".$regiones[$resultado['pais']][$resultado['region']]."</td>
					</tr>";	
				}
				echo "</tbody>
					</table></div></div>";
			}
			echo "<script>
				$('#tablas tr:not(:first)').click(function(){
					var correOrg = '".$creator."';
					var nombre_champ = $(this).find(\"input[id=nombreChamp]\").val();
					var id_champ = $(this).find(\"input[id=id_champ]\").val();
					var id_pl = $(this).find(\"input[id=id_pl]\").val();
					var pl='modulos/documentos/tiempos/tiempos.php?crear=' + id_champ + '&id=' + id_pl + '&correo=' + correOrg;
					var texto='¿Deseas generar el documento de tiempos del evento: ' + nombre_champ + '?';
					if (confirm(texto)) actualizar('#centro', pl);
				});
				</script>";
		
		}
		//Si es un gestor de papeles, lo haremos de la siguiente forma.
		if ($sCphp->esRol("gestor")){
			$sql->ejecutarSQL("SELECT * FROM asignaciones LEFT JOIN campeonato ON (campeonato.id_campeonato=asignaciones.identificadorCampeonato) LEFT JOIN plantilla ON (campeonato.identificadorPlantilla=plantilla.id_plantilla) LEFT JOIN organizacion ON (campeonato.creadorChamp=organizacion.creador) WHERE asignaciones.correoGestor='$correo' AND (asignaciones.accion='todo' OR asignaciones.accion='resto')") or DIE("No");
			$numRegistrosJOIN=$sql->getNumRegistros();
			if ($numRegistrosJOIN > 0){
				$registroJOIN=$sql->getTodosRegistro();
				echo "<h2 style='text-align:center;'>Gestión de documentos ";
				echo "<script type=\"text/javascript\" src=\"js/tablas.js\"></script><small>Tiempos</small></h2><br><p>Seleccione el evento en el que va a trabajar:</p>";
				echo "<div class=\"well\">
				<table class='table table-condensed table-hover table-responsive' id=\"tablas\">
					<thead>
						<tr>
							<th>Nombre campeonato</th>
							<th>Tipo</th>
							<th>Plantilla utilizada</th>
							<th title=\"Organización que te ha asignado para que realices el listado\">Organización</th>
							<th>Fecha celebración</th>
							<th>País</th>
							<th>Región</th>
						</tr>
					</thead>
					<tbody>";
				foreach ($registroJOIN as &$resultado){
					$id_tipoChamp=$resultado['tipo_evento'];
					$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
					$sql->ejecutarSQL();
					$resulTipoEvento=$sql->getUnRegistro();
					$tipo_evento=$resulTipoEvento['nombre'];
					$creator=$resultado['correoCreador'];
					$id_champ=$resultado['identificadorCampeonato'];
					$tiempo=strtotime($resultado['fecha']);
					//Selecciono el nombre de la organización que ha asignado al gestor de documentos para que realice las inscripciones.
					$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE creador='$creator'");
					$org_name=$sql->getCampoN();
					echo "<tr style=\"cursor: pointer;\"><td>".$resultado['nombreChamp']."<input type=\"hidden\" id=\"nombreChamp\" value=\"".$resultado['nombreChamp']."\"><input type=\"hidden\" id=\"id_champ\" value=\"".$resultado['id_campeonato']."\"></td>
					<td>".$tipo_evento."</td>
					<td>".$resultado['nombre_pl']."<input type=\"hidden\" id=\"id_pl\" value=\"".$resultado['identificadorPlantilla']."\"></td>
					<td>".$org_name."</td>
					<td>".date('d-m-Y',$tiempo)."</td>
					<td>".$paises[$resultado['pais']]."</td>
					<td>".$regiones[$resultado['pais']][$resultado['region']]."</td>
					<input type=\"hidden\" id=\"correOrg\" value=\"".$creator."\">
					</tr>";	
				}
				echo "</tbody>
					</table>
				</div>";
				echo "<div class=\"alert alert-warning\"><span class=\"glyphicon glyphicon-warning-sign\"></span> El campo <b>Organización</b> es el club que te ha asignado para que realices la tarea. Para seleccionar el documento de un club determinado, debes hacerlo aquí.</div>";
				echo "<script>
				$('#tablas tr:not(:first)').click(function(){
					var correOrg = $(this).find(\"input[id=correOrg]\").val();
					var nombre_champ = $(this).find(\"input[id=nombreChamp]\").val();
					var id_champ = $(this).find(\"input[id=id_champ]\").val();
					var id_pl = $(this).find(\"input[id=id_pl]\").val();
					var pl='modulos/documentos/tiempos/tiempos.php?crear=' + id_champ + '&id=' + id_pl + '&correo=' + correOrg;
					var texto='¿Deseas generar el documento de tiempos del evento: ' + nombre_champ + '?';
					if (confirm(texto)) actualizar('#centro', pl);
				});
				</script>";
			}
			else echo $gestor1noChamps;
		}
	}
	//Ya hemos seleccionado el campeonato en el que vamos a trabajar
	if (((isset($_GET['crear']))&&($_GET['crear']!=''))){
		$id_champ=$_GET['crear'];
		$id_pl=$_GET['id'];
		echo "<h2 style='text-align:center;'>Gestión de documentos ";
		echo "<script type=\"text/javascript\" src=\"js/documentos.js\"></script><small>Tiempos</small></h2><br>";
		//Se generan automáticamente la lista de inscritos.
		$sql->query("SELECT * FROM inscripcion WHERE id_champ='$id_champ' AND visible='1' ORDER BY modalidad");
		$sql->ejecutarSQL();
		$numRegistro=$sql->getNumRegistros();
		if ($numRegistro > 0){
			$inscripciones=$sql->getTodosRegistro();
			$correo=$sCphp->val('correo');
			if (isset($_GET['correo'])) $creador=$_GET['correo'];
			else $creador=$sCphp->val('creador');
			//Antes debemos averigüar si es un responsable del club o un gestor
			if ($sCphp->esRol("club")) $organizacion=$sCphp->val('org');
			else{
				$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE creador='$creador'");
				$numRegistrosJOIN=$sql->getNumRegistros();
				if ($numRegistrosJOIN > 0){
					$organizacion=$sql->getCampoN();
				}
			}
			//Hago esta consulta porque no tengo de qué tipo son las modalidades (individual, parejas).
			$sql->query("SELECT * FROM campeonato WHERE id_campeonato='$id_champ'");
			$sql->ejecutarSQL();
			$resulChamp=$sql->getUnRegistro();
			$sql->query("SELECT DISTINCT * FROM modalidades_campeonato LEFT JOIN modalidades ON (modalidades_campeonato.id_mod=modalidades.id_mod) WHERE id_champ='$id_champ'");
			$sql->ejecutarSQL();
			$mods=$sql->getTodosRegistro();
			$sql->query("SELECT DISTINCT * FROM pruebas_campeonato LEFT JOIN pruebas ON (pruebas_campeonato.id_prueba=pruebas.id_prueba) WHERE id_champ='$id_champ'");
			$sql->ejecutarSQL();
			$proofs=$sql->getTodosRegistro();
			//Seleccionamos las categorías de la plantilla para poder establecer el rango de edades y ver en qué categoría está el/la patinadora.
			$sql->query("SELECT * FROM categorias_campeonato LEFT JOIN categorias ON (categorias_campeonato.id_cat=categorias.id_cat) WHERE id_champ='$id_champ'") or mysql_error();
			$sql->ejecutarSQL();
			$numRegistroPl=$sql->getNumRegistros();
			$cats=$sql->getTodosRegistro();
			$id_tipoChamp=$resulChamp['tipo_evento'];
			$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_tipoChamp='$id_tipoChamp'");
			$sql->ejecutarSQL();
			$resulTipoEvento=$sql->getUnRegistro();
			$tipo_evento=$resulTipoEvento['nombre'];
			$alumnos=array();
			$insertados_alumnos=array();
			$numeracion=1;
			foreach ($inscripciones as &$alumno){
				$id_user=$alumno['id_user'];
				$id_relacion=$alumno['id_relacion'];
				//Selecciono Licencia, Nombre (nombre y apellidos), Género, Año.
				$sql->ejecutarSQL("SELECT users.idUser,users.licencia,users.username,users.apellidos,alumno.sexo,alumno.nacimiento FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE users.idUser='$id_user'") or mysql_error();
				$resultadoAlumno=$sql->getUnRegistro();
				//Tipo lo busco en el vector $mods. Debo saber si es individual o es pareja
				foreach ($mods as &$modalidad){
					if ($modalidad['id_mod_champ']==$alumno['modalidad']) $tipo=$modalidad['tipo'];
				}
				//Si es pareja, añadimos en la misma ocurrencia del vector a los dos alumnos.
				if ($tipo=="par"){
					//Si no lo hemos insertado ya, lo insertamos en el vector. Buscamos que esté ya insertado.
					$insertado=false;
					$i=0;
					//Buscamos en el vector de alumnos relacionados si el identificador del usuario se encuentra ya insertado
					if (array_key_exists($id_user,$insertados_alumnos)){
						if (array_key_exists($id_relacion,$insertados_alumnos)){
							$insertado=true;
							$clave=$i;
						}
					}
					//Si no lo hemos insertado, insertamos en el vector general los datos del alumno inscrito y el alumno de su relación.
					if (!$insertado){
						//Numeración
						$alumno['numeracion']=$numeracion;
						//Licencia
						$alumno['licencia']=$resultadoAlumno['licencia'];
						//Nombre
						$alumno['nombre']=$resultadoAlumno['username'];
						//Apellidos
						$alumno['apellidos']=$resultadoAlumno['apellidos'];
						//Año
						$date = strtotime($resultadoAlumno['nacimiento']);
						$alumno['year']=date("Y", $date);
						//Categoría ya la tengo en alumno
						//Género
						$alumno['sexo']=$resultadoAlumno['sexo'];
						//Tipo lo busco en el vector $mods
						foreach ($mods as &$modalidad){
							if ($modalidad['id_mod_champ']==$alumno['modalidad']) $alumno['tipo']=$modalidad['tipo'];
						}
						//Modalidad y modalidad ya las tengo, pero las modifico para cuadrarlas con la tabla
						$mod=$alumno['modalidad'];
						$alumno[$mod]=$alumno['prueba'];
						//Club hay que buscar el nombre en la bd
						$id_org=$alumno['id_org'];
						$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE idOrg='$id_org'");
						$alumno['org']=$sql->getCampoN();
						//Busco a su relacionado para insertarlo también
						$clave=0;
						$i=0;
						foreach ($inscripciones as &$alumno_relacion){
							if ($alumno_relacion['id_user']==$alumno['id_relacion']) $clave=$i;
							$i++;
						}
						$id_user2=$inscripciones[$clave]['id_user'];
						//Selecciono Licencia, Nombre (nombre y apellidos), Género, Año.
						$sql->ejecutarSQL("SELECT users.idUser,users.licencia,users.username,users.apellidos,alumno.sexo,alumno.nacimiento FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE users.idUser='$id_user2'") or mysql_error();
						$resultadoAlumno2=$sql->getUnRegistro();
						$alumno['id_user2']=$id_user2;
						$alumno['licencia2']=$resultadoAlumno2['licencia'];
						//Nombre
						$alumno['nombre2']=$resultadoAlumno2['username'];
						//Apellidos
						$alumno['apellidos2']=$resultadoAlumno2['apellidos'];
						//Año
						$date2 = strtotime($resultadoAlumno2['nacimiento']);
						$alumno['year2']=date("Y", $date);
						//Categoría ya la tengo en alumno
						//Género
						$alumno['sexo2']=$resultadoAlumno2['sexo'];
						$alumnos[]=$alumno;
						$numeracion++;
						$insertados_alumnos[$alumno['id_user']]=$alumno['id_user'];
						$insertados_alumnos[$alumno['id_user2']]=$alumno['id_user2'];
					}
				}
				if ($tipo=="ind"){
					$id_user=$alumno['id_user'];
					//Selecciono Licencia, Nombre (nombre y apellidos), Género, Año.
					$sql->ejecutarSQL("SELECT users.idUser,users.licencia,users.username,users.apellidos,alumno.sexo,alumno.nacimiento FROM users LEFT JOIN alumno ON (users.idUser=alumno.id_user) WHERE users.idUser='$id_user'") or mysql_error();
					$resultadoAlumno=$sql->getUnRegistro();
					//Numeración
					$alumno['numeracion']=$numeracion;
					//Licencia
					$alumno['licencia']=$resultadoAlumno['licencia'];
					//Nombre
					$alumno['nombre']=$resultadoAlumno['username'];
					//Apellidos
					$alumno['apellidos']=$resultadoAlumno['apellidos'];
					//Año
					$date = strtotime($resultadoAlumno['nacimiento']);
					$alumno['year']=date("Y", $date);
					//Categoría ya la tengo en alumno
					//Género
					$alumno['sexo']=$resultadoAlumno['sexo'];
					//Tipo lo busco en el vector $mods
					foreach ($mods as &$modalidad){
						if ($modalidad['id_mod_champ']==$alumno['modalidad']) $alumno['tipo']=$modalidad['tipo'];
					}
					//Modalidad y modalidad ya las tengo, pero las modifico para cuadrarlas con la tabla
					$mod=$alumno['modalidad'];
					$alumno[$mod]=$alumno['prueba'];
					//Club hay que buscar el nombre en la bd
					$id_org=$alumno['id_org'];
					$sql->ejecutarSQL("SELECT nombre FROM organizacion WHERE idOrg='$id_org'");
					$alumno['org']=$sql->getCampoN();
					$alumnos[]=$alumno;
					$numeracion++;
				}
			}
			$iterador=1;
			$sql->query("SELECT * FROM tiempos WHERE id_pl='$id_pl' AND tipo='segun_campeonato' AND (tipo2!='boton_categoria' OR tipo2 is NULL) ORDER BY tipo,id_tipoChamp,id_mod,id_prueba,id_cat");
			$sql->ejecutarSQL();
			$vectorBDtiempos=array();
			$numReg=$sql->getNumRegistros();
			if ($numReg > 0){
				$tiempos=$sql->getTodosRegistro();
				//Ordeno el vector
				//Tabla de pagos inscripciones
				$id_champ_actual="";
				$id_mod_actual="";
				$id_prueba_actual="";
				foreach ($tiempos as &$elemento){
					$var_id_champ=$elemento['id_tipoChamp'];
					$sql->query("SELECT nombre FROM tipos_campeonato WHERE id_pl='$id_pl' AND id_tipoChamp='$var_id_champ'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$var_nombre_champ=$res['nombre'];
					$var_id_mod=$elemento['id_mod'];
					$sql->query("SELECT nombre FROM modalidades WHERE id_pl='$id_pl' AND id_mod='$var_id_mod'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$var_nombre_mod=$res['nombre'];
					$var_id_prueba=$elemento['id_prueba'];
					$sql->query("SELECT nombre FROM pruebas WHERE id_pl='$id_pl' AND id_mod='$var_id_mod' AND id_prueba='$var_id_prueba'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$var_nombre_prueba=$res['nombre'];
					if ($iterador==1) $vectorGeneral=array("segun_campeonato");
					//Si tenemos un nuevo campeonato
					if ($id_champ_actual!=$var_id_champ){
						//Si tenemos un nuevo campeonato, crearemos el campeonato y añadiremos el anterior al vector general
						if (isset($vectorArrayChamp)){
							$vectorArrayMod[]=$vectorArrayPrueba;
							unset($vectorArrayPrueba);
							$vectorArrayChamp[]=$vectorArrayMod;
							unset($vectorArrayMod);
							$vectorGeneral[]=$vectorArrayChamp;
							unset($vectorArrayChamp);
						}
						$vectorArrayChamp=array("campeonato",$var_nombre_champ);
						$id_mod_actual="";
						$id_prueba_actual="";
						//Si tenemos una nueva modalidad
						if ($id_mod_actual!=$var_id_mod){
							//Si tenemos una nueva modalidad, crearemos la modalidad y añadiremos la anterior al vector de campeonatos
							if (isset($vectorArrayMod)){
								$vectorArrayMod[]=$vectorArrayPrueba;
								unset($vectorArrayPrueba);
								$vectorArrayChamp[]=$vectorArrayMod;
								unset($vectorArrayMod);
							}
							$vectorArrayMod=array("modalidad",$var_nombre_mod);
							$id_prueba_actual="";
							//Si tenemos una nueva prueba
							if ($id_prueba_actual!=$var_id_prueba){
								//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
								if (isset($vectorArrayPrueba)){
									$vectorArrayMod[]=$vectorArrayPrueba;
									unset($vectorArrayPrueba);
								}
								$vectorArrayPrueba=array("prueba",$var_nombre_prueba);
							}
						}
						//Si estamos añadiendo una prueba a la modalidad
						else{
							//Si tenemos una nueva prueba
							if ($id_prueba_actual!=$var_id_prueba){
								//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
								if (isset($vectorArrayPrueba)){
									$vectorArrayMod[]=$vectorArrayPrueba;
									unset($vectorArrayPrueba);
								}
								$vectorArrayPrueba=array("prueba",$var_nombre_prueba);
							}
						}
					}
					//Si estamos añadiendo una modalidad al campeonato
					else{
						//Si tenemos una nueva modalidad
						if ($id_mod_actual!=$var_id_mod){
							//Si tenemos una nueva modalidad, crearemos la modalidad y añadiremos la anterior al vector de campeonatos
							if (isset($vectorArrayMod)){
								$vectorArrayMod[]=$vectorArrayPrueba;
								unset($vectorArrayPrueba);
								$vectorArrayChamp[]=$vectorArrayMod;
								unset($vectorArrayMod);
							}
							$vectorArrayMod=array("modalidad",$var_nombre_mod);
							$id_prueba_actual="";
							//Si tenemos una nueva prueba
							if ($id_prueba_actual!=$var_id_prueba){
								//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
								if (isset($vectorArrayPrueba)){
									$vectorArrayMod[]=$vectorArrayPrueba;
									unset($vectorArrayPrueba);
								}
								$vectorArrayPrueba=array("prueba",$var_nombre_prueba);
							}
						}
						//Si estamos añadiendo una prueba a la modalidad
						else{
							//Si tenemos una nueva prueba
							if ($id_prueba_actual!=$var_id_prueba){
								//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
								if (isset($vectorArrayPrueba)){
									$vectorArrayMod[]=$vectorArrayPrueba;
									unset($vectorArrayPrueba);
								}
								$vectorArrayPrueba=array("prueba",$var_nombre_prueba);
							}
						}
					}
					//Si tenemos categorías dentro de las pruebas
					if ($elemento['tipo2']=="prueba_categoria"){
						$var_id_cat=$elemento['id_cat'];
						$sql->query("SELECT nombre FROM categorias WHERE id_pl='$id_pl' AND id_cat='$var_id_cat'");
						$sql->ejecutarSQL();
						$res=$sql->getUnRegistro();
						$var_nombre_cat=$res['nombre'];
						$id_time=$elemento['id_time'];
						$var_minutos=$elemento['minutos'];
						$var_segundos=$elemento['segundos'];
						$vectorArrayCat=array("prueba_categoria",$var_nombre_cat,$id_time,$var_minutos,$var_segundos);
						$vectorArrayPrueba[]=$vectorArrayCat;
						unset($vectorArrayCat);
						$id_cat_actual=$var_id_cat;
					}
					else{
						$id_time=$elemento['id_time'];
						$var_minutos=$elemento['minutos'];
						$var_segundos=$elemento['segundos'];
						$vectorArrayPrueba[]=$id_time;
						$vectorArrayPrueba[]=$var_minutos;
						$vectorArrayPrueba[]=$var_segundos;
					}
					$id_champ_actual=$var_id_champ;
					$id_mod_actual=$var_id_mod;
					$id_prueba_actual=$var_id_prueba;
					//En el caso de que hayamos llegado al final del vector, tenemos que finalizarlo
					if ($iterador == count($tiempos)){
						$vectorArrayMod[]=$vectorArrayPrueba;
						unset($vectorArrayPrueba);
						$vectorArrayChamp[]=$vectorArrayMod;
						unset($vectorArrayMod);
						$vectorGeneral[]=$vectorArrayChamp;
						unset($vectorArrayChamp);
					}
					$iterador++;
				}
			}
			//Botón categoría
			$sql->query("SELECT * FROM tiempos WHERE id_pl='$id_pl' AND tipo='segun_campeonato' AND tipo2='boton_categoria' ORDER BY id_cat");
			$sql->ejecutarSQL();
			$numReg=$sql->getNumRegistros();
			if ($numReg > 0){
				$tiempos=$sql->getTodosRegistro();
				//Ordeno el vector
				//Tabla de pagos inscripciones
				foreach ($tiempos as &$elemento){
					if ($elemento['tipo2']=="boton_categoria"){
						$var_id_cat=$elemento['id_cat'];
						$sql->query("SELECT nombre FROM categorias WHERE id_pl='$id_pl' AND id_cat='$var_id_cat'");
						$sql->ejecutarSQL();
						$res=$sql->getUnRegistro();
						$var_nombre_cat=$res['nombre'];
						$id_time=$elemento['id_time'];
						$var_minutos=$elemento['minutos'];
						$var_segundos=$elemento['segundos'];
						$vectorArrayTemp=array("boton_categoria",$var_nombre_cat,$id_time,$var_minutos,$var_segundos);
						$vectorGeneral[]=$vectorArrayTemp;
						unset($vectorArrayTemp);
					}
					$iterador++;
				}
			}
			if (isset($vectorGeneral)){
				$vectorBDtiempos[]=$vectorGeneral;
				unset($vectorGeneral);
			}
			$iterador=1;
			$sql->query("SELECT * FROM tiempos WHERE id_pl='$id_pl' AND tipo='segun_categoria' ORDER BY tipo2,id_cat,id_mod,id_prueba");
			$sql->ejecutarSQL();
			$numReg=$sql->getNumRegistros();
			if ($numReg > 0){
				$tiempos=$sql->getTodosRegistro();
				//Ordeno el vector
				//Tabla de pagos inscripciones
				$id_cat_actual="";
				$id_mod_actual="";
				$id_prueba_actual="";
				foreach ($tiempos as &$elemento){
					$var_id_cat=$elemento['id_cat'];
					$sql->query("SELECT nombre FROM categorias WHERE id_pl='$id_pl' AND id_cat='$var_id_cat'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$var_nombre_cat=$res['nombre'];
					$var_id_mod=$elemento['id_mod'];
					$sql->query("SELECT nombre FROM modalidades WHERE id_pl='$id_pl' AND id_mod='$var_id_mod'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$var_nombre_mod=$res['nombre'];
					if ($iterador==1) $vectorGeneral=array("segun_categoria");
					//Si tenemos categorías dentro de las pruebas
					if ($elemento['tipo2']=="boton_modalidad"){
						if (isset($vectorArrayCat)){
							if (isset($vectorArrayMod)){
								$vectorArrayCat[]=$vectorArrayMod;
								unset($vectorArrayMod);
							}
							$vectorGeneral[]=$vectorArrayCat;
							unset($vectorArrayCat);
						}
						$var_id_prueba=$elemento['id_prueba'];
						$sql->query("SELECT nombre FROM pruebas WHERE id_pl='$id_pl' AND id_mod='$var_id_mod' AND id_prueba='$var_id_prueba'");
						$sql->ejecutarSQL();
						$res=$sql->getUnRegistro();
						$var_nombre_prueba=$res['nombre'];
						//Si tenemos una nueva modalidad
						if ($id_mod_actual!=$var_id_mod){
							//Si tenemos una nueva modalidad, crearemos la modalidad
							if (isset($vectorArrayMod)){
								$vectorArrayMod[]=$vectorArrayPrueba;
								unset($vectorArrayPrueba);
								$vectorGeneral[]=$vectorArrayMod;
								unset($vectorArrayMod);
							}
							$vectorArrayMod=array("boton_modalidad",$var_nombre_mod);
							$id_prueba_actual="";
							//Si tenemos una nueva prueba
							if ($id_prueba_actual!=$var_id_prueba){
								//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
								if (isset($vectorArrayPrueba)){
									$vectorArrayMod[]=$vectorArrayPrueba;
									unset($vectorArrayPrueba);
								}
								$id_time=$elemento['id_time'];
								$var_minutos=$elemento['minutos'];
								$var_segundos=$elemento['segundos'];
								$vectorArrayPrueba=array("prueba",$var_nombre_prueba,$id_time,$var_minutos,$var_segundos);
								$vectorArrayMod[]=$vectorArrayPrueba;
								unset($vectorArrayPrueba);
							}
						}
						//Si estamos añadiendo una prueba a la modalidad
						else{
							//Si tenemos una nueva prueba
							if ($id_prueba_actual!=$var_id_prueba){
								//Si tenemos una nueva prueba, crearemos la prueba y añadiremos la anterior al vector modalidad
								if (isset($vectorArrayPrueba)){
									$vectorArrayMod[]=$vectorArrayPrueba;
									unset($vectorArrayPrueba);
								}
								$id_time=$elemento['id_time'];
								$var_minutos=$elemento['minutos'];
								$var_segundos=$elemento['segundos'];
								$vectorArrayPrueba=array("prueba",$var_nombre_prueba,$id_time,$var_minutos,$var_segundos);
								$vectorArrayMod[]=$vectorArrayPrueba;
								unset($vectorArrayPrueba);
							}
						}
						$id_prueba_actual=$var_id_prueba;
						//En el caso de que hayamos llegado al final del vector, tenemos que finalizarlo
						if ($iterador == count($tiempos)){
							if (isset($vectorArrayPrueba)){
								$vectorArrayMod[]=$vectorArrayPrueba;
								unset($vectorArrayPrueba);
							}
							$vectorGeneral[]=$vectorArrayMod;
							unset($vectorArrayMod);
						}
					}
					else{
						//Si tenemos una nueva categoría
						if ($id_cat_actual!=$var_id_cat){
							//Si tenemos una nueva categoría, crearemos la categoría y añadiremos el anterior al vector general
							if (isset($vectorArrayCat)){
								if (isset($vectorArrayMod)){
									$vectorArrayCat[]=$vectorArrayMod;
									unset($vectorArrayMod);
								}
								$vectorGeneral[]=$vectorArrayCat;
								unset($vectorArrayCat);
							}
							$vectorArrayCat=array("categoria",$var_nombre_cat);
							$id_mod_actual="";
							//Si tenemos una nueva modalidad
							if ($id_mod_actual!=$var_id_mod){
								//Si tenemos una nueva modalidad, crearemos la modalidad y añadiremos la anterior al vector de categorías
								$id_time=$elemento['id_time'];
								$var_minutos=$elemento['minutos'];
								$var_segundos=$elemento['segundos'];
								$vectorArrayMod=array("modalidad",$var_nombre_mod,$id_time,$var_minutos,$var_segundos);
								$vectorArrayCat[]=$vectorArrayMod;
								unset($vectorArrayMod);
							}
						}
						//Si estamos añadiendo una modalidad al campeonato
						else{
							//Si tenemos una nueva modalidad
							if ($id_mod_actual!=$var_id_mod){
								//Si tenemos una nueva modalidad, crearemos la modalidad y añadiremos la anterior al vector de categorías
								$id_time=$elemento['id_time'];
								$var_minutos=$elemento['minutos'];
								$var_segundos=$elemento['segundos'];
								$vectorArrayMod=array("modalidad",$var_nombre_mod,$id_time,$var_minutos,$var_segundos);
								$vectorArrayCat[]=$vectorArrayMod;
								unset($vectorArrayMod);
							}
						}
						$id_cat_actual=$var_id_cat;
						//En el caso de que hayamos llegado al final del vector, tenemos que finalizarlo
						if ($iterador == count($tiempos)){
							if (isset($vectorArrayMod)){
								$vectorArrayCat[]=$vectorArrayMod;
								unset($vectorArrayMod);
							}
							$vectorGeneral[]=$vectorArrayCat;
							unset($vectorArrayCat);
						}
					}
					$id_mod_actual=$var_id_mod;
					$iterador++;
				}
			}
			$iterador=1;
			if (isset($vectorGeneral)){
				$vectorBDtiempos[]=$vectorGeneral;
				unset($vectorGeneral);
			}
			$tablaTiempos=$vectorBDtiempos;
			unset($vectorBDtiempos);
			unset($tiempos);
			$vectorTemp=array();
			$campeonato=array();
			//Tratamos la tabla de tiempos para que seleccione los tiempos del campeonato (o categoría).
			//Primero seleccionamos el subvector del campeonato.
			$vectorTemp=$tablaTiempos[0];
			//Después seleccionamos el array con los tiempos según el campeonato para este caso.
			if ($tablaTiempos[0][0]=="segun_campeonato"){
				foreach ($vectorTemp as &$tipo_champs){
					if ((is_array($tipo_champs))&&($tipo_champs[1]==$tipo_evento))
						$campeonato[]=$tipo_champs;
					if ((is_array($tipo_champs))&&($tipo_champs[0]=="boton_categoria"))
						$campeonato[]=$tipo_champs;
				}
			}
			//El array será: 1) Según campeonatos -> ([nombreClub]=>([modalidad]=>([minutos],[segundos]))) 2) Según categoría -> ([nombreClub]=>([modalidad]=>([minutos],[segundos])))
			$tiempos=array();
			$ingreso=0;
			$minutos=0;
			$segundos=0;
			if ($tablaTiempos[0][0]=="segun_campeonato"){
				foreach ($mods as &$modalidad){
					$mod=$modalidad['id_mod_champ'];
					$tipo=$modalidad['tipo'];
					$nombreMod=$modalidad['nombre'];
					$var_id_mod=$modalidad['id_mod'];
					$existePrueba=false;
					$existeModalidad=false;
					$existeCategoria=false;
					//Comprobamos que haya algún alumno con esa modalidad
					foreach ($alumnos as &$alumno){
						if (array_key_exists($mod,$alumno)) $existeModalidad=true;
					}
					if ($existeModalidad){
						foreach ($proofs as &$prueba){
							if ($prueba['id_mod']==$var_id_mod) $proof=$prueba['id_prueba_champ'];
							else $proof="";
							$nombreProof=$prueba['nombre'];
							$var_id_proof=$prueba['id_prueba'];
							//Comprobamos que haya algún alumno con esa modalidad
							foreach ($alumnos as &$alumno){
								if (isset($alumno[$mod])&&($alumno[$mod]==$proof)) $existePrueba=true;
							}
							if ($existePrueba){
								foreach ($cats as &$categoria){
									$cat=$categoria['id_catChamp'];
									$nombreCat=$categoria['nombre'];
									foreach ($alumnos as &$alumno){
										if (($alumno['categoria']==$cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))) $existeCategoria=true;
									}
									if ($existeCategoria){
										$minutos=0;
										$segundos=0;
										//Seleccionamos la modalidad y la prueba en el vector tablaTiempos
										foreach ($campeonato as &$tipo_camp){
											//Tenemos un campeonato
											if ($tipo_camp[0]=="campeonato"){
												foreach ($tipo_camp as &$mod_tiempo){
													if ((is_array($mod_tiempo))&&($mod_tiempo[1]==$nombreMod)){
														foreach ($mod_tiempo as &$prueba_tiempo){
															if ((is_array($prueba_tiempo))&&($prueba_tiempo[1]==$nombreProof)){
																//Si es un array, significa que tenemos que buscar la categoría.
																if (is_array($prueba_tiempo[2])){
																	foreach ($prueba_tiempo as &$categoria_tiempo){
																		if ((is_array($categoria_tiempo))&&($categoria_tiempo[1]==$nombreCat)){
																			$minutos=$categoria_tiempo[3];
																			$segundos=$categoria_tiempo[4];
																		}
																	}
																}
																else{
																	$minutos=$prueba_tiempo[3];
																	$segundos=$prueba_tiempo[4];
																}
																
															}
														}
													}
												}
											}
											//Tenemos una categoría
											if ($tipo_camp[0]=="boton_categoria"){
												if ($tipo_camp[1]==$nombreCat){
													$minutos=$tipo_camp[3];
													$segundos=$tipo_camp[4];
												}
											}
										}
										foreach ($alumnos as &$alumno){
											if (($alumno['categoria']==$cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))){
												if (array_key_exists($alumno['org'],$tiempos)){
													if (array_key_exists($mod,$tiempos[$alumno['org']])){
														if (array_key_exists($proof,$tiempos[$alumno['org']][$mod])){
															if (array_key_exists('minutos',$tiempos[$alumno['org']][$mod][$proof])){
																$minutos_nuevos=$tiempos[$alumno['org']][$mod][$proof]['minutos'];
																$segundos_nuevos=$tiempos[$alumno['org']][$mod][$proof]['segundos'];
																$calculo_segundos=$segundos+$segundos_nuevos;
																if ($calculo_segundos>=60){
																	$tiempos[$alumno['org']][$mod][$proof]['minutos']=$tiempos[$alumno['org']][$mod][$proof]['minutos']+1;
																	$calculo_segundos=$calculo_segundos-60;
																}
																$tiempos[$alumno['org']][$mod][$proof]['minutos']=$tiempos[$alumno['org']][$mod][$proof]['minutos']+$minutos;
																$tiempos[$alumno['org']][$mod][$proof]['segundos']=$calculo_segundos;
															}
															else{
																$tiempos[$alumno['org']][$mod][$proof]['minutos']=$minutos;
																$tiempos[$alumno['org']][$mod][$proof]['segundos']=$segundos;
															}
														}
														else{
															$tiempos[$alumno['org']][$mod][$proof]=array();
															$tiempos[$alumno['org']][$mod][$proof]['minutos']=$minutos;
															$tiempos[$alumno['org']][$mod][$proof]['segundos']=$segundos;
														}
													}
													else{
														$tiempos[$alumno['org']][$mod]=array();
														$tiempos[$alumno['org']][$mod][$proof]=array();
														$tiempos[$alumno['org']][$mod][$proof]['minutos']=$minutos;
														$tiempos[$alumno['org']][$mod][$proof]['segundos']=$segundos;
													}
												}
												else{
													$tiempos[$alumno['org']]=array();
													$tiempos[$alumno['org']][$mod]=array();
													$tiempos[$alumno['org']][$mod][$proof]=array();
													$tiempos[$alumno['org']][$mod][$proof]['minutos']=$minutos;
													$tiempos[$alumno['org']][$mod][$proof]['segundos']=$segundos;
												}
											}
										}
									}
									$existeCategoria=false;
								}
							}
							$existePrueba=false;
						}
					}
					$existeModalidad=false;
				}
			}
			if ($tablaTiempos[0][0]=="segun_categoria"){
				foreach ($mods as &$modalidad){
					$mod=$modalidad['id_mod_champ'];
					$tipo=$modalidad['tipo'];
					$nombreMod=$modalidad['nombre'];
					$var_id_mod=$modalidad['id_mod'];
					$existePrueba=false;
					$existeModalidad=false;
					$existeCategoria=false;
					//Comprobamos que haya algún alumno con esa modalidad
					foreach ($alumnos as &$alumno){
						if (array_key_exists($mod,$alumno)) $existeModalidad=true;
					}
					if ($existeModalidad){
						foreach ($proofs as &$prueba){
							if ($prueba['id_mod']==$var_id_mod) $proof=$prueba['id_prueba_champ'];
							else $proof="";
							$nombreProof=$prueba['nombre'];
							$var_id_proof=$prueba['id_prueba'];
							//Comprobamos que haya algún alumno con esa modalidad
							foreach ($alumnos as &$alumno){
								if (isset($alumno[$mod])&&($alumno[$mod]==$proof)) $existePrueba=true;
							}
							if ($existePrueba){
								foreach ($cats as &$categoria){
									$cat=$categoria['id_catChamp'];
									$nombreCat=$categoria['nombre'];
									foreach ($alumnos as &$alumno){
										if (($alumno['categoria']==$cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))) $existeCategoria=true;
									}
									if ($existeCategoria){
										$minutos=0;
										$segundos=0;
										//Seleccionamos la modalidad y la prueba en el vector tablaTiempos
										foreach ($vectorTemp as &$cat_tiempo){
											if ((is_array($cat_tiempo))&&($cat_tiempo[1]==$nombreCat)&&($cat_tiempo[0]=="categoria")){
												foreach ($cat_tiempo as &$mod_tiempo){
													if ((is_array($mod_tiempo))&&($mod_tiempo[1]==$nombreMod)){
														$minutos=$mod_tiempo[3];
														$segundos=$mod_tiempo[4];
													}
												}
											}
											if ((is_array($cat_tiempo))&&($cat_tiempo[1]==$nombreMod)&&($cat_tiempo[0]=="boton_modalidad")){
												foreach ($cat_tiempo as &$proof_tiempo){
													if ((is_array($proof_tiempo))&&($proof_tiempo[1]==$nombreProof)){
														$minutos=$mod_tiempo[3];
														$segundos=$mod_tiempo[4];
													}
												}
											}
										}
										foreach ($alumnos as &$alumno){
											if (($alumno['categoria']==$cat)&&((isset($alumno[$mod]))&&($alumno[$mod]==$proof))){
												if (array_key_exists($alumno['org'],$tiempos)){
													if (array_key_exists($mod,$tiempos[$alumno['org']])){
														if (array_key_exists($proof,$tiempos[$alumno['org']][$mod])){
															if (array_key_exists('minutos',$tiempos[$alumno['org']][$mod][$proof])){
																$minutos_nuevos=$tiempos[$alumno['org']][$mod][$proof]['minutos'];
																$segundos_nuevos=$tiempos[$alumno['org']][$mod][$proof]['segundos'];
																$calculo_segundos=$segundos+$segundos_nuevos;
																if ($calculo_segundos>=60){
																	$tiempos[$alumno['org']][$mod][$proof]['minutos']=$tiempos[$alumno['org']][$mod][$proof]['minutos']+1;
																	$calculo_segundos=$calculo_segundos-60;
																}
																$tiempos[$alumno['org']][$mod][$proof]['minutos']=$tiempos[$alumno['org']][$mod][$proof]['minutos']+$minutos;
																$tiempos[$alumno['org']][$mod][$proof]['segundos']=$calculo_segundos;
															}
															else{
																$tiempos[$alumno['org']][$mod][$proof]['minutos']=$minutos;
																$tiempos[$alumno['org']][$mod][$proof]['segundos']=$segundos;
															}
														}
														else{
															$tiempos[$alumno['org']][$mod][$proof]=array();
															$tiempos[$alumno['org']][$mod][$proof]['minutos']=$minutos;
															$tiempos[$alumno['org']][$mod][$proof]['segundos']=$segundos;
														}
													}
													else{
														$tiempos[$alumno['org']][$mod]=array();
														$tiempos[$alumno['org']][$mod][$proof]=array();
														$tiempos[$alumno['org']][$mod][$proof]['minutos']=$minutos;
														$tiempos[$alumno['org']][$mod][$proof]['segundos']=$segundos;
													}
												}
												else{
													$tiempos[$alumno['org']]=array();
													$tiempos[$alumno['org']][$mod]=array();
													$tiempos[$alumno['org']][$mod][$proof]=array();
													$tiempos[$alumno['org']][$mod][$proof]['minutos']=$minutos;
													$tiempos[$alumno['org']][$mod][$proof]['segundos']=$segundos;
												}
											}
										}
									}
									$existeCategoria=false;
								}
							}
							$existePrueba=false;
						}
					}
					$existeModalidad=false;
				}
			}
			$contador=0;
			$string0="Categorías: ";
			foreach ($cats as &$cat){
				$string0.=$cat['nombre'];
				if (($contador+1)==count($cats)) $string0.=".";
				else $string0.=", ";
				$contador++;
			}
			$contador=0;
			$string="Modalidades: ";
			foreach ($proofs as &$prueba){
				$var_id_mod=$prueba['id_mod'];
				$sql->query("SELECT nombre FROM modalidades WHERE id_mod='$var_id_mod' AND id_pl='$id_pl'");
				$sql->ejecutarSQL();
				$resultado=$sql->getUnRegistro();
				$var_nombre_mod=$resultado['nombre'];
				$string.=$var_nombre_mod." ";
				$string.=$prueba['nombre'];
				if (($contador+1)==count($proofs)) $string.=".";
				else $string.=", ";
				$contador++;
			}
			echo "<div class=\"jumbotron\">
				<h1>".$resulChamp['nombreChamp']."</h1>
				<div class=\"row\">
					<div class=\"col-md-6\">
						<p>Lugar celebración: ".$resulChamp['lugar']."</p>
						<p>Fecha Inicio: ".$resulChamp['fecha']."</p>
						<p>Fecha Fin: ".$resulChamp['fecha_fin']."</p>
						<p>Pagos generados por: ".$organizacion."</p>
					</div>
					<div class=\"col-md-6\">
						<p>".$string0."</p>
						<p>".$string."</p>
					</div>
				</div>
			</div>";
			//Necesito una tabla por cada modalidad.
			echo "<legend>Tiempos</legend><p class=\"help-block\">Tiempos calculados.</p>";
			$tiempos_totales=array();
			$minutos_total=0;
			$segundos_total=0;
			$horas_total=0;
			$horas_mod=0;
			$minutos_mod=0;
			$segundos_mod=0;
			foreach ($mods as &$modalidad){
				$mod=$modalidad['id_mod_champ'];
				$tipo=$modalidad['tipo'];
				$nombreMod=$modalidad['nombre'];
				$var_id_mod=$modalidad['id_mod'];
				$existePrueba=false;
				$existeCategoria=false;
				$existeModalidad=false;
				//Comprobamos que haya algún alumno con esa modalidad
				foreach ($alumnos as &$alumno){
					if (array_key_exists($mod,$alumno)) $existeModalidad=true;
				}
				if ($existeModalidad){
					$modMayus = strtoupper($nombreMod);
					echo "<div class=\"panel panel-primary\">
					  <div class=\"panel-heading\" style=\"text-align:center;\">".$modMayus."</div>
						<table class='table table-bordered table-responsive'>
							<thead>
								
							</thead>
							<tbody>
							<tr>";
					//Segundo, imprimimos el nombre de las pruebas y el cabezal de club.
					echo "<th>Club</th>";
					foreach ($proofs as &$prueba){
						if ($prueba['id_mod']==$var_id_mod) $proof=$prueba['id_prueba_champ'];
						else $proof="";
						$nombreProof=$prueba['nombre'];
						$var_id_proof=$prueba['id_prueba'];
						//Comprobamos que haya algún alumno con esa modalidad
						foreach ($alumnos as &$alumno){
							if (isset($alumno[$mod])&&($alumno[$mod]==$proof)) $existePrueba=true;
						}
						if ($existePrueba){
							$proofMayus = strtoupper($nombreProof);
							echo "<th class=\"info\">".$proofMayus."</th>";
						}
						$existePrueba=false;
					}
					echo "<th class=\"danger\">Subtotal</th>
							</tr>";
					
					foreach ($tiempos as $club=>$vector_mods){
						//Si en el array del club tenemos esta modalidad
						if (array_key_exists($mod,$vector_mods)){
							echo "<tr><td>".$club."</td>";
							$minutos_tabla=0;
							$segundos_tabla=0;
							$horas_tabla=0;
							foreach ($proofs as &$prueba){
								$existePrueba=false;
								if ($prueba['id_mod']==$var_id_mod) $proof=$prueba['id_prueba_champ'];
								else $proof="";
								$nombreProof=$prueba['nombre'];
								$var_id_proof=$prueba['id_prueba'];
								if ($proof!=""){
									//Si en el array de la modalidad del club, tenemos esta prueba
									if (array_key_exists($proof,$vector_mods[$mod])){
										echo "<td>".$vector_mods[$mod][$proof]['minutos']."' ".$vector_mods[$mod][$proof]['segundos']."''</td>";
										$minutos_nuevos=$vector_mods[$mod][$proof]['minutos'];
										$segundos_nuevos=$vector_mods[$mod][$proof]['segundos'];
										$calculo_segundos=$segundos_tabla+$segundos_nuevos;
										if ($calculo_segundos>=60){
											$minutos_nuevos=$minutos_nuevos+1;
											$calculo_segundos=$calculo_segundos-60;
										}
										if (($minutos_nuevos+$minutos_tabla)>=60){
											$horas_tabla=$horas_tabla+1;
											$minutos_tabla=($minutos_nuevos+$minutos_tabla)-60;
										}
										else $minutos_tabla=$minutos_nuevos+$minutos_tabla;
										$segundos_tabla=$calculo_segundos;
									}
									else{
										//Comprobamos que exista la prueba en alguno de los clubes
										foreach ($tiempos as $c=>$v_m){
											if (array_key_exists($mod,$tiempos[$c]))
												if (array_key_exists($proof,$tiempos[$c][$mod])) 
													$existePrueba=true;
										}
										if ($existePrueba) echo "<td>0' 0''</td>";
									}
								}
							}
							echo "<td>".$horas_tabla." ".$minutos_tabla."' ".$segundos_tabla."''</td></tr>";
							//Tiempo por modalidad
							if (($segundos_mod + $segundos_tabla)>=60){
								$minutos_mod=$minutos_mod + 1;
								$segundos_mod=($segundos_mod + $segundos_tabla)-60;
							}
							else $segundos_mod=$segundos_mod + $segundos_tabla;
							if (($minutos_mod + $minutos_tabla)>=60){
								$horas_mod=$horas_mod + 1;
								$minutos_mod=($minutos_mod + $minutos_tabla)-60;
							}
							else $minutos_mod=$minutos_mod + $minutos_tabla;
							$horas_mod=$horas_mod + $horas_tabla;
							//Totales
							if (($segundos_total + $segundos_tabla)>=60){
								$minutos_total=$minutos_total + 1;
								$segundos_total=($segundos_total + $segundos_tabla)-60;
							}
							else $segundos_total=$segundos_total + $segundos_tabla;
							if (($minutos_total + $minutos_tabla)>=60){
								$horas_total=$horas_total + 1;
								$minutos_total=($minutos_total + $minutos_tabla)-60;
							}
							else $minutos_total=$minutos_total + $minutos_tabla;
							$horas_total=$horas_total + $horas_tabla;
						}
					}
					echo "</tbody>
						</table>
					</div>
				</div>
				<div class=\"panel panel-danger\">
				  <div class=\"panel-heading\">Total ".$nombreMod."</div>
				  <div class=\"panel-body\">
					".$horas_mod." horas, ".$minutos_mod." minutos y ".$segundos_mod." segundos.
				  </div>
				</div>";
					$horas_mod=0;
					$minutos_mod=0;
					$segundos_mod=0;
				}
				$existeModalidad=false;
				
			}
			echo "<legend>Total Tiempos</legend>";
			echo "
			<div class=\"panel panel-success\">
			  <div class=\"panel-heading\">Total Tiempos</div>
			  <div class=\"panel-body\">
				".$horas_total." horas, ".$minutos_total." minutos y ".$segundos_total." segundos.
			  </div>
			</div>";
		}
		else echo $noInscripcion;
	}
}
else echo $resultado;
?>
