<?php
/*
-----------------------------------------------------------------------------------------------------------
							Archivo que gestiona las afiliaciones de la federación/club
-----------------------------------------------------------------------------------------------------------
			Niveles por regiones, países y continentes:
			Federación:
			Nivel 1) Aquellas referentes que engloban a todo el mundo.
			Nivel 2) Aquellas referentes que engloban un continente. Federación Europea de patinaje artístico sobre ruedas.
			Nivel 3) Aquellas referentes que engloban un país. Federación Nacional de España.
			Nivel 4) Aquellas que sólo engloban una región. Federación regional de Canarias.
			Club:
			Nivel 1) Los clubes pertenecen a federaciones de nivel 4. Sólo tienen este nivel.
			
			Operaciones que se pueden realizar:
			1) Afiliarse a federación: Club/federación.
			2) Añadir afiliación: sólo federación.
			3) Aceptar petición federativa: Club/federación.
			4) Eliminar afiliación: sólo federación.
			
										CONDICIONES (AFILIARSE A FEDERACIÓN)
			1.	Debe ser un responsable de la federación o un responsable del club y tener privilegios de este rol.
			2.	Debe haber accedido al sistema con su nombre de usuario y contraseña de responsable.
			3.	Debe pertenecer a una federación o a un club.
			4.	La federación a la que se desea afiliar debe existir.
			5.	La federación debe de estar en la misma región que el club, o ser de mayor rango que la federación que se quiere afiliar.
			
										CONDICIONES (AÑADIR AFILIACIÓN)
			1.	Debe ser un responsable de la federación y tener privilegios de este rol.
			2.	Debe haber accedido al sistema con su nombre de usuario y contraseña de responsable de la federación.
			3.	Debe pertenecer a una federación.

										CONDICIONES (ACEPTAR PETICIÓN FEDERATIVA)
			1.	Debe ser un responsable de la federación o un responsable del club y tener privilegios de este rol.
			2.	Debe haber accedido al sistema con su nombre de usuario y contraseña de responsable de la federación/club.
			3.	Debe pertenecer a una federación o a un club.

			
										CONDICIONES (ELIMINAR AFILIACIÓN)
			1.	Debe ser un responsable de la federación y tener privilegios de este rol.
			2.	Debe haber accedido al sistema con su nombre de usuario y contraseña de responsable de la federación.
			3.	Debe pertenecer a una federación.
			4.	El club/federación que desea borrar debe estar registrado en el sistema y unido a la federación.


			
*/
session_start();
include_once('../../bbdd/general.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../clases/cMySQL.php');
include_once('../../clases/sCphp.php');
$sql= new cMySQL(); 
$sql->conectar();
$sCphp= new sCphp();
$resultado=$sCphp->controlRegistro(array('federacion','club'),4);
if ($resultado==1){
	$rol=$sCphp->val('tipo');
	$correo=$sCphp->val('correo');
	$organizacion=$sCphp->val('org');
	if ($rol=="federacion"){
		$tipo="federacion";
		$tipo2="juez";
	}
	else{
		$tipo="club";
		$tipo2="alumno";
	}
	//Solo cuando estamos tratando de realizar una gestión, como añadir o eliminar miembro
	if (isset($_GET['gestion'])){
		//Primer caso: Afiliarse a federación
		//Segundo caso: Añadir afiliación a organización de nuestro país y región
		if (($_GET['gestion']=="afiliarse")||($_GET['gestion']=="add")){
			if ((isset($_GET['valor1']))&&(isset($_GET['valor2']))&&(isset($_GET['valor3']))){
				//Comprobamos que la petición no ha sido ya enviada
				$solicitor=$_GET['valor1'];
				$solicitado=$_GET['valor2'];
				$org=$_GET['valor3'];
				$sql->query("SELECT * FROM afiliaciones WHERE solicitor='$solicitor' AND solicitado='$solicitado' AND tipo='$org'");
				$sql->ejecutarSQL();
				$res=$sql->getUnRegistro();
				//Si está vacía, entonces no problemo.
				if ($res['organizacion']==''){
					$sql->query("SELECT nombre FROM organizacion WHERE creador='$solicitado'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$organization=$res['nombre'];
					$sql->query("SELECT nombre FROM organizacion WHERE creador='$solicitor'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$nombreOrg=$res['nombre'];
					if ($_GET['gestion']=="afiliarse") $sql->ejecutarSQL("INSERT INTO afiliaciones (`idAfil`, `solicitor`, `solicitado`, `nombreOrg`,`organizacion`, `validada`, `aceptada`, `tipo`) VALUES ('','$solicitor','$solicitado', '$nombreOrg', '$organization',false,false,'$org')");
					if ($_GET['gestion']=="add") $sql->ejecutarSQL("INSERT INTO afiliaciones (`idAfil`, `solicitor`, `solicitado`, `nombreOrg`,`organizacion`, `validada`, `aceptada`, `tipo`) VALUES ('','$solicitor','$solicitado', '$nombreOrg', '$organization',true,true,'$org')");
				}
				//Si no, informamos al usuario
				else{
					echo "<br><div class=\"alert alert-error\" style=\"text-align:center;\">Ya ha intentado afiliarse a esta federación antes. Debe esperar a que responda el responsable de la federación.</div>";
				}
			}
		}
		//Tercer caso: Aceptar petición federativa
		if ($_GET['gestion']=="aceptar"){
			if ((isset($_GET['valor1']))&&(isset($_GET['valor2']))&&(isset($_GET['valor3']))){
				//Comprobamos que la petición no ha sido ya enviada
				$solicitor=$_GET['valor1'];
				$solicitado=$_GET['valor2'];
				$org=$_GET['valor3'];
				$sql->query("SELECT * FROM organizacion WHERE creador='$solicitor' AND tipo='$org'");
				$sql->ejecutarSQL();
				$res=$sql->getUnRegistro();
				//Si está vacía, entonces no problemo.
				if ($res['afiliadoA']==''){
					$sql->query("SELECT * FROM organizacion WHERE creador='$solicitado'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$organization=$res['nombre'];
					//Actualizamos el nombre de afiliadoA en la tabla organización.
					$sql->ejecutarSQL("UPDATE organizacion SET afiliadoA='$organization' WHERE creador='$solicitor'") or DIE("NO");
				}
			}
		}
		//Última caso: Borrar afiliación de la federación
		if ($_GET['gestion']=="borrar"){
			if ((isset($_GET['valor1']))&&(isset($_GET['valor2']))){
				//Comprobamos que la solicitud no ha sido ya enviada
				$userToDel=$_GET['valor1'];
				$tipoOrg=$_GET['valor2'];
				$sql->query("SELECT afiliadoA FROM organizacion WHERE creador='$userToDel'");
				$sql->ejecutarSQL();
				$res=$sql->getUnRegistro();					
				if ($res['afiliadoA']!=''){
					$sql->ejecutarSQL("SELECT creador FROM organizacion WHERE nombre='$organizacion'");
					$res=$sql->getUnRegistro();	
					$solicitado=$res['creador'];
					$sql->ejecutarSQL("UPDATE organizacion SET afiliadoA=NULL WHERE creador='$userToDel'");
					$sql->ejecutarSQL("DELETE FROM afiliaciones WHERE solicitor='$userToDel' AND solicitado='$solicitado'");
					echo "<br><div class=\"alert alert-success\" style=\"text-align:center;\">Afiliación borrada de su ".$tipo.".</div>";
				}
				//Si está vacía, entonces problemo.
				else{
					echo "<br><div class=\"alert alert-warning\" style=\"text-align:center;\">No se ha podido borrar porque la organización no pertenece a su ".$tipoOrg.".</div>";
				}
			}
		}
		if ($_GET['gestion']=="baja"){
			if ((isset($_GET['valor1']))&&(isset($_GET['valor2']))&&(isset($_GET['valor3']))){
				$solicitor=$_GET['valor1'];
				$solicitado=$_GET['valor2'];
				$org=$_GET['valor3'];
				$sql->ejecutarSQL("UPDATE organizacion SET afiliadoA=NULL WHERE creador='$solicitor'");
				$sql->ejecutarSQL("DELETE FROM afiliaciones WHERE solicitor='$solicitor' AND solicitado='$solicitado'");
				echo "<br><div class=\"alert alert-success\" style=\"text-align:center;\">Baja tramitada correctamente.</div>";
			}
		}
	}
	if ($tipo=="club") echo "<h2 style='text-align:center;'>Gestión del club <small>Gestionar afiliaciones del club</small></h2>
	<div class=\"alert alert-info\" style=\"text-align:center;\">Una afiliación muestra a qué federación pertenece el club.</div>";
	else echo "<h2 style='text-align:center;'>Gestión de la federación <small>Gestionar afiliaciones de la federación</small></h2>
	<div class=\"alert alert-info\" style=\"text-align:center;\">Una afiliación muestra a qué federación pertenece la federación, en el caso de que deba pertenecer a alguna.</div>";
	echo "<div class=\"panel-group\" id=\"accordion2\">
		<div class=\"panel panel-success\">
			<div class=\"panel-heading\">
				<h4 class=\"panel-title\">
					<a data-toggle=\"collapse\" data-parent=\"#accordion2\" href=\"#collapseOne\">
						Afiliarse a federación
					</a>
				</h4>
			</div>
			<div id=\"collapseOne\" class=\"panel-collapse collapse in\">
				<div class=\"panel-body\" style=\"overflow:auto;\">";
				//Comprobamos que no esté afiliado ya a una federación
				$sql->query("SELECT * FROM organizacion WHERE nombre='$organizacion'");
				$sql->ejecutarSQL();
				$res=$sql->getUnRegistro();
				$correo_creador_solicitor=$res['creador'];
				$idOrg=$res['idOrg'];
				//Si está ya afiliada (el club o la federación) se mostrará a cuál está afiliada.
				if ($res['afiliadoA']!=''){
					echo "<br><div class=\"alert alert-info\" style=\"text-align:center;\">Ya estás afiliado a una federación.</div>";
					$nombre_afiliado=$res['afiliadoA'];
					$sql->query("SELECT * FROM organizacion WHERE nombre='$nombre_afiliado'");
					$sql->ejecutarSQL();
					$valor=$sql->getUnRegistro();
					echo "
					<table class='table table-bordered table-striped'>
						<thead>
							<tr>
								<th>Nombre</th>
								<th>Integrantes</th>
								<th>Creador</th>
								<th>País</th>
								<th>Región</th>
								<th>Estado</th>
							</tr>
						</thead>
						<tbody>";
						if ($valor['validada']==false) echo "<tr class=\"warning\">";
						else{
							if ($valor['activa']==false) echo "<tr class=\"danger\">";
							else echo "<tr class=\"success\">";
						}
						echo "
						<td>".$valor['nombre']."</td>
						<td>".$valor['integrantes']."</td>";
						$correo_creador=$valor['creador'];
						$sql->query("SELECT username, apellidos FROM users WHERE correo='$correo_creador'");
						$sql->ejecutarSQL();
						$resultado=$sql->getUnRegistro();
						echo "<td>".$resultado['username']." ".$resultado['apellidos']."</td>
						<td>".$paises[$valor['pais']]."</td>
						<td>".$regiones[$valor['pais']][$valor['region']]."</td>
						<td>";
						if ($valor['validada']==false) echo "Sin validar";
						else {
							if ($valor['activa']==false) echo "Inactiva";
							else echo "Activa";
						}
						echo "</td>
						<td><button type=\"submit\" class=\"btn btn-default\" onClick=\"darseBaja('".$correo_creador_solicitor."','".$correo_creador."','".$tipo."');\">Darse de baja</button></td></tr></tbody>
						</table>
						<script>
						function darseBaja(solicitor,solicitado,tipo){
							var string='¿Está seguro de que desea darse de baja?';
							var borraUser=confirm(string);
							if (borraUser){
								var ruta='modulos/interconexion/gestAfiliaciones.php?gestion=baja&valor1=' + solicitor + '&valor2=' + solicitado + '&valor3=' + tipo ;
								actualizar('#centro',ruta);
							}
						}
						</script>
					";
				}
				else{
					$sql->query("SELECT * FROM organizacion WHERE nombre='$organizacion'");
					$sql->ejecutarSQL();
					$valor=$sql->getUnRegistro();
					//Si se trata de una federación oficial de un país, por ahora no podrá afiliarse a ninguna otra federación
					if (($rol=="federacion")&&($valor['pais']==$valor['region']))echo "<br><div class=\"alert alert-success\" style=\"text-align:center;\">No puede afiliarse a ninguna federación, porque pertenece a la federación de mayor nivel de su zona.</div>";
					else{
						$pais_org=$res['pais'];
						$feder="federacion";
						//Si manejamos una federación, deberemos de poder afiliarnos a aquellas federaciones de un nivel mayor a nuestra región
						//Como ahora mismo solo hay implementados dos niveles, se hará solo a un nivel superior
						if ($rol=="federacion") $reg_org=$res['pais'];
						//Si manejamos un club, deberemos de poder afiliarnos a aquellas federaciones de nuestra misma región
						else $reg_org=$res['region'];
						$sql->query("SELECT * FROM organizacion WHERE pais='$pais_org' AND region='$reg_org' AND tipo='$feder' AND integrantes > 0");
						$sql->ejecutarSQL();
						$numReg=$sql->getNumRegistros();
						$res_array=$sql->getTodosRegistro();
						if ($numReg > 0){
							echo "
							<table class='table table-bordered table-striped' id=\"tabla\">
								<thead>
									<tr>
										<th>Nombre</th>
										<th>Integrantes</th>
										<th>Afiliado a</th>
										<th>Creador</th>
										<th>País</th>
										<th>Región</th>
										<th>Estado</th>
									</tr>
								</thead>
								<tbody>";
									foreach ($res_array as &$valor) {
										if ($valor['validada']==false) echo "<tr class=\"warning\">";
										else{
											if ($valor['activa']==false) echo "<tr class=\"danger\">";
											else echo "<tr class=\"success\">";
										}
										echo "
										<td>".$valor['nombre']."</td>
										<td>".$valor['integrantes']."</td>";
										if ($valor['afiliadoA']=="") echo "<td>Sin afiliación</td>";
										else echo "<td>".$valor['afiliadoA']."</td>";
										$correo_creador=$valor['creador'];
										$sql->query("SELECT username, apellidos FROM users WHERE correo='$correo_creador'");
										$sql->ejecutarSQL();
										$resultado=$sql->getUnRegistro();
										echo "<td>".$resultado['username']." ".$resultado['apellidos']."</td>
										<td>".$paises[$valor['pais']]."</td>
										<td>".$regiones[$valor['pais']][$valor['region']]."</td>
										<td>";
										if ($valor['validada']==false) echo "Sin validar";
										else {
											if ($valor['activa']==false) echo "Rechazada";
											else echo "Activa";
										}
										//Comprobamos que la petición no ha sido enviada ya.
										$sql->query("SELECT * FROM afiliaciones WHERE solicitor='$correo_creador_solicitor' AND solicitado='$correo_creador'");
										$sql->ejecutarSQL();
										$numRegSol=$sql->getNumRegistros();
										$resul=$sql->getUnRegistro();
										//Si ya hemos enviado la solicitud, informamos al usuario del siguiente paso.
										if ($numRegSol > 0){
											if ($resul['validada']==true){
												if ($resul['aceptada']==true){
													echo "</td><td><button class=\"btn btn-success\" onClick=\"aceptarAfiliacion('".$correo_creador_solicitor."','".$correo_creador."','".$tipo."')\">Aceptar Afiliación</button></td></tr>";
												}
												else{
													echo "</td><td><button class=\"btn btn-danger disabled\">Petición rechazada</button></td></tr>";
												}
											}
											else{
												echo "</td><td><button class=\"btn btn-default disabled\">Petición Enviada</button> <button class=\"btn btn-inverse disabled\">En espera de respuesta</button></td></tr>";
											}
										}
										else{
											echo "</td><td><button class=\"btn btn-default\" onClick=\"enviarPeticionAfiliacion('".$correo_creador_solicitor."','".$correo_creador."','".$tipo."')\">Enviar Petición</button></td></tr>";
										}
									}
									echo "
								</tbody>
							</table>
							<script>
							function enviarPeticionAfiliacion(solicitor,solicitado,tipo){
								var ruta='modulos/interconexion/gestAfiliaciones.php?gestion=afiliarse&valor1=' + solicitor + '&valor2=' + solicitado + '&valor3=' + tipo;
								actualizar('#centro',ruta);
							}
							function aceptarAfiliacion(solicitor,solicitado,tipo){
								var ruta='modulos/interconexion/gestAfiliaciones.php?gestion=aceptar&valor1=' + solicitor + '&valor2=' + solicitado + '&valor3=' + tipo;
								actualizar('#centro',ruta);
							}
							</script>
							";
						}
						else{
							echo "<div class=\"alert alert-warning\" style=\"text-align:center;\">Todavía no existe ninguna federación a la que se pueda afiliar";
						}
					}
				}
			echo "
		  </div>
		</div>
	  </div>";
	if ($rol=="federacion"){
		$sql->query("SELECT * FROM organizacion WHERE nombre='$organizacion'");
		$sql->ejecutarSQL();
		$res=$sql->getUnRegistro();
		$correo_creador=$res['creador'];
		echo "
		  <div class=\"panel panel-success\">
			<div class=\"panel-heading\">
				<h4 class=\"panel-title\">
					<a data-toggle=\"collapse\" data-parent=\"#accordion2\" href=\"#collapseTwo\">
						Añadir afiliación
					</a>
				</h4>
			</div>
			<div id=\"collapseTwo\" class=\"panel-collapse collapse\">
				<div class=\"panel-body\" style=\"overflow:auto;\">
				";
				$pais_org=$res['pais'];
				$feder="federacion";
				$reg_org=$res['region'];
				$numRegAfilFed=0;
				$numRegAfilClub=0;
				//Primero una tabla con las federaciones, si las hay, de un nivel menor a la que está manejando las afiliaciones
				//Estamos en el nivel 3 de federación (Federación Nacional de España, por ejemplo) que tratará otras federaciones
				if ($pais_org==$reg_org){
					$sql->query("SELECT * FROM organizacion WHERE pais='$pais_org' AND region!='$reg_org' AND tipo='$feder' AND afiliadoA is null");
					$sql->ejecutarSQL();
					$numRegAfilFed=$sql->getNumRegistros();
					$resulPais=$sql->getTodosRegistro();
					//Si encontramos federaciones que no tengan afiliación, marcamos aquellas que ya han enviado solicitud de afiliarse
					if ($numRegAfilFed > 0){
						echo "
						<div class=\"alert alert-info\" style=\"text-align:center;\">Esta tabla muestra las organizaciones (clubes o federaciones) que no tienen afiliación. Puede añadirlos si lo desea, pero tienen que aceptar la solicitud para unirse. Puede que estas organizaciones ya hayan enviado una solicitud para afiliarse y estén esperando su respuesta, o que ya hayan sido añadidas antes. Si están esperando una respuesta tendrán color amarillo, si han sido rechazadas, tendrán color rojo.</div>
						<h3 style=\"text-align:left;\">Federaciones</h3>
						<table class='table table-bordered table-striped'>
							<thead>
								<tr>
									<th>Nombre</th>
									<th>Integrantes</th>
									<th>Creador</th>
									<th>País</th>
									<th>Región</th>
									<th>Afiliación</th>
									<th>Estado</th>
								</tr>
							</thead>
							<tbody>";
						foreach ($resulPais as &$valor) {
								//Para hacer más sencilla la tarea del responsable, marcamos las filas de distinto color si ya existe una afiliación creada en la tabla de afiliaciones
								$solicitor=$valor['creador'];
								$sql->query("SELECT * FROM afiliaciones WHERE solicitor='$solicitor' AND solicitado='$correo_creador' AND tipo='$feder'");
								$sql->ejecutarSQL();
								$resul=$sql->getUnRegistro();
								if ($resul['solicitor']=='') echo "<tr>";
								else{
									if ($resul['validada']==false) echo "<tr class=\"warning\">";
									else{
										if ($resul['aceptada']==true) echo "<tr class=\"success\">";
										else echo "<tr class=\"danger\">";
									}
								}
								$sql->query("SELECT username, apellidos FROM users WHERE correo='$solicitor'");
								$sql->ejecutarSQL();
								$resultadoNombre=$sql->getUnRegistro();
								echo "
								<td>".$valor['nombre']."</td>
								<td>".$valor['integrantes']."</td>
								<td>".$resultadoNombre['username']." ".$resultadoNombre['apellidos']."</td>
								<td>".$paises[$valor['pais']]."</td>
								<td>".$regiones[$valor['pais']][$valor['region']]."</td>";
								if ($valor['afiliadoA']=="") echo "<td>Sin afiliación</td>";
								else echo "<td>".$valor['afiliadoA']."</td>";
								//Para hacer más sencilla la tarea del responsable, mostramos a quién ha añadido y a quién no, desactivando el botón
								if ($resul['solicitor']=='') echo "<td><a href=\"#\" title=\"Enviar Petición\" onClick=\"addAfiliacion('".$solicitor."','".$correo_creador."','".$feder."')\"><span class=\"glyphicon glyphicon-user\"></span></a></td>";
								else{
									if ($resul['validada']==false) echo "<td><a href=\"#\" title=\"La organización ha enviado una solicitud de afiliación. Haga clic en Solicitudes.\"><span class=\"glyphicon glyphicon-question-sign\"></span></a></td>";
									else{
										if ($resul['aceptada']==true)  echo "<td><a href=\"#\" title=\"Ya ha enviado la petición de afiliación a esta organización, sin embargo, la organización todavía no ha tomado la decisión de afiliarse o no la ha visto.\"><span class=\"glyphicon glyphicon-ok\"></span></a></td>";
										else echo "<td><a href=\"#\" title=\"Petición de afiliación que usted o algún otro responsable ha rechazado en Solicitudes. Para aceptarla, vaya a Solicitudes y haga clíc en Aceptar.\"><span class=\"glyphicon glyphicon-info-sign\"></span></a></td>";
									}
								}
								echo "
								</tr>
								";
						}
						echo "</tbody>
							</table></div>
							<script>
							function addAfiliacion(solicitor,solicitado,tipo){
								var ruta='modulos/interconexion/gestAfiliaciones.php?gestion=add' + '&valor1=' + solicitor + '&valor2=' + solicitado + '&valor3=' + tipo;
								actualizar('#centro',ruta);
							}
							</script>
						";
					}
				}
				//Segundo: una tabla con los clubes, si los hay, del mismo nivel que las federaciones
				//Estamos en el nivel 4 de federación (Federación Regional de Canarias, por ejemplo) que tratará otros clubes
				else{
					$feder="club";
					$sql->query("SELECT * FROM organizacion WHERE pais='$pais_org' AND region='$reg_org' AND tipo='$feder' AND afiliadoA is null");
					$sql->ejecutarSQL();
					$numRegAfilClub=$sql->getNumRegistros();
					$resulRegion=$sql->getTodosRegistro();
					//Si encontramos federaciones que no tengan afiliación, marcamos aquellas que ya han enviado solicitud de afiliarse
					if ($numRegAfilClub > 0){
						if ($numRegAfilFed == 0) echo "<div class=\"alert alert-info\" style=\"text-align:center;\">Esta tabla muestra las organizaciones (clubes o federaciones) que no tienen afiliación. Puede añadirlos si lo desea, pero tienen que aceptar la solicitud para unirse. Puede que estas organizaciones ya hayan enviado una solicitud para afiliarse y estén esperando su respuesta, o que ya hayan sido añadidas antes. Si están esperando una respuesta tendrán color amarillo, si han sido rechazadas, tendrán color rojo.</div>";
						echo "
						<h3 style=\"text-align:left;\">Clubes</h3>
						<table class='table table-bordered table-striped'>
							<thead>
								<tr>
									<th>Nombre</th>
									<th>Integrantes</th>
									<th>Creador</th>
									<th>País</th>
									<th>Región</th>
									<th>Afiliación</th>
									<th>Estado</th>
								</tr>
							</thead>
							<tbody>";
						foreach ($resulRegion as &$valor) {
								//Para hacer más sencilla la tarea del responsable, marcamos las filas de distinto color si ya existe una afiliación creada en la tabla de afiliaciones
								$solicitor=$valor['creador'];
								$sql->query("SELECT * FROM afiliaciones WHERE solicitor='$solicitor' AND solicitado='$correo_creador' AND tipo='$feder'");
								$sql->ejecutarSQL();
								$resul=$sql->getUnRegistro();
								if ($resul['solicitor']=='') echo "<tr>";
								else{
									if ($resul['validada']==false) echo "<tr class=\"warning\">";
									else{
										if ($resul['aceptada']==true) echo "<tr class=\"success\">";
										else echo "<tr class=\"danger\">";
									}
								}
								$sql->query("SELECT username, apellidos FROM users WHERE correo='$solicitor'");
								$sql->ejecutarSQL();
								$resultadoNombre=$sql->getUnRegistro();
								echo "
								<td>".$valor['nombre']."</td>
								<td>".$valor['integrantes']."</td>
								<td>".$resultadoNombre['username']." ".$resultadoNombre['apellidos']."</td>
								<td>".$paises[$valor['pais']]."</td>
								<td>".$regiones[$valor['pais']][$valor['region']]."</td>";
								if ($valor['afiliadoA']=="") echo "<td>Sin afiliación</td>";
								else echo "<td>".$valor['afiliadoA']."</td>";
								//Para hacer más sencilla la tarea del responsable, mostramos a quién ha añadido y a quién no, desactivando el botón
								if ($resul['solicitor']=='') echo "<td><a href=\"#\" title=\"Enviar Petición\" onClick=\"addAfiliacion('".$solicitor."','".$correo_creador."','".$feder."')\"><span class=\"glyphicon glyphicon-user\"></span></a></td>";
								else{
									if ($resul['validada']==false) echo "<td><a href=\"#\" title=\"La organización ha enviado una solicitud de afiliación. Haga clic en Solicitudes.\"><span class=\"glyphicon glyphicon-question-sign\"></span></a></td>";
									else{
										if ($resul['aceptada']==true)  echo "<td><a href=\"#\" title=\"Ya ha enviado la petición de afiliación a esta organización, sin embargo, la organización todavía no ha tomado la decisión de afiliarse o no la ha visto.\"><span class=\"glyphicon glyphicon-ok\"></span></a></td>";
										else echo "<td><a href=\"#\" title=\"Petición de afiliación que usted o algún otro responsable ha rechazado en Solicitudes. Para aceptarla, vaya a Solicitudes y haga clíc en Aceptar.\"><span class=\"glyphicon glyphicon-info-sign\"></span></a></td>";
									}
								}
								echo "
								</tr>
								";
						}
						echo "</tbody>
							</table></div>
							<script>
							function addAfiliacion(solicitor,solicitado,tipo){
								var ruta='modulos/interconexion/gestAfiliaciones.php?gestion=add' + '&valor1=' + solicitor + '&valor2=' + solicitado + '&valor3=' + tipo;
								actualizar('#centro',ruta);
							}
							</script>
						";
					}
				}
				if (($numRegAfilFed + $numRegAfilClub) == 0) echo "<br><div class=\"alert alert-warning\" style=\"text-align:center;\">No existen organizaciones que pueda añadir.</div>";
				echo "</div>
			</div>
		</div>
		<div class=\"panel panel-success\">
			<div class=\"panel-heading\">
				<h4 class=\"panel-title\">
					<a data-toggle=\"collapse\" data-parent=\"#accordion2\" href=\"#collapseTres\">
					  Borrar afiliación
					</a>
				</h4>
			</div>
			<div id=\"collapseTres\" class=\"panel-collapse collapse\">
				<div class=\"panel-body\" style=\"overflow:auto;\">";
				//Borramos afiliaciones según el nivel de la federación
				//Nivel 3 (Federación de España --> por países)
				$pais_org=$res['pais'];
				$feder="federacion";
				$reg_org=$res['region'];
				$numRegBorFed=0;
				$numRegBorClub=0;
				if ($pais_org==$reg_org){
					$sql->query("SELECT * FROM organizacion WHERE pais='$pais_org' AND region!='$reg_org' AND tipo='$feder' AND afiliadoA='$organizacion'");
					$sql->ejecutarSQL();
					$numRegBorFed=$sql->getNumRegistros();
					$resulPais=$sql->getTodosRegistro();
					if ($numRegBorFed > 0){
						echo "
						<div class=\"alert alert-info\" style=\"text-align:center;\">Esta tabla muestra las organizaciones (clubes o federaciones) cuyas afiliaciones puede eliminar. Al eliminar la afiliación, el club/organización dejará de tener contacto con su federación, por lo que no podrá apuntarse a sus campeonatos entre otras cosas.</div>
						<h3 style=\"text-align:left;\">Federaciones</h3>
						<table class='table table-bordered table-striped'>
							<thead>
								<tr>
									<th>Nombre</th>
									<th>Integrantes</th>
									<th>Creador</th>
									<th>País</th>
									<th>Región</th>
									<th>Afiliación</th>
								</tr>
							</thead>
							<tbody>";
						foreach ($resulPais as &$valor) {
								//Para hacer más sencilla la tarea del responsable, marcamos las filas de distinto color si ya existe una afiliación creada en la tabla de afiliaciones
								$solicitor=$valor['creador'];
								$sql->query("SELECT * FROM afiliaciones WHERE solicitor='$solicitor' AND solicitado='$correo_creador' AND tipo='$feder'");
								$sql->ejecutarSQL();
								$resul=$sql->getUnRegistro();
								$sql->query("SELECT username, apellidos FROM users WHERE correo='$solicitor'");
								$sql->ejecutarSQL();
								$resultadoNombre=$sql->getUnRegistro();
								echo "<tr>
								<td>".$valor['nombre']."</td>
								<td>".$valor['integrantes']."</td>
								<td>".$resultadoNombre['username']." ".$resultadoNombre['apellidos']."</td>
								<td>".$paises[$valor['pais']]."</td>
								<td>".$regiones[$valor['pais']][$valor['region']]."</td>";
								if ($valor['afiliadoA']=="") echo "<td>Sin afiliación</td>";
								else echo "<td>".$valor['afiliadoA']."</td>
								<td><a href=\"#\" title=\"Borre la afiliación\" onClick=\"borrarAfiliacion('".$solicitor."','".$tipo."');\"><span class=\"glyphicon glyphicon-trash\"></span></a></td>
								</tr>
								<script>
								function borrarAfiliacion(correo,tipo){
									var string='¿Está seguro de que desea borrar de su ".$tipo." la afiliación de la organización, cuyo correo del creador es: ' + correo + '?';
									var borraUser=confirm(string);
									if (borraUser){
										var ruta='modulos/interconexion/gestAfiliaciones.php?gestion=borrar' + '&valor1=' + correo + '&valor2=' + tipo;
										actualizar('#centro',ruta);
									}
								}
								</script>
								";
						}
						echo "</tbody>
							</table></div>
						";
					}
				}
				else{
					$feder="club";
					//Para los clubes
					$sql->query("SELECT * FROM organizacion WHERE pais='$pais_org' AND region='$reg_org' AND tipo='$feder' AND afiliadoA='$organizacion'");
					$sql->ejecutarSQL();
					$numRegBorClub=$sql->getNumRegistros();
					$resulPais=$sql->getTodosRegistro();
					if ($numRegBorClub > 0){
						echo "
						<div class=\"alert alert-info\" style=\"text-align:center;\">Esta tabla muestra las organizaciones (clubes o federaciones) cuyas afiliaciones puede eliminar. Al eliminar la afiliación, el club/organización dejará de tener contacto con su federación, por lo que no podrá apuntarse a sus campeonatos entre otras cosas.</div>
						<h3 style=\"text-align:left;\">Clubes</h3>
						<table class='table table-bordered table-striped'>
							<thead>
								<tr>
									<th>Nombre</th>
									<th>Integrantes</th>
									<th>Creador</th>
									<th>País</th>
									<th>Región</th>
									<th>Afiliación</th>
								</tr>
							</thead>
							<tbody>";
						foreach ($resulPais as &$valor) {
								//Para hacer más sencilla la tarea del responsable, marcamos las filas de distinto color si ya existe una afiliación creada en la tabla de afiliaciones
								$solicitor=$valor['creador'];
								$sql->query("SELECT * FROM afiliaciones WHERE solicitor='$solicitor' AND solicitado='$correo_creador' AND tipo='$feder'");
								$sql->ejecutarSQL();
								$resul=$sql->getUnRegistro();
								echo "<tr>
								<td>".$valor['nombre']."</td>
								<td>".$valor['integrantes']."</td>
								<td>".$solicitor."</td>
								<td>".$paises[$valor['pais']]."</td>
								<td>".$regiones[$valor['pais']][$valor['region']]."</td>";
								if ($valor['afiliadoA']=="") echo "<td>Sin afiliación</td>";
								else echo "<td>".$valor['afiliadoA']."</td>
								<td><a href=\"#\" title=\"Borre la afiliación\" onClick=\"borrarAfiliacion('".$solicitor."','".$tipo."');\"><span class=\"glyphicon glyphicon-trash\"></span></a></td>
								</tr>
								<script>
								function borrarAfiliacion(correo,tipo){
									var string='¿Está seguro de que desea borrar de su ".$tipo." la afiliación de la organización, cuyo correo del creador es: ' + correo + '?';
									var borraUser=confirm(string);
									if (borraUser){
										var ruta='modulos/interconexion/gestAfiliaciones.php?gestion=borrar' + '&valor1=' + correo + '&valor2=' + tipo;
										actualizar('#centro',ruta);
									}
								}
								</script>
								";
						}
						echo "</tbody>
							</table></div>
						";
					}
				}
				if (($numRegBorFed + $numRegBorClub) == 0) echo "<br><div class=\"alert alert-warning\" style=\"text-align:center;\">No existen organizaciones que pueda eliminar.</div>";
				echo "
			  </div>
			</div>
		  </div>";
	}
	echo "
	</div>
	";
}
else echo $resultado;
?>
