<?php
/*
-----------------------------------------------------------------------------------------------------------
							Modificar información alumno
-----------------------------------------------------------------------------------------------------------							
			Operaciones que se pueden realizar:
			1) Modificar información del alumno que está bajo su amparo, esto quiere decir que el
responsable de la federación podrá modificar la Licencia, Prueba y Modalidad de aquellos alumnos que se
encuentren en un club afiliado a esta federación.
										CONDICIONES
			1) Aunque en un principio se pensó en un responsable del club, debe ser únicamente el responsable
de la federación el que realice estos cambios.
			
*/
session_start();
include_once('../../clases/sCphp.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../clases/cMySQL.php');
$sql= new cMySQL(); 
$sql->conectar();
//Debe estar registrado en el sistema. Nivel de seguridad 1.
$sCphp= new sCphp(); 
//Debe ser un responsable de la federación. Nivel de seguridad 2.
//Función que comprueba si se está registrado y se es un responsable de la federación.
$resultado=$sCphp->controlRegistro('federacion',4);
if ($resultado==1){
	$correo=$sCphp->val('correo');
	$rol=$sCphp->val('tipo');
	$organizacion=$sCphp->val('org');
	$creador=$sCphp->val('creador');
	//Si recibimos el id_user, vamos a modificar la información del alumno
	if (isset($_GET['id_user'])){
		$idUser=$_GET['id_user'];
		$sql->query("SELECT * FROM alumno LEFT JOIN users ON (users.idUser=alumno.id_user) WHERE id_user='$idUser'");
		$sql->ejecutarSQL();
		$alumno=$sql->getUnRegistro();
		$id_alumno=$alumno['id_alumno'];
		$sql->query("SELECT * FROM alumno_pruebas WHERE id_alumno='$id_alumno'");
		$sql->ejecutarSQL();
		$numRegistros=$sql->getNumRegistros();
		echo "<h2 style='text-align:center;'>Modificar información alumno <small>Modifique la información</small></h2>";
		$nacimiento= strtotime($alumno['nacimiento']);
		$fecha = time() -  $nacimiento;
		$edad = floor((($fecha / 3600) / 24) / 360);
		echo "
		<form class=\"form-horizontal\" action=\"modulos/interconexion/gestionModInfo.php\" id=\"form-mod-alum\" method=\"post\">
			<div class=\"well\">
				<div class=\"panel panel-primary\">
				  <div class=\"panel-heading\">
					<h3 class=\"panel-title\">".$alumno['username']." ".$alumno['apellidos']."</h3>
				  </div>
				  <div class=\"panel-body\">
					<div class=\"row\">
						<div class=\"col-md-6\">
							<div class=\"panel panel-info\">
								<div class=\"panel-heading\">
									<h3 class=\"panel-title\">Información básica</h3>
								</div>
								<div class=\"panel-body\">
									<div class=\"form-group\" style=\"height: 20px;\">
										<label for=\"inputOrg\" class=\"col-lg-2 control-label\">Club</label>
										<div class=\"col-lg-10\">
										   <p class=\"form-control-static\">".$alumno['organizacion']."</p>
										</div>
									</div>
									<div class=\"form-group\" style=\"height: 20px;\">
										<label for=\"inputOrg\" class=\"col-lg-2 control-label\">Nacimiento</label>
										<div class=\"col-lg-10\">
										   <p class=\"form-control-static\">".date('d-m-Y',$nacimiento)."</p>
										</div>
									</div>
									<div class=\"form-group\" style=\"height: 20px;\">
										<label for=\"inputOrg\" class=\"col-lg-2 control-label\">Edad</label>
										<div class=\"col-lg-10\">
										   <p class=\"form-control-static\">".$edad." años</p>
										</div>
									</div>
									<div class=\"form-group\" style=\"height: 20px;\">
										<label for=\"inputOrg\" class=\"col-lg-2 control-label\">Sexo</label>
										<div class=\"col-lg-10\">
										   <p class=\"form-control-static\">".$alumno['sexo']."</p>
										</div>
									</div>
									<div class=\"form-group\">
										<label for=\"inputOrg\" class=\"col-lg-2 control-label\">Licencia</label>
										<div class=\"col-lg-10\">
											<input type=\"hidden\" id=\"id_alumno\" value=\"".$id_alumno."\">
											<input type=\"hidden\" id=\"idUser\" value=\"".$idUser."\">
											<input type=\"text\" class=\"form-control\" id=\"licencia\" name=\"licencia\" placeholder=\"...\" value=\"".$alumno['licencia']."\">
										</div>
									</div>
								</div>
							</div>
						</div>
						<div class=\"col-md-6\">
							<div class=\"panel panel-danger\">
								<div class=\"panel-heading\">
									<h3 class=\"panel-title\">Pruebas</h3>
								</div>
								<div class=\"panel-body\" id=\"pruebas\">
									
									
									";
									$i=1;
									if ($numRegistros>0){
										$alumnoInfo=$sql->getTodosRegistro();
										foreach ($alumnoInfo as &$info){
											echo "<div class=\"panel panel-default\" id=\"prueba_alumno".$i."\">
												<div class=\"panel-body\">
													<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$('#prueba_alumno".$i."').remove();\" title=\"Borra este elemento\"></span>
													<br>
													<div class=\"form-group\">
														<label for=\"inputOrg\" class=\"col-lg-2 control-label\">Tipo de campeonato</label>
														<div class=\"col-lg-10\">
														  <input type=\"text\" class=\"form-control\" id=\"tipoChamp\" name=\"tipoChamp\" placeholder=\"...\" value=\"".$info['tipoChamp']."\" required>
														</div>
													</div>
													<input type=\"hidden\" name=\"id_alumno_pruebas\" value=\"".$info['id_alumno_pruebas']."\">
													<div class=\"form-group\">
														<label for=\"inputOrg\" class=\"col-lg-2 control-label\">Modalidad</label>
														<div class=\"col-lg-10\">
														  <input type=\"text\" class=\"form-control\" id=\"modalidad\" name=\"modalidad\" placeholder=\"...\" value=\"".$info['modalidad']."\" required>
														</div>
													</div>
													<div class=\"form-group\">
														<label for=\"inputOrg\" class=\"col-lg-2 control-label\">Prueba</label>
														<div class=\"col-lg-10\">
														  <input type=\"text\" class=\"form-control\" id=\"prueba\" name=\"prueba\" placeholder=\"...\" value=\"".$info['prueba']."\" required>
														</div>
													</div>";
													if ($info['competidos']==NULL) $competidos=0;
													else $competidos=$info['competidos'];
													echo "
														<div class=\"form-group\">
															<label for=\"inputOrg\" class=\"col-lg-2 control-label\">Años competidos</label>
															<div class=\"col-lg-10\">
															  <input type=\"text\" class=\"form-control\" id=\"competidos\" name=\"competidos\" placeholder=\"...\" value=\"".$competidos."\">
															</div>
														</div>";
													echo "
												</div>
											</div>";
											$i++;
										}
									}
									echo "
									<input type=\"hidden\" name=\"contador\" value=\"".$i."\">
								</div>
							</div>
						</div>
					</div>
				  </div>
				</div>
			</div>
			<button type=\"submit\" class=\"btn btn-success\">Actualizar</button>
			<button type=\"button\" class=\"btn btn-danger\" onClick=\"addMore();\"><span class=\"glyphicon glyphicon-plus-sign\"></span> Añadir pruebas </button>
		</form>
		<script>
		function addMore(){
			var contador=$('#contador').val();
			var contadorIncr=contador+1;
			$('#contador').val(contador);
			var div='#pruebas';
			var texto='';
			texto+='<div class=\"panel panel-default\" id=\"prueba_alumno' + contador + '\">';
			texto+=		'<div class=\"panel-body\">';
			texto+=			'<span class=\"glyphicon glyphicon-remove pull-right\" onClick=\"$(\'#prueba_alumno' + contador + '\').remove();\" title=\"Borra este elemento\"></span><br>';
			texto+=			'<div class=\"form-group\">';
			texto+=				'<label for=\"inputOrg\" class=\"col-lg-2 control-label\">Tipo de campeonato</label>';
			texto+=				'<div class=\"col-lg-10\">';
			texto+=					'<input type=\"text\" class=\"form-control\" id=\"tipoChamp\" name=\"tipoChamp\" placeholder=\"...\" required>';
			texto+=				'</div>';
			texto+=			'</div>';
			texto+=			'<input type=\"hidden\" name=\"id_alumno_pruebas\">';
			texto+=			'<div class=\"form-group\">';
			texto+=				'<label for=\"inputOrg\" class=\"col-lg-2 control-label\">Modalidad</label>';
			texto+=				'<div class=\"col-lg-10\">';
			texto+=					'<input type=\"text\" class=\"form-control\" id=\"modalidad\" name=\"modalidad\" placeholder=\"...\" required>';
			texto+=				'</div>';
			texto+=			'</div>';
			texto+=			'<div class=\"form-group\">';
			texto+=				'<label for=\"inputOrg\" class=\"col-lg-2 control-label\">Prueba</label>';
			texto+=				'<div class=\"col-lg-10\">';
			texto+=					'<input type=\"text\" class=\"form-control\" id=\"prueba\" name=\"prueba\" placeholder=\"...\" required>';
			texto+=				'</div>';
			texto+=			'</div>';
			texto+=			'<div class=\"form-group\">';
			texto+=				'<label for=\"inputOrg\" class=\"col-lg-2 control-label\">Años competidos</label>';
			texto+=				'<div class=\"col-lg-10\">';
			texto+=					'<input type=\"text\" class=\"form-control\" id=\"competidos\" name=\"competidos\" placeholder=\"...\">';
			texto+=				'</div>';
			texto+=			'</div>';
			texto+=		'</div>';
			texto+='</div>';
			$(div).append(texto);
		}
		$('#form-mod-alum').submit(function(event) {
		  //Evita que se ejecute el botón de submit
		  event.preventDefault();
		  //Serializamos el formulario
		  arr= $(this).serializeArray();
		  data = JSON.stringify(arr);
		  //Recoge ciertos valores del formulario
		  var form = $( this ),
			  term3 = form.find( licencia ).val(),
			  url = form.attr( 'action' );
		  var term1=$('#idUser').val();
		  var term2=$('#id_alumno').val();
		  //Envía los datos mediante jquery y json
		  var posting = $.post( url, { id_user: term1, id_alumno: term2, licencia: term3, datos: data} );
		  //Devuelve los resultados en data.
		  posting.done(function( data ) {
				if (data == 0){
					alert('La información del alumno ha sido modificada.');
					actualizar('#centro','modulos/interconexion/mod_inf_alu.php')
				}
				else alert('Se ha producido algún error al tratar de modificar los datos');
		  });
		});
		</script>";
		
	}
	else{
		echo "<h2 style='text-align:center;'>Modificar información alumno <small>Seleccione un club y un alumno</small></h2>";
		//Para modificar información del alumno, necesito que el club donde está registrado el alumno esté afiliado a esa federación
		$sql->query("SELECT DISTINCT nombre FROM organizacion LEFT JOIN afiliaciones ON (organizacion.afiliadoA=afiliaciones.organizacion) WHERE afiliaciones.solicitado='$creador' ORDER BY organizacion.nombre");
		$sql->ejecutarSQL();
		$numReg=$sql->getNumRegistros();
		if ($numReg > 0){
			$res=$sql->getTodosRegistro();
			
			echo "<div class=\"panel-group\" id=\"accordion\">";
			$nombreActual="";
			$nombreAnterior="";
			$comienzoTabla=0;
			$i=0;
			$collapse=1;
			foreach ($res as &$resultado1) {
				$org_temp=$resultado1['nombre'];
				$sql->query("SELECT * FROM users WHERE organizacion='$org_temp' AND tipo='alumno'");
				$sql->ejecutarSQL();
				$numReg=$sql->getNumRegistros();
				$resultado=$sql->getTodosRegistro();
				if ($numReg>0){
					foreach ($resultado as &$valor) {
						$nombreActual = $org_temp;
						if ($nombreActual!=$nombreAnterior) $comienzoTabla=1;
						if ($comienzoTabla==1){
							if ($i==0){ 
								echo "<div class=\"panel panel-danger\">
										<div class=\"panel-heading\">
											<h4 class=\"panel-title\">
												<a data-toggle=\"collapse\" data-parent=\"#accordion\" href=\"#collapse".$collapse."\">
													".$nombreActual."
												</a>
											</h4>
										</div>
									<div id=\"collapse".$collapse."\" class=\"panel-collapse collapse\">
										<div class=\"panel-body\" style=\"overflow:auto;\">
											<form action=\"modulos/interconexion/mod_inf_alu.php\" id=\"form-mod-alum\" method=\"post\">
											<table class='table table-bordered table-striped table-responsive' id=\"tabla\">
												<thead>
													<tr>
														<th>Nombre</th>
														<th>Club</th>
														<th>Edad</th>
														<th>Sexo</th>
														<th>Licencia</th>
													</tr>
												</thead>
												<tbody>";
								$collapse++;
							}
							else{
								echo "			</tbody>
											</table>
										</div>
									</div>
								</div>
								<div class=\"panel panel-danger\">
										<div class=\"panel-heading\">
											<h4 class=\"panel-title\">
												<a data-toggle=\"collapse\" data-parent=\"#accordion\" href=\"#collapse".$collapse."\">
													".$nombreActual."
												</a>
											</h4>
										</div>
									<div id=\"collapse".$collapse."\" class=\"panel-collapse collapse\">
										<div class=\"panel-body\" style=\"overflow:auto;\">
											<table class='table table-bordered table-striped table-responsive' id=\"tabla\">
												<thead>
													<tr>
														<th>Nombre</th>
														<th>Club</th>
														<th>Edad</th>
														<th>Sexo</th>
														<th>Licencia</th>
													</tr>
												</thead>
												<tbody>";
								$collapse++;
							}
						}
						echo "<tr id=\"spinner".$i."\">";
						$idUser=$valor['idUser'];
						$sql->query("SELECT * FROM alumno WHERE id_user='$idUser'");
						$sql->ejecutarSQL();
						$alumno=$sql->getUnRegistro();
						echo "<td>".$valor['username']." ".$valor['apellidos']."</td>
							<td>
							".$org_temp."
							</td>";
							if ($alumno['nacimiento']!=NULL){
								$fecha = time() - strtotime($alumno['nacimiento']) ;
								$edad = floor((($fecha / 3600) / 24) / 360);
								echo "<td>".$edad."</td>";
							}
							else echo "<td>No especificada</td>";
							echo "
							<td>
							".$alumno['sexo']."
							</td>";
							if ($valor['licencia']!=NULL) echo "<td><p class=\"form-control-static\">".$valor['licencia']."</p></td>";
							else echo "<td><p class=\"form-control-static\">".$valor['licencia']."</p></td>";
							echo "<td><button type=\"button\" class=\"btn btn-default\" id=\"moda".$i."\" onClick=\"mod('".$idUser."');\">Modificar</button>";
							echo "</tr>";
						$i++;
						$comienzoTabla=0;
						$nombreAnterior=$nombreActual;
					}
				}
			}
			echo "</tbody>
									</table>
								
								</div>
							</div>
						</div>
					</div>";
			
			echo "
			<script>
			function mod(id_user){
				var pl='modulos/interconexion/mod_inf_alu.php?id_user=' + id_user;
				var texto='¿Deseas modificar la información del alumno?';
				if (confirm(texto)) actualizar('#centro', pl);
			}
			
			";
		}
	}
}
else echo $resultado;
?>
