<?php
/*
							PRECONDICIONES
	1.	Debe ser un responsable de la federación/club y tener privilegios de este rol.
	2.	Debe haber accedido al sistema con su nombre de usuario y contraseña de responsable de la federación.
	3.	No debe pertenecer a ninguna federación/club. --> Se controla en menu.php
	4.	No debe haber mandado ya una petición para crear una federación/club.
	
Últimas modificaciones: v0.2 --> Añadido cambio para que aparezca país y región. Además, sólo puede existir una federación por región.

*/

session_start();
include_once('../../bbdd/general.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../clases/cMySQL.php');
include_once('../../clases/sCphp.php');
$sCphp= new sCphp();
//Control de registro de nivel 1: si está registrado y es un responsable del club o de la federación.
$resultado=$sCphp->controlRegistro(array('club','federacion'),1);
if ($resultado==1){
	$sql= new cMySQL(); 
	$sql->conectar();
	$correo=$sCphp->val('correo');
	$tipo=$sCphp->val('tipo');
	//Control de los datos para crear/borrar una organización.
	if (isset($_POST['tipo'])){
		if ($_POST['tipo']=='crear'){
			if ((isset($_POST['nombre']))&&(isset($_POST['pais']))){
				if (!(isset($_POST['region']))){
					echo 2;
				}
				else{
					$tipo_org=$sCphp->val('tipo');
					$nombre_org=$_POST['nombre'];
					$pais_org=$_POST['pais'];
					$region_org=$_POST['region'];
					if (($nombre_org=='')||($pais_org=='')||($region_org=='')) echo 2;
					else{
						//Primero buscamos si existe ese nombre.
						$sql->query("SELECT * FROM organizacion WHERE nombre='$nombre_org'");
						$sql->ejecutarSQL();
						$res_new=$sql->getUnRegistro();
						//Si no existe, comprobamos que al ser una federación, exista solo una por cada región.
						if ($res_new['nombre']==''){
							if ($tipo=="federacion"){
								$sql->query("SELECT * FROM organizacion WHERE pais='$pais_org' AND tipo='$tipo_org' AND region='$region_org' AND activa > 0 AND integrantes > 0");
								$sql->ejecutarSQL();
								$res_federacion=$sql->getUnRegistro();
								//Si no existe ninguna federación con esas condiciones, la creamos
								if ($res_federacion['nombre']==''){
									$welcome="Bienvenido a la federación ".$nombre_org;
									//Creamos una federación con el nombre especificado, añadimos al usuario que la está creado como creador y aumentamos el número de integrantes.
									$sql->ejecutarSQL("INSERT INTO organizacion (`idOrg`, `nombre`, `integrantes`, `afiliadoA`, `creador`, `validada`, `tipo`, `welcome`, `activa`, `region`, `pais`, `continente`) VALUES ('','$nombre_org','1',NULL,'$correo','false','$tipo','$welcome','false','$region_org','$pais_org','')") or DIE("No se pudo");
									$cif=$_POST['cif'];
									$numRegistro=$_POST['numero'];
									//Enviamos correo
									$asunto    = 'Solicitud de validación de nueva federación';
									$mensaje   = '<html>
													<head>
													  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
													  <title>Nueva federación solicita validación</title>
													</head>
													<body>
													  <p>Federación: '.$nombre_org.'.</p>
													  <p>CIF: '.$cif.'.</p>
													  <p>Número de registro: '.$numRegistro.'.</p>
													</body>
													</html>';
									$cabeceras  = 'MIME-Version: 1.0' . "\r\n";
									$cabeceras .= 'Content-type: text/html; charset=utf-8' . "\r\n";
									$cabeceras .= 'From: sisgespar' . "\r\n" .
												 'Reply-To:' . "\r\n" .
												 'X-Mailer: PHP/' . phpversion();
									$sql->ejecutarSQL("SELECT correo FROM users WHERE tipo='administrador'");
									$res=$sql->getTodosRegistro();
									foreach ($res as &$resultado)
										mail($resultado['correo'], $asunto, $mensaje, $cabeceras);
									echo 0;
								}
								else echo 3;
							}
							else{
								$welcome="Bienvenido al club ".$nombre_org;
								//Creamos un club con el nombre especificado, añadimos al usuario que la está creado como creador y aumentamos el número de integrantes.
								$sql->ejecutarSQL("INSERT INTO organizacion (`idOrg`, `nombre`, `integrantes`, `afiliadoA`, `creador`, `validada`, `tipo`, `welcome`, `activa`, `region`, `pais`, `continente`) VALUES ('','$nombre_org','1',NULL,'$correo','false','$tipo','$welcome','false','$region_org','$pais_org','')") or DIE("No se pudo");
								$cif=$_POST['cif'];
								$numRegistro=$_POST['numero'];
								//Enviamos correo
								$asunto    = 'Solicitud de validación de nuevo club';
								$mensaje   = '<html>
												<head>
												  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
												  <title>Nuevo club solicita validación</title>
												</head>
												<body>
												  <p>Club: '.$nombre_org.'.</p>
												  <p>CIF: '.$cif.'.</p>
												  <p>Número de registro: '.$numRegistro.'.</p>
												</body>
												</html>';
								$cabeceras  = 'MIME-Version: 1.0' . "\r\n";
								$cabeceras .= 'Content-type: text/html; charset=utf-8' . "\r\n";
								$cabeceras .= 'From: sisgespar' . "\r\n" .
											 'Reply-To:' . "\r\n" .
											 'X-Mailer: PHP/' . phpversion();
								$sql->ejecutarSQL("SELECT correo FROM users WHERE tipo='administrador'");
								$res=$sql->getTodosRegistro();
								foreach ($res as &$resultado)
									mail($resultado['correo'], $asunto, $mensaje, $cabeceras);
								echo 0;
							}
						}
						else echo 1;
					}
				}
			}
		}
		if ($_POST['tipo']=='borrar'){
			$sql->query("DELETE FROM organizacion WHERE creador='$correo'");
			$sql->ejecutarSQL();
			echo 1;
		}
	}
	else{
		//Seleccionamos el usuario que desea crear la organización.
		$sql->query("SELECT * FROM users WHERE correo='$correo'");
		$sql->ejecutarSQL();
		$res=$sql->getUnRegistro();
		echo "
		<h2 style='text-align:center;'>Gestión de";
		if ($tipo=="federacion") echo " la federación";
		if ($tipo=="club") echo "l club";
		echo "
		<small>";
		if ($tipo=="federacion") echo "Creación de la federación";
		if ($tipo=="club") echo "Creación del club";
		echo "</small></h2>";
		//No está unido a ninguna organización, por lo que puede crear una nueva, a menos que haya realizado ya la petición.
		if ($res['organizacion']==''){
			//Comprobamos que el usuario no ha enviado ya una solicitud.
			$sql->query("SELECT * FROM organizacion WHERE creador='$correo'");
			$sql->ejecutarSQL();
			$res_org=$sql->getUnRegistro();
			$org=$res_org['nombre'];
			//Si no se ha enviado ninguna solicitud, el usuario podrá enviar una.
			if ($org==''){
				if ($tipo=="federacion") echo "<div class=\"alert alert-info\" style=\"text-align:center;\">Sólo puede existir una federación por región o país. Si ya existe una en su región, no podrá crearla. En el caso de que desee crear una federación de un país, en la parte de region seleccione el país.</div>";
				echo "
					<br>
					<div class=\"well\">
						<form id=\"formCrearOrg\" action=\"modulos/organizacion/crearOrg.php\" class=\"role\">
						<div class=\"form-group\">
							<label class=\"control-label\">Nombre</label>
							<input type=\"text\" class=\"form-control\" name=\"nombre\">
						</div>
						<div class=\"form-group\">
							<label class=\"control-label\">País</label>
							<select name=\"pais\" id=\"pais\" class=\"form-control\" >
								<option value=\"\" selected=\"selected\">Seleccione país</option>
								";
								foreach ($paises as $clave=>$valor) {
									echo "<option value=\"".$clave. "\">".$valor. "</option>";
								}
								echo "
							</select>
						</div>
						<div class=\"form-group\" style=\"display:none;\" id=\"div_region\">
							<label class=\"control-label\">Región</label>
							<select name=\"region\" id=\"region\" class=\"form-control\" >
							</select> 
						</div>
						<div class=\"form-group\" style=\"display:none;\" id=\"inputCif\">
							<label class=\"control-label\">CIF</label>
							<input type=\"text\" class=\"form-control\" name=\"cif\" required>
						</div>
						<div class=\"form-group\" style=\"display:none;\" id=\"numregistro\">
							<label class=\"control-label\">Número de registro</label>
							<input type=\"text\" class=\"form-control\" name=\"numero\" required>
						</div>
						<div id=\"crear_result\"></div>
						<br><br>";
						$sql->query("SELECT * FROM organizacion WHERE tipo='$tipo' ORDER BY validada, activa, nombre ASC");
						$sql->ejecutarSQL();
						$numReg=$sql->getNumRegistros();
						$res_array=$sql->getTodosRegistro();
						echo "
						<div class=\"form-group\">
							";
							if ($tipo=="federacion")
								echo "<button type=\"submit\" class=\"btn btn-default\" style=\"text-align:right;\" id=\"CrearOrg\" data-loading-text=\"creando...\">Crear Federación</button>";
							if ($tipo=="club")
								echo "<button type=\"submit\" class=\"btn btn-default\" style=\"text-align:right;\" id=\"CrearOrg\" data-loading-text=\"creando...\">Crear Club</button>";
							echo "
						</div>
							";
							echo "
						</form>
				<br>
				<script>
				$(function(){
					//Controla el botón en conexion de Conectar.
					$('#CrearOrg')
					.click(function () {
						var btn = $(this)
						btn.button('loading')
						setTimeout(function () {btn.button('reset')}, 3000)
					})
					$('#pais')
					.change(function () {
						var valor = $(this).val()
						var ruta = 'modulos/interconexion/region.php?region=' + valor
						$('#region').load(ruta, function(response){
							$('#div_region').show(),
							$('#inputCif').show(),
							$('#numregistro').show()
							}
						)
					})

				});
				//Formulario específico de registro.
				$('#formCrearOrg').submit(function(event) {
					  //Evita que se ejecute el botón de submit
					  event.preventDefault();
					  //Recoge ciertos valores del formulario
					  var form = $( this ),
						  term1 = form.find( 'input[name=\"nombre\"]' ).val(),
						  term2 = form.find( 'select[name=\"pais\"]' ).val(),
						  term3 = form.find( 'select[name=\"region\"]' ).val(),
						  term5 = form.find( 'input[name=\"cif\"]' ).val(),
						  term6 = form.find( 'input[name=\"numero\"]' ).val(),
						  url = form.attr( 'action' );
					  term4 = 'crear';
					  //Envía los datos mediante jquery y json
					  var posting = $.post( url, { nombre: term1, pais: term2, region: term3, tipo: term4, cif: term5, numero: term6} );
					  //Devuelve los resultados en data.
					  posting.done(function( data ) {
						if (data == 1){
							$( \"#crear_result\" ).empty().append( '<div class=\"alert alert-warning\">Nombre en uso o no disponible.</div>' );
						}
						else{
							if (data == 0){
								$( \"#crear_result\" ).empty().append( '<div class=\"label label-important\">Datos guardados correctamente.</div>' );
								actualizar('#centro','modulos/organizacion/crearOrg.php');
								$('#menu-iz-uno').load('menu.php?organizacion');
							}
							if (data == 2){
								$( \"#crear_result\" ).empty().append( '<div class=\"alert alert-important\">Debe especificar un nombre, un país y una región.</div>' );
							}
							if (data == 3){
								$( \"#crear_result\" ).empty().append( '<div class=\"alert alert-important\">No puede realizar esta acción porque ya hay otra federación en esa misma región.</div>' );
							}
						}
					});
				});
				$('#boton').click(function(event){
					$('#tabla').toggle();
					//Evita que se ejecute el botón de submit
					event.preventDefault();
				});
				</script>";
			}
			else{
				$sql->query("SELECT * FROM organizacion WHERE creador='$correo'");
				$sql->ejecutarSQL();
				$res_waiting=$sql->getUnRegistro();
				echo "<form id=\"formCrearOrg\" action=\"modulos/organizacion/crearOrg.php\" class=\"role\">
				<table class='table table-bordered table-striped' id=\"tabla\">
					<thead>
						<tr>
							<th>Nombre</th>
							<th>Integrantes</th>
							<th>Creador</th>
							<th>Estado</th>
						</tr>
					</thead>
					<tbody>
						";
						if ($res_waiting['validada']==false) echo "<tr class=\"warning\">";
						else{
							if ($res_waiting['activa']==false) echo "<tr class=\"danger\">";
							else echo "<tr class=\"success\">";
						}
						echo "<td>".$res_waiting['nombre']."</td>
							<td>".$res_waiting['integrantes']."</td>";
							$correo_creador=$res_waiting['creador'];
							$sql->query("SELECT username, apellidos FROM users WHERE correo='$correo_creador'");
							$sql->ejecutarSQL();
							$resultado=$sql->getUnRegistro();
							echo "<td>".$resultado['username']." ".$resultado['apellidos']."</td>
							<td>";
							if ($res_waiting['validada']==false) echo "En proceso...<span class=\"glyphicon glyphicon-question-sign\" id=\"info\" data-toggle=\"tooltip\" title data-original-title=\"El administrador debe validar su ".$tipo." antes de continuar.\" data-placement=\"top\"></span>";
							else{
								if ($res_waiting['activa']==false) echo "Rechazada<span class=\"glyphicon glyphicon-question-sign\" id=\"info\" data-toggle=\"tooltip\" title data-original-title=\"Su organización ha sido rechazada por el administrador. Para volver a intentarlo, comuníquese con el administrador del sistema.\" data-placement=\"top\"></span>";
								else echo "Aceptada<span class=\"glyphicon glyphicon-question-sign\" id=\"info\" data-toggle=\"tooltip\" title data-original-title=\"Su organización ha sido validada correctamente. Para continuar haga clic aquí.\" data-placement=\"top\" onClick=\"location.reload();\"></span>";
								
							}
							echo "</td>
							<td>
								<button type=\"submit\" class=\"btn btn-danger\">Borrar la solicitud</button>
							</td>
						</tr>
					</tbody>
				</table>
				</form>
				<script>
				$(function(){
					//Funcionamiento del tooltip del signo en crearOrg.php.
					$(\"#info\").tooltip();
				});
				//Formulario para borrar solicitud.
				$('#formCrearOrg').submit(function(event) {
					  //Evita que se ejecute el botón de submit
					  event.preventDefault();
					  var texto='¿Desea borrar la solicitud?';
					  if (confirm(texto)){
						  $('#centro').empty().append('<div style=\"text-align:center\">Borrando...</div><center><img src=\"images/loading.gif\" /></center>');
						  //Recoge ciertos valores del formulario
						  var form = $( this ),
							  url = form.attr( 'action' );
						  term1 = 'borrar';
						  //Envía los datos mediante jquery y json
						  var posting = $.post( url, { tipo: term1} );
						  //Devuelve los resultados en data.
						  posting.done(function( data ) {
							if (data == 1){
								alert('Solicitud borrada.');
								location.reload();
							}
						  });
					  }
				});
				</script>
				";
			}
		}
		else echo $conOrganizacion;
	}
}
else{
	echo $resultado;
}
?>
