<?php
/*
-----------------------------------------------------------------------------------------------------------
							Archivo que gestiona los miembros de la organización
-----------------------------------------------------------------------------------------------------------							
			Operaciones que se pueden realizar:
			1) Añadir un miembro ya registrado (añadiendo la solicitud).
			2) Añadir un miembro no registrado (mediante correo - aplicar cuando se tenga el servidor).
			3) Ver miembro y datos específicos.
			4) Eliminar miembro (solo de la organización, nada de borrar del sistema).
										CONDICIONES
			1) Solo pueden acceder responsables de la federación o del club, que estén registrados en el sistema y que pertenezcan a una federación/club.
			2) Solo pueden realizar operaciones aquellos responsables que estén activos en la federación/club (cuya solicitud no haya sido rechazada).
			3) La organización debe estar activa.
			4) No se puede borrar al creador de la organización.
			
*/
session_start();
include_once('../../bbdd/general.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../clases/cMySQL.php');
include_once('../../clases/sCphp.php');
$sCphp= new sCphp();
$sql= new cMySQL();
$sql->conectar();
$resultado=$sCphp->controlRegistro(array('federacion','club'),4);
if ($resultado==1){
	$rol=$sCphp->val('tipo');
	$correo=$sCphp->val('correo');
	$organizacion=$sCphp->val('org');
	if ($rol=="federacion"){
		$tipo="federacion";
		$tipo2="juez";
	}
	else{
		$tipo="club";
		$tipo2="alumno";
	}
	//Solo cuando estamos tratando de realizar una gestión, como añadir o eliminar miembro
	if (isset($_GET['gestion'])){
		if ($_GET['gestion']=="add"){
			//Primer caso: Añadir miembro ya registrado a nuestra organización
			if ((isset($_GET['valor1']))&&(isset($_GET['valor2']))&&(isset($_GET['valor3']))){
				//Comprobamos que la solicitud no ha sido ya enviada
				$solicitor=$_GET['valor1'];
				$solicitado=$_GET['valor2'];
				$org=$_GET['valor3'];
				$sql->query("SELECT * FROM solicitudes WHERE solicitor='$solicitor' AND solicitado='$solicitado' AND tipo='$org'");
				$sql->ejecutarSQL();
				$res=$sql->getUnRegistro();
				//Si está vacía, entonces no problemo.
				if ($res['organizacion']==''){
					$sql->query("SELECT * FROM organizacion WHERE creador='$solicitado'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$organization=$res['nombre'];
					$sql->ejecutarSQL("INSERT INTO solicitudes (`idSol`, `solicitor`, `solicitado`, `organizacion`, `validada`, `aceptada`, `tipo`) VALUES ('','$solicitor','$solicitado', '$organization',true,true,'$org')");
					//Aquí le decimos a la bdd que el usuario que solicita unirse se una finalmente.
					$sql->ejecutarSQL("UPDATE users SET organizacion='$organizacion' WHERE correo='$solicitor'");
					//Aquí aumentamos el número de integrantes, porque se ha unido un nuevo usuario.
					$sql->ejecutarSQL("UPDATE organizacion SET integrantes=integrantes+1 WHERE creador='$solicitado'");
					echo "<br><div class=\"alert alert-success\" style=\"text-align:center;\">Usuario añadido.</div>";
				}
				//Si no, informamos al usuario
				else{
					echo "<br><div class=\"alert alert-warning\" style=\"text-align:center;\">Ya ha intentado añadir a este usuario antes o el usuario ha enviado una solicitud. Debe esperar a que responda en el primer caso, o acceder a Solicitudes en el segundo.</div>";
				}
			}
		}
		//Última caso: Borrar miembro de la organización
		if ($_GET['gestion']=="borrar"){
			if ((isset($_GET['valor1']))&&(isset($_GET['valor2']))){
				//Comprobamos que la solicitud no ha sido ya enviada
				$userToDel=$_GET['valor1'];
				$tipoOrg=$_GET['valor2'];
				$sql->query("SELECT organizacion FROM users WHERE correo='$userToDel'");
				$sql->ejecutarSQL();
				$res=$sql->getUnRegistro();					
				if ($res['organizacion']!=''){
					$nombreOrg=$res['organizacion'];
					$sql->ejecutarSQL("UPDATE users SET organizacion=NULL WHERE correo='$userToDel'");
					$sql->ejecutarSQL("UPDATE organizacion SET integrantes=integrantes-1 WHERE nombre='$nombreOrg'");
					$sql->ejecutarSQL("DELETE FROM solicitudes WHERE solicitor='$userToDel'");
					echo "<br><div class=\"alert alert-success\" style=\"text-align:center;\">Miembro borrado de su ".$tipo.".</div>";
				}
				//Si está vacía, entonces problemo.
				else{
					echo "<br><div class=\"alert alert-warning\" style=\"text-align:center;\">No se ha podido borrar porque el usuario no pertenece a su ".$tipoOrg.".</div>";
				}
			}
		}
	}

	if ($tipo=="club") echo "<h2 style='text-align:center;'>Gestión del club <small>Gestionar usuarios del club</small></h2>";
	else echo "<h2 style='text-align:center;'>Gestión de la federación <small>Gestionar usuarios de la federación</small></h2>";
	echo "<div class=\"panel-group\" id=\"accordion2\">
		<div class=\"panel panel-info\">
			<div class=\"panel-heading\">
				<h4 class=\"panel-title\">
					<a data-toggle=\"collapse\" data-parent=\"#accordion2\" href=\"#collapseOne\">
						Añadir usuario sin registro en el sistema
					</a>
				</h4>
			</div>
			<div id=\"collapseOne\" class=\"panel-collapse collapse in\">
				<div class=\"panel-body\" style=\"overflow:auto;\">
					<form id=\"formAdd\" action=\"modulos/acceso/reg_comp.php\" role=\"form\">
						<div class=\"well\">
							<div class=\"form-group\">
								<label>Introduzca nombre de usuario</label>
								<input type=\"text\" class=\"form-control\" placeholder=\"Nombre de usuario\" name=\"username\" required>
							</div>
							<div class=\"form-group\">
								<label>Introduzca correo electrónico válido</label>
								<input class=\"form-control\" type=\"email\" placeholder=\"Correo\" name=\"correo\" required>
							</div>
							<div class=\"form-group\">
								<label>Escriba la contraseña</label>
								<input class=\"form-control\" type=\"password\" placeholder=\"Contraseña\" name=\"password\" required>
							</div>
							<div class=\"form-group\">
								<label>Seleccione un rol de entre los disponibles</label>
								<select class=\"form-control\" name=\"tipo\">
									<option value=\"\" selected=\"selected\">Roles</option>";
									if ($rol=="federacion"){
										echo "
										<optgroup label=\"Federación\">
										<option value=\"federacion\">Responsable de la federación</option>
										<option value=\"juez\">Juez</option>";
									}
									if ($rol=="club"){
										echo "
										<optgroup label=\"Club\">
										<option value=\"club\">Responsable del club</option>
										<option value=\"alumno\">Alumno</option>";
									}
									echo "
								</select>
							</div>
							<br><br>
							<button type=\"submit\" class=\"btn btn-primary\" style=\"text-align:right;\" id=\"idAdd\" data-loading-text=\"añadiendo...\">Añadir</button>
							<br><br>
							<div id=\"add_result\"></div>
						</div>
					</form>
				</div>
			</div>
			<script>
			//Formulario específico de añadir usuario.
			$('#formAdd').submit(function(event) {
				  //Evita que se ejecute el botón de submit
				  event.preventDefault();
				  //Recoge ciertos valores del formulario
				  var form = $( this ),
					  term1 = form.find( 'input[name=\"username\"]' ).val(),
					  term2 = form.find( 'input[name=\"correo\"]' ).val(),
					  term3 = form.find( 'input[name=\"password\"]' ).val(),
					  term4 = form.find( 'select[name=\"tipo\"]' ).val(),
					  url = form.attr( 'action' );
				  var term5= '".$organizacion."';
				  var term6= '".$correo."';
				  //Envía los datos mediante jquery y json
				  var posting = $.post( url, { username: term1, correo: term2, password: term3, tipo: term4, organizacion: term5, solicitor: term6 } );
				  //Devuelve los resultados en data.
				  posting.done(function( data ) {
					if (data == 1){
						$( '#add_result' ).empty().append( '<span class=\"label label-warning\">Correo ya registrado. Introduzca otra dirección de correo electrónico.</span>' );
					}
					else{
						if (data == 2){
							$( '#add_result' ).empty().append( '<span class=\"label label-important\">Debe seleccionar un rol en el menú desplegable.</span>' );
						}
						else{
							$( '#add_result' ).empty().append( '<span class=\"label label-success\">Datos guardados correctamente.</span>' );
							actualizar('#centro','modulos/organizacion/gestMember.php');
						}
					}
				  });
			});
		</script>
		</div>
		<div class=\"panel panel-info\">
			<div class=\"panel-heading\">
				<h4 class=\"panel-title\">
					<a data-toggle=\"collapse\" data-parent=\"#accordion2\" href=\"#collapseTwo\">
						Añadir usuario
					</a>
				</h4>
			</div>
			<div id=\"collapseTwo\" class=\"panel-collapse collapse\">
				<div class=\"panel-body\" style=\"overflow:auto;\">
					";
					$sql->query("SELECT creador FROM organizacion WHERE nombre='$organizacion'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$correo_creador=$res['creador'];
					$sql->query("SELECT * FROM users WHERE tipo='$tipo' AND organizacion is null OR tipo='$tipo2' AND organizacion is null ORDER BY tipo, username DESC");
					$sql->ejecutarSQL();
					$numRegSol=$sql->getNumRegistros();
					$res=$sql->getTodosRegistro();
					if ($numRegSol > 0){
						echo "
						<div class=\"alert alert-info\" style=\"text-align:center;\">Esta tabla muestra los usuarios que todavía no tienen ".$tipo.". Puede añadirlos si lo desea. Puede que estos usuarios ya hayan enviado una solicitud para entrar y estén esperando su respuesta, o que ya hayan sido añadidos antes. En el caso de que hayan sido añadidos se verán en color verde. Sin embargo, si están esperando una respuesta tendrán color amarillo.</div>
						<div id='div_borrar'>
						<table class='table table-bordered table-striped'>
							<thead>
								<tr>
									<th>Nombre</th>
									<th>Apellidos</th>
									<th>Correo</th>
									<th>Organización</th>
									<th>Papel que desempeña</th>
									<th>Licencia</th>
								</tr>
							</thead>
							<tbody>";
						foreach ($res as &$valor) {
								//Tratamos algunos campos de la base de datos de usuario para que se muestren correctamente.
								switch($valor['tipo']){
									case "federacion":
										$org="Responsable de la federación";
										break;
									case "club":
										$org="Responsable del club";
										break;
									case "alumno":
										$org="Alumno";
										break;
									case "juez":
										$org="Juez";
										break;
									default: $org=$valor['tipo'];
								}
								//Para hacer más sencilla la tarea del responsable, marcamos las filas de distinto color si ya hemos añadido al usuario antes
								$val1=$valor['correo'];
								$sql->query("SELECT * FROM solicitudes WHERE solicitor='$val1' AND solicitado='$correo_creador' AND tipo='$tipo'");
								$sql->ejecutarSQL();
								$resul=$sql->getUnRegistro();
								if ($resul['solicitor']=='') echo "<tr>";
								else{
									if ($resul['validada']==false) echo "<tr class=\"warning\">";
									else{
										if ($resul['aceptada']==true) echo "<tr class=\"success\">";
										else echo "<tr class=\"danger\">";
									}
								}
								echo "
								<td>".$valor['username']."</td>
								<td>".$valor['apellidos']."</td>
								<td>".$valor['correo']."</td>";
								if ($valor['organizacion']=='') echo "<td>No está unido a ninguna organización</td>";
								else echo "<td>".$valor['organizacion']."</td>";
								echo "
								<td>".$org."</td>";
								if ($valor['licencia']=='0'){
									echo "<td>Sin licencia</td>";
								}
								else{
									echo "<td>".$valor['licencia']."</td>";
								}
								//Para hacer más sencilla la tarea del responsable, mostramos a quién ha añadido y a quién no, desactivando el botón
								if ($resul['solicitor']=='') echo "<td><a href=\"#\" title=\"Añadir miembro\" onClick=\"addMember('".$valor['correo']."','".$correo_creador."','".$tipo."')\"><span class=\"glyphicon glyphicon-user\"></span></a></td>";
								else{
									if ($resul['validada']==false) echo "<td><a href=\"#\" title=\"El miembro ha enviado una solicitud para ingresar. Haga clic en Solicitudes.\"><span class=\"glyphicon glyphicon-question-sign\"></span></a></td>";
									else{
										if ($resul['aceptada']==true)  echo "<td><a href=\"#\" title=\"Ya ha añadido este miembro, sin embargo, todavía no se ha unido. Debe esperar a que el usuario tome la decisión de unirse o no.\"><span class=\"glyphicon glyphicon-ok\"></span></a></td>";
										else echo "<td><a href=\"#\" title=\"Usuario que usted o algún otro responsable ha rechazado en Solicitudes. Para aceptarlo, vaya a Solicitudes y haga clíc en Aceptar.\"><span class=\"glyphicon glyphicon-info-sign\"></span></a></td>";
									}
								}
								echo "
								</tr>
								";
						}
						echo "</tbody>
							</table></div>
							<script>
							function addMember(solicitor,solicitado,tipo){
								var texto='¿Desea añadir al usuario?';
								if (confirm(texto)){
									var ruta='modulos/organizacion/gestMember.php?gestion=add' + '&valor1=' + solicitor + '&valor2=' + solicitado + '&valor3=' + tipo;
									actualizar('#centro',ruta);
								}
							}
							</script>
						";
					}
					else echo "<br><div class=\"alert alert-warning\" style=\"text-align:center;\">No existen usuarios sin ".$tipo.".</div>";
					echo "
				</div>
			</div>
		</div>
		<div class=\"panel panel-info\">
			<div class=\"panel-heading\">
				<h4 class=\"panel-title\">
					<a data-toggle=\"collapse\" data-parent=\"#accordion2\" href=\"#collapseTres\">";
					  if ($tipo=="club") echo "Eliminar usuarios del club";
					  else echo "Eliminar usuarios de la federación";
						echo "
					</a>
				</h4>
			</div>
			<div id=\"collapseTres\" class=\"panel-collapse collapse\">
				<div class=\"panel-body\" style=\"overflow:auto;\">";
					//No se puede borrar un creador, para lo cual, debemos averigüar quién es el creador de esta organización
					$sql->query("SELECT creador FROM organizacion WHERE nombre='$organizacion'");
					$sql->ejecutarSQL();
					$res=$sql->getUnRegistro();
					$correo_creador=$res['creador'];
					//Seleccionamos aquellos usuarios que pertenecen a la organización, no se tratan del creador del mismo y no se tratan del que está gestionando el borrado (es decir, no me puedo borrar a mi mismo)
					$sql->query("SELECT * FROM users WHERE tipo='$tipo' AND organizacion='$organizacion' AND correo!='$correo' AND correo!='$correo_creador' OR tipo='$tipo2' AND organizacion='$organizacion' AND correo!='$correo' AND correo!='$correo_creador' ORDER BY tipo, username DESC");
					$sql->ejecutarSQL();
					$numRegSol=$sql->getNumRegistros();
					$res=$sql->getTodosRegistro();
					if ($numRegSol > 0){
						echo "
						<div class=\"alert alert-info\" style=\"text-align:center;\">Tabla de los usuarios que puede borrar. No podrá borrarse a si mismo ni al que creó su ".$tipo.".</div>
						<div id='div_borrar'>
						<table class='table table-bordered table-striped'>
							<thead>
								<tr>
									<th>Nombre</th>
									<th>Apellidos</th>
									<th>Correo</th>
									<th>Papel que desempeña</th>
									<th>Licencia</th>
								</tr>
							</thead>
							<tbody>";
						foreach ($res as &$valor) {
								//Tratamos algunos campos de la base de datos de usuario para que se muestren correctamente.
								switch($valor['tipo']){
									case "federacion":
										$org="Responsable de la federación";
										break;
									case "club":
										$org="Responsable del club";
										break;
									case "alumno":
										$org="Alumno";
										break;
									case "juez":
										$org="Juez";
										break;
									default: $org=$valor['tipo'];
								}
								echo "<tr>
								<td>".$valor['username']."</td>
								<td>".$valor['apellidos']."</td>
								<td>".$valor['correo']."</td>
								<td>".$org."</td>";
								if ($valor['licencia']=='0'){
									echo "<td>Sin licencia</td>";
								}
								else{
									echo "<td>".$valor['licencia']."</td>";
								}
								echo "
								<td><a href=\"#\" title=\"Borre el usuario\" onClick=\"borrarUsuario('".$valor['correo']."','".$tipo."');\"><span class=\"glyphicon glyphicon-trash\"></span></a></td>
								</tr>
								<script>
								function borrarUsuario(correo,tipo){
									var string='¿Está seguro de que desea borrar de su ".$tipo." a usuario cuyo correo es: ' + correo + '?';
									var borraUser=confirm(string);
									if (borraUser){
										var ruta='modulos/organizacion/gestMember.php?gestion=borrar' + '&valor1=' + correo + '&valor2=' + tipo;
										actualizar('#centro',ruta);
									}
								}
								</script>
								";
						}
						echo "</tbody>
							</table></div>
						";
					}
					else echo "<br><div class=\"alert alert-warning\" style=\"text-align:center;\">No existen usuarios en su ".$tipo." que pueda borrar.</div>";
					echo "
				</div>
			</div>
		</div>
	</div>
	";
}
else echo $resultado;
?>
