<?php
/*
							PRECONDICIONES

	1.	Debe ser un responsable del club o un alumno y tener privilegios de este rol.
	2.	Debe haber accedido al sistema con su nombre de usuario y contraseña.
	3.	No debe pertenecer a ningún club. --> Se controla en menu.php
	4.	No debe haber mandado ya una solicitud para crear club en el caso del responsable. --> En menu.php
	1.	Debe ser un responsable de la federación  o un juez y tener privilegios de este rol.
	2.	Debe haber accedido al sistema con su nombre de usuario y contraseña.
	3.	No debe pertenecer a ninguna federación. --> Se controla en menu.php
	4.	No debe haber mandado ya una solicitud para crear federación en el caso del responsable. --> En menu.php


*/
//Comienza la sesión.
session_start();
//Incluyo la base de datos estática.
include_once('../../bbdd/general.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../clases/cMySQL.php');
include_once('../../clases/sCphp.php');
$sCphp= new sCphp();
//Creo una nueva instancia de la clase.
$sql= new cMySQL(); 
//Hago uso del procedimiento conectar de cMySQL.php.
$sql->conectar();
//Control de registro de nivel 1: si está registrado y es un responsable del club o de la federación.
//Para solicitar unirse a un club o a una federación se ha de ser un gestor del club, un gestor de la federación, un juez o un alumno.
$resultado=$sCphp->controlRegistro(array('club','federacion','juez','alumno'),1);
if ($resultado==1){
	$tipo=$sCphp->val('tipo');
	//Defino algunas variables para aclarar la diferencia entre gestores, alumnos y jueces. Además de tener claro si estoy tratando una federación o un club.
	if (($tipo=="alumno")||($tipo=="club")) $org="club";
	if (($tipo=="federacion")||($tipo=="juez")) $org="federacion";
	//Defino la variable correo.
	$correo=$sCphp->val('correo');
	$organizacion=$sCphp->val('org');
	//Si el usuario no pertenece a ninguna organización, le permito solicitar unirse a una.
	if ($organizacion==''){
		//Si recibimos estos valores significa que estamos enviando una petición.
		if ((isset($_GET['valor1']))&&(isset($_GET['valor2']))&&(isset($_GET['valor3']))){
			//Nombre de la organización a actualizar
			$solicitor=$_GET['valor1'];
			$solicitado=$_GET['valor2'];
			$tipo_org=$_GET['valor3'];
			$sql->query("SELECT * FROM organizacion WHERE creador='$solicitado'");
			$sql->ejecutarSQL();
			$res=$sql->getUnRegistro();
			$organizacion=$res['nombre'];
			$sql->ejecutarSQL("INSERT INTO solicitudes (`idSol`, `solicitor`, `solicitado`, `organizacion`, `validada`, `aceptada`, `tipo`) VALUES ('','$solicitor','$solicitado', '$organizacion',false,false,'$tipo_org')");
		}
		echo "
		<h2 style='text-align:center;'>Solicitud para ingresar en un";
		if ($org=="federacion") echo "a federación";
		if ($org=="club") echo " club";
		echo "
		<small>";
		if ($org=="federacion") echo "Seleccione la federación y haga clic en Enviar Petición";
		if ($org=="club") echo "Seleccione el club y haga clic en Enviar Petición";
		echo "</small></h2>";
		//Primero comprobamos que existen organizaciones a las que el usuario se pueda unir
		//Se considera una organización activa aquella que tiene un integrante como mínimo, está validada y ha sido aceptada por un administrador. El integrante debería ser el creador de la misma.
		$sql->query("SELECT * FROM organizacion WHERE tipo='$org' AND activa=true AND integrantes > 0");
		$sql->ejecutarSQL();
		$numReg=$sql->getNumRegistros();
		//Vector de registros resultante.
		$res_array=$sql->getTodosRegistro();
		//Si encontramos un registro (mínimo 1) entonces hemos encontrado una organización que reúna todos esos requisitos y a la que se puede unir el usuario.
		//Variable que sirve para comprobar si hemos enviado ya una petición de unirnos a una organización.
		$solicitudYaEnviada= false;
		if ($numReg > 0){
			//Comprobamos primero que no se haya enviado ya una solicitud a cualquiera de las organizaciones
			foreach ($res_array as &$valor) {
				$creator=$valor['creador'];
				//Comprobamos que la petición no ha sido enviada ya.
					$sql->query("SELECT * FROM solicitudes WHERE solicitor='$correo' AND solicitado='$creator'");
					$sql->ejecutarSQL();
					$numRegSol=$sql->getNumRegistros();
					$resul=$sql->getUnRegistro();
					//Si ya hemos enviado una solicitud, entonces ya no podemos enviar más
					if ($numRegSol > 0)	$solicitudYaEnviada = true;
			}
			echo "
			<table class='table table-bordered table-striped' id=\"tabla\">
				<thead>
					<tr>
						<th>Nombre</th>
						<th>Integrantes</th>
						<th>Afiliado a</th>
						<th>Creador</th>
						<th>País</th>
						<th>Región</th>
						<th>Estado</th>
					</tr>
				</thead>
				<tbody>";
					//Bucle que controla cada registro que ha encontrado en el vector $res_array.
					foreach ($res_array as &$valor) {
						if ($valor['validada']==false) echo "<tr class=\"warning\">";
						else{
							if ($valor['activa']==false) echo "<tr class=\"danger\">";
							else echo "<tr class=\"success\">";
						}
						echo "
						<td>".$valor['nombre']."</td>
						<td>".$valor['integrantes']."</td>";
						if ($valor['afiliadoA']=="") echo "<td>Sin afiliación</td>";
						else echo "<td>".$valor['afiliadoA']."</td>";
						$correo_creador=$valor['creador'];
						$sql->query("SELECT username, apellidos FROM users WHERE correo='$correo_creador'");
						$sql->ejecutarSQL();
						$resultado=$sql->getUnRegistro();
						echo "<td>".$resultado['username']." ".$resultado['apellidos']."</td>
						<td>".$paises[$valor['pais']]."</td>
						<td>".$regiones[$valor['pais']][$valor['region']]."</td>
						<td>";
						if ($valor['validada']==false) echo "Sin validar";
						else {
							if ($valor['activa']==false) echo "Rechazada";
							else echo "Activa";
						}
						//Comprobamos que la petición no ha sido enviada ya.
						$sql->query("SELECT * FROM solicitudes WHERE solicitor='$correo' AND solicitado='$correo_creador'");
						$sql->ejecutarSQL();
						$numRegSol=$sql->getNumRegistros();
						$resul=$sql->getUnRegistro();
						//Si ya hemos enviado la solicitud, informamos al usuario del siguiente paso.
						if ($numRegSol > 0){

							if ($resul['validada']==true){
								if ($resul['aceptada']==true){
									echo "</td><td><button class=\"btn btn-success disabled\">Solicitud aceptada</button> <button class=\"btn btn-default disabled\" onClick=\"location.reload();\">Para continuar haga clic aquí.</button></td></tr>";
								}
								else{
									echo "</td><td><button class=\"btn btn-danger disabled\">Solicitud rechazada</button></td></tr>";
								}
							}
							else{
								echo "</td><td><button class=\"btn disabled\">Solicitud Enviada</button> <button class=\"btn btn-default disabled\">En espera de respuesta</button></td></tr>";
							}
						}
						else{
							//Si hemos enviado la solicitud a otra organización, no podremos enviar más.
							if ($solicitudYaEnviada) echo "</td></tr>";
							//Si no hemos enviado ninguna solicitud, entonces podemos enviar.
							else echo "</td><td><button class=\"btn btn-default\" onClick=\"enviarPeticion('".$correo."','".$correo_creador."','".$org."')\">Enviar Petición</button></td></tr>";
						}
					}
					echo "
				</tbody>
			</table>
			<script>
			function enviarPeticion(solicitor,solicitado,tipo){
				var ruta='modulos/organizacion/solicitarOrg.php?valor1=' + solicitor + '&valor2=' + solicitado + '&valor3=' + tipo;
				actualizar('#centro',ruta);
				$('#menu-iz-uno').load('menu.php?organizacion');
			}
			</script>
			";
		}
		//Si no encontramos ninguna organización, se mostrará un mensaje por pantalla para avisar al usuario.
		else{
			echo "<div class=\"alert alert-info\" style=\"text-align:center;\">Todavía no existe ning";
			if ($org=="federacion") echo "una federación a la que se pueda unir.</div>";
			if ($org=="club") echo "ún club al que se pueda unir.</div>";
		}
	}
	//Si pertenece a una organización, muestro un mensaje por pantalla indicando que no puede solicitar unirse poque ya pertenece a una.
	else{
		echo $conOrganizacion;
	}
}
//Si no es un usuario registrado, se hace uso de general.php para mostrar un mensaje de aviso por pantalla.
else{
	echo $resultado;
}
?>
