<?php
/*
-----------------------------------------------------------------------------------------------------------
							Archivo que gestiona las solicitudes/afiliaciones de un club/federación
-----------------------------------------------------------------------------------------------------------
			Acciones del club/federación:
			1) Aceptar aquellas solicitudes que reciba de usuarios para unirse al club/federación.
			
			Acciones de la federación:
			1) Aceptar/rechazar aquellas peticiones de afiliación a su federación.

				CONDICIONES (ACEPTAR AFILIACIÓN)
			1.	Debe ser un responsable de la federación y tener privilegios de este rol.
			2.	Debe haber accedido al sistema con su nombre de usuario y contraseña de responsable.
			3.	Debe pertenecer a una federación.
			4.	La federación es la responsable del club o de la federación que ha realizado la solicitud.

			
*/
//Comienza la sesión.
session_start();
//Incluyo la base de datos estática.
include_once('../../bbdd/general.php');
//Incluyo la clase de manejo de la base de datos.
include_once('../../clases/cMySQL.php');
include_once('../../clases/sCphp.php');
$sCphp= new sCphp();
//Creo una nueva instancia de la clase.
$sql= new cMySQL(); 
//Hago uso del procedimiento conectar de cMySQL.php.
$sql->conectar();
//Control de registro de nivel 4: si está registrado y es un responsable del club o de la federación, si pertenece a una organización, está activa y la solicitud del usuario no ha sido rechazada.
$resultado=$sCphp->controlRegistro(array('club','federacion','juez'),4);
if ($resultado==1){
	$tipo=$sCphp->val('tipo');
	$correo=$sCphp->val('correo');
	$organizacion=$sCphp->val('org');
	$creador=$sCphp->val('creador');
	//Si recibimos los valores para validar, aceptar o rechazar, se actualizará la bbdd
	if ((isset($_GET['valor1']))&&(isset($_GET['valor2']))&&(isset($_GET['valor3']))){
		$solicitor=$_GET['valor2'];
		$solicitado=$_GET['valor3'];
		//Para las solicitudes de los jueces
		if (isset($_GET['valor4'])){
			$id_campeonato=$_GET['valor4'];
			$validacion=$_GET['valor1'];
			//El juez la rechaza, borramos la solicitud de la tabla asignaciones.
			if ($validacion==0){
				$sql->query("SELECT nombreChamp FROM campeonato WHERE id_campeonato='$id_campeonato'");
				$sql->ejecutarSQL();
				$resul=$sql->getUnRegistro();
				$champion=$resul['nombreChamp'];
				$sql->query("SELECT idUser FROM users WHERE correo='$correo'");
				$sql->ejecutarSQL();
				$resul=$sql->getUnRegistro();
				$id_user=$resul['idUser'];
				$mensaje="El juez ha rechazado la solicitud de participar en el campeonato: ".$champion.". Este mensaje se genera automáticamente una vez el juez opta por no participar en el campeonato.";
				$sql->ejecutarSQL("DELETE FROM asignaciones WHERE correoCreador='$solicitor' AND correoGestor='$solicitado' AND identificadorCampeonato='$id_campeonato'");
				$sql->ejecutarSQL("INSERT INTO `comunicados`(`id_com`, `from`, `escritor`, `asunto`, `to2`, `tipo`, `importancia`, `mensaje`, `fecha_envio`) VALUES ('', '$creador', '$id_user', 'Solicitud rechazada', '$solicitor', 'fedeclubotro', '0', '$mensaje',NOW())") or DIE(mysql_error());	
			}
			//El juez la acepta, actualizamos la solicitud de la tabla asignaciones.
			if ($validacion==1)
				$sql->ejecutarSQL("UPDATE asignaciones SET validado='1' WHERE correoCreador='$solicitor' AND correoGestor='$solicitado' AND identificadorCampeonato='$id_campeonato'");
		}
		else{
			//Si recibimos un -1, tenemos que borrar la solicitud
			if (($_GET['valor1']==-1)||($_GET['valor1']==-2)){
				if ($_GET['valor1']==-1) $sql->ejecutarSQL("DELETE FROM solicitudes WHERE solicitor='$solicitor' AND solicitado='$solicitado'");
				if ($_GET['valor1']==-2) $sql->ejecutarSQL("DELETE FROM afiliaciones WHERE solicitor='$solicitor' AND solicitado='$solicitado'");
			}
			else{
				//Tratamos las afiliaciones
				if ($_GET['valor1'] > 1){
					if ($_GET['valor1'] == 3){
						$bool=false;
						$sql->ejecutarSQL("UPDATE afiliaciones SET validada=true, aceptada='$bool' WHERE solicitor='$solicitor' AND organizacion='$organizacion'");
						//Si rechazo la afiliación, pongo a NULL el campo de afiliadoA de la organización del solicitor
						$sql->ejecutarSQL("UPDATE organizacion SET afiliadoA=NULL WHERE creador='$solicitor'");
					}
					else{
						$bool=true;
						$sql->ejecutarSQL("UPDATE afiliaciones SET validada=true, aceptada='$bool' WHERE solicitor='$solicitor' AND organizacion='$organizacion'");
						//Si aceptamos la afiliación, debemos actualizar en la base de datos la afiliación existente
						$sql->ejecutarSQL("UPDATE organizacion SET afiliadoA='$organizacion' WHERE creador='$solicitor'");
					}
				}
				//Tratamos las solicitudes
				else{
					if ($_GET['valor1']==0) $bool=false;
					else $bool=true;
					$sql->ejecutarSQL("UPDATE solicitudes SET validada=true, aceptada='$bool' WHERE solicitor='$solicitor' AND organizacion='$organizacion'");
					//Si hemos aceptado la solicitud de un usuario de unirse a nuestra organización, tendremos que añadirlo automáticamente.
					if ($bool){
						//Control necesario para que no aumente el número de integrantes cuando rechazo una solicitud.
						$sql->query("SELECT organizacion FROM users WHERE correo='$solicitor'");
						$sql->ejecutarSQL();
						$numRegistros=$sql->getNumRegistros();
						$org="";
						if ($numRegistros > 0)
							$org=$sql->getCampoN();
						if ($org==""){
							//Aquí le decimos a la bdd que el usuario que solicita unirse se una finalmente.
							$sql->ejecutarSQL("UPDATE users SET organizacion='$organizacion' WHERE correo='$solicitor'");
							//Aquí aumentamos el número de integrantes, porque se ha unido un nuevo usuario.
							$sql->ejecutarSQL("UPDATE organizacion SET integrantes=integrantes+1 WHERE nombre='$organizacion'") or DIE(mysql_error());
						}
					}
				}
			}
		}
	}
	if ($sCphp->esRol(array('club','federacion'))){
		$numRegSol=0;
		$sql= new cMySQL();
		$sql->conectar();
		$sql->query("SELECT * FROM solicitudes WHERE tipo='$tipo' AND organizacion='$organizacion' AND solicitor!='$correo' ORDER BY validada, aceptada, solicitor DESC");
		$sql->ejecutarSQL();
		$numRegSol=$sql->getNumRegistros();
		$res=$sql->getTodosRegistro();
		if ($tipo=="club") echo "<h2 style='text-align:center;'>Gestión del club <small>Solicitudes para unirse al club</small></h2>";
		else echo "<h2 style='text-align:center;'>Gestión de la federación <small>Solicitudes para unirse a la federación</small></h2>";
		if ($numRegSol > 0){
			if ($tipo=="federacion") echo "<h3 style=\"text-align:left;\">Solicitudes de usuarios</h3><div class=\"alert alert-info\" style=\"text-align:center;\">Tabla de solicitudes que muestra todos los usuarios interesados en unirse a la federación. En el caso de que se hayan unido a otra federación, la solicitud se puede borrar o se puede mantener por si se realiza algún cambio.</div>";
			else echo "<div class=\"alert alert-info\" style=\"text-align:center;\">Tabla de solicitudes que muestra todos los usuarios interesados en unirse al club. En el caso de que se hayan unido a otro club, la solicitud se puede borrar o se puede mantener por si se realiza algún cambio.</div>";
			echo "
			<table class='table table-bordered table-striped table-responsive'>
				<thead>
					<tr>
						<th>Nombre</th>
						<th>Apellidos</th>
						<th>Correo</th>
						<th>Papel que desempeña</th>";
						if ($tipo=="federacion") echo "<th>Federación</th>";
						else echo "<th>Club</th>";
						echo "
						<th>Licencia</th>
						<th>Estado</th>
					</tr>
				</thead>
				<tbody>";
			foreach ($res as &$valor) {
					$usuario=$valor['solicitor'];
					$sql->query("SELECT * FROM users WHERE correo='$usuario'");
					$sql->ejecutarSQL();
					$resul=$sql->getUnRegistro();
					//Tratamos algunos campos de la base de datos de usuario para que se muestren correctamente.
					switch($resul['tipo']){
						case "federacion":
							$org="Responsable de la federación";
							break;
						case "club":
							$org="Responsable del club";
							break;
						case "alumno":
							$org="Alumno";
							break;
						case "juez":
							$org="Juez";
							break;
						default: $org=$resul['tipo'];
					}
					//En espera de ser validada
					if ($valor['validada']==0) echo "<tr class=\"warning\">";
					else{
						//Rechazada
						if ($valor['aceptada']==0) echo "<tr class=\"danger\">";
						//Aceptada
						else echo "<tr class=\"success\">";
					}
					echo "
					<td>".$resul['username']."</td>
					<td>".$resul['apellidos']."</td>
					<td>".$resul['correo']."</td>
					<td>".$org."</td>";
					if ($resul['organizacion']==''){
						if ($tipo=="federacion") echo "<td>No está unido a ninguna federación</td>";
						else echo "<td>No está unido a ningún club</td>";
					}
					else{
						echo "<td>".$resul['organizacion']."</td>";
					}
					if ($resul['licencia']=='0'){
						echo "<td>Sin licencia</td>";
					}
					else{
						echo "<td>".$resul['licencia']."</td>";
					}
					//En espera de ser validada
					if ($valor['validada']==0) echo "<td>Esperando ser validado</td>";
					else{
						//Rechazada
						if ($valor['aceptada']==0) echo "<td>Rechazado</td>";
						//Aceptada
						else echo "<td>Aceptado</td>";
					}
					echo "
						<td>";
							//Si ha sido aceptada, se puede rechazar
							if (($valor['validada']==1)&&($valor['aceptada']==1)) echo "<button class=\"btn btn-success disabled\">Aceptar</button>&nbsp;";
							else echo "<button class=\"btn btn-success\" onClick=\"validar('1','".$usuario."','".$correo."')\">Aceptar</button>&nbsp;";
							//Si ha sido rechazada, se puede aceptar
							if (($valor['validada']==1)&&($valor['aceptada']==0)) echo "<button class=\"btn btn-danger disabled\">Rechazar</button>";
							else echo "<button class=\"btn btn-danger\" onClick=\"validar('0','".$usuario."','".$correo."')\">Rechazar</button>";
						echo "	
						</td>
						";
						//Solo se pueden borrar aquellas solicitudes de los usuarios que no están unidos a una organización
						if (($resul['organizacion']=='')||($resul['organizacion']!=$organizacion)){
							echo "
							<td><a href=\"#\" title=\"Borre la solicitud\" onClick=\"borrarSolicitud('-1','".$usuario."','".$correo."');\"><span class=\"glyphicon glyphicon-remove\"></span></a></td>";
						}
					echo "
					</tr>
					";
			}
			echo "</tbody>
			</table></div>
			<script>
			function validar(valido,solicitor,solicitado){
				var ruta='modulos/organizacion/solicitudes.php?valor1=' + valido + '&valor2=' + solicitor + '&valor3=' + solicitado;
				actualizar('#centro',ruta);
				$('#menu-iz-uno').load('menu.php?organizacion');
			}
			function borrarSolicitud(borrar, solicitor,solicitado){
				var string='¿Está seguro de que desea borrar la solicitud del usuario cuyo correo es: ' + solicitor + '?';
				var borraUser=confirm(string);
				if (borraUser){
					var ruta='modulos/organizacion/solicitudes.php?valor1=' + borrar + '&valor2=' + solicitor + '&valor3=' + solicitado;
					actualizar('#centro',ruta);
					$('#menu-iz-uno').load('menu.php?organizacion');
				}
			}
			</script>
			";
		}
		$numRegSolAfil=0;
		//Solicitudes de petición para afiliarse a la federación
		if ($tipo=="federacion"){
			//Comprobamos que existan solicitudes al respecto
			$sql->query("SELECT creador FROM organizacion WHERE nombre='$organizacion'");
			$sql->ejecutarSQL();
			$res=$sql->getUnRegistro();
			$correo_creador=$res['creador'];
			$sql->query("SELECT * FROM afiliaciones WHERE organizacion='$organizacion' AND solicitado='$correo_creador'");
			$sql->ejecutarSQL();
			$numRegSolAfil=$sql->getNumRegistros();
			$res=$sql->getTodosRegistro();
			if ($numRegSolAfil > 0){
				echo "<h3 style=\"text-align:left;\">Solicitudes de otras organizaciones</h3>
				<div class=\"alert alert-info\" style=\"text-align:center;\">Tabla de peticiones de otras organizaciones para afiliarse a su federación. Muestra todas las organizaciones interesadas en afiliarse a la suya.</div>		
				<div id='div_borrar'>
				<table class='table table-bordered table-striped table-responsive'>
					<thead>
						<tr>
							<th>Nombre</th>
							<th>Integrantes</th>
							<th>Creador</th>
							<th>País</th>
							<th>Región</th>
							<th>Afiliación</th>
							<th>Estado</th>
						</tr>
					</thead>
					<tbody>";
				foreach ($res as &$valor) {
						$creador=$valor['solicitor'];
						$sql->query("SELECT * FROM organizacion WHERE creador='$creador'");
						$sql->ejecutarSQL();
						$resul=$sql->getUnRegistro();
						//En espera de ser validada
						if ($valor['validada']==0) echo "<tr class=\"warning\">";
						else{
							//Rechazada
							if ($valor['aceptada']==0) echo "<tr class=\"danger\">";
							//Aceptada
							else echo "<tr class=\"success\">";
						}
						$sql->query("SELECT username, apellidos FROM users WHERE correo='$creador'");
						$sql->ejecutarSQL();
						$resultadoNombre=$sql->getUnRegistro();
						echo "
						<td>".$resul['nombre']."</td>
						<td>".$resul['integrantes']."</td>
						<td>".$resultadoNombre['username']." ".$resultadoNombre['apellidos']."</td>
						<td>".$paises[$resul['pais']]."</td>
						<td>".$regiones[$resul['pais']][$resul['region']]."</td>";
						if ($resul['afiliadoA']==''){
							echo "<td>Sin afiliación</td>";
						}
						else{
							echo "<td>".$resul['afiliadoA']."</td>";
						}
						//En espera de ser validada
						if ($valor['validada']==0) echo "<td>Esperando ser validado</td>";
						else{
							//Rechazada
							if ($valor['aceptada']==0) echo "<td>Rechazado</td>";
							//Aceptada
							else echo "<td>Aceptado</td>";
						}
						echo "
							<td>";
								//Si ha sido aceptada, se puede rechazar
								if (($valor['validada']==1)&&($valor['aceptada']==1)) echo "<button class=\"btn btn-success disabled\">Aceptar</button>&nbsp;";
								else echo "<button class=\"btn btn-success\" onClick=\"validarAfiliacion('2','".$creador."','".$correo_creador."')\">Aceptar</button>&nbsp;";
								//Si ha sido rechazada, se puede aceptar
								if (($valor['validada']==1)&&($valor['aceptada']==0)) echo "<button class=\"btn btn-danger disabled\">Rechazar</button>";
								else echo "<button class=\"btn btn-danger\" onClick=\"validarAfiliacion('3','".$creador."','".$correo_creador."')\">Rechazar</button>";
							echo "	
							</td>
							";
							//Solo se pueden borrar aquellas afiliaciones de las organizaciones que no tienen afiliación
							if (($resul['afiliadoA']=='')||($resul['afiliadoA']!=$organizacion)){
								echo "
								<td><a href=\"#\" title=\"Borre la afiliación\" onClick=\"borrarAfiliacion('-2','".$creador."','".$correo_creador."');\"><span class=\"glyphicon glyphicon-remove\"></span></a></td>";
							}
						echo "
						</tr>
						";
				}
				echo "</tbody>
				</table></div>
				<script>
				function validarAfiliacion(valido,solicitor,solicitado){
					var ruta='modulos/organizacion/solicitudes.php?valor1=' + valido + '&valor2=' + solicitor + '&valor3=' + solicitado;
					actualizar('#centro',ruta);
					$('#menu-iz-uno').load('menu.php?organizacion');
				}
				function borrarAfiliacion(borrar, solicitor,solicitado){
					var string='¿Está seguro de que desea borrar la afiliación del usuario cuyo correo es: ' + solicitor + '?';
					var borraUser=confirm(string);
					if (borraUser){
						var ruta='modulos/organizacion/solicitudes.php?valor1=' + borrar + '&valor2=' + solicitor + '&valor3=' + solicitado;
						actualizar('#centro',ruta);
						$('#menu-iz-uno').load('menu.php?organizacion');
					}
				}
				</script>
				";
			}
		}
		if (($numRegSol + $numRegSolAfil) == 0) echo "<br><div class=\"alert alert-warning\" style=\"text-align:center;\">No existen solicitudes.</div>";
	}
	if ($sCphp->esRol('juez')){
		echo "<h2 style='text-align:center;'>Solicitudes <small>Solicitudes de otras organizaciones para que participe en un campeonato</small></h2>";
		$sql->query("SELECT * FROM asignaciones WHERE tipo='juez' AND correoGestor='$correo' ORDER BY validado ASC");
		$sql->ejecutarSQL();
		$numRegSol=$sql->getNumRegistros();
		if ($numRegSol > 0){
			$res=$sql->getTodosRegistro();
			echo "<div class=\"alert alert-info\" style=\"text-align:center;\">El campo <strong>organización</strong> es el club o la federación que solicita su participación. El campo <strong>campeonato</strong> es el nombre del campeonato al que solicitan su participación.</div>
			<table class='table table-bordered table-striped table-responsive'>
					<thead>
						<tr>
							<th>Organización</th>
							<th>Campeonato</th>
							<th>Lugar</th>
							<th>Fecha</th>
							<th>Validada</th>
						</tr>
					</thead>
					<tbody>";
				foreach ($res as &$valor) {
						$creador=$valor['correoCreador'];
						$id_campeonato=$valor['identificadorCampeonato'];
						$sql->query("SELECT nombre FROM organizacion WHERE creador='$creador'");
						$sql->ejecutarSQL();
						$resul=$sql->getUnRegistro();
						if ($valor['validado']==0) echo "<tr class=\"warning\">";
						else
							echo "<tr class=\"success\">";
						echo "
						<td>".$resul['nombre']."</td>";
						$sql->query("SELECT nombreChamp,fecha,fecha_fin,lugar FROM campeonato WHERE id_campeonato='$id_campeonato'");
						$sql->ejecutarSQL();
						$resulchamp=$sql->getUnRegistro();
						$pieces1 = explode("-", $resulchamp['fecha']);
						$pieces2 = explode("-", $resulchamp['fecha_fin']);
						$PrimerDia=$pieces1[2];
						$Mes=$pieces1[1];
						$Year=$pieces2[0];
						$UltimoDia=$pieces2[2];
						echo "
						<td>".$resulchamp['nombreChamp']."</td>
						<td>".$resulchamp['lugar']."</td>
						<td>".$meses[date('n',mktime(0,0,0,$Mes,$PrimerDia,$Year))-1]." ".$Year." (".$PrimerDia." - ".$UltimoDia.")</td>";
						if ($valor['validado']==0) echo "<td>En espera</td>";
						else
							echo "<td>Aceptada</td>";
						if ($valor['validado']==0){
							echo "<td><button class=\"btn btn-success\" onClick=\"validarSolicitudJuez('1','".$creador."','".$correo."','".$id_campeonato."')\">Aceptar</button>&nbsp;
							<button class=\"btn btn-danger\" onClick=\"validarSolicitudJuez('0','".$creador."','".$correo."','".$id_campeonato."')\">Rechazar</button></td>";
						}
						echo "
						</tr>
						";
				}
				echo "</tbody>
				</table></div>
				<script>
				function validarSolicitudJuez(valido,solicitor,solicitado,id_campeonato){
					var string;
					if (valido==0) string='¿Está seguro de que desea rechazar la solicitud del campeonato?';
					if (valido==1) string='¿Está seguro de que desea aceptar la solicitud del campeonato?';
					var borraUser=confirm(string);
					if (borraUser){
						var ruta='modulos/organizacion/solicitudes.php?valor1=' + valido + '&valor2=' + solicitor + '&valor3=' + solicitado + '&valor4=' + id_campeonato;
						actualizar('#centro',ruta);
						$('#menu-iz-uno').load('menu.php?organizacion');
					}
				}
				</script>";
		}
		else echo $noJuezSolicitudes;
	}
}
//Si no es un usuario registrado, se hace uso de general.php para mostrar un mensaje de aviso por pantalla.
else{
	echo $resultado;
}
?>
